<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">
<xsl:output  method="text" encoding="ISO-8859-1"/>
   <xsl:template match="/">
    <xsl:apply-templates select="//APERAK"/>
   </xsl:template>

<!-- __________________ Mensaje APERAK ___________________________ -->
    <xsl:template match="APERAK">
    <!-- CABECERA DEL MENSAJE-->
    <xsl:variable name="document" select="doc_header/document"/>
    <xsl:variable name="messagename" select="doc_header/messagename"/>
    <xsl:variable name="function" select="doc_header/function"/>
    <xsl:variable name="responseCode" select="doc_header/responseCode"/>
    <xsl:variable name="sender" select="doc_header/sender"/>
    <xsl:variable name="receiver" select="doc_header/receiver"/>
    <xsl:variable name="timestamp" select="doc_header/timestamp"/>
    <xsl:variable name="application" select="doc_header/application"/>
    <xsl:variable name="format" select="doc_header/format"/>
    <xsl:variable name="doctype" select="doc_header/doctype"/>
    <xsl:variable name="codigoAplicacion" select="message/cabecera/codigoAplicacion"/>
    <xsl:variable name="numeroMensaje" select="message/cabecera/numeroMensaje"/>
    <xsl:variable name="numeroDocumento" select="message/cabecera/numeroDocumento"/>
    <xsl:variable name="fechaDocumento" select="message/cabecera/fechaDocumento"/>
    <xsl:variable name="infoAdi1" select="message/cabecera/informacionAdicional/texto1"/>
    <xsl:variable name="infoAdi2" select="message/cabecera/informacionAdicional/texto2"/>
    <xsl:variable name="infoAdi3" select="message/cabecera/informacionAdicional/texto3"/>
    <xsl:variable name="infoAdi4" select="message/cabecera/informacionAdicional/texto4"/>
    <xsl:variable name="infoAdi5" select="message/cabecera/informacionAdicional/texto5"/>

    ENV001^^^<xsl:value-of select="$sender"/><xsl:text>^^</xsl:text><xsl:value-of select="$receiver"/>
          <xsl:text>^^</xsl:text><xsl:value-of select="substring($timestamp,0,7)"/>
          <xsl:text>^</xsl:text><xsl:value-of select="substring($timestamp,7,4)"/>
    PICAPK01^<xsl:value-of select="$numeroMensaje"/><xsl:text>^</xsl:text>
             <xsl:value-of select="$document"/><xsl:text>^D^97B^UN</xsl:text>
             <xsl:if test="boolean($codigoAplicacion[text()])">
                 <xsl:text>^</xsl:text><xsl:value-of select="$codigoAplicacion"/>
             </xsl:if>
    PICAPK02^<xsl:value-of select="$messagename"/><xsl:text>^</xsl:text>
             <xsl:value-of select="$numeroDocumento"/><xsl:text>^</xsl:text>
             <xsl:value-of select="$function"/>
             <xsl:if test="boolean($responseCode[text()])">
                 <xsl:text>^</xsl:text><xsl:value-of select="$responseCode"/>
             </xsl:if>
    PICAPK03^<xsl:value-of select="$fechaDocumento"/>

    <xsl:if test="boolean($infoAdi1[text()] or $infoAdi2[text()] or $infoAdi3[text()] or $infoAdi4[text()] or $infoAdi5[text()])">
    PICAPK04^ACB^<xsl:value-of select="$infoAdi1"/>
        <xsl:if test="boolean($infoAdi2[text()] or $infoAdi3[text()] or $infoAdi4[text()] or $infoAdi5[text()])">
            <xsl:text>^</xsl:text><xsl:value-of select="$infoAdi2"/>
            <xsl:if test="boolean($infoAdi3[text()] or $infoAdi4[text()] or $infoAdi5[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="$infoAdi3"/>
                <xsl:if test="boolean($infoAdi4[text()] or $infoAdi5[text()])">
                    <xsl:text>^</xsl:text><xsl:value-of select="$infoAdi4"/>
                    <xsl:if test="boolean($infoAdi5[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$infoAdi5"/>
                    </xsl:if>
                </xsl:if>
            </xsl:if>
        </xsl:if>
    </xsl:if>

    <!-- Grupo 1 -->
    <xsl:variable name="tipoDocumento" select="message/cabecera/referenciasDocumento/tipoDocumento"/>
    <xsl:variable name="receptor" select="message/cabecera/referenciasDocumento/receptor"/>
    <xsl:variable name="numeroDocumentoRef" select="message/cabecera/referenciasDocumento/numeroDocumento"/>
    <xsl:variable name="numeroMensajeRef" select="message/cabecera/referenciasDocumento/numeroMensaje"/>
    <xsl:variable name="numBookingReferenciado" select="message/cabecera/referenciasDocumento/numBookingReferenciado"/>
    <xsl:variable name="numViajeReferenciado" select="message/cabecera/referenciasDocumento/numViajeReferenciado"/>
    <xsl:variable name="refExpReferenciado" select="message/cabecera/referenciasDocumento/refExpReferenciado"/>
    <xsl:variable name="decSumReferenciado" select="message/cabecera/referenciasDocumento/decSumReferenciado"/>
    <xsl:variable name="booking" select="message/cabecera/referenciasDocumento/booking"/>
    <xsl:variable name="bookingIntra" select="message/cabecera/referenciasDocumento/bookingIntra"/>

    <xsl:if test="boolean($tipoDocumento[text()])">
    PICAPK05^ZMS^<xsl:value-of select="$tipoDocumento"/>
    </xsl:if>
    <xsl:if test="boolean($receptor[text()])">
    PICAPK05^ZRE^<xsl:value-of select="$receptor"/>
    </xsl:if>
    <xsl:if test="boolean($numeroDocumentoRef[text()])">
    PICAPK05^ACW^<xsl:value-of select="$numeroDocumentoRef"/>
    </xsl:if>
    <xsl:if test="boolean($numeroMensajeRef[text()])">
    PICAPK05^ZMN^<xsl:value-of select="$numeroMensajeRef"/>
    </xsl:if>
    <xsl:if test="boolean($numBookingReferenciado[text()])">
    PICAPK05^ZBN^<xsl:value-of select="$numBookingReferenciado"/>
    </xsl:if>
    <xsl:if test="boolean($numViajeReferenciado[text()])">
    PICAPK05^VON^<xsl:value-of select="$numViajeReferenciado"/>
    </xsl:if>
    <xsl:if test="boolean($refExpReferenciado[text()])">
    PICAPK05^SI^<xsl:value-of select="$refExpReferenciado"/>
    </xsl:if>
    <xsl:if test="boolean($decSumReferenciado[text()])">
    PICAPK05^AAE^<xsl:value-of select="$decSumReferenciado"/>
    </xsl:if>
    <xsl:if test="boolean($booking[text()])">
    PICAPK05^BN^<xsl:value-of select="$booking"/>
    </xsl:if>
    <xsl:if test="boolean($bookingIntra[text()])">
    PICAPK05^ZZZ^<xsl:value-of select="$bookingIntra"/>
    </xsl:if>

    <!-- Grupo 2 -->
    <xsl:variable name="nif"            select="message/contacto/nombreYDireccion/nif"/>
    <xsl:variable name="nombre1"        select="message/contacto/nombreYDireccion/nombre[1]"/>
    <xsl:variable name="nombre2"        select="message/contacto/nombreYDireccion/nombre[2]"/>
    <xsl:variable name="nombre3"        select="message/contacto/nombreYDireccion/nombre[3]"/>
    <xsl:variable name="nombre4"        select="message/contacto/nombreYDireccion/nombre[4]"/>
    <xsl:variable name="nombre5"        select="message/contacto/nombreYDireccion/nombre[5]"/>
    <xsl:variable name="direc1"         select="message/contacto/nombreYDireccion/direccion[1]"/>
    <xsl:variable name="direc2"         select="message/contacto/nombreYDireccion/direccion[2]"/>
    <xsl:variable name="direc3"         select="message/contacto/nombreYDireccion/direccion[3]"/>
    <xsl:variable name="direc4"         select="message/contacto/nombreYDireccion/direccion[4]"/>
    <xsl:variable name="ciudad"         select="message/contacto/nombreYDireccion/ciudad"/>
    <xsl:variable name="cp"             select="message/contacto/nombreYDireccion/codigoPostal"/>
    <xsl:variable name="pais"           select="message/contacto/nombreYDireccion/paisCodificado"/>
    <xsl:variable name="idContacto"     select="message/contacto/canalComunicacion/idContacto"/>

    <xsl:if test="boolean($nif[text()] or $nombre1[text()] or $nombre2[text()] or $nombre3[text()] or $nombre4[text()] or
                          $nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                          $ciudad[text()] or $cp[text()] or $pais[text()])">
    PICAPK06^MS^<xsl:value-of select="$nif"/>
        <xsl:if test="boolean($nombre1[text()] or $nombre2[text()] or $nombre3[text()] or $nombre4[text()] or
                              $nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                              $ciudad[text()] or $cp[text()] or $pais[text()])">
            <xsl:text>^</xsl:text><xsl:value-of select="$nombre1"/>
            <xsl:if test="boolean($nombre2[text()] or $nombre3[text()] or $nombre4[text()] or
                                  $nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                                  $ciudad[text()] or $cp[text()] or $pais[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="$nombre2"/>
                <xsl:if test="boolean($nombre3[text()] or $nombre4[text()] or
                                      $nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                                      $ciudad[text()] or $cp[text()] or $pais[text()])">
                    <xsl:text>^</xsl:text><xsl:value-of select="$nombre3"/>
                    <xsl:if test="boolean($nombre4[text()] or
                                          $nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                                          $ciudad[text()] or $cp[text()] or $pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$nombre4"/>
                        <xsl:if test="boolean($nombre5[text()] or $direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                                              $ciudad[text()] or $cp[text()] or $pais[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$nombre5"/>
                            <xsl:if test="boolean($direc1[text()] or $direc2[text()] or $direc3[text()] or $direc4[text()] or
                                                  $ciudad[text()] or $cp[text()] or $pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$direc1"/>
                                <xsl:if test="boolean($direc2[text()] or $direc3[text()] or $direc4[text()] or
                                                      $ciudad[text()] or $cp[text()] or $pais[text()])">
                                    <xsl:text>^</xsl:text><xsl:value-of select="$direc2"/>
                                    <xsl:if test="boolean($direc3[text()] or $direc4[text()] or
                                                          $ciudad[text()] or $cp[text()] or $pais[text()])">
                                        <xsl:text>^</xsl:text><xsl:value-of select="$direc3"/>
                                        <xsl:if test="boolean($direc4[text()] or
                                                              $ciudad[text()] or $cp[text()] or $pais[text()])">
                                            <xsl:text>^</xsl:text><xsl:value-of select="$direc4"/>
                                            <xsl:if test="boolean($ciudad[text()] or $cp[text()] or $pais[text()])">
                                                <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                                                <xsl:if test="boolean($cp[text()] or $pais[text()])">
                                                    <xsl:text>^</xsl:text><xsl:value-of select="$cp"/>
                                                    <xsl:if test="boolean($pais[text()])">
                                                        <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                                                    </xsl:if>
                                                </xsl:if>
                                            </xsl:if>
                                        </xsl:if>
                                    </xsl:if>
                                </xsl:if>
                            </xsl:if>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
            </xsl:if>
        </xsl:if>
        <xsl:if test="boolean($idContacto[text()])">
    PICAPK07^MS^<xsl:value-of select="$idContacto"/>
            <xsl:for-each select="message/contacto/canalComunicacion/comunicacion">
                <xsl:variable name="numero" select="numero"/>
                <xsl:variable name="canal" select="canal"/>
    PICAPK08^<xsl:value-of select="$numero"/><xsl:text>^</xsl:text><xsl:value-of select="$canal"/>
            </xsl:for-each>
        </xsl:if>
    </xsl:if>

    <!-- Grupo 3 -->
    <xsl:for-each select="message/errores/error">
        <xsl:variable name="codigoError"   select="codigoError"/>
        <xsl:variable name="descripError1" select="descripcionError/texto1"/>
        <xsl:variable name="descripError2" select="descripcionError/texto2"/>
        <xsl:variable name="descripError3" select="descripcionError/texto3"/>
        <xsl:variable name="descripError4" select="descripcionError/texto4"/>
        <xsl:variable name="descripError5" select="descripcionError/texto5"/>
    PICAPK09^<xsl:value-of select="$codigoError"/>
    <xsl:if test="boolean($descripError1[text()] or $descripError2[text()] or $descripError3[text()] or $descripError4[text()] or $descripError5[text()])">
    PICAPK10^AAO^<xsl:value-of select="$descripError1"/>
        <xsl:if test="boolean($descripError2[text()] or $descripError3[text()] or $descripError4[text()] or $descripError5[text()])">
            <xsl:text>^</xsl:text><xsl:value-of select="$descripError2"/>
            <xsl:if test="boolean($descripError3[text()] or $descripError4[text()] or $descripError5[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="$descripError3"/>
                <xsl:if test="boolean($descripError4[text()] or $descripError5[text()])">
                    <xsl:text>^</xsl:text><xsl:value-of select="$descripError4"/>
                    <xsl:if test="boolean($descripError5[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$descripError5"/>
                    </xsl:if>
                </xsl:if>
            </xsl:if>
        </xsl:if>
    </xsl:if>

    <!-- Grupo 4 -->
        <xsl:variable name="calificador" select="aclaracionesError/locError/calificador"/>
        <xsl:variable name="numeroReferencia" select="aclaracionesError/locError/numeroReferencia"/>
        <xsl:if test="boolean($calificador[text()] or $numeroReferencia[text()])">
    PICAPK11^<xsl:value-of select="$calificador"/><xsl:text>^</xsl:text><xsl:value-of select="$numeroReferencia"/>
            <xsl:for-each select="aclaracionesError/aclaracionError">
                <xsl:variable name="aclaraTxt1" select="texto1"/>
                <xsl:variable name="aclaraTxt2" select="texto2"/>
                <xsl:variable name="aclaraTxt3" select="texto3"/>
                <xsl:variable name="aclaraTxt4" select="texto4"/>
                <xsl:variable name="aclaraTxt5" select="texto5"/>

                <xsl:if test="boolean($aclaraTxt1[text()] or $aclaraTxt2[text()] or $aclaraTxt3[text()] or $aclaraTxt4[text()] or $aclaraTxt5[text()])">
    PICAPK12^AAO^<xsl:value-of select="$aclaraTxt1"/>
                    <xsl:if test="boolean($aclaraTxt2[text()] or $aclaraTxt3[text()] or $aclaraTxt4[text()] or $aclaraTxt5[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$aclaraTxt2"/>
                        <xsl:if test="boolean($aclaraTxt3[text()] or $aclaraTxt4[text()] or $aclaraTxt5[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$aclaraTxt3"/>
                            <xsl:if test="boolean($aclaraTxt4[text()] or $aclaraTxt5[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$aclaraTxt4"/>
                                <xsl:if test="boolean($aclaraTxt5[text()])">
                                    <xsl:text>^</xsl:text><xsl:value-of select="$aclaraTxt5"/>
                                </xsl:if>
                            </xsl:if>
                        </xsl:if>
                    </xsl:if>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:for-each>
    PICAPK13
   </xsl:template>
</xsl:stylesheet>