<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<!-- Mensaje APERAKIE  -->
<xsl:output  method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
	<xsl:apply-templates select="//APERAKIE.HEADER"/>
	<xsl:apply-templates select="//APERAKIE.GROUP1"/>
	<xsl:apply-templates select="//APERAKIE.GROUP3"/>
	<!-- FIN DEL MENSAJE-->
	APER07
	UNZ001
   </xsl:template>

<!-- CABECERA DEL ENVIO -->
 <xsl:template match="APERAKIE.HEADER">
	<!-- Cabecera del envio-->
	<xsl:variable name="traderId" select="anxs_interchange.header/anxe_syntax.identifier"/>
	<xsl:variable name="version" select="anxs_interchange.header/anxe_syntax.version.number"/>
	<xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="reverseRout" select="anxs_interchange.header/anxe_address.for.reverse.routing"/>
	<xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
	<xsl:variable name="routAddr" select="anxs_interchange.header/anxe_routing.address"/>
	<xsl:variable name="date" select="anxs_interchange.header/anxe.date"/>
	<xsl:variable name="time" select="anxs_interchange.header/anxe.time"/>
	<xsl:variable name="refInt" select="anxs_interchange.header/anxe_application.reference"/>

	ENV001^<xsl:value-of select="$traderId"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$version"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$sender"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$reverseRout"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$routAddr"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$date"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$time"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$refInt"/>

	<!-- CABECERA DEL MENSAJE-->
  	<!-- Segmento UNH-->
	   <xsl:variable name="nRef" select="anxs_message.header/anxe_message.reference.number"/>
	   <xsl:variable name="idMens" select="anxs_message.header/anxe_message.identifier"/>
	   <xsl:variable name="nVers" select="anxs_message.header/anxe_message.version.number"/>
	   <xsl:variable name="nRel" select="anxs_message.header/anxe_message.release.number"/>
	   <xsl:variable name="aCont" select="anxs_message.header/anxe_controlling.agency"/>
	   <xsl:variable name="cAssi" select="anxs_message.header/anxe_association.assigned.code"/>

	APER01^<xsl:value-of select="$nRef"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$idMens"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$nVers"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$nRel"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$aCont"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$cAssi"/>

   	<!-- Segmento BGM-->
	<xsl:variable name="nameMesg" select="trsd_beginning.of.message/tred_document.message.name.coded"/>
	<xsl:variable name="numMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

	APER02^<xsl:value-of select="$nameMesg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$numMsg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>
	</xsl:template>

	<!-- GRUPO 1 -->
	<xsl:template match="APERAKIE.GROUP1">
		<!--Segmento RFF -->
		APER03^<xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
		<xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.number"/>
   	</xsl:template>

	<!-- GRUPO 3 -->
	<!--Este grupo es opcional-->
	<xsl:template match="APERAKIE.GROUP3">
		<xsl:for-each select="self::APERAKIE.GROUP3">
			<!--Segmento ERC -->
			APER04^<xsl:value-of select="trsd_application.error.information/trcd_application.error.detail"/>
			<!-- Segmento FTX -->
			<xsl:variable name="subQual" select="trsd_free.text/tred_text.subject.qualifier"/>
			<xsl:variable name="textLib" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:if test="boolean($subQual[text()] or $textLib[text()])">
				APER05^<xsl:value-of select="$subQual"/>
				<xsl:text>^</xsl:text><xsl:value-of select="$textLib"/>
			</xsl:if>
			<!-- Segmento RFF -->
			<xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>
			<xsl:variable name="liNumb" select="trcd_reference/tred_reference.number"/>
			<xsl:if test="boolean($refQual[text()] or $liNumb[text()])">
				APER06^<xsl:value-of select="$refQual"/>
				<xsl:text>^</xsl:text><xsl:value-of select="$liNumb"/>
			</xsl:if>
		</xsl:for-each>
	  </xsl:template>
</xsl:stylesheet>