<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//APERAKIE.HEADER"/>
	</xsl:template>
	<xsl:template match="APERAKIE.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="FECHA" select="anxs_interchange.header/anxe.date"/>
		<xsl:variable name="HORA" select="anxs_interchange.header/anxe.time"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="concat($FECHA,$HORA)"/>
		<xsl:variable name="NUM_ACW_NUM_REF" select="/APERAKIE/APERAKIE.GROUP1/trcd_reference/tred_reference.number"/>
		<!--	ESTO NO ESTA DEFINITIVO TODAVIA PERO YA ESTA DECLARADA LA VARIABLE
		EN PREVISION DE QUE SE PONGA EN UN FUTURO	
		<xsl:variable name="NUM_REF_DOC"/>
-->
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="ACEPTACION" select="trsd_beginning.of.message/tred_document.message.name.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NUM_ACW_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
<!--
		<xsl:value-of select="$NUM_REF_DOC"/>
-->
		<xsl:text>0</xsl:text>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="$ACEPTACION=962">
				<xsl:text>SI</xsl:text>
			</xsl:when>
			<xsl:when test="$ACEPTACION=963">
				<xsl:text>NO</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
