<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//APERAKIE/APERAKIE.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="ERRORES"/>
	</xsl:template>
	<xsl:template name="ERRORES">
		<xsl:for-each select="/APERAKIE/APERAKIE.GROUP3">
			<xsl:variable name="APERAKIE_COD_ERROR" select="trsd_application.error.information/trcd_application.error.detail"/>
			<xsl:variable name="APERAKIE_DESC_ERROR" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="APERAKIE_LINE_ERROR" select="trcd_reference/tred_reference.number"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$APERAKIE_COD_ERROR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$APERAKIE_DESC_ERROR"/>
			<xsl:if test="boolean(string-length($APERAKIE_DESC_ERROR) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$APERAKIE_LINE_ERROR"/>
			<xsl:if test="boolean(string-length($APERAKIE_LINE_ERROR) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
