<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//APERAK.HEADER"/>
		<xsl:call-template name="GRUPO3"/>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
	<xsl:template match="APERAK.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="grupo1"/>
	</xsl:template>
	<xsl:template name="grupo1">
		<xsl:variable name="CAB_NOM_DOCUMENT" select="//APERAK/APERAK.GROUP1/trsd_document.message.details/tred_document.message.name.coded"/>
		<xsl:variable name="CAB_REF_MENSAJE" select="//APERAK/APERAK.GROUP1/trsd_document.message.details/tred_document.message.number"/>
		<xsl:variable name="CAB_FECHA_DOCUMENT" select="//APERAK/APERAK.GROUP1/trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="CAB_ESTADO_DOCUMENT" select="//APERAK/APERAK.GROUP1/trsd_document.message.details/tred_document.message.status.coded"/>
		<xsl:variable name="ACEPTACION" select="//APERAK/APERAK.HEADER/trsd_beginning.of.message/tred_document.message.name.coded"/>
		<!--  ESTO DE MOMENTO QUEDA COMENTADO EN PREVISION DE QUE EN UN FUTURO
		SE INCORPORE
		<xsl:variable name="CAB_REF_DOCUMENT" />
		
-->
		<xsl:value-of select="$CAB_NOM_DOCUMENT"/>
		<xsl:if test="boolean(string-length($CAB_NOM_DOCUMENT) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_REF_MENSAJE"/>
		<xsl:if test="boolean(string-length($CAB_REF_MENSAJE) =0)">
			<xsl:text>0</xsl:text>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ESTADO_DOCUMENT"/>
		<xsl:if test="boolean(string-length($CAB_ESTADO_DOCUMENT) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:text>0</xsl:text>
		<xsl:value-of select="$separadorColum"/>
		<!--		
		<xsl:value-of select="$CAB_REF_DOCUMENT"/>
-->
		<xsl:if test="boolean(string-length($CAB_FECHA_DOCUMENT) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($CAB_FECHA_DOCUMENT) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_DOCUMENT"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="$ACEPTACION=962">
				<xsl:text>SI</xsl:text>
			</xsl:when>
			<xsl:when test="$ACEPTACION=963">
				<xsl:text>NO</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GRUPO3">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:variable name="contador" select="count(//APERAK/APERAK.GROUP3)"/>
		<xsl:for-each select="//APERAK/APERAK.GROUP3">
			<xsl:variable name="codigo" select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:variable name="CN_NIF" select="trsd_name.and.address/tred_party.id.identification"/>
			<xsl:variable name="CN_NOMBRE_DIRECCION" select="trsd_name.and.address/tred_name.and.address.line"/>
			<xsl:variable name="CN_CALLE" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
			<xsl:variable name="CN_CIUDAD" select="trsd_name.and.address/tred_city.name"/>
			<xsl:variable name="CN_PAIS" select="trsd_name.and.address/tred_country.coded"/>
			<xsl:variable name="CN_NIF_CONTACTO" select="trsd_contact.information/tred_department.or.employee.identification"/>
			<xsl:variable name="CN_PERSONA_CONTACTO" select="trsd_contact.information/tred_department.or.employee"/>
			<xsl:value-of select="$CN_NIF"/>
			<xsl:if test="boolean(string-length($CN_NIF) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_NOMBRE_DIRECCION"/>
			<xsl:if test="boolean(string-length($CN_NOMBRE_DIRECCION) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_CALLE"/>
			<xsl:if test="boolean(string-length($CN_CALLE) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_CIUDAD"/>
			<xsl:if test="boolean(string-length($CN_CIUDAD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_PAIS"/>
			<xsl:if test="boolean(string-length($CN_PAIS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_NIF"/>
			<xsl:if test="boolean(string-length($CN_NIF) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CN_PERSONA_CONTACTO"/>
			<xsl:if test="boolean(string-length($CN_PERSONA_CONTACTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:if test="position() &lt; 2">
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:if test="$contador=0">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="14"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$contador=1">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="7"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
