<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//APERAK/APERAK.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="comunicacion"/>
	</xsl:template>
	<xsl:template name="comunicacion">
		<xsl:for-each select="//APERAK/APERAK.GROUP3">
		<xsl:variable name="posicion" select="position()"/>
		<xsl:if test="contains(trsd_name.and.address/tred_party.qualifier,'MR')">
			<xsl:call-template name="information_contact">
				<xsl:with-param name="posicion" select="$posicion"/>
			</xsl:call-template>
		</xsl:if>			
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="information_contact">
	<xsl:param name="posicion"/>
		<xsl:for-each select="/APERAK/APERAK.GROUP3[$posicion]/trcd_communication.contact">
			<xsl:variable name="NUMERO_COMUNICACION" select="tred_communication.number"/>
			<xsl:variable name="CANAL_COMUNICACION" select="tred_communication.channel.qualifier"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NUMERO_COMUNICACION"/>
			<xsl:if test="boolean(string-length($NUMERO_COMUNICACION) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANAL_COMUNICACION"/>
			<xsl:if test="boolean(string-length($CANAL_COMUNICACION) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
