<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- _________________ mensaje_CODECOE06 _______________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">

        <xsl:apply-templates select="//CODECOE06.HEADER"/>
        <xsl:apply-templates select="//CODECOE06.GROUP1"/>
        <xsl:apply-templates select="//CODECOE06.GROUP3"/>
        <xsl:apply-templates select="//CODECOE06.GROUP8"/>

        <!-- FIN DEL MENSAJE-->
        COD06015

   </xsl:template>

   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="CODECOE06.HEADER">

        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>

        <!-- Segmento UNH-->
        <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        COD06000^<xsl:value-of select="$Nref"/>

        <!-- Segmento BGM-->
        <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
        <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        COD06001^<xsl:value-of select="$refMsg"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

        <!-- Segmento DTM-->
        <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        COD06002^<xsl:value-of select="$dataDoc"/>

        <!-- Segmento FTX-->
        <xsl:for-each select="trsd_free.text">
        <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
        <xsl:variable name="txtLibre" select="trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($txtLibre[text()] or $txtQal[text()])">
                <xsl:if test="boolean($txtLibre[text()])">
                COD06003^<xsl:value-of select="$txtQal"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                </xsl:if>
        </xsl:if>
        </xsl:for-each>

   </xsl:template>

   <!-- GRUPO1-->
    <xsl:template match="CODECOE06.GROUP1">

                <!--Segmento RFF -->
                <xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>
                <xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>

                COD06004<xsl:text>^</xsl:text>
                <xsl:value-of select="$refQual"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>

                <!--Segmento DTM -->

                <xsl:variable name="period" select="trcd_date.time.period/tred_date.time.period"/>

                <xsl:if test="trcd_date.time.period">
                        COD06005
                        <xsl:text>^</xsl:text><xsl:value-of select="$period"/>
                </xsl:if>

     </xsl:template>
   <!-- GRUPO3 -->
   <xsl:template match="CODECOE06.GROUP3">
        <!-- Segmento NAD-->
        COD06006<xsl:text>^</xsl:text>
        <xsl:value-of select="trsd_name.and.address/tred_party.qualifier"/>
        <xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_party.id.identification"/>
        <xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_name.and.address.line"/>
        <xsl:if test="boolean(trsd_name.and.address/tred_street.and.number.p.o.box[text()] or trsd_name.and.address/tred_city.name[text()] or trsd_name.and.address/tred_country.coded[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
        </xsl:if>
        <xsl:if test="boolean(trsd_name.and.address/tred_city.name[text()] or trsd_name.and.address/tred_country.coded[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_city.name"/>
        </xsl:if>
        <xsl:if test="boolean(trsd_name.and.address/tred_country.coded[text()])">
                <xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_country.coded"/>
        </xsl:if>

        <!-- GRUPO4 -->
        <!-- Segmento CTA-->
        <xsl:if test="CODECOE06.GROUP4/trsd_contact.information">
                <xsl:variable name="funCod" select="CODECOE06.GROUP4/trsd_contact.information/tred_contact.function.coded"/>
                <xsl:variable name="idDep" select="CODECOE06.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
                <xsl:variable name="depEmp" select="CODECOE06.GROUP4/trsd_contact.information/tred_department.or.employee"/>

                COD06007<xsl:text>^</xsl:text><xsl:value-of select="$funCod"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$idDep"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$depEmp"/>
        </xsl:if>

        <!-- Segmento COM-->
        <xsl:if test="CODECOE06.GROUP4/trcd_communication.contact">
                COD06008<xsl:text>^</xsl:text>
                <xsl:value-of select="CODECOE06.GROUP4/trcd_communication.contact/tred_communication.number"/>
                <xsl:text>^</xsl:text><xsl:value-of select="CODECOE06.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>
        </xsl:if>

   </xsl:template>

  <!-- GRUPO8 -->
   <xsl:template match="CODECOE06.GROUP8">

        <!-- Segmento EQD -->
        <xsl:if test="trsd_equipment.details">
                <xsl:variable name="calEquip" select="trsd_equipment.details/tred_equipment.qualifier"/>
                <xsl:variable name="idEquip" select="trsd_equipment.details/tred_equipment.identification.number"/>
                <xsl:variable name="tipo" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

                <xsl:choose>
                        <xsl:when test="$calEquip[.='CN']">
                                COD06009<xsl:text>^</xsl:text>
                                <xsl:value-of select="$calEquip"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="$idEquip"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="$tipo"/>
                        </xsl:when>
                        <xsl:otherwise>
                                COD06009<xsl:text>^</xsl:text>
                                <xsl:value-of select="$calEquip"/>
                                <xsl:if test="boolean($idEquip[text()] or $tipo[text()])">
                                        <xsl:text>^</xsl:text><xsl:value-of select="$idEquip"/>
                                </xsl:if>
                                <xsl:if test="boolean($tipo[text()])">
                                        <xsl:text>^</xsl:text><xsl:value-of select="$tipo"/>
                                </xsl:if>
                        </xsl:otherwise>
                </xsl:choose>
        </xsl:if>

        <!-- Segmento RFF -->
        <xsl:variable name="numCont" select="trcd_reference/tred_reference.number"/>
        <xsl:if test="boolean($numCont[text()])">
                COD06010^<xsl:value-of select="$numCont"/>
        </xsl:if>

        <!-- Segmento SEL -->
        COD06011^<xsl:value-of select="trsd_seal.number/tred_seal.number"/>

        <!-- GRUPO 9 -->
        <xsl:for-each select="self::CODECOE06.GROUP8/CODECOE06.GROUP9">
                <!-- Segmento DAM -->
                <xsl:variable name="estado" select="trsd_damage/tred_type.of.damage"/>

                COD06012<xsl:text>^</xsl:text>
                <xsl:if test="boolean($estado[text()])">
                        <xsl:value-of select="$estado"/>
                </xsl:if>

        </xsl:for-each>
        <!-- /GRUPO 9 -->

        <!-- GRUPO 10 -->
        <xsl:for-each select="self::CODECOE06.GROUP8/CODECOE06.GROUP10">
                <!-- Segmento TDT -->

                <xsl:variable name="stQual" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
                <xsl:variable name="refNum" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
                <xsl:variable name="trnsTerr" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
                <xsl:variable name="meansTrns" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport.identification"/>
                <xsl:variable name="transportId" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport"/>
                <xsl:variable name="carrierId" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
                <xsl:variable name="trnsName" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
                <!--xsl:variable name="mtID" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/ -->
                <xsl:variable name="mtID" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>

				<!--
				COD06013^
				stQual^
				trnsTerr^
				[carrierId]^
				[trnsName]^
				mtID
                -->
                COD06013<xsl:text>^</xsl:text>
                <xsl:value-of select="$stQual"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$trnsTerr"/>
                <xsl:text>^</xsl:text>
                <xsl:if test="boolean($carrierId[text()])">
                        <xsl:value-of select="$carrierId"/>
                </xsl:if>
                <xsl:text>^</xsl:text>
                <xsl:if test="boolean($trnsName[text()])">
                        <xsl:value-of select="$trnsName"/>
                </xsl:if>
                <xsl:text>^</xsl:text><xsl:value-of select="$mtID"/>

                <!-- Segmento DTM -->
                COD06014^<xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>
        </xsl:for-each>
        <!-- /GRUPO 10 -->

   </xsl:template>
   <!-- /GRUPO8 -->
</xsl:stylesheet>