<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- _________________ mensaje_CODECOE07P ____________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">
        <xsl:apply-templates select="//CODECOE07P.HEADER"/>
        <xsl:apply-templates select="//CODECOE07P.GROUP1"/>
        <xsl:apply-templates select="//CODECOE07P.GROUP2"/>
        <xsl:apply-templates select="//CODECOE07P.GROUP3"/>
        <xsl:apply-templates select="//CODECOE07P.GROUP5"/>
        <xsl:apply-templates select="//CODECOE07P.GROUP8"/>
        CODE07P031

   </xsl:template>

   <!-- CABECERA DEL ENVIO-->
   <xsl:template match="CODECOE07P.HEADER">

        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>

   <!-- CABECERA DEL MENSAJE-->
        <!-- Segmento UNH-->
        <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        CODE07P000^<xsl:value-of select="$Nref"/>

        <!-- Segmento BGM-->
        <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
        <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        CODE07P001^<xsl:value-of select="$refMsg"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

        <!-- Segmento DTM-->
        <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        CODE07P002^<xsl:value-of select="$dataDoc"/>

        <!-- Segmento FTX-->
        <xsl:variable name="txtLibre" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

        <xsl:if test="trsd_free.text">
                CODE07P003^<xsl:value-of select="$txtLibre"/>
        </xsl:if>

   </xsl:template>

   <!-- GRUPO1-->
     <xsl:template match="CODECOE07P.GROUP1">

        <!--Segmento RFF -->
                <xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>
                <xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>

                CODE07P004<xsl:text>^</xsl:text>
                <xsl:value-of select="$refQual"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>

     </xsl:template>

   <!-- GRUPO2 -->
   <xsl:template match="CODECOE07P.GROUP2">
        <!-- Segmento TDT-->
        <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
        <xsl:variable name="codLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
        <xsl:variable name="litLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
        <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
        <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
        <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

        CODE07P005<xsl:text>^</xsl:text><xsl:value-of select="$numViaje"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$litLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>

        <!-- Segmento RFF-->
        CODE07P006^<xsl:value-of select="trcd_reference/tred_reference.number"/>

        <!-- Segmento LOC-->
        <xsl:for-each select="trcd_location.identification">

                CODE07P007<xsl:text>^</xsl:text>
                <xsl:value-of select="tred_place.location.qualifier"/>
                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.identification"/>
                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location"/>

        </xsl:for-each>

    </xsl:template>
<!-- GRUPO2 -->
   <xsl:template match="CODECOE07P.GROUP2">
        <!-- Segmento TDT-->
        <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
        <xsl:variable name="codLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
        <xsl:variable name="litLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
        <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
        <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
        <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

        CODE07P005<xsl:text>^</xsl:text><xsl:value-of select="$numViaje"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$litLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>

        <!-- Segmento RFF-->
        CODE07P006^<xsl:value-of select="trcd_reference/tred_reference.number"/>

        <!-- Segmento LOC-->
        <xsl:for-each select="trcd_location.identification">

                CODE07P007<xsl:text>^</xsl:text>
                <xsl:value-of select="tred_place.location.qualifier"/>
                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.identification"/>
                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location"/>

        </xsl:for-each>

    </xsl:template>
 <!-- GROUP3/GROUP4-->
     <xsl:template match="CODECOE07P.GROUP3">

                <!--Segmento NAD -->
                <xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
                <xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
                <xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
                <xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
                <xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
                <xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>

                CODE07P008<xsl:text>^</xsl:text><xsl:value-of select="$partyQ"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                        <xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                        </xsl:if>
                        <xsl:if test="boolean($ciudad[text()] or $pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                        </xsl:if>
                        <xsl:if test="boolean($pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                        </xsl:if>

                <!-- GROUP4-->

                        <!-- Segmento CTA-->
                        <xsl:variable name="trnsContact" select="CODECOE07P.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
                        <xsl:variable name="perContact" select="CODECOE07P.GROUP4/trsd_contact.information/tred_department.or.employee"/>

                        <xsl:if test="CODECOE07P.GROUP4/trsd_contact.information">
                                CODE07P009<xsl:text>^</xsl:text><xsl:value-of select="$trnsContact"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>
                        </xsl:if>

                        <!-- Segmento COM-->
                        <xsl:variable name="comCot" select="CODECOE07P.GROUP4/trcd_communication.contact/tred_communication.number"/>
                        <xsl:variable name="comCha" select="CODECOE07P.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>

                        <xsl:if test="CODECOE07P.GROUP4/trcd_communication.contact">
                                CODE07P010<xsl:text>^</xsl:text><xsl:value-of select="$comCot"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="$comCha"/>
                        </xsl:if>

   </xsl:template>
   <!-- /GRUPO3 -->
  <!-- GRUPO5 -->
   <xsl:template match="CODECOE07P.GROUP5">

        <!-- Segmento GID -->
        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
                <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
                <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>

                CODE07P011<xsl:text>^</xsl:text><xsl:value-of select="$numPartida"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>

        <!-- Segmento HAN -->
        <xsl:if test="trcd_handling.instructions">
                CODE07P012<xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions.coded[text()] or trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions.coded"/>
                        </xsl:if>
                        <xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions"/>
                        </xsl:if>
        </xsl:if>

        <!--Segmento FTX -->
        <xsl:variable name="txtLibre" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($txtLibre[text()])">
            CODE07P013^<xsl:value-of select="$txtLibre"/>
        </xsl:if>

        <!-- Segmento MEA -->
        <xsl:for-each select="trsd_measurements">

                CODE07P014<xsl:text>^</xsl:text><xsl:value-of select="tred_measurement.dimension.coded"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="tred_measurement.value"/>

        </xsl:for-each>

        <!-- Segmento TMP -->
        <xsl:variable name="tmpMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tmpMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="rango"  select="trcd_range/tred_measure.unit.qualifier"/>

        <xsl:if test="boolean($tmpMin[text()] or $tmpMax[text()] or $rango[text()])">
                CODE07P015<xsl:text>^</xsl:text><xsl:value-of select="$tmpMin"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$tmpMax"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$rango"/>
        </xsl:if>

        <!-- Segmento SGP -->
        <xsl:for-each select="trsd_split.goods.placement">

                CODE07P016<xsl:text>^</xsl:text><xsl:value-of select="tred_equipment.identification.number"/>
                         <xsl:if test="boolean(tred_number.of.packages[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="tred_number.of.packages"/>
                         </xsl:if>
        </xsl:for-each>

 <!-- GRUPO6-->
        <xsl:for-each select="self::CODECOE07P.GROUP5/CODECOE07P.GROUP6">
                <!--Segmento DGS -->
                <xsl:variable name="clase" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
                <xsl:variable name="numPag" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
                <xsl:variable name="numVers" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
                <xsl:variable name="numONU" select="trsd_dangerous.goods/tred_undg.number"/>
                <xsl:variable name="packCode" select="trsd_dangerous.goods/tred_packing.group.coded"/>
                <xsl:variable name="numEMS" select="trsd_dangerous.goods/tred_ems.number"/>
                <xsl:variable name="mfag" select="trsd_dangerous.goods/tred_mfag"/>
                <xsl:variable name="catTrans" select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>

                <xsl:if test="trsd_dangerous.goods">
                        CODE07P017<xsl:text>^</xsl:text>
                        <xsl:value-of select="$clase"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$numPag"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$numVers"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$numONU"/>
                        <xsl:if test="boolean($packCode[text()] or $numEMS[text()] or $mfag[text()] or $catTrans[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$packCode"/>
                        </xsl:if>
                        <xsl:if test="boolean($numEMS[text()] or $mfag[text()] or $catTrans[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$numEMS"/>
                        </xsl:if>
                        <xsl:if test="boolean($mfag[text()] or $catTrans[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$mfag"/>
                        </xsl:if>
                        <xsl:if test="boolean($catTrans[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$catTrans"/>
                        </xsl:if>
                </xsl:if>

                <!-- Segmento FTX-->
                <xsl:for-each select="trsd_free.text">
                        <xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>
                        <xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/>

                        CODE07P018<xsl:text>^</xsl:text>
                        <xsl:value-of select="$txtQual"/>
                        <xsl:if test="boolean($txtLit[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>
                        </xsl:if>
                </xsl:for-each>

        </xsl:for-each>

</xsl:template>
 <!-- /GRUPO5 -->
 <!-- GRUPO8 -->
<xsl:template match="CODECOE07P.GROUP8">

        <!-- Segmento EQD -->
        <xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
        <xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
        <xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

        CODE07P019<xsl:text>^</xsl:text>
                <xsl:value-of select="$equQual"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$equId"/>
                <xsl:if test="boolean($equType[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
                </xsl:if>

        <!-- Segmento RFF-->
        <xsl:variable name="equQual" select="trcd_reference/tred_reference.number"/>
        <xsl:if test="trcd_reference">
                CODE07P020<xsl:text>^</xsl:text><xsl:value-of select="$equQual"/>
        </xsl:if>

        <!-- Segmento TMD -->
        <xsl:variable name="movTypCo" select="trcd_movement.type/tred_movement.type.coded"/>
        <xsl:variable name="movTyp" select="trcd_movement.type/tred_movement.type"/>

        <xsl:if test="trcd_movement.type">
                CODE07P021<xsl:if test="boolean($movTypCo[text()] or $movTyp[text()])">
                         <xsl:text>^</xsl:text><xsl:value-of select="$movTypCo"/>
                 </xsl:if>
                 <xsl:if test="boolean($movTyp[text()])">
                         <xsl:text>^</xsl:text><xsl:value-of select="$movTyp"/>
                 </xsl:if>
        </xsl:if>

        <!-- Segmento MEA  -->
        <xsl:variable name="meaVal" select="trsd_measurements/tred_measurement.value"/>

        <xsl:if test="trsd_measurements">
                CODE07P022<xsl:text>^</xsl:text><xsl:value-of select="$meaVal"/>
        </xsl:if>

        <!-- Segmento DIM  -->
        <xsl:variable name="meaQual" select="trcd_dimensions/tred_measure.unit.qualifier"/>
        <xsl:variable name="meaL" select="trcd_dimensions/tred_length.dimension"/>
        <xsl:variable name="meaW" select="trcd_dimensions/tred_width.dimension"/>
        <xsl:variable name="meaH" select="trcd_dimensions/tred_height.dimension"/>

        <xsl:if test="trcd_dimensions">
                CODE07P023<xsl:text>^</xsl:text><xsl:value-of select="$meaQual"/>
                <xsl:if test="boolean($meaL[text()] or $meaW[text()] or $meaH[text()] )">
                        <xsl:text>^</xsl:text><xsl:value-of select="$meaL"/>
                </xsl:if>
                <xsl:if test="boolean($meaW[text()] or $meaH[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$meaW"/>
                </xsl:if>
                <xsl:if test="boolean($meaH[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$meaH"/>
                </xsl:if>
        </xsl:if>

        <!-- Segmento SEL  -->
        <xsl:variable name="sealN" select="trsd_seal.number/tred_seal.number"/>

        <xsl:if test="trsd_seal.number">
                CODE07P024<xsl:text>^</xsl:text><xsl:value-of select="$sealN"/>
        </xsl:if>

        <!--Segmento FTX -->
        <xsl:for-each select="trsd_free.text">
                <xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>
                        <xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/>

                CODE07P025<xsl:text>^</xsl:text>
                <xsl:value-of select="$txtQual"/>
                <xsl:if test="boolean($txtLit[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>
                </xsl:if>
        </xsl:for-each>

        <!-- Segmento EQA  -->
        <xsl:variable name="sealN" select="trsd_attached.equipment/tred_equipment.identification.number"/>

        <xsl:if test="trsd_attached.equipment">
                CODE07P026<xsl:text>^</xsl:text><xsl:value-of select="$sealN"/>
        </xsl:if>

        <!-- GRUPO9 -->
        <xsl:for-each select="self::CODECOE07P.GROUP8/CODECOE07P.GROUP9">

                <!-- Segmento DAM  -->
                CODE07P027<xsl:if test="boolean(trsd_damage/tred_type.of.damage.coded[text()] or trsd_damage/tred_type.of.damage[text()] or trsd_damage/tred_damage.area.identification[text()] or trsd_damage/tred_damage.area[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_damage/tred_type.of.damage.coded"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_damage/tred_type.of.damage[text()] or trsd_damage/tred_damage.area.identification[text()] or trsd_damage/tred_damage.area[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_damage/tred_type.of.damage"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_damage/tred_damage.area.identification[text()] or trsd_damage/tred_damage.area[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_damage/tred_damage.area.identification"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_damage/tred_damage.area[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_damage/tred_damage.area"/>
                        </xsl:if>
                <!-- Segmento COD  -->
                <xsl:if test="trsd_component.details">
                        CODE07P028<xsl:if test="boolean(trsd_component.details/tred_type.of.unit.component[text()] or trsd_component.details/tred_type.of.unit.component.coded[text()] or trsd_component.details/tred_component.material.coded[text()] or trsd_component.details/tred_component.material[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="trsd_component.details/tred_type.of.unit.component.coded"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_component.details/tred_type.of.unit.component[text()] or trsd_component.details/tred_component.material.coded[text()] or trsd_component.details/tred_component.material[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="trsd_component.details/tred_type.of.unit.component"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_component.details/tred_component.material.coded[text()] or trsd_component.details/tred_component.material[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="trsd_component.details/tred_component.material.coded"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_component.details/tred_component.material[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="trsd_component.details/tred_component.material"/>
                        </xsl:if>
                </xsl:if>

        </xsl:for-each>

        <!-- GRUPO10 -->
        <xsl:for-each select="self::CODECOE07P.GROUP8/CODECOE07P.GROUP10">

                <!-- Segmento TDT  -->
                CODE07P029<xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/tred_conveyance.reference.number"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport.identification"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
                         <xsl:if test="boolean(trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
                         </xsl:if>

                <!-- Segmento DTM  -->
                CODE07P030<xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>

        </xsl:for-each>

</xsl:template>
</xsl:stylesheet>