<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_CODECOE07I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:apply-templates select="//CODECOE07.HEADER"/>
		<xsl:call-template name="CODECOE07"/>
		<xsl:apply-templates select="//CODECOE07.GROUP2"/>
		<xsl:call-template name="GROUP3"/>
	</xsl:template>
	<xsl:template match="CODECOE07.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<!-- variable que puede ser opcional -->
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_interchange.header/anxe_application.reference"/>
		
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">-</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_TXT_INFO_ADICIONAL"/>
		<xsl:if test="boolean(string-length($CAB_TXT_INFO_ADICIONAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="CODECOE07">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//CODECOE07/CODECOE07.GROUP1">
			<xsl:variable name="NUM" select="trcd_reference/tred_reference.number"/>
			<!-- Formato de variables y orden -->
	    	   <xsl:value-of select="$NUM"/>
				<xsl:value-of select="$separadorColum"/>
		 </xsl:for-each>
		 <xsl:if test="boolean(count(//CODECOE07/CODECOE07.GROUP1)=3)">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
		 </xsl:if>
	</xsl:template>
	<xsl:template match="CODECOE07.GROUP2">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="REF_VON_NUM_REF" select="trcd_reference/tred_reference.number"/>
		
		
		<xsl:variable name="TRANS_CODIGO_MUELLE" select="trcd_location.identification[1]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_DESC_MUELLE" select="trcd_location.identification[1]/tred_place.location"/>
		<xsl:variable name="TRANS_QUALIFIER_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location.qualifier"/>
		<xsl:variable name="TRANS_CODIGO_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_NOMBRE_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location"/>
		<xsl:variable name="TRANS_CODIGO_PUERTO" select="trcd_location.identification[3]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_NOMBRE_PUERTO" select="trcd_location.identification[3]/tred_place.location"/>
		
		
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_NOM_LINEA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_VON_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_VON_NUM_REF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_CODIGO_MUELLE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_DESC_MUELLE"/>
		<xsl:value-of select="$separadorColum"/>
	
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_CODIGO_TRANSBORDO)>0)">
				<xsl:choose>
	  				<xsl:when test="contains($TRANS_QUALIFIER_TRANSBORDO,'13')">
	    					<xsl:value-of select="$TRANS_CODIGO_TRANSBORDO"/>
	    					<xsl:value-of select="$separadorColum"/>
					        <xsl:value-of select="$TRANS_NOMBRE_TRANSBORDO"/>
						<xsl:if test="boolean(string-length($TRANS_NOMBRE_TRANSBORDO)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						
						<xsl:choose>
							<xsl:when test="boolean(string-length($TRANS_CODIGO_PUERTO)>0)">
								<xsl:value-of select="$TRANS_CODIGO_PUERTO"/>
								<xsl:if test="boolean(string-length($TRANS_CODIGO_PUERTO)=0)">
									<xsl:value-of select="$nullCharacter"/>
							       </xsl:if>
							      <xsl:value-of select="$separadorColum"/>
					                   <xsl:value-of select="$TRANS_NOMBRE_PUERTO"/>
						            <xsl:if test="boolean(string-length($TRANS_NOMBRE_PUERTO)=0)">
							           		<xsl:value-of select="$nullCharacter"/>
						    		</xsl:if>
						    	      <xsl:value-of select="$separadorColum"/>
							</xsl:when>
							<xsl:otherwise>
											<xsl:value-of select="$nullCharacter"/>
					    						<xsl:value-of select="$separadorColum"/>
					    						<xsl:value-of select="$nullCharacter"/>
					    						<xsl:value-of select="$separadorColum"/>
							</xsl:otherwise>
					</xsl:choose>
  				</xsl:when>
  				<xsl:otherwise>
	    				     <xsl:if test="boolean(contains($TRANS_QUALIFIER_TRANSBORDO,'8'))">		
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						
	    						<xsl:value-of select="$TRANS_CODIGO_TRANSBORDO"/>
	    						<xsl:value-of select="$separadorColum"/>
					        	<xsl:value-of select="$TRANS_NOMBRE_TRANSBORDO"/>
							<xsl:if test="boolean(string-length($TRANS_NOMBRE_TRANSBORDO)=0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
							<xsl:value-of select="$separadorColum"/>
	    				     </xsl:if>	
	  				</xsl:otherwise>
				</xsl:choose>
		</xsl:when>
			<xsl:otherwise>
							<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
					    		<xsl:value-of select="$separadorColum"/>
					    		<xsl:value-of select="$nullCharacter"/>
					    		<xsl:value-of select="$separadorColum"/>

			</xsl:otherwise>
           </xsl:choose>
   
	
	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="grupo" select="//CODECOE07.GROUP3/trsd_name.and.address"/>
		<xsl:for-each select="//CODECOE07.GROUP3/trsd_name.and.address">
		<xsl:variable name="codigo" select="tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="boolean(contains($codigo,'CN'))">
					<xsl:call-template name="CN"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GA'))">
						<xsl:call-template name="RC"/>
						<xsl:call-template name="GRUPO4"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GT'))">
						<xsl:call-template name="RC"/>
						<xsl:call-template name="GRUPO4"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CR'))">
						<xsl:call-template name="CR"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'ST'))">
						<xsl:call-template name="ST"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		 <xsl:if test="boolean(count($grupo)=3)">
		   <xsl:call-template name="ST"/>
		 </xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
	<xsl:template name="CN">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CN_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CN_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CN_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CN_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF"/>
		<xsl:if test="boolean(string-length($NAD_CN_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CN_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CN_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CN_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CR">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CR_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CR_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CR_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CR_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CR_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CR_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CR_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CR_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CR_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="ST">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_ST_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_ST_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_ST_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_ST_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_ST_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_ST_NIF"/>
		<xsl:if test="boolean(string-length($NAD_ST_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_ST_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_ST_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_ST_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_ST_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_ST_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_ST_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_ST_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_ST_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="GRUPO4">
	<!-- //CODECOE07.GROUP4 -->
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF_CONTACTO" select="//CODECOE07/CODECOE07.GROUP3/CODECOE07.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
		<xsl:variable name="NAD_RC_PERSONA" select="//CODECOE07/CODECOE07.GROUP3/CODECOE07.GROUP4/trsd_contact.information/tred_department.or.employee"/>
		<xsl:variable name="NAD_RC_NUMERO" select="//CODECOE07/CODECOE07.GROUP3/CODECOE07.GROUP4/trcd_communication.contact/tred_communication.number"/>
		<xsl:variable name="NAD_RC_CANAL" select="//CODECOE07/CODECOE07.GROUP3/CODECOE07.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF_CONTACTO"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF_CONTACTO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PERSONA"/>
		<xsl:if test="boolean(string-length($NAD_RC_PERSONA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NUMERO"/>
		<xsl:if test="boolean(string-length($NAD_RC_NUMERO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CANAL"/>
		<xsl:if test="boolean(string-length($NAD_RC_CANAL)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="RC">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_RC_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_RC_CALIFICADOR" select="tred_party.qualifier"/>
		<xsl:variable name="NAD_RC_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_RC_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_RC_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALIFICADOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_RC_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_RC_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
</xsl:stylesheet>
