<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GRUPO8"/>
	</xsl:template>
	<xsl:template name="GROUP1">
		<xsl:for-each select="//CODECOE07.GROUP1/trcd_reference">
		   <xsl:if test="contains(tred_reference.qualifier,'ER')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR"	select="//CODECOE07.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_ID_MENSAJE"	select="//CODECOE07.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="/CODECOE07/CODECOE07.GROUP8">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
				<xsl:call-template name="CODECOE07.GROUP10">
				   <xsl:with-param name="EMISOR" select="$EMISOR"/>
				   <xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
					<xsl:with-param name="EQUI_MATRICULA" select="$EQUI_MATRICULA"/>
				</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CODECOE07.GROUP10">
	   <xsl:param name="EMISOR"/>
	   <xsl:param name="CAB_ID_MENSAJE"/>
	   <xsl:param name="EQUI_MATRICULA"/>
	   <xsl:for-each select="CODECOE07.GROUP10">
	       <xsl:variable name="NUM_REF_TRANS" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
	       <xsl:variable name="MODO_TRANS" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
	       <xsl:variable name="CODIGO_MEDIO_TRANS" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport.identification"/>
	       <xsl:variable name="DESCRIPCION_MEDIO_TRANS" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport"/>
	       <xsl:variable name="NIF_TRANSPORTISTA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
	       <xsl:variable name="NOMBRE_TRANSPORTISTA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
	       <xsl:variable name="ID_MEDIO_TRANS" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
	       <xsl:variable name="FECHA_LLEGADA_TRANS" select="trcd_date.time.period/tred_date.time.period"/>
	       
  				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
  				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="GROUP1"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NUM_REF_TRANS"/>
				<xsl:if test="boolean(string-length($NUM_REF_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MODO_TRANS"/>
				<xsl:if test="boolean(string-length($MODO_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CODIGO_MEDIO_TRANS"/>
				<xsl:if test="boolean(string-length($CODIGO_MEDIO_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$DESCRIPCION_MEDIO_TRANS"/>
				<xsl:if test="boolean(string-length($DESCRIPCION_MEDIO_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NIF_TRANSPORTISTA"/>
				<xsl:if test="boolean(string-length($NIF_TRANSPORTISTA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NOMBRE_TRANSPORTISTA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ID_MEDIO_TRANS"/>
				<xsl:if test="boolean(string-length($ID_MEDIO_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$FECHA_LLEGADA_TRANS"/>
				</xsl:call-template>
				<xsl:value-of select="$saltoLinea"/>
	   </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
