<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GRUPO8"/>
	</xsl:template>
	<xsl:template name="GRUPO8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR"	select="//CODECOE07.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_ID_MENSAJE"	select="//CODECOE07.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="REF_ER_NUM_REF" select="//CODECOE07.GROUP1/trcd_reference[1]/tred_reference.number" />
		<xsl:for-each select="/CODECOE07/CODECOE07.GROUP8">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_MOV_COD" select="trcd_movement.type/tred_movement.type.coded"/>
			<xsl:variable name="EQUI_MOV" select="trcd_movement.type/tred_movement.type"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
<!--			<xsl:variable name="EQUI_TEMPERATURA" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="EQUI_OBSERVACIONES" select="trsd_free.text [1]/trcd_text.literal/tred_free.text"/>-->
			
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_ER_NUM_REF"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MOV_COD"/>
				<xsl:if test="boolean(string-length($EQUI_MOV_COD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MOV"/>
				<xsl:if test="boolean(string-length($EQUI_MOV) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="contains(trsd_free.text[2]/tred_text.subject.qualifier[1],'AEB')">
						<xsl:value-of select="trsd_free.text[2]/trcd_text.literal/tred_free.text[1]"/>
						<xsl:if test="boolean(string-length(trsd_free.text[2]/trcd_text.literal/tred_free.text[1]) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
					   <xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i">1</xsl:with-param>
					<xsl:with-param name="count">4</xsl:with-param>
				</xsl:call-template>								
				<xsl:choose>
					<xsl:when test="contains(trsd_free.text/tred_text.subject.qualifier,'BLR')">
						<xsl:value-of select="trsd_free.text/trcd_text.literal/tred_free.text"/>
						<xsl:if test="boolean(string-length(trsd_free.text/trcd_text.literal/tred_free.text) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
					   <xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios2">
					<xsl:with-param name="i">1</xsl:with-param>
					<xsl:with-param name="count">4</xsl:with-param>
				</xsl:call-template>								
				<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
