<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GRUPO8"/>
	</xsl:template>
	<xsl:template name="GRUPO8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR"	select="//CODECOE07.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_ID_MENSAJE"	select="//CODECOE07.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="REF_ER_NUM_REF" select="//CODECOE07.GROUP1/trcd_reference[1]/tred_reference.number" />
		<xsl:for-each select="/CODECOE07/CODECOE07.GROUP8">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
				<xsl:call-template name="CODECOE07.GROUP9">
				   <xsl:with-param name="EMISOR" select="$EMISOR"/>
				   <xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
				   <xsl:with-param name="REF_ER_NUM_REF" select="$REF_ER_NUM_REF"/>
					<xsl:with-param name="EQUI_MATRICULA" select="$EQUI_MATRICULA"/>
				</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CODECOE07.GROUP9">
	   <xsl:param name="EMISOR"/>
	   <xsl:param name="CAB_ID_MENSAJE"/>
	   <xsl:param name="REF_ER_NUM_REF"/>
	   <xsl:param name="EQUI_MATRICULA"/>
	   <xsl:for-each select="CODECOE07.GROUP9">
	       <xsl:variable name="CODIGO_DANYO" select="trsd_damage/tred_type.of.damage.coded"/>
	       <xsl:variable name="TIPO_DANYO" select="trsd_damage/tred_type.of.damage"/>
	       <xsl:variable name="CODIGO_AREA_DANYO" select="trsd_damage/tred_damage.area.identification"/>
	       <xsl:variable name="AREA_DANYO" select="trsd_damage/tred_damage.area"/>
	       <xsl:variable name="CODIGO_TIPO_UNIDAD" select="trsd_component.details/tred_type.of.unit.component.coded"/>
	       <xsl:variable name="TIPO_UNIDAD" select="trsd_component.details/tred_type.of.unit.component"/>
	       <xsl:variable name="CODIGO_MATERIAL" select="trsd_component.details/tred_component.material.coded"/>
	       <xsl:variable name="MATERIAL" select="trsd_component.details/tred_component.material"/>
	       
  				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
  				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_ER_NUM_REF"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CODIGO_DANYO"/>
				<xsl:if test="boolean(string-length($CODIGO_DANYO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$TIPO_DANYO"/>
				<xsl:if test="boolean(string-length($TIPO_DANYO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CODIGO_AREA_DANYO"/>
				<xsl:if test="boolean(string-length($CODIGO_AREA_DANYO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$AREA_DANYO"/>
				<xsl:if test="boolean(string-length($AREA_DANYO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CODIGO_TIPO_UNIDAD"/>
				<xsl:if test="boolean(string-length($CODIGO_TIPO_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$TIPO_UNIDAD"/>
				<xsl:if test="boolean(string-length($TIPO_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CODIGO_MATERIAL"/>
				<xsl:if test="boolean(string-length($CODIGO_MATERIAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MATERIAL"/>
				<xsl:if test="boolean(string-length($MATERIAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
	   </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
