<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:param name="REF_ER">**</xsl:param>
	<xsl:template match="/">
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
	<xsl:template name="GROUP1">
		<xsl:for-each select="//CODECOI08.GROUP1/trcd_reference">
		   <xsl:if test="contains(tred_reference.qualifier,'ER')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP5">
	<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//CODECOI08.GROUP5">
			<xsl:variable name="EMISOR"	select="//CODECOI08.HEADER/anxs_interchange.header/anxe_sender.identification"/>
			<xsl:variable name="CAB_ID_MENSAJE"	select="//CODECOI08.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MANIP"	select="trcd_handling.instructions/tred_handling.instructions"/>
			<xsl:variable name="PAR_TMP_MIN"	select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL"	select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TXT_TEXTO_LIBRE" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_PESO_BRUTO"	select="trsd_measurements[1]/tred_measurement.value"/>
			<xsl:variable name="PAR_PESO_NETO"	select="trsd_measurements[2]/tred_measurement.value"/>
	
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="GROUP1"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_BULTOS"/>
			<xsl:if test="boolean(string-length($PAR_NUM_BULTOS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
			<xsl:if test="boolean(string-length($PAR_TIPO_EMBALAJE) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP_COD"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP_COD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MIN"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TXT_TEXTO_LIBRE"/>
			<xsl:if test="boolean(string-length($PAR_TXT_TEXTO_LIBRE) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/> 
			</xsl:call-template>
			<xsl:value-of select="$PAR_PESO_BRUTO"/>
			<xsl:if test="boolean(string-length($PAR_PESO_BRUTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_PESO_NETO"/>
			<xsl:if test="boolean(string-length($PAR_PESO_NETO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
 	</xsl:template>
</xsl:stylesheet>
