<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!-- _____________________ mensaje_CODECOI09 _____________________________ -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//CODECOI09.HEADER"/>
		<xsl:apply-templates select="//CODECOI09.GROUP1"/>
		<xsl:apply-templates select="//CODECOI09.GROUP3"/>
		<xsl:apply-templates select="//CODECOI09.GROUP8"/>
		<!-- FIN DEL MENSAJE-->
        CODI09013

   </xsl:template>
	<!-- CABECERA DEL MENSAJE-->
	<xsl:template match="CODECOI09.HEADER">
		<!-- Cabecera del envio-->
		<xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$recipient"/>
		<!-- Segmento UNH-->
		<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        CODI09000^<xsl:value-of select="$Nref"/>
		<!-- Segmento BGM-->
		<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        CODI09001^<xsl:value-of select="$refMsg"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$funMsg"/>
		<!-- Segmento DTM-->
		<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        CODI09002^<xsl:value-of select="$dataDoc"/>
    <!-- Segmento FTX-->
        <xsl:for-each select="trsd_free.text">
        <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
        <xsl:variable name="txtLibre" select="trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($txtLibre[text()] or $txtQal[text()])">
                <xsl:if test="boolean($txtLibre[text()])">
                CODI09003^<xsl:value-of select="$txtQal"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                </xsl:if>
        </xsl:if>
        </xsl:for-each>
	</xsl:template>
	<!-- GRUPO1-->
	<xsl:template match="CODECOI09.GROUP1">
		<!--Segmento RFF -->
		<xsl:for-each select="trcd_reference">
			<xsl:variable name="refQual" select="tred_reference.qualifier"/>
			<xsl:variable name="refNum" select="tred_reference.number"/>

                CODI09004<xsl:text>^</xsl:text>
			<xsl:value-of select="$refQual"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$refNum"/>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO3 -->
	<xsl:template match="CODECOI09.GROUP3">
		<!-- Segmento NAD-->
		<xsl:variable name="nameAddress" select="trsd_name.and.address/tred_name.and.address.line"/>
		<xsl:variable name="streetAddress" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
		<xsl:variable name="city" select="trsd_name.and.address/tred_city.name"/>
		<xsl:variable name="country" select="trsd_name.and.address/tred_country.coded"/>

        CODI09005<xsl:text>^</xsl:text>
		<xsl:value-of select="trsd_name.and.address/tred_party.qualifier"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="trsd_name.and.address/tred_party.id.identification"/>
		<xsl:if test="boolean($nameAddress[text()] or $streetAddress[text()] or $city[text()] or $country[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$nameAddress"/>
		</xsl:if>
		<xsl:if test="boolean($streetAddress[text()] or $city[text()] or $country[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$streetAddress"/>
		</xsl:if>
		<xsl:if test="boolean($city[text()] or $country[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$city"/>
		</xsl:if>
		<xsl:if test="boolean($country[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$country"/>
		</xsl:if>
		<!-- GRUPO4 -->
		<!-- Segmento CTA-->
		<xsl:if test="CODECOI09.GROUP4/trsd_contact.information">
			<xsl:variable name="funCod" select="CODECOI09.GROUP4/trsd_contact.information/tred_contact.function.coded"/>
			<xsl:variable name="idDep" select="CODECOI09.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
			<xsl:variable name="depEmp" select="CODECOI09.GROUP4/trsd_contact.information/tred_department.or.employee"/>

                CODI09006<xsl:text>^</xsl:text>
			<xsl:value-of select="$funCod"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$idDep"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$depEmp"/>
		</xsl:if>
		<!-- Segmento COM-->
		<xsl:if test="CODECOI09.GROUP4/trcd_communication.contact">
                CODI09007<xsl:text>^</xsl:text>
			<xsl:value-of select="CODECOI09.GROUP4/trcd_communication.contact/tred_communication.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="CODECOI09.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>
		</xsl:if>
	</xsl:template>
	<!-- GRUPO8 -->
	<xsl:template match="CODECOI09.GROUP8">
		<!-- Segmento EQD -->
		<xsl:variable name="calEquip" select="trsd_equipment.details/tred_equipment.qualifier"/>
		<xsl:variable name="idEquip" select="trsd_equipment.details/tred_equipment.identification.number"/>
		<xsl:variable name="tipo" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

        CODI09008<xsl:text>^</xsl:text>
		<xsl:value-of select="$calEquip"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$idEquip"/>
		<xsl:if test="boolean($tipo[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$tipo"/>
		</xsl:if>
		<!-- Segmento RFF -->
		<xsl:if test="trcd_reference">
                CODI09009^<xsl:value-of select="trcd_reference/tred_reference.number"/>
		</xsl:if>
		<!-- GRUPO 9 -->
		<xsl:for-each select="self::CODECOI09.GROUP8/CODECOI09.GROUP9">
			<!-- Segmento DAM -->
			<xsl:variable name="calDam" select="trsd_damage/tred_damage.details.qualifier"/>
                CODI09010<xsl:text>^</xsl:text>
			<xsl:value-of select="$calDam"/>
		</xsl:for-each>
		<!-- /GRUPO 9 -->
		<!-- GRUPO 10 -->
		<xsl:for-each select="self::CODECOI09.GROUP8/CODECOI09.GROUP10">
			<!-- Segmento TDT -->

			<xsl:variable name="stQual" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
			<xsl:variable name="refNum" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
			<xsl:variable name="trnsTerr" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
			<xsl:variable name="meansTrns" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport.identification"/>
			<xsl:variable name="transportId" select="trsd_details.of.transport/trcd_transport.means/tred_type.of.means.of.transport"/>
			<xsl:variable name="carrierId" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
			<xsl:variable name="carrierName" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
			<xsl:variable name="matricula" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
			<xsl:variable name="nombreCamion" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
			<xsl:choose>
				<xsl:when test="boolean($stQual[text()])">
                	CODI09011<xsl:text>^</xsl:text>
					<xsl:value-of select="$stQual"/>
					<xsl:text>^</xsl:text>
					<xsl:value-of select="$trnsTerr"/>
				</xsl:when>
				<xsl:otherwise>
                	CODI09011<xsl:text>^^</xsl:text>
					<xsl:value-of select="$trnsTerr"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text>^</xsl:text>
			<xsl:if test="boolean($carrierId[text()]) ">
				<xsl:value-of select="$carrierId"/>
			</xsl:if>
			<xsl:text>^</xsl:text>
			<xsl:if test="boolean($carrierName[text()]) ">
				<xsl:value-of select="$carrierName"/>
			</xsl:if>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$matricula"/>

			<!-- Segmento DTM -->
                CODI09012^<xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>
		</xsl:for-each>
		<!-- /GRUPO 10 -->
	</xsl:template>
	<!-- /GRUPO8 -->
</xsl:stylesheet>
