<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_COEDORE __________________________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  

	<xsl:apply-templates select="//COEDORE.HEADER"/>
	<xsl:apply-templates select="//COEDORE.GROUP3"/>				
	<xsl:apply-templates select="//COEDORE.GROUP4"/>
	
	<!-- FIN DEL MENSAJE-->
	COEDOR013

   </xsl:template>    
   
   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="COEDORE.HEADER">
   
        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>   
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
        
	ENV001^<xsl:value-of select="$sender"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>    
   	
   	<!-- Segmento UNH-->
   	<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>   
   	        
	COEDOR000^<xsl:value-of select="$Nref"/>
   	   	
   	<!-- Segmento BGM-->
   	<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>   
	<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>   

	COEDOR001^<xsl:value-of select="$refMsg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>
	
	<!-- Segmento DTM-->
	<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>   

	COEDOR002^<xsl:value-of select="$dataDoc"/>
	
	<!-- Segmento FTX-->
	<xsl:variable name="txtLit" select="trsd_free.text/trcd_text.literal/tred_free.text"/> 
	<xsl:if test="boolean($txtLit[text()])">	  
   		COEDOR003<xsl:text>^</xsl:text>
   		<xsl:value-of select="$txtLit"/>
   	</xsl:if>
   	
   </xsl:template>
   
   <!-- GRUPO3 -->
   <xsl:template match="COEDORE.GROUP3">
	<!-- Segmento NAD-->
	<xsl:for-each select="self::COEDORE.GROUP3"> 
		COEDOR004<xsl:text>^</xsl:text>
		<xsl:value-of select="trsd_name.and.address/tred_party.qualifier"/>
		<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_name.and.address.line"/>
		       
	</xsl:for-each>
   </xsl:template> 
   
   <!-- GRUPO4 -->
   <xsl:template match="COEDORE.GROUP4">     
   	<xsl:for-each select="self::COEDORE.GROUP4">	
   		
		<!-- Segmento EQD -->
		<xsl:variable name="calEquip" select="trsd_equipment.details/tred_equipment.qualifier"/>
		<xsl:variable name="idEquip" select="trsd_equipment.details/tred_equipment.identification.number"/>
		<xsl:variable name="tipo" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
		
		COEDOR005<xsl:text>^</xsl:text>
		<xsl:value-of select="$calEquip"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$idEquip"/>
		<xsl:if test="boolean($tipo[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="$tipo"/>
		</xsl:if>
					   	   
	   	<!-- Segmento RFF --> 
		COEDOR006^<xsl:value-of select="trcd_reference/tred_reference.number"/>
		
		<!-- Segmento DTM -->
		<xsl:variable name="dataDoc2" select="trcd_date.time.period/tred_date.time.period"/>   
		
		<xsl:if test="boolean($dataDoc2[text()])">	  
   			COEDOR007^<xsl:value-of select="$dataDoc2"/>
   		</xsl:if>
   		
   		<!-- Segmento LOC -->
   		<xsl:for-each select="trcd_location.identification"> 
			<xsl:variable name="locId" select="tred_place.location.identification"/>   
			
   			COEDOR008<xsl:text>^</xsl:text><xsl:value-of select="$locId"/>
			
		</xsl:for-each>	
		
		<!-- Segmento COD -->
		<xsl:variable name="unidadCod1" select="trsd_component.details/tred_type.of.unit.component.coded"/>
		<xsl:variable name="unidad1" select="trsd_component.details/tred_type.of.unit.component"/>
		<xsl:variable name="materialCod1" select="trsd_component.details/tred_component.material.coded"/>
		<xsl:variable name="material1" select="trsd_component.details/tred_component.material"/>
			
		<xsl:if test="boolean($material1[text()] or $materialCod1[text()] or $unidad1[text()] or $unidadCod1[text()])">
			COEDOR009<xsl:text>^</xsl:text><xsl:value-of select="$unidadCod1"/>
			<xsl:if test="boolean($material1[text()] or $materialCod1[text()] or $unidad1[text()])">
				<xsl:text>^</xsl:text><xsl:value-of select="$unidad1"/>
			</xsl:if>			
			<xsl:if test="boolean($material1[text()] or $materialCod1[text()])">
				<xsl:text>^</xsl:text><xsl:value-of select="$materialCod1"/>
			</xsl:if>			
			<xsl:if test="boolean($material1[text()])">
				<xsl:text>^</xsl:text><xsl:value-of select="$material1"/>
			</xsl:if>
		</xsl:if>	
			   	
	   	<!-- GRUPO 5 -->
		<xsl:for-each select="self::COEDORE.GROUP4/COEDORE.GROUP5"> 
			<!-- Segmento DAM -->
			<xsl:variable name="peligroCod" select="trsd_damage/tred_type.of.damage.coded"/>
			<xsl:variable name="peligro" select="trsd_damage/tred_type.of.damage"/>
			<xsl:variable name="danyoCod" select="trsd_damage/tred_damage.area.identification"/>
			<xsl:variable name="danyo" select="trsd_damage/tred_damage.area"/>
			COEDOR010
			<xsl:if test="boolean($danyo[text()] or $danyoCod[text()] or $peligro[text()] or $peligroCod[text()])">
				<xsl:text>^</xsl:text><xsl:value-of select="$peligroCod"/>
				<xsl:if test="boolean($danyo[text()] or $danyoCod[text()] or $peligro[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$peligro"/>
				</xsl:if>			
				<xsl:if test="boolean($danyo[text()] or $danyoCod[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$danyoCod"/>
				</xsl:if>			
				<xsl:if test="boolean($danyo[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$danyo"/>
				</xsl:if>
			</xsl:if>		
			
			<!-- Segmento COD -->
			<xsl:variable name="unidadCod" select="trsd_component.details/tred_type.of.unit.component.coded"/>
			<xsl:variable name="unidad" select="trsd_component.details/tred_type.of.unit.component"/>
			<xsl:variable name="materialCod" select="trsd_component.details/tred_component.material.coded"/>
			<xsl:variable name="material" select="trsd_component.details/tred_component.material"/>
			
			<xsl:if test="boolean($material[text()] or $materialCod[text()] or $unidad[text()] or $unidadCod[text()])">
				COEDOR011<xsl:text>^</xsl:text><xsl:value-of select="$unidadCod"/>
				<xsl:if test="boolean($material[text()] or $materialCod[text()] or $unidad[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$unidad"/>
				</xsl:if>			
				<xsl:if test="boolean($material[text()] or $materialCod[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$materialCod"/>
				</xsl:if>			
				<xsl:if test="boolean($material[text()])">
					<xsl:text>^</xsl:text><xsl:value-of select="$material"/>
				</xsl:if>
			</xsl:if>			
		</xsl:for-each>
		<!-- /GRUPO 5 -->		
		
		<!-- GRUPO 6 -->
		<!-- Segmento TDT --> 
		<xsl:variable name="trnsTerr" select="COEDORE.GROUP6/trsd_details.of.transport/tred_mode.of.transport.coded"/>
		<xsl:variable name="carrierId" select="COEDORE.GROUP6/trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>		
		<xsl:variable name="trnsName" select="COEDORE.GROUP6/trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="mtID" select="COEDORE.GROUP6/trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
			
		<xsl:if test="boolean($trnsTerr[text()] or $carrierId[text()] or $trnsName[text()] or $mtID[text()])">
				
			COEDOR012
			<xsl:text>^</xsl:text><xsl:value-of select="$trnsTerr"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$carrierId"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$trnsName"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$mtID"/>   	   	    	    	    	
			
		</xsl:if>
			
			
		<!-- /GRUPO 6 -->
						
	<!-- ENF FOR-EACH DEL GRUPO4 -->
	</xsl:for-each>
   </xsl:template>
   <!-- /GRUPO4 -->       
</xsl:stylesheet>   