<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_COPARNE01 __________________________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  
	<xsl:apply-templates select="//COPARNE01.HEADER"/>
	<xsl:apply-templates select="//COPARNE01.GROUP1"/>
	<xsl:apply-templates select="//COPARNE01.GROUP2"/>
	<xsl:apply-templates select="//COPARNE01.GROUP3"/>
	<xsl:apply-templates select="//COPARNE01.GROUP9"/>				
	
 	<!-- FIN DEL MENSAJE-->
 	COPE01012

   </xsl:template>    
    
   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="COPARNE01.HEADER">
   
	<!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>   
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
        
	ENV001<xsl:text>^</xsl:text>
	<xsl:value-of select="$sender"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>    
   	
   	<!-- Segmento UNH-->
   	<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>   
   	        
	COPE01000^<xsl:value-of select="$Nref"/>
   	   	
   	<!-- Segmento BGM-->
   	<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>   
	<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>   

	COPE01001<xsl:text>^</xsl:text>
	<xsl:value-of select="$refMsg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>
	
	<!-- Segmento DTM-->
	<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>   

	COPE01002^<xsl:value-of select="$dataDoc"/>

	<!-- Segmento FTX-->
   	<xsl:for-each select="trsd_free.text"> 
   		<xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>   
		<xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/> 
		<xsl:if test="boolean($txtLit[text()])">
   		COPE01003<xsl:text>^</xsl:text>
   		<xsl:value-of select="$txtQual"/>
   		<xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>
		</xsl:if>
   	</xsl:for-each>

   </xsl:template> 
   <!-- /CABECERA DEL MENSAJE-->
   
   <!-- GRUPO1 -->
     <xsl:template match="COPARNE01.GROUP1">     
	
		<!--Segmento RFF -->

		<xsl:for-each select="trcd_reference"> 
	
			<xsl:variable name="refQual" select="tred_reference.qualifier"/>   
			<xsl:variable name="refNum" select="tred_reference.number"/>   
		
			COPE01004<xsl:text>^</xsl:text>
			<xsl:value-of select="$refQual"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>
		
		</xsl:for-each>
		<!--Segmento DTM -->
		<xsl:for-each select="trcd_date.time.period">
			<xsl:variable name="Qualperiod" select="tred_date.time.period.qualifier"/>   
			<xsl:variable name="period" select="tred_date.time.period"/>   

			<xsl:if test="boolean($Qualperiod[text()] or $period[text()])">
			COPE01005<xsl:text>^</xsl:text><xsl:value-of select="$Qualperiod"/>
			</xsl:if>
			<xsl:if test="boolean($period[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="$period"/>
			</xsl:if>
		</xsl:for-each>
	
	
     </xsl:template>
     
   <!-- /GRUPO1-->

 <!-- GRUPO2 -->
     <xsl:template match="COPARNE01.GROUP2">     
	
		<!-- Segmento TDT-->
		<xsl:variable name="transQual" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
		<xsl:variable name="refNum" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
		<xsl:variable name="codLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="litLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		

		COPE01006^<xsl:value-of select="$transQual"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$litLinea"/>
		
		
     </xsl:template>
 
 <!-- /GRUPO2-->

   <!-- GRUPO3 -->
     <xsl:template match="COPARNE01.GROUP3">     
	
	<xsl:for-each select="self::COPARNE01.GROUP3"> 
		<!--Segmento NAD -->
		<xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
		<xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
		<xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
		<xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
		<xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
		<xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>
		
		COPE01007<xsl:text>^</xsl:text>
		<xsl:value-of select="$partyQ"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
		<xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">	
			<xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
		</xsl:if>			
		<xsl:if test="boolean($ciudad[text()] or $pais[text()])">
	       		<xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
		</xsl:if>
		<xsl:if test="boolean($pais[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
		</xsl:if>    
		
		
 	</xsl:for-each>
   
   </xsl:template>
   
   <!-- /GRUPO3-->
   
   <!-- GRUPO 9 -->
    <xsl:template match="COPARNE01.GROUP9">     
   
      <xsl:for-each select="self::COPARNE01.GROUP9">	
   	
   	<!-- Segmento EQD -->
   	<xsl:variable name="eqCal" select="trsd_equipment.details/tred_equipment.qualifier"/>   	
	<xsl:variable name="eqID" select="trsd_equipment.details/tred_equipment.identification.number"/>   	
	<xsl:variable name="eqType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>   	
						
	COPE01008<xsl:text>^</xsl:text>
	<xsl:value-of select="$eqCal"/>
	<xsl:if test="boolean($eqID[text()] or $eqType[text()])">
	<xsl:text>^</xsl:text><xsl:value-of select="$eqID"/>
	</xsl:if>
	<xsl:if test="boolean($eqType[text()])">
   	<xsl:text>^</xsl:text><xsl:value-of select="$eqType"/>
   	</xsl:if> 
   	
   	<!-- Segmento RFF -->
	
   	<xsl:variable name="numCont" select="trcd_reference/tred_reference.number"/> 
	
	<xsl:if test="boolean($numCont[text()])">
		COPE01009<xsl:text>^</xsl:text><xsl:value-of select="$numCont"/>
	</xsl:if>
	   	
   	<!-- Segmento SEL -->
	
   	<xsl:variable name="sealNum" select="trsd_seal.number/tred_seal.number"/> 
	
	<xsl:if test="boolean($sealNum[text()])">
		COPE01010<xsl:text>^</xsl:text><xsl:value-of select="$sealNum"/>
	</xsl:if>
	
	<!-- Segmento FTX -->
	
	<xsl:variable name="infGen" select="trsd_free.text/trcd_text.literal/tred_free.text"/> 
	
	<xsl:if test="boolean($infGen[text()])">
		COPE01011<xsl:text>^</xsl:text><xsl:value-of select="$infGen"/>
	</xsl:if>
	
     </xsl:for-each>
   
   </xsl:template>
   
   <!-- /GRUPO9-->
          
  </xsl:stylesheet> 
   