<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COPARNE01.HEADER"/>
		<xsl:call-template name="COPARNE01.GROUP1"/>
		<xsl:apply-templates select="//COPARNE01.GROUP2"/>
		<xsl:call-template name="GROUP3"/>
		<!-- 		<xsl:apply-templates select="//COPARNE01.GROUP9"/> -->
	</xsl:template>
	<xsl:template match="COPARNE01.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<!-- <xsl:variable name="FECHA_EMISION" select="date()"/>-->
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL_CAMBIOS" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="textos"/>
	</xsl:template>
	<xsl:template name="textos">
		<xsl:for-each select="/COPARNE01/COPARNE01.HEADER/trsd_free.text">
			<xsl:variable name="CALIF" select="tred_text.subject.qualifier"/>
				<xsl:if test="boolean(contains($CALIF,'ACB')) or boolean(contains($CALIF,'CHG'))">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:if>
		</xsl:for-each>
		<xsl:variable name="PRIMERCAL" select="/COPARNE01/COPARNE01.HEADER/trsd_free.text[1]/tred_text.subject.qualifier"/>
		<xsl:variable name="SEGUNDOCAL" select="/COPARNE01/COPARNE01.HEADER/trsd_free.text[2]/tred_text.subject.qualifier"/>
		<xsl:choose>
			<xsl:when test="not(boolean(contains($PRIMERCAL,'ACB'))) and not(boolean(contains($PRIMERCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="10"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'ACB')) and not(boolean(contains($SEGUNDOCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'CHG'))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="textos_old">
		<xsl:variable name="cuantos" select="count(/COPARNE01/COPARNE01.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/COPARNE01/COPARNE01.HEADER/trsd_free.text">
			<xsl:value-of select="trcd_text.literal"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:if test="($cuantos=0)">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="10"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="($cuantos=1)">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="5"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="COPARNE01.GROUP1">
		<xsl:call-template name="for.loop.COPARNE01.GROUP1">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.COPARNE01.GROUP1">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:variable name="nodo" select="//COPARNE01.GROUP1 "/>
			<xsl:variable name="refNum" select="$nodo/trcd_reference[position()=$i]/tred_reference.number"/>
			<xsl:choose>
				<xsl:when test="string-length($refNum) >0">
					<xsl:value-of select="$refNum"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:if test="($i=1 or $i=2)">
						<xsl:variable name="FECHA" select="$nodo/trcd_date.time.period[position()=$i]/tred_date.time.period"/>
						<xsl:call-template name="formateo">
							<xsl:with-param name="fecha" select="$FECHA"/>
						</xsl:call-template>
						<xsl:value-of select="$separadorColum"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$i &lt;= $count">
			<xsl:call-template name="for.loop.COPARNE01.GROUP1">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="COPARNE01.GROUP2">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="grupo" select="//COPARNE01.GROUP3"/>
		
		<xsl:for-each select="//COPARNE01.GROUP3/trsd_name.and.address">
			<xsl:variable name="codigo" select="tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="boolean(contains($codigo,'CN'))">
					<xsl:call-template name="CN"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CR'))">
					<xsl:call-template name="CR"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GT')) or boolean(contains($codigo,'GA'))">
					<xsl:call-template name="RC"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CK'))">
					<xsl:call-template name="CK"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>

		<!-- Vamos a ver cuantos nulls hay que poner -->
		<xsl:variable name="NADCAL3" select="//COPARNE01.GROUP3[3]/trsd_name.and.address/tred_party.qualifier"/>
		<!-- Si no hay tercer calificador, ponemos todos los nulls que faltan para dos calificadores -->
		<xsl:if test="boolean(string-length($NADCAL3) =0)">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="11"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Si el tercer calificador es la empresa transportista, ponemos nulls para el ltimo nad -->
		<xsl:if test="boolean(contains($NADCAL3,'GT')) or boolean(contains($NADCAL3,'GA'))">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="5"/>
			</xsl:call-template>
		</xsl:if>
		<!--
		<xsl:if test="count($grupo)=2">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="11"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="count($grupo)=3">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="5"/>
			</xsl:call-template>
		</xsl:if>
		-->
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
	<xsl:template name="CN">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CN_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CN_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CN_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CN_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CN_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CN_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CN_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CR">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CR_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CR_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CR_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CR_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CR_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CR_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CR_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CR_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CR_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="RC">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_RC_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_RC_CALIFICADOR" select="tred_party.qualifier"/>
		<xsl:variable name="NAD_RC_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_RC_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_RC_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_RC_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALIFICADOR"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALIFICADOR)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_RC_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_RC_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CK">
		<!-- Primero miramos si ha venido el transportista (tercera repeticion) para poner los nulls -->
		<xsl:variable name="NADCAL3" select="//COPARNE01.GROUP3[3]/trsd_name.and.address/tred_party.qualifier"/>
		<xsl:if test="boolean(not(contains($NADCAL3,'GT'))) and boolean(not(contains($NADCAL3,'GA')))">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
		</xsl:if>
	
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CK_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CK_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CK_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CK_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CK_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CK_NIF"/>
		<xsl:if test="boolean(string-length($NAD_CK_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_CK_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CK_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CK_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CK_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
