<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP9"/>
	</xsl:template>
	<xsl:template name="GROUP9">
		<xsl:for-each select="//COPARNE01.GROUP9">
			<xsl:variable name="EMISOR" select="//COPARNE01.HEADER/anxs_interchange.header/anxe_sender.identification"/>
			<xsl:variable name="CAB_ID_MENSAJE" select="//COPARNE01.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
			<xsl:variable name="REF_AAJ_NUM_REF" select="//COPARNE01.GROUP1/trcd_reference[1]/tred_reference.number"/>
			<xsl:variable name="EQUI_MATRICULA" select="	trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="EQUI_OBSERVACIONES" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<!-- Salida de las variables a fichero plano -->
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$REF_AAJ_NUM_REF"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_MATRICULA"/>
			<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_TIPO"/>
			<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_REFERENCIA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_PRECINTO"/>
			<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_OBSERVACIONES"/>
			<xsl:if test="boolean(string-length($EQUI_OBSERVACIONES) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
