<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- _________________ mensaje_COPARNE02 _______________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">
        <xsl:apply-templates select="//COPARNE02.HEADER"/>
        <xsl:apply-templates select="//COPARNE02.GROUP1"/>
        <xsl:apply-templates select="//COPARNE02.GROUP2"/>
        <xsl:apply-templates select="//COPARNE02.GROUP3"/>
        <xsl:apply-templates select="//COPARNE02.GROUP5"/>
        <xsl:apply-templates select="//COPARNE02.GROUP9"/>

        <!-- FIN DEL MENSAJE-->
        COPE02024

   </xsl:template>

   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="COPARNE02.HEADER">
                <!-- Cabecera del envio-->
                <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
                <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

                ENV001<xsl:text>^</xsl:text>
                <xsl:value-of select="$sender"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>

                <!-- Segmento UNH-->
                <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

                COPE02000^<xsl:value-of select="$Nref"/>

                <!-- Segmento BGM-->
                <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
                <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

                COPE02001<xsl:text>^</xsl:text>
                <xsl:value-of select="$refMsg"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

                <!-- Segmento DTM-->
                <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

                COPE02002^<xsl:value-of select="$dataDoc"/>

                <!-- Segmento FTX-->
                <xsl:for-each select="trsd_free.text">
                        <xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>
                        <xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/>
                        <xsl:if test="boolean($txtLit[text()])">
                        COPE02003<xsl:text>^</xsl:text>
                        <xsl:value-of select="$txtQual"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>
                        </xsl:if>
                </xsl:for-each>
   </xsl:template>
   <!-- /CABECERA DEL MENSAJE-->

   <!-- GRUPO1 -->
     <xsl:template match="COPARNE02.GROUP1">

                <!--Segmento RFF -->
                <xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>
                <xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>

                COPE02004<xsl:text>^</xsl:text>
                <xsl:value-of select="$refQual"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>

        </xsl:template>
   <!-- /GRUPO1-->

   <!-- GRUPO2 -->
   <xsl:template match="COPARNE02.GROUP2">

                <!-- Segmento TDT-->
                <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
                <xsl:variable name="transCod" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
                <xsl:variable name="codLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
                <xsl:variable name="litLinea" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
                <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
                <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
                <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

                COPE02005<xsl:text>^</xsl:text>
                <xsl:value-of select="$numViaje"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$transCod"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$litLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                <xsl:if test="boolean($paisBuque[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>
                </xsl:if>

                <!-- Segmento LOC-->
                <xsl:for-each select="trcd_location.identification">

                        COPE02006<xsl:text>^</xsl:text>
                        <xsl:value-of select="tred_place.location.qualifier"/>
                        <xsl:if test="boolean(tred_place.location.identification[text()] or tred_place.location[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.identification"/>
                        </xsl:if>
                        <xsl:if test="boolean(tred_place.location[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location"/>
                        </xsl:if>

                </xsl:for-each>

                <!-- Segmento DTM-->
                <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

                <xsl:if test="boolean($dataDoc[text()])">
                COPE02007^<xsl:value-of select="$dataDoc"/>
                </xsl:if>

   </xsl:template>
   <!-- /GRUPO2-->

   <!-- GRUPO3/GRUPO4 -->
     <xsl:template match="COPARNE02.GROUP3">

                <!--Segmento NAD -->
                <xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
                <xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
                <xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
                <xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
                <xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
                <xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>

                COPE02008<xsl:text>^</xsl:text>
                <xsl:value-of select="$partyQ"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                <xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                </xsl:if>
                <xsl:if test="boolean($ciudad[text()] or $pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                </xsl:if>
                <xsl:if test="boolean($pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                </xsl:if>

                <!-- Segmento CTA-->
                <xsl:for-each select="self::COPARNE02.GROUP3/COPARNE02.GROUP4">
                        <xsl:variable name="trnsContact" select="trsd_contact.information/tred_department.or.employee.identification"/>
                        <xsl:variable name="perContact" select="trsd_contact.information/tred_department.or.employee"/>

                        <xsl:if test="trsd_contact.information">
                        <!--<xsl:if test="boolean($trnsContact[text()] or $perContact[text()])">-->
                                COPE02009<xsl:text>^</xsl:text>
                                <xsl:value-of select="$trnsContact"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>
                        </xsl:if>
                </xsl:for-each>
   </xsl:template>
   <!-- /GRUPO3/GRUPO4-->

   <!-- GRUPO 5, 7 y 8 -->
   <xsl:template match="COPARNE02.GROUP5">

        <!-- Segmento GID -->
        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
        <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
        <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>

           COPE02010<xsl:text>^</xsl:text>
           <xsl:value-of select="$numPartida"/>
           <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
           <xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>

        <!-- Segmento HAN -->
        <xsl:variable name="hanCod" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
        <xsl:variable name="hanLit" select="trcd_handling.instructions/tred_handling.instructions"/>

        <xsl:if test="boolean($hanCod[text()] or $hanLit[text()])">
                COPE02011<xsl:text>^</xsl:text>
                <xsl:value-of select="$hanCod"/>
                <xsl:if test="boolean($hanLit[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$hanLit"/>
                </xsl:if>
        </xsl:if>

        <!--Segmento FTX -->
        <xsl:for-each select="trsd_free.text">
                <xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>
                <xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/>

                COPE02012<xsl:text>^</xsl:text>
                <xsl:value-of select="$txtQual"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>

        </xsl:for-each>

        <!-- Segmento MEA -->
        <xsl:variable name="peso" select="trsd_measurements/tred_measurement.value"/>

        <xsl:if test="boolean($peso[text()])">
                COPE02013<xsl:text>^</xsl:text>
                <xsl:value-of select="$peso"/>
        </xsl:if>

        <!-- GRUPO 7 -->
        <xsl:for-each select="self::COPARNE02.GROUP5/COPARNE02.GROUP7">

                <!-- Segmento SGP -->
                        <xsl:variable name="contNum" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
                        <xsl:variable name="numBultos" select="trsd_split.goods.placement/tred_number.of.packages"/>

                        COPE02014<xsl:text>^</xsl:text>
                        <xsl:value-of select="$contNum"/>
                        <xsl:if test="boolean($numBultos[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
                        </xsl:if>

                <!-- END FOR-EACH DEL GRUPO7 -->
        </xsl:for-each>
        <!-- /GRUPO7-->

        <!-- GRUPO 8-->
        <xsl:for-each select="self::COPARNE02.GROUP5/COPARNE02.GROUP8">

                <!-- Segmento DGS -->
                <xsl:variable name="clase" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
                <xsl:variable name="numPag" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
                <xsl:variable name="numVers" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
                <xsl:variable name="numONU" select="trsd_dangerous.goods/tred_undg.number"/>
                <xsl:variable name="packCode" select="trsd_dangerous.goods/tred_packing.group.coded"/>
                <xsl:variable name="numEMS" select="trsd_dangerous.goods/tred_ems.number"/>
                <xsl:variable name="mfag" select="trsd_dangerous.goods/tred_mfag"/>
                <xsl:variable name="catTrans" select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>

                COPE02015<xsl:text>^</xsl:text>
                <xsl:value-of select="$clase"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$numPag"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$numVers"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$numONU"/>
                <xsl:if test="boolean($packCode[text()] or $numEMS[text()] or $mfag[text()] or $catTrans[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$packCode"/>
                </xsl:if>
                <xsl:if test="boolean($numEMS[text()] or $mfag[text()] or $catTrans[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$numEMS"/>
                </xsl:if>
                <xsl:if test="boolean($mfag[text()] or $catTrans[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$mfag"/>
                </xsl:if>
                <xsl:if test="boolean($catTrans[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$catTrans"/>
                </xsl:if>

                <!--Segmento FTX -->
                <xsl:for-each select="trsd_free.text">
                        <xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>
                        <xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/>

                        COPE02016<xsl:text>^</xsl:text>
                        <xsl:value-of select="$txtQual"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>

                </xsl:for-each>

         <!-- END FOR-EACH DEL GRUPO8 -->
         </xsl:for-each>
         <!-- /GRUPO8-->

   <!-- END FOR-EACH DEL GRUPO5 -->
    </xsl:template>
   <!-- /GRUPO5-->

   <!-- GRUPO9 -->
   <xsl:template match="COPARNE02.GROUP9">

        <!-- Segmento EQD -->
        <xsl:variable name="eqCal" select="trsd_equipment.details/tred_equipment.qualifier"/>
        <xsl:variable name="eqID" select="trsd_equipment.details/tred_equipment.identification.number"/>
        <xsl:variable name="tamao" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

        <xsl:choose>
                <xsl:when test="$eqCal[.='CN']">
                        COPE02017<xsl:text>^</xsl:text>
                        <xsl:value-of select="$eqCal"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$eqID"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$tamao"/>

                </xsl:when>
                <xsl:otherwise>
                        COPE02017<xsl:text>^</xsl:text>
                        <xsl:value-of select="$eqCal"/>
                        <xsl:if test="boolean($eqID[text()] or $tamao[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$eqID"/>
                        </xsl:if>
                        <xsl:if test="boolean($tamao[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$tamao"/>
                        </xsl:if>
                </xsl:otherwise>
        </xsl:choose>

        <!-- Segmento RFF -->
        <xsl:variable name="numCont" select="trcd_reference/tred_reference.number"/>
        <xsl:if test="boolean($numCont[text()])">
                COPE02018^<xsl:value-of select="$numCont"/>
        </xsl:if>

        <!-- Segmento MEA -->
        <xsl:variable name="peso" select="trsd_measurements/tred_measurement.value"/>

        <xsl:if test="boolean($peso[text()])">
                COPE02019<xsl:text>^</xsl:text>
                <xsl:value-of select="$peso"/>
        </xsl:if>

        <!-- Segmento DIM -->
        <xsl:variable name="unCal" select="trcd_dimensions/tred_measure.unit.qualifier"/>
        <xsl:variable name="largo" select="trcd_dimensions/tred_length.dimension"/>
        <xsl:variable name="ancho" select="trcd_dimensions/tred_width.dimension"/>
        <xsl:variable name="alto" select="trcd_dimensions/tred_height.dimension"/>

        <xsl:if test="boolean($unCal[text()])">
                COPE02020<xsl:text>^</xsl:text>
                <xsl:value-of select="$unCal"/>
                <xsl:if test="boolean($largo[text()] or $ancho[text()] or $alto[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$largo"/>
                </xsl:if>
                <xsl:if test="boolean($ancho[text()] or $alto[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$ancho"/>
                </xsl:if>
                <xsl:if test="boolean($alto[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$alto"/>
                </xsl:if>
        </xsl:if>

        <!-- Segmento TMP -->
        <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="tempCal" select="trcd_range/tred_measure.unit.qualifier"/>

        <xsl:if test="boolean($tempMin[text()] or $tempMax[text()] or $tempCal[text()])">
                COPE02021<xsl:text>^</xsl:text>
                <xsl:value-of select="$tempMin"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$tempCal"/>
        </xsl:if>

        <!-- Segmento SEL -->
        <xsl:variable name="precinto" select="trsd_seal.number/tred_seal.number"/>

        <xsl:if test="boolean($precinto[text()])">
                COPE02022^<xsl:value-of select="$precinto"/>
        </xsl:if>

        <!-- Segmento FTX -->
        <xsl:variable name="texto" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($texto[text()])">
                COPE02023^<xsl:value-of select="$texto"/>
        </xsl:if>

   <!-- END FOR-EACH DEL GRUPO9 -->
   </xsl:template>
   <!-- /GRUPO9-->

</xsl:stylesheet>