<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COPARNE02.HEADER"/>
		<xsl:call-template name="COPARNE02"/>
		<xsl:apply-templates select="//COPARNE02.GROUP2"/>
		<xsl:call-template name="GROUP3"/>
	</xsl:template>
	<xsl:template match="COPARNE02.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="textos"/>
	</xsl:template>
	<xsl:template name="textos">
		<xsl:variable name="cuantos" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:variable name="cuantos2" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/COPARNE02/COPARNE02.HEADER/trsd_free.text">
			<xsl:variable name="CALIF" select="tred_text.subject.qualifier"/>
				<xsl:if test="boolean(contains($CALIF,'ACB')) or boolean(contains($CALIF,'CHG'))">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:if>
		</xsl:for-each>
		<xsl:variable name="PRIMERCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[1]/tred_text.subject.qualifier"/>
		<xsl:variable name="SEGUNDOCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[2]/tred_text.subject.qualifier"/>
		<xsl:choose>
			<xsl:when test="not(boolean(contains($PRIMERCAL,'ACB'))) and not(boolean(contains($PRIMERCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="10"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'ACB')) and not(boolean(contains($SEGUNDOCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'CHG'))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!--
		
		<xsl:if test="boolean(count(//COPARNE02.HEADER/trsd_free.text/trcd_text.literal) =0)">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
		</xsl:if>
		<xsl:if test="boolean(count(//COPARNE02.HEADER/trsd_free.text/trcd_text.literal) >0)">
			<xsl:for-each select="//COPARNE02.HEADER/trsd_free.text/trcd_text.literal">
				<xsl:value-of select="tred_free.text"/>
				<xsl:if test="boolean(string-length(tred_free.text) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
			</xsl:for-each>
		</xsl:if>
		
		-->
	<xsl:template name="COPARNE02">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="REF_ACA_NUM_REF" select="//COPARNE02.GROUP1[1]/trcd_reference[1]/tred_reference.number"/>
		<xsl:variable name="REF_BN_NUM_REF" select="//COPARNE02.GROUP1[2]/trcd_reference[1]/tred_reference.number"/>
		<xsl:variable name="REF_ACW_NUM_REF" select="//COPARNE02.GROUP1[3]/trcd_reference[1]/tred_reference.number"/>
		<xsl:variable name="REF_SI_NUM_REF" select="//COPARNE02.GROUP1[4]/trcd_reference[1]/tred_reference.number"/>
		<xsl:variable name="REF_VON_NUM_REF" select="//COPARNE02.GROUP1[5]/trcd_reference[1]/tred_reference.number"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$REF_ACA_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_BN_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_ACW_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_ACW_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_SI_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_SI_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_VON_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_VON_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template match="COPARNE02.GROUP2">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="TRANS_FECHA_SALIDA" select="trcd_date.time.period/tred_date.time.period"/>

		<xsl:variable name="TRANS_CODIGO_MUELLE" select="trcd_location.identification[1]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_DESC_MUELLE" select="trcd_location.identification[1]/tred_place.location"/>
		<xsl:variable name="TRANS_QUALIFIER_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location.qualifier"/>
		<xsl:variable name="TRANS_CODIGO_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_NOMBRE_TRANSBORDO" select="trcd_location.identification[2]/tred_place.location"/>
		<xsl:variable name="TRANS_CODIGO_PUERTO" select="trcd_location.identification[3]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_NOMBRE_PUERTO" select="trcd_location.identification[3]/tred_place.location"/>

		<!-- Formato de variables y orden -->
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:if test="boolean(string-length($TRANS_IMO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$TRANS_FECHA_SALIDA"/>
		</xsl:call-template>
		
		<!--
		<xsl:for-each select="trcd_location.identification"> 
			<xsl:value-of select="$separadorColum"/>
                        <xsl:choose> 
                        	<xsl:when test="boolean(tred_place.location.identification[text()])">
			                        	<xsl:value-of select="tred_place.location.identification"/>
                        	</xsl:when>
                        	<xsl:otherwise>
                        			<xsl:value-of select="$nullCharacter"/>
                        	</xsl:otherwise>
                        </xsl:choose>
                        <xsl:value-of select="$separadorColum"/>
                        <xsl:choose> 
                        	<xsl:when test="boolean(tred_place.location[text()])">
			                        	<xsl:value-of select="tred_place.location"/>
                        	</xsl:when>
                        	<xsl:otherwise>
                        			<xsl:value-of select="$nullCharacter"/>
                        	</xsl:otherwise>
                        </xsl:choose>
		</xsl:for-each>
		<xsl:value-of select="$separadorColum"/>
		-->
		<!-- Este cdigo es para ahora que el puerto de transbordo es condicional. Cuando sean los tres obligatorios se puede usar el de arriba comentado -->
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_CODIGO_MUELLE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_DESC_MUELLE"/>
		<xsl:value-of select="$separadorColum"/>
	
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_CODIGO_TRANSBORDO)>0)">
				<xsl:choose>
	  				<xsl:when test="contains($TRANS_QUALIFIER_TRANSBORDO,'13')">
	    					<xsl:value-of select="$TRANS_CODIGO_TRANSBORDO"/>
	    					<xsl:value-of select="$separadorColum"/>
					        <xsl:value-of select="$TRANS_NOMBRE_TRANSBORDO"/>
						<xsl:if test="boolean(string-length($TRANS_NOMBRE_TRANSBORDO)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						
						<xsl:choose>
							<xsl:when test="boolean(string-length($TRANS_CODIGO_PUERTO)>0)">
								<xsl:value-of select="$TRANS_CODIGO_PUERTO"/>
								<xsl:if test="boolean(string-length($TRANS_CODIGO_PUERTO)=0)">
									<xsl:value-of select="$nullCharacter"/>
							       </xsl:if>
							      <xsl:value-of select="$separadorColum"/>
					                   <xsl:value-of select="$TRANS_NOMBRE_PUERTO"/>
						            <xsl:if test="boolean(string-length($TRANS_NOMBRE_PUERTO)=0)">
							           		<xsl:value-of select="$nullCharacter"/>
						    		</xsl:if>
						    	      <xsl:value-of select="$separadorColum"/>
							</xsl:when>
							<xsl:otherwise>
											<xsl:value-of select="$nullCharacter"/>
					    						<xsl:value-of select="$separadorColum"/>
					    						<xsl:value-of select="$nullCharacter"/>
					    						<xsl:value-of select="$separadorColum"/>
							</xsl:otherwise>
					</xsl:choose>
  				</xsl:when>
  				<xsl:otherwise>
	    				     <xsl:if test="boolean(contains($TRANS_QUALIFIER_TRANSBORDO,'8'))">		
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						
	    						<xsl:value-of select="$TRANS_CODIGO_TRANSBORDO"/>
	    						<xsl:value-of select="$separadorColum"/>
					        	<xsl:value-of select="$TRANS_NOMBRE_TRANSBORDO"/>
							<xsl:if test="boolean(string-length($TRANS_NOMBRE_TRANSBORDO)=0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
							<xsl:value-of select="$separadorColum"/>
	    				     </xsl:if>	
	  				</xsl:otherwise>
				</xsl:choose>
		</xsl:when>
			<xsl:otherwise>
							<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
	    						<xsl:value-of select="$separadorColum"/>
	    						<xsl:value-of select="$nullCharacter"/>
					    		<xsl:value-of select="$separadorColum"/>
					    		<xsl:value-of select="$nullCharacter"/>
					    		<xsl:value-of select="$separadorColum"/>

			</xsl:otherwise>
           </xsl:choose>
 		

	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="grupo" select="//trsd_goods.item.details"/>
		<xsl:for-each select="//COPARNE02.GROUP3/trsd_name.and.address">
			<xsl:variable name="codigo" select="tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="boolean(contains($codigo,'TR'))">
					<xsl:call-template name="TR"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CN'))">
					<xsl:call-template name="CN"/>
					<xsl:call-template name="COPARNE02.GROUP4"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GT')) or boolean(contains($codigo,'GA'))">
					<xsl:call-template name="RC"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="boolean(count(//COPARNE02.GROUP3/trsd_name.and.address)=2)">
			<xsl:call-template name="RC"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="TR">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_TR_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_TR_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_TR_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_TR_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_TR_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_TR_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_TR_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_TR_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_TR_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_TR_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_TR_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_TR_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_TR_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CN">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CN_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CN_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CN_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CN_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CN_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CN_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CN_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="COPARNE02.GROUP4">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF_CONTACTO" select="//COPARNE02/COPARNE02.GROUP3/COPARNE02.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
		<xsl:variable name="NAD_CN_PERSONA" select="//COPARNE02/COPARNE02.GROUP3/COPARNE02.GROUP4/trsd_contact.information/tred_department.or.employee"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF_CONTACTO"/>
		<xsl:if test="boolean(string-length($NAD_CN_NIF_CONTACTO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PERSONA"/>
		<xsl:if test="boolean(string-length($NAD_CN_PERSONA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="RC">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_RC_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_RC_CALIFICADOR" select="tred_party.qualifier"/>
		<xsl:variable name="NAD_RC_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_RC_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_RC_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_RC_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALIFICADOR"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALIFICADOR)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_RC_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_RC_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
