<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
	<xsl:template name="GROUP5">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//COPARNE02.GROUP5">
			<xsl:variable name="EMISOR" select="//COPARNE02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
			<xsl:variable name="CAB_ID_MENSAJE" select="//COPARNE02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
			<xsl:variable name="REF_ACA_NUM_REF" select="//COPARNE02.GROUP1/trcd_reference[1]/tred_reference.number"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="NUM_PAQUETES" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:call-template name="GRUPO9">
				<xsl:with-param name="EMISOR" select="$EMISOR"/>
				<xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
				<xsl:with-param name="REF_ACA_NUM_REF" select="$REF_ACA_NUM_REF"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="NUM_PAQUETES" select="$NUM_PAQUETES"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO9">
		<xsl:param name="EMISOR"/>
		<xsl:param name="CAB_ID_MENSAJE"/>
		<xsl:param name="REF_ACA_NUM_REF"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="NUM_PAQUETES"/>
		<xsl:for-each select="//COPARNE02.GROUP9">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA2" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="PAR_TMP_MIN" select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_OBSERVACIONES" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<!-- Salida de las variables a fichero plano -->
<!--			<xsl:if test="boolean($EQUI_REFERENCIA=$EQUI_REFERENCIA2)"> -->
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_ACA_NUM_REF"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA2"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_OBSERVACIONES"/>
				<xsl:if test="boolean(string-length($EQUI_OBSERVACIONES) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios2">
					<xsl:with-param name="i">1</xsl:with-param>
					<xsl:with-param name="count">4</xsl:with-param>
				</xsl:call-template>	
				<xsl:value-of select="$saltoLinea"/>
<!--		</xsl:if> -->
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
