<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
		
	<xsl:template name="GROUP5">
	<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//COPARNE02.GROUP5">
			<xsl:variable name="EMISOR" select="//COPARNE02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
			<xsl:variable name="CAB_ID_MENSAJE"	select="//COPARNE02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
			<xsl:variable name="REF_ACA_NUM_REF" select="//COPARNE02.GROUP1/trcd_reference[1]/tred_reference.number"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MANIP"	select="trcd_handling.instructions/tred_handling.instructions"/>
			<!--
			<xsl:variable name="PAR_TXT_TMP_TRANS"	select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_TXT_DESC_MERC"	select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_TXT_MARC_EMBAL" select="trsd_free.text[3]/trcd_text.literal/tred_free.text"/>
			-->
			<xsl:variable name="PAR_CAL_PRIMERO" select="trsd_free.text[1]/tred_text.subject.qualifier"/>
			<xsl:variable name="PAR_TXT_PRIMERO" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_CAL_SEGUNDO" select="trsd_free.text[2]/tred_text.subject.qualifier"/>
			<xsl:variable name="PAR_TXT_SEGUNDO" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_CAL_TERCERO" select="trsd_free.text[3]/tred_text.subject.qualifier"/>
			<xsl:variable name="PAR_TXT_TERCERO" select="trsd_free.text[3]/trcd_text.literal/tred_free.text"/>
			
			<xsl:variable name="PAR_PESO"	select="trsd_measurements/tred_measurement.value"/>
			
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$REF_ACA_NUM_REF"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_BULTOS"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP_COD"/>
				<xsl:if test="boolean(string-length($PAR_INSTR_MANIP_COD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP"/>
				<xsl:if test="boolean(string-length($PAR_INSTR_MANIP) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$separadorColum"/>

			<!-- Nuevo para poner bien los calificadores -->			
			<!-- AAA Descripcin de la mercanca -->
			<xsl:choose>
				<xsl:when test="contains($PAR_CAL_PRIMERO,'AAA')">
					<xsl:value-of select="$PAR_TXT_PRIMERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_SEGUNDO,'AAA')">
					<xsl:value-of select="$PAR_TXT_SEGUNDO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_TERCERO,'AAA')">
					<xsl:value-of select="$PAR_TXT_TERCERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<!-- Si no se ha encontrado el calificador entonces lo llenamos de nulls -->
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">5</xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
			<!-- AEB Descripcin de la mercanca -->
			<xsl:choose>
				<xsl:when test="contains($PAR_CAL_PRIMERO,'AEB')">
					<xsl:value-of select="$PAR_TXT_PRIMERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_SEGUNDO,'AEB')">
					<xsl:value-of select="$PAR_TXT_SEGUNDO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_TERCERO,'AEB')">
					<xsl:value-of select="$PAR_TXT_TERCERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<!-- Si no se ha encontrado el calificador entonces lo llenamos de nulls -->
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">5</xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
			<!-- PAC Descripcin de la mercanca -->
			<xsl:choose>
				<xsl:when test="contains($PAR_CAL_PRIMERO,'PAC')">
					<xsl:value-of select="$PAR_TXT_PRIMERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_SEGUNDO,'PAC')">
					<xsl:value-of select="$PAR_TXT_SEGUNDO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains($PAR_CAL_TERCERO,'PAC')">
					<xsl:value-of select="$PAR_TXT_TERCERO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<!-- Si no se ha encontrado el calificador entonces lo llenamos de nulls -->
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">5</xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>				
			</xsl:choose>
			<!--
			<xsl:value-of select="$PAR_TXT_DESC_MERC"/>
				<xsl:if test="boolean(string-length($PAR_TXT_DESC_MERC) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			<xsl:value-of select="$PAR_TXT_TMP_TRANS"/>
				<xsl:if test="boolean(string-length($PAR_TXT_TMP_TRANS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			<xsl:value-of select="$PAR_TXT_MARC_EMBAL"/>
				<xsl:if test="boolean(string-length($PAR_TXT_MARC_EMBAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			-->
			<xsl:value-of select="$PAR_PESO"/>
				<xsl:if test="boolean(string-length($PAR_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
 	</xsl:template>
</xsl:stylesheet>
