<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNI04I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COPARNI04.HEADER"/>
		<xsl:call-template name="COPARNI04.GROUP1"/>
		<xsl:apply-templates select="//COPARNI04.GROUP2"/>
		<xsl:call-template name="GROUP3"/>
	</xsl:template>
	<xsl:template match="COPARNI04.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<!-- <xsl:variable name="FECHA_EMISION" select="date()"/>-->
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<xsl:variable name="CAB_TXT_INFO__CAMBIOS" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="textos"/>
	</xsl:template>

	<xsl:template name="textos">
		<xsl:variable name="cuantos" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:variable name="cuantos2" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/COPARNE02/COPARNE02.HEADER/trsd_free.text">
			<xsl:variable name="CALIF" select="tred_text.subject.qualifier"/>
				<xsl:if test="boolean(contains($CALIF,'ACB')) or boolean(contains($CALIF,'CHG'))">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:if>
		</xsl:for-each>
		<xsl:variable name="PRIMERCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[1]/tred_text.subject.qualifier"/>
		<xsl:variable name="SEGUNDOCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[2]/tred_text.subject.qualifier"/>
		<xsl:choose>
			<xsl:when test="not(boolean(contains($PRIMERCAL,'ACB'))) and not(boolean(contains($PRIMERCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="10"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'ACB')) and not(boolean(contains($SEGUNDOCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'CHG'))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	
	<xsl:template name="Old_textos">
		<xsl:variable name="contados" select="count(/COPARNI04/COPARNI04.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/COPARNI04/COPARNI04.HEADER/trsd_free.text">
			<xsl:choose>
				<xsl:when test="contains(tred_text.subject.qualifier,'ACB')">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:if test="boolean(string-length(trcd_text.literal)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains(tred_text.subject.qualifier,'CHG')">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:if test="boolean(string-length(trcd_text.literal)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="$contados=1">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="5"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$contados=0">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="10"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="COPARNI04.GROUP1">
		<xsl:for-each select="/COPARNI04/COPARNI04.GROUP1">
			<xsl:variable name="qual" select="trcd_reference/tred_reference.qualifier"/>
			<xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="lafecha" select="trcd_date.time.period/tred_date.time.period"/>
			<xsl:choose>
				<xsl:when test="position() = 1">
					<!-- Numero de admitase -->
					<xsl:value-of select="$refNum"/>
					<xsl:if test="boolean(string-length($refNum)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<!-- Fecha de expiracion del entreguese -->
					<xsl:call-template name="formateo">
						<xsl:with-param name="fecha" select="$lafecha"/>
					</xsl:call-template>
					<xsl:if test="boolean(string-length($lafecha)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="position() = 2">
					<!-- Declaracion sumaria -->
					<xsl:value-of select="$refNum"/>
					<xsl:if test="boolean(string-length($refNum)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<!-- Fecha de entrega del contenedor -->
					<xsl:call-template name="formateo">
						<xsl:with-param name="fecha" select="$lafecha"/>
					</xsl:call-template>
					<xsl:if test="boolean(string-length($lafecha)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="position() = 3">
					<!-- Referencia a un documento anterior -->
					<xsl:value-of select="$refNum"/>
					<xsl:if test="boolean(string-length($refNum)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<!-- Si despus del bucle vemos que no hay una tercera repeticin (condicional) aadimos un null -->
		<xsl:if test="count(/COPARNI04/COPARNI04.GROUP1)=2">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="COPARNI04.GROUP1_old">
		<xsl:call-template name="for.loop.COPARNI04.GROUP1">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.COPARNI04.GROUP1">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:variable name="nodo" select="//COPARNI04.GROUP1 "/>
			<!--xsl:variable name="refNum" select="$nodo/trcd_reference[position()=$i]/tred_reference.number"/-->
			<xsl:variable name="refNum" select="$nodo/trcd_reference[$i]/tred_reference.number[$i]"/>
			<xsl:choose>
				<xsl:when test="string-length($refNum) >0">
					<xsl:value-of select="$refNum"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:if test="($i=1 or $i=2)">
						<!--xsl:variable name="FECHA" select="$nodo/trcd_date.time.period[position()=$i]/tred_date.time.period"/-->
						<xsl:variable name="FECHA" select="$nodo/trcd_date.time.period[$i]/tred_date.time.period"/>
						<xsl:call-template name="formateo">
							<xsl:with-param name="fecha" select="$FECHA"/>
						</xsl:call-template>
						<xsl:value-of select="$separadorColum"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$i &lt;= $count">
			<xsl:call-template name="for.loop.COPARNI04.GROUP1">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="COPARNI04.GROUP2">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="grupo" select="//COPARNI04.GROUP3"/>
		<xsl:for-each select="//COPARNI04.GROUP3/trsd_name.and.address">
			<xsl:if test="boolean(position()=1)">
				<xsl:call-template name="CN"/>
			</xsl:if>
			<xsl:if test="boolean(position()=2)">
				<xsl:call-template name="CR"/>
			</xsl:if>
			<xsl:if test="boolean(position()=3)">
				<xsl:call-template name="RC"/>
			</xsl:if>
			<xsl:if test="boolean(position()=4)">
				<xsl:call-template name="CK"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:if test="count($grupo)=2">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="11"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:if>
		<xsl:if test="count($grupo)=3">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="5"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="CN">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CN_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CN_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CN_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CN_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CN_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CN_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CN_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CR">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CR_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CR_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CR_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CR_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CR_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CR_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CR_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CR_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CR_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CR_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="RC">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_RC_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_RC_CALIFICADOR" select="tred_party.qualifier"/>
		<xsl:variable name="NAD_RC_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_RC_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_RC_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_RC_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALIFICADOR"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALIFICADOR)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_RC_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_RC_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="CK">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CK_NIF" select="tred_party.id.identification"/>
		<xsl:variable name="NAD_CK_NOMBRE_DIRECCION" select="tred_name.and.address.line"/>
		<xsl:variable name="NAD_CK_CALLE" select="tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CK_CIUDAD" select="tred_city.name"/>
		<xsl:variable name="NAD_CK_PAIS" select="tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CK_NIF"/>
		<xsl:if test="boolean(string-length($NAD_CK_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_CK_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CK_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CK_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CK_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CK_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
