<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPINOE04 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COPINOE04/COPINOE04.HEADER"/>
		<xsl:call-template name="COPINOE04.GROUP1"/>
		<xsl:call-template name="COPINOE04.GROUP2"/>
		<xsl:call-template name="COPINOE04.GROUP3"/>
	</xsl:template>
	<xsl:template name="COPINOE04.GROUP1">
		<xsl:for-each select="//COPINOE04/COPINOE04.GROUP1">
			<xsl:choose>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AEL')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'BN')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AAJ')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
					<xsl:if test="boolean(string-length(trcd_date.time.period/tred_date.time.period) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:if test="boolean(string-length(trcd_date.time.period/tred_date.time.period) >0)">
						<xsl:call-template name="formateo">
							<xsl:with-param name="fecha" select="trcd_date.time.period/tred_date.time.period"/>
						</xsl:call-template>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'SI')">
					<xsl:variable name="REF_SI_NUM_REF" select="trcd_reference[position()]/tred_reference.number"/>
					<xsl:if test="boolean(string-length($REF_SI_NUM_REF) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="COPINOE04.GROUP2">
		<xsl:variable name="MODO_TRANS" select="/COPINOE04/COPINOE04.GROUP2/trsd_details.of.transport/tred_mode.of.transport.coded"/>
		<xsl:variable name="TRANS_MATRICULA" select="/COPINOE04/COPINOE04.GROUP2/trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="NOM_TRANS" select="/COPINOE04/COPINOE04.GROUP2/trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="FECHA_TRANS" select="/COPINOE04/COPINOE04.GROUP2/trcd_date.time.period/tred_date.time.period"/>
		<xsl:value-of select="$MODO_TRANS"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_MATRICULA"/>
		<xsl:if test="boolean(string-length($TRANS_MATRICULA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOM_TRANS"/>
		<xsl:if test="boolean(string-length($NOM_TRANS) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($FECHA_TRANS) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($FECHA_TRANS) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$FECHA_TRANS"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template match="//COPINOE04/COPINOE04.HEADER">
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_interchange.header/anxe_application.reference"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL" select="trsd_free.text[1]/trcd_text.literal/tred_free.text[1]"/>
		<xsl:variable name="CAB_TXT_INFO_CAMBIOS" select="trsd_free.text[2]/trcd_text.literal/tred_free.text[1]"/>
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">-</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_TXT_INFO_ADICIONAL"/>
		<xsl:if test="boolean(string-length($CAB_TXT_INFO_ADICIONAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
		<xsl:value-of select="$CAB_TXT_INFO_CAMBIOS"/>
		<xsl:if test="boolean(string-length($CAB_TXT_INFO_CAMBIOS) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="COPINOE04.GROUP3">
		<xsl:call-template name="for.loop.COPINOE04.GROUP3">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">3</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.COPINOE04.GROUP3">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<!-- body of the loop goes here -->
			<xsl:variable name="PARENT_NODE" select="//COPINOE04/COPINOE04.GROUP3[position()=$i] "/>
			<xsl:variable name="nif" select="$PARENT_NODE/trsd_name.and.address/tred_party.id.identification"/>
			<xsl:variable name="nombre" select="$PARENT_NODE/trsd_name.and.address/tred_name.and.address.line"/>
			<xsl:variable name="calle" select="$PARENT_NODE/trsd_name.and.address/tred_street.and.number.p.o.box"/>
			<xsl:variable name="ciudad" select="$PARENT_NODE/trsd_name.and.address/tred_city.name"/>
			<xsl:variable name="pais" select="$PARENT_NODE/trsd_name.and.address/tred_country.coded"/>
			<xsl:variable name="identificador" select="$PARENT_NODE/trsd_name.and.address/tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="$nif[text()]">
					<xsl:value-of select="$nif"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$nombre[text()]">
					<xsl:value-of select="$nombre"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:if test="boolean(normalize-space($identificador)='GA') or boolean(normalize-space($identificador)='GT')">
				<xsl:value-of select="$identificador"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="$calle[text()]">
					<xsl:value-of select="$calle"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$ciudad[text()]">
					<xsl:value-of select="$ciudad"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$pais[text()]">
					<xsl:value-of select="$pais"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="boolean(normalize-space($identificador)!='CR')">
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
			<xsl:if test="boolean(normalize-space($identificador)='CR')">
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
			<xsl:if test="boolean(normalize-space($identificador)='GA') or boolean(normalize-space($identificador)='GT')">
				<xsl:variable name="nifContacto" select="$PARENT_NODE/COPINOE04.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
				<xsl:variable name="nombreContacto" select="$PARENT_NODE/COPINOE04.GROUP4/trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="numeroContacto" select="$PARENT_NODE/COPINOE04.GROUP4/trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="canalContacto" select="$PARENT_NODE/COPINOE04.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>
				<xsl:choose>
					<xsl:when test="$nifContacto[text()]">
						<xsl:value-of select="$nifContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$nombreContacto[text()]">
						<xsl:value-of select="$nombreContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$numeroContacto[text()]">
						<xsl:value-of select="$numeroContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$canalContacto[text()]">
						<xsl:value-of select="$canalContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
			<xsl:call-template name="for.loop.COPINOE04.GROUP3">
				<xsl:with-param name="i">
					<!-- Increment index-->
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
