<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPINOE04 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	<xsl:param name="nullColum" select="concat('null',$separadorColum)"/>
	<xsl:param name="EMISOR" select="//COPINOE04/COPINOE04.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="//COPINOE04/COPINOE04.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COPINOE04/COPINOE04.GROUP8"/>
	</xsl:template>
	<xsl:template name="refAelNumRef">
		<xsl:for-each select="//COPINOE04/COPINOE04.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AEL')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="//COPINOE04/COPINOE04.GROUP8">
		<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
		<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
		<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
		<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="refAelNumRef"/>
		<xsl:value-of select="$EQUI_REFERENCIA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_MATRICULA"/>
		<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_CALIFICADOR"/>
		<xsl:if test="boolean(string-length($EQUI_CALIFICADOR) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_TIPO"/>
		<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
