<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPINOE05I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//COPINOE05/COPINOE05.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//COPINOE05/COPINOE05.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="COPINOE05.GROUP8"/>
	</xsl:template>
	<xsl:template name="refAelNumRef">
		<xsl:for-each select="//COPINOE05/COPINOE05.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AEL')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="COPINOE05.GROUP8">
	<xsl:for-each select="//COPINOE05/COPINOE05.GROUP8">
	<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="EQUI_TEMPERATURA" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="EQUI_OBSERVACIONES" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			
			
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAelNumRef"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TEMPERATURA"/>
				<xsl:if test="boolean(string-length($EQUI_TEMPERATURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="4"/> 
				</xsl:call-template>
				<xsl:value-of select="$EQUI_OBSERVACIONES"/>
				<xsl:if test="boolean(string-length($EQUI_OBSERVACIONES) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios2">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="4"/> 
				</xsl:call-template>
				<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>