<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPINOE05I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//COPINOE05/COPINOE05.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//COPINOE05/COPINOE05.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="COPINOE05.GROUP5"/>
	</xsl:template>
	<xsl:template name="refAelNumRef">
		<xsl:for-each select="//COPINOE05/COPINOE05.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AEL')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="COPINOE05.GROUP5">
		<xsl:for-each select="//COPINOE05/COPINOE05.GROUP5">
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="posicion" select="position()"/>
			<xsl:call-template name="equipamientos">
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="posicion" select="$posicion"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="equipamientos">
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="posicion"/>
		<xsl:for-each select="/COPINOE05/COPINOE05.GROUP5[$posicion]/trsd_split.goods.placement">
			<xsl:variable name="REF_EQUIPAMIENTO" select="tred_equipment.identification.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="tred_number.of.packages"/>
			<xsl:call-template name="GRUPO_EQUIPAMIENTOS">
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="REF_EQUIPAMIENTO" select="$REF_EQUIPAMIENTO"/>
				<xsl:with-param name="PAR_NUM_BULTOS" select="$PAR_NUM_BULTOS"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO_EQUIPAMIENTOS">
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="REF_EQUIPAMIENTO"/>
		<xsl:param name="PAR_NUM_BULTOS"/>
		<xsl:for-each select="//COPINOE05/COPINOE05.GROUP8">
			<xsl:variable name="REF_EQUIPAMIENTO_2" select="trcd_reference/tred_reference.number"/>
			<xsl:if test="$REF_EQUIPAMIENTO= $REF_EQUIPAMIENTO_2">
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAelNumRef"/>
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_EQUIPAMIENTO_2"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_NUM_BULTOS"/>
				<xsl:if test="boolean(string-length($PAR_NUM_BULTOS)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
