<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:call-template name="GRUPO8"/>
	</xsl:template>
	<xsl:template name="refAelNumRef">
		<xsl:for-each select="//COPINOI06.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AEL')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="//COPINOI06.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="//COPINOI06.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="/COPINOI06/COPINOI06.GROUP8">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAelNumRef"/>
			<xsl:value-of select="$EQUI_MATRICULA"/>
			<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_TIPO"/>
			<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_REFERENCIA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_PRECINTO"/>
			<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="textos"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="textos">
		<xsl:variable name="contador" select="count(trsd_free.text)"/>
		<xsl:for-each select="trsd_free.text">
			<xsl:value-of select="trcd_text.literal/tred_free.text"/>
			<xsl:if test="boolean(string-length(trcd_text.literal/tred_free.text) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:variable name="aux" select="2-$contador"/>
		<xsl:call-template name="camposVacios2">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*5"/>
		</xsl:call-template>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
