<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//COPINOI06.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//COPINOI06.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
	<xsl:template name="refAelNumRef">
		<xsl:for-each select="//COPINOI06.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AEL')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP5">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//COPINOI06.GROUP5">
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_split.goods.placement/tred_number.of.packages"/>
			<xsl:variable name="PAR_REFERENCIA" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
			<xsl:variable name="posicion" select="position()"/>
			<xsl:call-template name="REF_BULTOS">
				<xsl:with-param name="posicion" select="$posicion"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="REF_BULTOS">
		<xsl:param name="posicion"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:for-each select="/COPINOI06/COPINOI06.GROUP5[$posicion]/trsd_split.goods.placement">
			<xsl:variable name="PAR_NUM_BULTOS" select="tred_number.of.packages"/>
			<xsl:variable name="PAR_REFERENCIA" select="tred_equipment.identification.number"/>
			<xsl:call-template name="EQUIPAMIENTOS">
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="PAR_REFERENCIA" select="$PAR_REFERENCIA"/>
				<xsl:with-param name="PAR_NUM_BULTOS" select="$PAR_NUM_BULTOS"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="EQUIPAMIENTOS">
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="PAR_NUM_BULTOS"/>
		<xsl:param name="PAR_REFERENCIA"/>
		<xsl:for-each select="//COPINOI06.GROUP8">
			<xsl:variable name="REFERENCIA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:if test="boolean($PAR_REFERENCIA=$REFERENCIA)">
				<xsl:variable name="EQUI_MATRICULA" select="trcd_reference/tred_reference.number"/>
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAelNumRef"/>
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_NUM_BULTOS"/>
				<xsl:if test="boolean(string-length($PAR_NUM_BULTOS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
