<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_COPINOI07 __________________________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  
	<xsl:apply-templates select="//COPINOI07.HEADER"/>
	<xsl:apply-templates select="//COPINOI07.GROUP1"/>
	<xsl:apply-templates select="//COPINOI07.GROUP2"/>
	<xsl:apply-templates select="//COPINOI07.GROUP3"/>				
	<xsl:apply-templates select="//COPINOI07.GROUP8"/>
	
 	<!-- FIN DEL MENSAJE-->
 	COPI07011

   </xsl:template>    
    
   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="COPINOI07.HEADER">
   
	<!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>   
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
        
	ENV001<xsl:text>^</xsl:text>
	<xsl:value-of select="$sender"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>    
   	
   	<!-- Segmento UNH-->
   	<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>   
   	        
	COPI07000^<xsl:value-of select="$Nref"/>
   	   	
   	<!-- Segmento BGM-->
   	<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>   
	<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>   

	COPI07001<xsl:text>^</xsl:text>
	<xsl:value-of select="$refMsg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>
	
	<!-- Segmento DTM-->
	<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>   

	COPI07002^<xsl:value-of select="$dataDoc"/>

	<!-- Segmento FTX-->
   	<xsl:for-each select="trsd_free.text"> 
   		<xsl:variable name="txtQual" select="tred_text.subject.qualifier"/>   
			<xsl:variable name="txtLit" select="trcd_text.literal/tred_free.text"/> 
		  
                <xsl:if test="boolean($txtLit[text()])">
   		COPI07003<xsl:text>^</xsl:text>
   		<xsl:value-of select="$txtQual"/>
   		<xsl:text>^</xsl:text><xsl:value-of select="$txtLit"/>
                </xsl:if>
   	</xsl:for-each>

   </xsl:template> 
   <!-- /CABECERA DEL MENSAJE-->
   
   <!-- GRUPO1 -->
     <xsl:template match="COPINOI07.GROUP1">
	
		<xsl:for-each select="self::COPINOI07.GROUP1">
		<!--Segmento RFF -->
		<xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>   
		<xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>   
		
		COPI07004<xsl:text>^</xsl:text>
		<xsl:value-of select="$refQual"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>

	</xsl:for-each>
	</xsl:template>
     
   <!-- /GRUPO1-->
   
   <!-- GRUPO2 -->
	<xsl:template match="COPINOI07.GROUP2">
   <!-- Segmento TDT-->
	<xsl:variable name="transQual" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
	<xsl:variable name="transCod" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
	<xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
	<xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
	
	COPI07005<xsl:text>^</xsl:text><xsl:value-of select="$transQual"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$transCod"/>
	<xsl:if test="boolean($callSign[text()] or $nomBuque[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
	</xsl:if>
	<xsl:if test="boolean($nomBuque[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
	</xsl:if>
	
	<!-- Segmento DTM-->
		<xsl:variable name="dataQual" select="trcd_date.time.period/tred_date.time.period.qualifier"/> 
		<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>   

		COPI07006^<xsl:value-of select="$dataQual"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$dataDoc"/>

   
   </xsl:template>
   
   <!-- /GRUPO2-->
   
   <!-- GRUPO3/GRUPO4 -->
     <xsl:template match="COPINOI07.GROUP3">
	
	<xsl:for-each select="self::COPINOI07.GROUP3">
		<!--Segmento NAD -->
		<xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
		<xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
		<xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
		<xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
		<xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
		<xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>
		
		COPI07007<xsl:text>^</xsl:text>
		<xsl:value-of select="$partyQ"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
		<xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
		<xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">	
			<xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
		</xsl:if>			
		<xsl:if test="boolean($ciudad[text()] or $pais[text()])">
	       		<xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
		</xsl:if>
		<xsl:if test="boolean($pais[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
		</xsl:if>    
		
		<!-- Segmento CTA-->
		<xsl:variable name="codeContact" select="COPINOI07.GROUP4/trsd_contact.information/tred_contact.function.coded"/>
		<xsl:variable name="trnsContact" select="COPINOI07.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
		<xsl:variable name="perContact" select="COPINOI07.GROUP4/trsd_contact.information/tred_department.or.employee"/> 

		<xsl:if test="boolean($codeContact[text()] or $trnsContact[text()] or $perContact[text()])">
			COPI07008<xsl:text>^</xsl:text>
			<xsl:value-of select="$codeContact"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$trnsContact"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>
		</xsl:if>
		
		<!-- Segmento COM-->
		<xsl:variable name="numCom" select="COPINOI07.GROUP4/trcd_communication.contact/tred_communication.number"/>   
		<xsl:variable name="chanQual" select="COPINOI07.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>   
		
		<xsl:if test="boolean($numCom[text()] or $chanQual[text()])">
			COPI07009<xsl:text>^</xsl:text>
			<xsl:value-of select="$numCom"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$chanQual"/>
		</xsl:if>
		
 	</xsl:for-each>
   </xsl:template>
   
   <!-- /GRUPO3/GRUPO4-->
   
   
   <!-- GRUPO 8-->
	<xsl:template match="COPINOI07.GROUP8">
   <xsl:for-each select="self::COPINOI07.GROUP8">
 
 		<!-- Segmento EQD -->
   	<xsl:variable name="eqCal" select="trsd_equipment.details/tred_equipment.qualifier"/>   	
		<xsl:variable name="eqID" select="trsd_equipment.details/tred_equipment.identification.number"/>   	
		<xsl:variable name="eqTypeID" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>   	
					
		COPI07010<xsl:text>^</xsl:text>
		<xsl:value-of select="$eqCal"/>
   		<xsl:text>^</xsl:text><xsl:value-of select="$eqID"/>
		<xsl:if test="boolean($eqTypeID[text()])">
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$eqTypeID"/>
		</xsl:if>
      
<!-- END FOR-EACH DEL GRUPO8 -->
   </xsl:for-each>
   
   </xsl:template> 
   <!-- /GRUPO8-->	 
        
  </xsl:stylesheet>
