<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//COREORI03.HEADER"/>
		<xsl:call-template name="COREORI03"/>
		<xsl:apply-templates select="//COREORI03.GROUP2"/>
		<xsl:call-template name="GROUP3"/>
	</xsl:template>
	<xsl:template match="COREORI03.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL_CAMBIOS" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="textos"/>
	</xsl:template>

	<xsl:template name="textos">
		<xsl:variable name="cuantos" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:variable name="cuantos2" select="count(/COPARNE02/COPARNE02.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/COPARNE02/COPARNE02.HEADER/trsd_free.text">
			<xsl:variable name="CALIF" select="tred_text.subject.qualifier"/>
				<xsl:if test="boolean(contains($CALIF,'ACB')) or boolean(contains($CALIF,'CHG'))">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:if>
		</xsl:for-each>
		<xsl:variable name="PRIMERCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[1]/tred_text.subject.qualifier"/>
		<xsl:variable name="SEGUNDOCAL" select="/COPARNE02/COPARNE02.HEADER/trsd_free.text[2]/tred_text.subject.qualifier"/>
		<xsl:choose>
			<xsl:when test="not(boolean(contains($PRIMERCAL,'ACB'))) and not(boolean(contains($PRIMERCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="10"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'ACB')) and not(boolean(contains($SEGUNDOCAL,'CHG')))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(contains($PRIMERCAL,'CHG'))">
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="5"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	
	<xsl:template name="Old_textos">
		<xsl:variable name="contador" select="count(trsd_free.text)"/>
		<xsl:for-each select="trsd_free.text">
			<xsl:choose>
				<xsl:when test="contains(tred_text.subject.qualifier,'ACB')">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:if test="boolean(string-length(trcd_text.literal)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="contains(tred_text.subject.qualifier,'CHG')">
					<xsl:value-of select="trcd_text.literal"/>
					<xsl:if test="boolean(string-length(trcd_text.literal)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:variable name="aux" select="2-$contador"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*5"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="COREORI03">
		<xsl:variable name="contador" select="count(/COREORI03/COREORI03.GROUP1/trcd_reference)"/>
		<xsl:for-each select="/COREORI03/COREORI03.GROUP1/trcd_reference">
			<xsl:variable name="posicion" select="position()"/>
			<xsl:variable name="auxVar" select="tred_reference.qualifier"/>
			<xsl:variable name="valorVar" select="tred_reference.number"/>
			<xsl:choose>
				<xsl:when test="boolean(normalize-space($auxVar)='AIO' or normalize-space($auxVar)='AHZ' or normalize-space($auxVar)='AAJ')">
					<xsl:variable name="time" select="/COREORI03/COREORI03.GROUP1/trcd_date.time.period[$posicion]/tred_date.time.period"/>
					<xsl:value-of select="$valorVar"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:choose>
						<xsl:when test="boolean(string-length($time[text()]))">
							<xsl:call-template name="formateo">
								<xsl:with-param name="fecha" select="$time"/>
							</xsl:call-template>
							<xsl:value-of select="$separadorColum"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$nullCharacter"/>
							<xsl:value-of select="$separadorColum"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$valorVar"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:variable name="aux" select="4-$contador"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux"/>
		</xsl:call-template>
	</xsl:template>
	<!--
	<xsl:template name="COREORI03">
		<xsl:call-template name="for.loop.COREORI03.GROUP1">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.COREORI03.GROUP1">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:variable name="nodo" select="//COREORI03.GROUP1/trcd_reference[position()=$i] "/>
			<xsl:variable name="refNum" select="$nodo/tred_reference.number"/>
			<xsl:variable name="refQual" select="$nodo/tred_reference.qualifier"/>
			<xsl:choose>
				<xsl:when test="boolean(normalize-space($refQual)='AIO' or normalize-space($refQual)='AHZ' or normalize-space($refQual)='AAJ')">
					<xsl:variable name="time" select="//COREORI03.GROUP1/trcd_date.time.period[position()=$i]/tred_date.time.period"/>
					<xsl:value-of select="$refNum"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:choose>
						<xsl:when test="boolean(string-length($time[text()]))">
							<xsl:call-template name="formateo">
								<xsl:with-param name="fecha" select="$time"/>
							</xsl:call-template>
							<xsl:value-of select="$separadorColum"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$nullColum"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$refNum"/>
					<xsl:if test="boolean(string-length($refNum)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$i &lt;= $count">
			<xsl:call-template name="for.loop.COREORI03.GROUP1">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	-->
	<xsl:template match="COREORI03.GROUP2">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="TRANS_FECHA_SALIDA" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="TRANS_CODIGO_MUELLE" select="trcd_location.identification[1]/tred_place.location.identification"/>
		<xsl:variable name="TRANS_DESC_MUELLE" select="trcd_location.identification[1]/tred_place.location"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_NOM_LINEA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:if test="boolean(string-length($TRANS_IMO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_FECHA_SALIDA)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($TRANS_BANDERA)>0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$TRANS_FECHA_SALIDA"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_CODIGO_MUELLE"/>
		<xsl:if test="boolean(string-length($TRANS_CODIGO_MUELLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_DESC_MUELLE"/>
		<xsl:if test="boolean(string-length($TRANS_DESC_MUELLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="contador" select="count(/COREORI03/COREORI03.GROUP3)"/>
		<xsl:for-each select="/COREORI03/COREORI03.GROUP3">
			<xsl:variable name="calificador" select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="(boolean($calificador='CN') or boolean($calificador='TR'))">
					<xsl:call-template name="CN_TR"/>
				</xsl:when>
				<xsl:when test="(boolean($calificador='GA') or boolean($calificador='GT'))">
					<xsl:call-template name="RC"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="$contador=2">
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="10"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="CN_TR">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF" select="trsd_name.and.address/tred_party.id.identification"/>
		<xsl:variable name="NAD_CN_NOMBRE_DIRECCION" select="trsd_name.and.address/tred_name.and.address.line"/>
		<xsl:variable name="NAD_CN_CALLE" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_CN_CIUDAD" select="trsd_name.and.address/tred_city.name"/>
		<xsl:variable name="NAD_CN_PAIS" select="trsd_name.and.address/tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NOMBRE_DIRECCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_CN_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_CN_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_CN_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="COREORI03.GROUP4">
		<!-- //COREORI03.GROUP4 -->
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_CN_NIF_CONTACTO" select="COREORI03.GROUP4/trsd_contact.information/tred_department.or.employee.identification"/>
		<xsl:variable name="NAD_CN_PERSONA" select="COREORI03.GROUP4/trsd_contact.information/tred_department.or.employee"/>
		<xsl:variable name="NAD_CN_NUMERO" select="COREORI03.GROUP4/trcd_communication.contact/tred_communication.number"/>
		<xsl:variable name="NAD_CN_CANAL" select="COREORI03.GROUP4/trcd_communication.contact/tred_communication.channel.qualifier"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_CN_NIF_CONTACTO"/>
		<xsl:if test="boolean(string-length($NAD_CN_NIF_CONTACTO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_PERSONA"/>
		<xsl:if test="boolean(string-length($NAD_CN_PERSONA)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_NUMERO"/>
		<xsl:if test="boolean(string-length($NAD_CN_NUMERO)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_CN_CANAL"/>
		<xsl:if test="boolean(string-length($NAD_CN_CANAL)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
	<xsl:template name="RC">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="NAD_RC_NIF" select="trsd_name.and.address/tred_party.id.identification"/>
		<xsl:variable name="NAD_RC_NOMBRE_DIRECCION" select="trsd_name.and.address/tred_name.and.address.line"/>
		<xsl:variable name="NAD_RC_CALIFICADOR" select="trsd_name.and.address/tred_party.qualifier"/>
		<xsl:variable name="NAD_RC_CALLE" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
		<xsl:variable name="NAD_RC_CIUDAD" select="trsd_name.and.address/tred_city.name"/>
		<xsl:variable name="NAD_RC_PAIS" select="trsd_name.and.address/tred_country.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$NAD_RC_NIF"/>
		<xsl:if test="boolean(string-length($NAD_RC_NIF)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_NOMBRE_DIRECCION"/>
		<xsl:if test="boolean(string-length($NAD_RC_NOMBRE_DIRECCION)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALIFICADOR"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALIFICADOR)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CALLE"/>
		<xsl:if test="boolean(string-length($NAD_RC_CALLE)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_CIUDAD"/>
		<xsl:if test="boolean(string-length($NAD_RC_CIUDAD)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NAD_RC_PAIS"/>
		<xsl:if test="boolean(string-length($NAD_RC_PAIS)=0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="COREORI03.GROUP4"/>
	</xsl:template>
</xsl:stylesheet>
