<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:template match="/">
		<!-- Lo cambiamos, porque si las partidas y los equipamientos no estn ligados, no saca nada
		<xsl:call-template name="GROUP5"/>
		-->
		<xsl:call-template name="GRUPOS10"/>
	</xsl:template>
	<xsl:template name="refAajNumRef">
		<xsl:for-each select="//COREORI03/COREORI03.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AAJ')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP5">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//COREORI03.GROUP5">
			<xsl:variable name="EMISOR" select="//COREORI03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
			<xsl:variable name="CAB_ID_MENSAJE" select="//COREORI03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
			<xsl:variable name="REF_ACA_NUM_REF" select="//COREORI03.GROUP1/trcd_reference[1]/tred_reference.number"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="posicion" select="position()"/>
			<xsl:call-template name="GRUPO7">
				<xsl:with-param name="EMISOR" select="$EMISOR"/>
				<xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
				<xsl:with-param name="REF_ACA_NUM_REF" select="$REF_ACA_NUM_REF"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="position" select="$posicion"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO7">
		<xsl:param name="EMISOR"/>
		<xsl:param name="CAB_ID_MENSAJE"/>
		<xsl:param name="REF_ACA_NUM_REF"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="position"/>
		<xsl:for-each select="//COREORI03.GROUP5[$position]/COREORI03.GROUP7">
			<xsl:variable name="EQUI_REFERENCIA" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
			<xsl:variable name="NUM_PAQUETES" select="trsd_split.goods.placement/tred_number.of.packages"/>
			<xsl:call-template name="GRUPO10">
				<xsl:with-param name="EMISOR" select="$EMISOR"/>
				<xsl:with-param name="CAB_ID_MENSAJE" select="$CAB_ID_MENSAJE"/>
				<xsl:with-param name="REF_ACA_NUM_REF" select="$REF_ACA_NUM_REF"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
				<xsl:with-param name="EQUI_REFERENCIA" select="$EQUI_REFERENCIA"/>
				<xsl:with-param name="NUM_PAQUETES" select="$NUM_PAQUETES"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO10">
		<xsl:param name="EMISOR"/>
		<xsl:param name="CAB_ID_MENSAJE"/>
		<xsl:param name="REF_ACA_NUM_REF"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="EQUI_REFERENCIA"/>
		<xsl:param name="NUM_PAQUETES"/>
		<xsl:for-each select="//COREORI03.GROUP10">
			<xsl:variable name="posicion" select="position()"/>
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA2" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="PAR_TMP_MIN" select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_INF_ADUANERAS" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="EQUI_INF_OBSERVACIONES" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<!-- Salida de las variables a fichero plano -->
			<!--xsl:if test="boolean($EQUI_REFERENCIA=$EQUI_REFERENCIA2)"-->
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAajNumRef"/>
				<!-- La partida no hay que ponerla
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				-->
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA2"/>
				<xsl:if test="boolean(string-length($EQUI_REFERENCIA2) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="textos">
					<xsl:with-param name="posicion" select="$posicion"/>
				</xsl:call-template>
				<!--
				
				
				<xsl:value-of select="$EQUI_INF_ADUANERAS"/>
				<xsl:if test="boolean(string-length($EQUI_INF_ADUANERAS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_INF_OBSERVACIONES"/>
				<xsl:if test="boolean(string-length($EQUI_INF_OBSERVACIONES) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				-->
				<xsl:value-of select="$saltoLinea"/>
			<!--/xsl:if-->
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="textos">
		<xsl:param name="posicion"/>
		<xsl:variable name="cuantos" select="count(/COREORI03/COREORI03.GROUP10[$posicion]/trsd_free.text)"/>
		<xsl:for-each select="/COREORI03/COREORI03.GROUP10[$posicion]/trsd_free.text">
			<xsl:value-of select="trcd_text.literal/tred_free.text"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:if test="($cuantos=0)">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<!-- Antes haba 10, pero pona un separador de columna. Ponemos 9 y ponemos un null a mano, sin separador de columna -->
				<xsl:with-param name="count" select="9"/>
			</xsl:call-template>
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="($cuantos=1)">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<!-- Antes haba 5, pero pona un separador de columna. Ponemos 4 y ponemos un null a mano, sin separador de columna -->
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="GRUPOS10">
		<xsl:param name="EMISOR" select="//COREORI03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:param name="CAB_ID_MENSAJE" select="//COREORI03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:param name="REF_ACA_NUM_REF"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:param name="EQUI_REFERENCIA"/>
		<xsl:param name="NUM_PAQUETES"/>
		<xsl:for-each select="//COREORI03.GROUP10">
			<xsl:variable name="posicion" select="position()"/>
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA2" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="PAR_TMP_MIN" select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_INF_ADUANERAS" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="EQUI_INF_OBSERVACIONES" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<!-- Salida de las variables a fichero plano -->
			<!--xsl:if test="boolean($EQUI_REFERENCIA=$EQUI_REFERENCIA2)"-->
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAajNumRef"/>
				<!-- La partida no hay que ponerla
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				-->
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA2"/>
				<xsl:if test="boolean(string-length($EQUI_REFERENCIA2) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="textos">
					<xsl:with-param name="posicion" select="$posicion"/>
				</xsl:call-template>
				<xsl:value-of select="$saltoLinea"/>
			<!--/xsl:if-->
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>
