<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:param name="EMISOR" select="//COREORI03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="//COREORI03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
	<xsl:template name="refAajNumRef">
		<xsl:for-each select="//COREORI03/COREORI03.GROUP1/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'AAJ')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP5">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//COREORI03.GROUP5">
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MANIP" select="trcd_handling.instructions/tred_handling.instructions"/>
			<xsl:variable name="PAR_TXT_TMP_TRANS" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_TXT_DESC_MERC" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_PESO_BRUTO" select="trsd_measurements[1]/tred_measurement.value"/>
			<xsl:variable name="PAR_PESO_NETO" select="trsd_measurements[2]/tred_measurement.value"/>
			<xsl:variable name="PAR_INSTR_MARCAJE_1" select="trsd_package.identification[1]/tred_marking.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MARCAJE_2" select="trsd_package.identification[2]/tred_marking.instructions.coded"/>
			<xsl:variable name="PAR_DESC_MARCAJE_1" select="trsd_package.identification[1]/tred_shipping.marks"/>
			<xsl:variable name="PAR_DESC_MARCAJE_2" select="trsd_package.identification[2]/tred_shipping.marks"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAajNumRef"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_BULTOS"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP_COD"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP_COD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TXT_DESC_MERC"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
			   <xsl:with-param name="i" select="1"/>
			   <xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$PAR_TXT_TMP_TRANS"/>
			<xsl:if test="boolean(string-length($PAR_TXT_TMP_TRANS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
			   <xsl:with-param name="i" select="1"/>
			   <xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$PAR_PESO_BRUTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_PESO_NETO"/>
			<xsl:if test="boolean(string-length($PAR_PESO_NETO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MARCAJE_1"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MARCAJE_1) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_DESC_MARCAJE_1"/>
			<xsl:if test="boolean(string-length($PAR_DESC_MARCAJE_1) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MARCAJE_2"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MARCAJE_2) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_DESC_MARCAJE_2"/>
			<xsl:if test="boolean(string-length($PAR_DESC_MARCAJE_2) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
