<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTFCCI02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTFCCI02.HEADER"/>
		<xsl:call-template name="IFTFCCI02"/>
		<xsl:call-template name="GROUP17"/>
		<xsl:call-template name="GRUPO11"/>
		<xsl:call-template name="GROUP3"/>
		<xsl:call-template name="GROUP5"/>
	</xsl:template>
	<xsl:template match="IFTFCCI02.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TEXTO_ADICIONAL" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
		<xsl:variable name="CAB_TEXTO_CAMBIOS" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_TEXTO_ADICIONAL"/>
		<xsl:if test="boolean(string-length($CAB_TEXTO_ADICIONAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
		<xsl:value-of select="$CAB_TEXTO_CAMBIOS"/>
		<xsl:if test="boolean(string-length($CAB_TEXTO_CAMBIOS) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="IFTFCCI02">
		<xsl:call-template name="for.loop.IFTFCCI02.GROUP2">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">6</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.IFTFCCI02.GROUP2">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:variable name="PARENT_NODE" select="//IFTFCCI02.GROUP2[position()=$i] "/>
			<xsl:variable name="refNum" select="$PARENT_NODE/descendant::tred_reference.number"/>
			<xsl:choose>
				<xsl:when test="$refNum[text()]">
					<xsl:value-of select="$refNum"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
		</xsl:if>
		<xsl:if test="$i &lt;= $count">
			<xsl:call-template name="for.loop.IFTFCCI02.GROUP2">
				<xsl:with-param name="i">
					<!-- Increment index-->
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="GROUP17">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_COD_LINEA" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="/IFTFCCI02/IFTFCCI02.GROUP17/trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="TRANS_FECHA_SALIDA" select="/IFTFCCI02/IFTFCCI02.GROUP17/trcd_date.time.period[1]/tred_date.time.period"/>
		<xsl:variable name="FECHA_CARGA" select="/IFTFCCI02/IFTFCCI02.GROUP17/trcd_date.time.period[2]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_CARGA_INF" select="/IFTFCCI02/IFTFCCI02.GROUP17/trcd_date.time.period[3]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_CARGA_SUP" select="/IFTFCCI02/IFTFCCI02.GROUP17/trcd_date.time.period[4]/tred_date.time.period"/>
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_NOM_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:if test="boolean(string-length($TRANS_IMO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:if test="boolean(string-length($TRANS_NOMBRE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:variable name="fechaInf" select="concat($FECHA_CARGA,$TRANS_FECHA_CARGA_INF)"/>
		<xsl:if test="boolean(string-length($fechaInf) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($fechaInf) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$fechaInf"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:variable name="fechaSup" select="concat($FECHA_CARGA,$TRANS_FECHA_CARGA_SUP)"/>
		<xsl:if test="boolean(string-length($fechaSup) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($fechaSup) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$fechaSup"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<xsl:variable name="contador" select="count(/IFTFCCI02/IFTFCCI02.GROUP11)"/>
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP11">
			<xsl:variable name="nif" select="trsd_name.and.address/tred_party.id.identification"/>
			<xsl:variable name="nombre" select="trsd_name.and.address/tred_name.and.address.line"/>
			<xsl:variable name="calle" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
			<xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
			<xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>
			<xsl:variable name="identificador" select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:choose>
				<xsl:when test="$nif[text()]">
					<xsl:value-of select="$nif"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$nombre[text()]">
					<xsl:value-of select="$nombre"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$calle[text()]">
					<xsl:value-of select="$calle"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$ciudad[text()]">
					<xsl:value-of select="$ciudad"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$pais[text()]">
					<xsl:value-of select="$pais"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:if test="boolean(normalize-space($identificador)='ST')">
				<xsl:variable name="nifContacto" select="IFTFCCI02.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
				<xsl:variable name="nombreContacto" select="IFTFCCI02.GROUP12/trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="numeroContacto" select="IFTFCCI02.GROUP12/trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="canalContacto" select="IFTFCCI02.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
				<xsl:choose>
					<xsl:when test="$nifContacto[text()]">
						<xsl:value-of select="$nifContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$nombreContacto[text()]">
						<xsl:value-of select="$nombreContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$numeroContacto[text()]">
						<xsl:value-of select="$numeroContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$canalContacto[text()]">
						<xsl:value-of select="$canalContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:variable name="aux" select="6-$contador"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*5"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="GROUP3">
		<xsl:variable name="contador" select="count(//IFTFCCI02.GROUP3/trsd_monetary.amount)"/>
		<xsl:for-each select="//IFTFCCI02.GROUP3/trsd_monetary.amount">
			<xsl:variable name="Moneda" select="tred_currency.coded"/>
			<xsl:variable name="Cantidad" select="tred_monetary.amount"/>
			<xsl:value-of select="$Moneda"/>
			<xsl:if test="boolean(string-length($Moneda) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$Cantidad"/>
			<xsl:if test="boolean(string-length($Cantidad) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
		</xsl:for-each>
		<xsl:variable name="aux" select="3-$contador"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*2"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="GROUP5">
		<xsl:variable name="CodigoDivisa" select="/IFTFCCI02/IFTFCCI02.GROUP5/trsd_currencies/tred_currency.coded"/>
		<xsl:variable name="UnidadesTasa" select="/IFTFCCI02/IFTFCCI02.GROUP5/trsd_currencies/tred_currency.rate.base"/>
		<xsl:variable name="TasaCambio" select="/IFTFCCI02/IFTFCCI02.GROUP5/trsd_currencies/tred_rate.of.exchange"/>
		<xsl:variable name="validezDivisa" select="/IFTFCCI02/IFTFCCI02.GROUP5/trcd_date.time.period/tred_date.time.period"/>
		<xsl:value-of select="$CodigoDivisa"/>
		<xsl:if test="boolean(string-length($CodigoDivisa) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$UnidadesTasa"/>
		<xsl:if test="boolean(string-length($UnidadesTasa) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TasaCambio"/>
		<xsl:if test="boolean(string-length($TasaCambio) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($TasaCambio) =0)">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($TasaCambio) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fechaDivisa" select="$validezDivisa"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
