<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  ____________________________________________ mensaje_IFTFCCI02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/> 
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:param name="EMISOR" select="//IFTFCCI02/IFTFCCI02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="//IFTFCCI02/IFTFCCI02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="IFTFCCI02.GROUP28"/>
	</xsl:template>
	<xsl:template name="refAbeNumRef">
		<xsl:for-each select="//IFTFCCI02/IFTFCCI02.GROUP2/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'ABE')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP28">
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP28">
			<xsl:variable name="NUM_CONOCIMIENTO" select="trsd_consignment.information/tred_consolidation.item.number"/>
			<xsl:variable name="NUM_BL" select="trsd_consignment.information/tred_document.message.number"/>
			<xsl:value-of select="concat($EMISOR,$separadorColum)"/>
			<xsl:value-of select="concat($CAB_ID_MENSAJE,$separadorColum)"/>
			<xsl:call-template name="refAbeNumRef"/>
			<xsl:value-of select="$NUM_CONOCIMIENTO"/>
			<xsl:if test="boolean(string-length($NUM_CONOCIMIENTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NUM_BL"/>
			<xsl:if test="boolean(string-length($NUM_BL) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:variable name="position" select="position()"/>
			<xsl:call-template name="IFTFCCI02.GROUP30">
				<xsl:with-param name="position" select="$position"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP30">
		<xsl:param name="position"/>
		<xsl:for-each select="IFTFCCI02.GROUP30/trcd_location.identification">
				<xsl:variable name="cod" select="tred_place.location.identification"/>
				<xsl:variable name="nom" select="tred_place.location"/>
				<xsl:value-of select="$cod"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nom"/>
				<xsl:value-of select="$separadorColum"/>
 		</xsl:for-each>
		<xsl:call-template name="camposVacios2">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
<!-- 		<xsl:variable name="count">4</xsl:variable>
		<xsl:call-template name="for.loop.IFTFCCI02.GROUP30">
		   <xsl:with-param name="position" select="$position"/>
			<xsl:with-param name="i">1</xsl:with-param>
		   <xsl:with-param name="nulos" select="number($count)- number(count(IFTFCCI02.GROUP30/trcd_location.identification))"/>
		</xsl:call-template>-->
	</xsl:template>
	<xsl:template name="for.loop.IFTFCCI02.GROUP30">
		<xsl:param name="position"/>
		<xsl:param name="i"/>
		<xsl:param name="nulos"/>
		<xsl:if test="$i &lt;= $nulos">
			<xsl:text>null</xsl:text>
			<xsl:value-of select="$separadorColum"/>
			<xsl:text>null</xsl:text>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="for.loop.IFTFCCI02.GROUP30">
				<xsl:with-param name="i">
					<!-- Increment index-->
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="nulos">
					<xsl:value-of select="$nulos"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
