<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  ____________________________________________ mensaje_IFTFCCI02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="EMISOR" select="//IFTFCCI02/IFTFCCI02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="//IFTFCCI02/IFTFCCI02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="IFTFCCI02.GROUP6"/>
	</xsl:template>
	<xsl:template name="refAbeNumRef">
		<xsl:for-each select="//IFTFCCI02/IFTFCCI02.GROUP2/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'ABE')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP6">
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP6">
			<xsl:variable name="ID_CARGOS_FLETE_COD" select="trsd_transport.charge.rate.calculations/tred_freight.and.charges.identification"/>
			<xsl:variable name="AGENCIA_RESPONSABLE" select="trsd_transport.charge.rate.calculations/tred_code.list.responsible.agency.coded"/>
			<xsl:variable name="ID_CARGOS_FLETE_LIT" select="trsd_transport.charge.rate.calculations/tred_freight.and.charges"/>
			<xsl:variable name="NUM_ORDEN_CF" select="trsd_transport.charge.rate.calculations/tred_item.number"/>
			<xsl:variable name="CANTIDAD_FACT_CALIF_1" select="trsd_quantity[1]/tred_quantity.qualifier"/>
			<xsl:variable name="CANTIDAD_FACT_1" select="trsd_quantity[1]/tred_quantity"/>
			<xsl:variable name="CANTIDAD_FACT_CALIF_2" select="trsd_quantity[2]/tred_quantity.qualifier"/>
			<xsl:variable name="CANTIDAD_FACT_2" select="trsd_quantity[2]/tred_quantity"/>
			<xsl:value-of select="concat($EMISOR,$separadorColum)"/>
			<xsl:value-of select="concat($CAB_ID_MENSAJE,$separadorColum)"/>
			<xsl:call-template name="refAbeNumRef"/>
			<xsl:value-of select="$ID_CARGOS_FLETE_COD"/>
			<xsl:if test="boolean(string-length($ID_CARGOS_FLETE_COD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$AGENCIA_RESPONSABLE"/>
			<xsl:if test="boolean(string-length($AGENCIA_RESPONSABLE) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$ID_CARGOS_FLETE_LIT"/>
			<xsl:if test="boolean(string-length($ID_CARGOS_FLETE_LIT) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NUM_ORDEN_CF"/>
			<xsl:if test="boolean(string-length($NUM_ORDEN_CF) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANTIDAD_FACT_CALIF_1"/>
			<xsl:if test="boolean(string-length($CANTIDAD_FACT_CALIF_1) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANTIDAD_FACT_1"/>
			<xsl:if test="boolean(string-length($CANTIDAD_FACT_1) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANTIDAD_FACT_CALIF_2"/>
			<xsl:if test="boolean(string-length($CANTIDAD_FACT_CALIF_2) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANTIDAD_FACT_2"/>
			<xsl:if test="boolean(string-length($CANTIDAD_FACT_2) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="IFTFCCI02.GROUP8"/>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP8">
		<xsl:variable name="IMP_PAR" select="IFTFCCI02.GROUP8/trsd_monetary.amount/tred_monetary.amount"/>
		<xsl:variable name="IMP_PAR_MONEDA" select="IFTFCCI02.GROUP8/trsd_monetary.amount/tred_currency.coded"/>
		<xsl:variable name="IMP_PAR_TITULO_INFORMAT" select="IFTFCCI02.GROUP8/trsd_monetary.amount/tred_status.coded"/>
		<xsl:variable name="IMP_PAR_CODIGO_DIVISA" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP9/trsd_currencies/tred_currency.coded"/>
		<xsl:variable name="IMP_PAR_UNIDADES_TASA" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP9/trsd_currencies/tred_currency.rate.base"/>
		<xsl:variable name="IMP_PAR_TASA_CAMBIO" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP9/trsd_currencies/tred_rate.of.exchange"/>
		<xsl:variable name="PERIODO_VALIDEZ" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP9/trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="TIPO_IMPUESTO" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP10/trsd_duty.tax.fee.details/tred_duty.tax.fee.type.coded"/>
		<xsl:variable name="PORCENTAJE" select="IFTFCCI02.GROUP8/IFTFCCI02.GROUP10/trcd_percentage.details/tred_percentage"/>
		<xsl:value-of select="$IMP_PAR"/>
		<xsl:if test="boolean(string-length($IMP_PAR) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$IMP_PAR_MONEDA"/>
		<xsl:if test="boolean(string-length($IMP_PAR_MONEDA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$IMP_PAR_TITULO_INFORMAT"/>
		<xsl:if test="boolean(string-length($IMP_PAR_TITULO_INFORMAT) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$IMP_PAR_CODIGO_DIVISA"/>
		<xsl:if test="boolean(string-length($IMP_PAR_CODIGO_DIVISA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$IMP_PAR_UNIDADES_TASA"/>
		<xsl:if test="boolean(string-length($IMP_PAR_UNIDADES_TASA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$IMP_PAR_TASA_CAMBIO"/>
		<xsl:if test="boolean(string-length($IMP_PAR_TASA_CAMBIO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fechaDivisa" select="$PERIODO_VALIDEZ"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TIPO_IMPUESTO"/>
		<xsl:if test="boolean(string-length($TIPO_IMPUESTO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$PORCENTAJE"/>
		<xsl:if test="boolean(string-length($PORCENTAJE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
