<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  ____________________________________________ mensaje_IFTFCCI02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>    
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:param name="EMISOR" select="//IFTFCCI02/IFTFCCI02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="/IFTFCCI02/IFTFCCI02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="IFTFCCI02.GROUP28"/>
	</xsl:template>
	<xsl:template name="refAbeNumRef">
		<xsl:for-each select="//IFTFCCI02/IFTFCCI02.GROUP2/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'ABE')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP28">
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP28">
			<xsl:variable name="NUM_CONOCIMIENTO" select="trsd_consignment.information/tred_consolidation.item.number"/>
			<xsl:call-template name="IFTFCCI02.GROUP37">
				<xsl:with-param name="NUM_CONOCIMIENTO" select="$NUM_CONOCIMIENTO"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP37">
		<xsl:param name="NUM_CONOCIMIENTO"/>
		<xsl:for-each select="IFTFCCI02.GROUP37">
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:call-template name="Marcaje">
			  <xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			  <xsl:with-param name="NUM_CONOCIMIENTO" select="$NUM_CONOCIMIENTO"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Marcaje">
		<xsl:param name="NUM_CONOCIMIENTO"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:for-each select="trsd_package.identification">
		   <xsl:variable name="MARC_CALIFICADOR" select="tred_marking.instructions.coded"/>
		   <xsl:variable name="MARC_MARCA" select="tred_shipping.marks"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAbeNumRef"/>
			<xsl:value-of select="$NUM_CONOCIMIENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_MARCA"/>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
