<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  ____________________________________________ mensaje_IFTFCCI02I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="EMISOR" select="//IFTFCCI02/IFTFCCI02.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:param name="CAB_ID_MENSAJE" select="//IFTFCCI02/IFTFCCI02.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="IFTFCCI02.GROUP28"/>
	</xsl:template>
	<xsl:template name="refAbeNumRef">
		<xsl:for-each select="//IFTFCCI02/IFTFCCI02.GROUP2/trcd_reference">
			<xsl:if test="contains(tred_reference.qualifier,'ABE')">
				<xsl:value-of select="concat(tred_reference.number,$separadorColum)"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP28">
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP28">
			<xsl:variable name="NUM_CONOCIMIENTO" select="trsd_consignment.information/tred_consolidation.item.number"/>
			<xsl:variable name="posicionPadre" select="position()"/>
			<xsl:call-template name="IFTFCCI02.GROUP37">
				<xsl:with-param name="posicionPadre" select="$posicionPadre"/>
				<xsl:with-param name="NUM_CONOCIMIENTO" select="$NUM_CONOCIMIENTO"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="IFTFCCI02.GROUP37">
		<xsl:param name="posicionPadre"/>
		<xsl:param name="NUM_CONOCIMIENTO"/>
		<xsl:for-each select="IFTFCCI02.GROUP37">
			<xsl:variable name="posicion" select="position()"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MANIP" select="trcd_handling.instructions/tred_handling.instructions"/>
			<xsl:variable name="PAR_TMP_MIN" select="trsd_temperature/trcd_temperature.setting[1]/tred_temperature.setting"/>
			<xsl:variable name="PAR_TMP_MIN_CAL" select="trsd_temperature/trcd_temperature.setting[1]/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trsd_temperature/trcd_temperature.setting[2]/tred_temperature.setting"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trsd_temperature/trcd_temperature.setting[2]/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_MOV_COD" select="trcd_movement.type/tred_movement.type.coded"/>
			<xsl:variable name="PAR_MOV" select="trcd_movement.type/tred_movement.type"/>
			<xsl:variable name="PAR_TEXTO_LIBRE" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_PESO_BRUTO" select="IFTFCCI02.GROUP38/trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="MMPP_CLASE" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
			<xsl:variable name="MMPP_NUM_PAG" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
			<xsl:variable name="MMPP_VERSION" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
			<xsl:variable name="MMPP_NUM_ONU" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/tred_undg.number"/>
			<xsl:variable name="MMPP_GR_ENVASADO" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/tred_packing.group.coded"/>
			<xsl:variable name="MMPP_NUM_EMS" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/tred_ems.number"/>
			<xsl:variable name="MMPP_MFAG" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/tred_mfag"/>
			<xsl:variable name="MMPP_CATEGORIA_TRANS" select="IFTFCCI02.GROUP41/trsd_dangereous.goods/tred_category.of.means.of.transport.coded"/>
			<xsl:variable name="MMPP_AAD_DESC_TECNICA" select="IFTFCCI02.GROUP41/trsd_free.text/tred_text.subject.qualifier"/>
			<xsl:variable name="MMPP_AAC_INFO_ADICIONAL" select="IFTFCCI02.GROUP41/trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAbeNumRef"/>
			<xsl:value-of select="$NUM_CONOCIMIENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_BULTOS"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP_COD"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP_COD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="temperaturas">
				<xsl:with-param name="posicionPadre" select="$posicionPadre"/>
				<xsl:with-param name="posicion" select="$posicion"/>
			</xsl:call-template>
			<xsl:value-of select="$PAR_MOV_COD"/>
			<xsl:if test="boolean(string-length($PAR_MOV_COD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_MOV"/>
			<xsl:if test="boolean(string-length($PAR_MOV) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TEXTO_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			<xsl:value-of select="$PAR_PESO_BRUTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_CLASE"/>
			<xsl:if test="boolean(string-length($MMPP_CLASE) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_PAG"/>
			<xsl:if test="boolean(string-length($MMPP_NUM_PAG) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_VERSION"/>
			<xsl:if test="boolean(string-length($MMPP_VERSION) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_ONU"/>
			<xsl:if test="boolean(string-length($MMPP_NUM_ONU) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_GR_ENVASADO"/>
			<xsl:if test="boolean(string-length($MMPP_GR_ENVASADO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_EMS"/>
			<xsl:if test="boolean(string-length($MMPP_NUM_EMS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_MFAG"/>
			<xsl:if test="boolean(string-length($MMPP_MFAG) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_CATEGORIA_TRANS"/>
			<xsl:if test="boolean(string-length($MMPP_CATEGORIA_TRANS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_AAD_DESC_TECNICA"/>
			<xsl:if test="boolean(string-length($MMPP_AAD_DESC_TECNICA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$MMPP_AAC_INFO_ADICIONAL"/>
			<xsl:if test="boolean(string-length($MMPP_AAC_INFO_ADICIONAL) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="temperaturas">
		<xsl:param name="posicionPadre"/>
		<xsl:param name="posicion"/>
		<xsl:variable name="contador" select="count(/IFTFCCI02/IFTFCCI02.GROUP28[$posicion]/IFTFCCI02.GROUP37[$posicion]/trsd_temperature)"/>
		<xsl:for-each select="/IFTFCCI02/IFTFCCI02.GROUP28[$posicion]/IFTFCCI02.GROUP37[$posicion]/trsd_temperature">
			<xsl:variable name="temp" select="trcd_temperature.setting/tred_temperature.setting"/>
			<xsl:variable name="calificador" select="trcd_temperature.setting/tred_measure.unit.qualifier"/>
			<xsl:value-of select="$temp"/>
			<xsl:if test="boolean(string-length($temp) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$calificador"/>
			<xsl:if test="boolean(string-length($calificador) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
		</xsl:for-each>
		<xsl:variable name="aux" select="2-$contador"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*2"/>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
