<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
<!-- ________________ mensaje IFTMCSP _____________________________ -->
<xsl:output method="text" encoding="ISO-8859-1"/>
<xsl:template match="/">
<xsl:apply-templates select="//IFTMBC"/>
<xsl:apply-templates select="//IFTMBC.GROUP2"/>
<xsl:apply-templates select="//IFTMBC.GROUP3"/>
<xsl:apply-templates select="//IFTMBC.GROUP6"/>
<xsl:apply-templates select="//IFTMBC.GROUP9"/>
<xsl:apply-templates select="//IFTMBC.GROUP18"/>
IFTMBC028
UNZ001
</xsl:template>
<!-- CABECERA DEL ENVIO -->
<xsl:template match="IFTMBC">
<!-- Cabecera del envio-->
<xsl:variable name="traderId" select="anxs_interchange.header/anxc_syntax.identifier/anxe_syntax.identifier"/>
<xsl:variable name="sender" select="anxs_interchange.header/anxc_interchange.sender/anxe_sender.identification"/>
<xsl:variable name="recipient" select="anxs_interchange.header/anxc_interchange.recipient/anxe_recipient.identification"/>
<xsl:variable name="date" select="anxs_interchange.header/anxc_date.time.of.preparation/anxe_date"/>
<xsl:variable name="time" select="anxs_interchange.header/anxc_date.time.of.preparation/anxe_time"/>
<xsl:variable name="refInt" select="anxs_interchange.header/anxe_interchange.control.reference"/>ENV001^<xsl:value-of select="$traderId"/>
<xsl:text>^</xsl:text>
<!-- <xsl:value-of select="$version"/> -->
<xsl:text>IFTMBC^</xsl:text>
<xsl:value-of select="$sender"/>
<xsl:text>^</xsl:text>
<xsl:text>^</xsl:text>
<xsl:value-of select="$recipient"/>
<xsl:text>^</xsl:text>
<xsl:text>^</xsl:text>
<xsl:value-of select="$date"/>
<xsl:text>^</xsl:text>
<xsl:value-of select="$time"/>
<xsl:text>^</xsl:text>
<xsl:value-of select="$refInt"/>
		<!-- CABECERA DEL MENSAJE-->
		<!-- Segmento UNH-->
		<xsl:variable name="nRef" select="anxs_message.header/anxe_message.reference.number"/>
IFTMBC001<xsl:text>^</xsl:text>
		<xsl:value-of select="$nRef"/>
		<xsl:text>^</xsl:text>
		<xsl:text>IFTMBC</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>D</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>99B</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>UN</xsl:text>
		<!-- Segmento BGM-->
		<xsl:variable name="numDoc" select="trsd_beginning.of.message/trcd_document.message.identification/tred_document.message.number"/>
		<xsl:variable name="codMsg" select="trsd_beginning.of.message/tred_response.type.coded"/>
IFTMBC002^770^<xsl:value-of select="$numDoc"/>
		<xsl:text>^6^</xsl:text>
		<xsl:value-of select="$codMsg"/>
		<!-- Segmento CTA-->
		<xsl:for-each select="self::IFTMBC/trsd_contact.information">
IFTMBC003^IC^<xsl:value-of select="trcd_department.or.employee.details/tred_department.or.employee "/>
		</xsl:for-each>
		<!-- Segmento COM-->
		<xsl:for-each select="self::IFTMBC/trsd_communication.contact">
IFTMBC004^<xsl:value-of select="tred_communication.number"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="tred_communication.channel.qualifier"/>
		</xsl:for-each>
IFTMBC005^<xsl:call-template name="formatoFechas">
			<!-- pass the parameters !-->
			<xsl:with-param name="dateQal" select="trsd_date.time.period/tred_date.time.period.qualifier"/>
			<xsl:with-param name="datePer" select="trsd_date.time.period/tred_date.time.period"/>
			<xsl:with-param name="dateFor" select="trsd_date.time.period/tred_date.time.period.format.qualifier"/>
		</xsl:call-template>
		<!-- Segmento TSR-->
		<xsl:for-each select="self::IFTMBC/trsd_transport.service.requirements">
IFTMBC006^<xsl:value-of select="trcd_contract.and.carriage.condition/tred_contract.and.carriage.condition.code"/>
		<xsl:text>^2</xsl:text>
		</xsl:for-each>
		<!-- Segmento FTX-->
		<xsl:for-each select="self::IFTMBC/trsd_free.text">
IFTMBC007^AAI<xsl:variable name="aux" select="trcd_text.literal/tred_free.text"/>
				<xsl:for-each select="trcd_text.literal/tred_free.text">	
					<xsl:if test="boolean($aux[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$aux"/>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 1 -->
	<xsl:template match="IFTMBC.GROUP2">
		<xsl:for-each select="self::IFTMBC.GROUP2">
IFTMBC008<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_reference/tred_reference.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_reference/tred_reference.number"/>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 3 -->
	<xsl:template match="IFTMBC.GROUP3">
		<xsl:for-each select="self::IFTMBC.GROUP3">
IFTMBC009^20<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/tred_conveyance.reference.number"/>
			<xsl:text>^1^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
			<xsl:text>^172^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
			<!-- GRUPO 4 -->
			<xsl:for-each select="self::IFTMBC.GROUP3/IFTMBC.GROUP4">
IFTMBC010<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/tred_place.location.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_place.location.identification"/>
			<xsl:text>^139^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_code.list.responsible.agency.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_place.location"/>
			<xsl:for-each select="trsd_date.time.period">
IFTMBC011<xsl:text>^</xsl:text>
				<xsl:call-template name="formatoFechas">
					<!-- pass the parameters !-->
						<xsl:with-param name="dateQal" select="tred_date.time.period.qualifier"/>
						<xsl:with-param name="datePer" select="tred_date.time.period"/>
						<xsl:with-param name="dateFor" select="tred_date.time.period.format.qualifier"/>
				</xsl:call-template>	
			</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 6 -->
	<xsl:template match="IFTMBC.GROUP6">
		<xsl:for-each select="self::IFTMBC.GROUP6">
IFTMBC012<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.identification.details/tred_party.id.identification"/>
			<xsl:text>^160^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.identification.details/tred_code.list.responsible.agency.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.name/tred_party.name"/>
			<xsl:for-each select="trsd_name.and.address/trcd_street">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_street.and.number.p.o.box[1]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_street.and.number.p.o.box[2]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_street.and.number.p.o.box[3]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_street.and.number.p.o.box[4]"/>
			</xsl:for-each>			
			<!-- GRUPO 7 -->
			<xsl:for-each select="self::IFTMBC.GROUP6/IFTMBC.GROUP7">
IFTMBC013^IC<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_contact.information/trcd_department.or.employee.details/tred_department.or.employee"/>
			<xsl:for-each select="trsd_communication.contact">			
IFTMBC014<xsl:text>^</xsl:text>			
			<xsl:value-of select="tred_communication.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="tred_communication.channel.qualifier"/>
			</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 9 -->
	<xsl:template match="IFTMBC.GROUP9">
		<xsl:for-each select="self::IFTMBC.GROUP9">
IFTMBC015<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_goods.item.details/trcd_number.and.type.of.packages/tred_number.of.packages"/>
			<xsl:text>^PCS</xsl:text>
			<xsl:for-each select="self::IFTMBC.GROUP9/trsd_free.text">
IFTMBC016^AAA<xsl:text>^</xsl:text><xsl:variable name="aux" select="trcd_text.literal/tred_free.text"/>
				<xsl:for-each select="trcd_text.literal/tred_free.text">	
						<xsl:if test="boolean($aux[text()])">
					<xsl:text>^</xsl:text>
					<xsl:value-of select="$aux"/>
						</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="self::IFTMBC.GROUP9/trsd_percentage.details">
IFTMBC017^52<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_percentage"/>
			</xsl:for-each>
			<!-- GRUPO 11 -->
			<xsl:for-each select="self::IFTMBC.GROUP9/IFTMBC.GROUP11">
IFTMBC018^AAE^WT<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_measurements/trcd_value.range/tred_measure.unit.code"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_measurements/trcd_value.range/tred_measurement.value"/>
			</xsl:for-each>
			
			<!-- GRUPO 15 -->
			<xsl:for-each select="self::IFTMBC.GROUP9/IFTMBC.GROUP15">
IFTMBC019<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/tred_dangerous.goods.regulations.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/trcd_undg.information/tred_undg.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/trcd_dangerous.goods.shipment.flashpoint/tred_shipment.flashpoint"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/trcd_dangerous.goods.shipment.flashpoint/tred_measure.unit.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
			<xsl:for-each select="trsd_free.text">
IFTMBC020<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_text.subject.qualifier"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_text.literal/tred_free.text[1]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_text.literal/tred_free.text[2]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_text.literal/tred_free.text[3]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_text.literal/tred_free.text[4]"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_text.literal/tred_free.text[5]"/>
			</xsl:for-each>
			<!-- GRUPO 16 -->
			<xsl:for-each select="IFTMBC.GROUP16">
IFTMBC021^HG<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_contact.information/trcd_department.or.employee.details//tred_department.or.employee"/>
			</xsl:for-each>
			</xsl:for-each>
			</xsl:for-each>
	</xsl:template>		
	<!-- GRUPO 18 -->
	<xsl:template match="IFTMBC.GROUP18">
		<xsl:for-each select="self::IFTMBC.GROUP18">
IFTMBC022^CN<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_equipment.details/trcd_equipment.size.and.type/tred_equipment.size.and.type.identification"/>
			<xsl:text>^102^5</xsl:text>
			<xsl:for-each select="self::IFTMBC.GROUP18/trsd_number.of.units">
IFTMBC023<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_number.of.units"/>
			</xsl:for-each>
			<xsl:for-each select="self::IFTMBC.GROUP18/trsd_measurements">
IFTMBC024^AAE^AAS^CBM<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_measurement.value"/>
			</xsl:for-each>
			<xsl:for-each select="self::IFTMBC.GROUP18/trsd_measurements">
IFTMBC025^2<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_temperature.setting/tred_temperature.setting"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_temperature.setting/tred_measure.unit.code"/>
			</xsl:for-each>
	<!-- GRUPO 19 -->
			<xsl:for-each select="self::IFTMBC.GROUP18/IFTMBC.GROUP19">
IFTMBC026^SF<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.identification.details/tred_party.id.identification"/>
			<xsl:text>^160^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.identification.details/tred_code.list.responsible.agency.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.name/tred_party.name"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_street/tred_street.and.number.p.o.box[1]"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_street/tred_street.and.number.p.o.box[2]"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_street/tred_street.and.number.p.o.box[3]"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_street/tred_street.and.number.p.o.box[4]"/>
			</xsl:for-each>
			<xsl:for-each select="self::IFTMBC.GROUP18/IFTMBC.GROUP19/trsd_date.time.period">
IFTMBC027<xsl:text>^</xsl:text>
			<xsl:call-template name="formatoFechas">
					<!-- pass the parameters !-->
						<xsl:with-param name="dateQal" select="tred_date.time.period.qualifier"/>
						<xsl:with-param name="datePer" select="tred_date.time.period"/>
						<xsl:with-param name="dateFor" select="tred_date.time.period.format.qualifier"/>
			</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		</xsl:template>	
	<xsl:template name="formatoFechas">
		<!-- retrieve the list of parameters !-->
		<xsl:param name="dateQal" select="201"/>
		<xsl:param name="datePer" select="0401010101"/>
		<xsl:param name="dateFor" select="201"/>
		<xsl:value-of select="$dateQal"/>
		<xsl:choose>
			<xsl:when test="$dateFor= 201">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="substring($datePer,1,10)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$dateFor= 102">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,8)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,12)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$dateFor"/>
	</xsl:template>
</xsl:stylesheet>
