<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
        <!-- ________________ mensaje IFTMCS _____________________________ -->
        <xsl:output method="text" encoding="ISO-8859-1"/>
        <xsl:template match="/">
                <xsl:apply-templates select="//IFTMCS.HEADER"/>
                <xsl:apply-templates select="//IFTMCS.GROUP1"/>
                <xsl:apply-templates select="//IFTMCS.GROUP3"/>
                <xsl:apply-templates select="//IFTMCS.GROUP6"/>
                <xsl:apply-templates select="//IFTMCS.GROUP8"/>
                <xsl:apply-templates select="//IFTMCS.GROUP11"/>
                <xsl:apply-templates select="//IFTMCS.GROUP18"/>
                <xsl:apply-templates select="//IFTMCS.GROUP35"/>
        IFT031
        UNZ001

   </xsl:template>
        <!-- CABECERA DEL ENVIO -->
        <xsl:template match="IFTMCS.HEADER">
                <!-- Cabecera del envio-->
                <xsl:variable name="traderId" select="anxs_interchange.header/anxe_syntax.identifier"/>
                <xsl:variable name="version" select="anxs_interchange.header/anxe_syntax.version.number"/>
                <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
                <xsl:variable name="reverseRout" select="anxs_interchange.header/anxe_address.for.reverse.routing"/>
                <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
                <xsl:variable name="routAddr" select="anxs_interchange.header/anxe_routing.address"/>
                <xsl:variable name="date" select="anxs_interchange.header/anxe.date"/>
                <xsl:variable name="time" select="anxs_interchange.header/anxe.time"/>
                <xsl:variable name="refInt" select="anxs_interchange.header/anxe_application.reference"/>

        ENV001^<xsl:value-of select="$traderId"/>
                <xsl:text>^</xsl:text>
                <!-- <xsl:value-of select="$version"/> -->
                <xsl:text>IFTMCS^</xsl:text>
                <xsl:value-of select="$sender"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$reverseRout"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$recipient"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$routAddr"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$date"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$time"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$refInt"/>
                <!-- CABECERA DEL MENSAJE-->
                <!-- Segmento UNH-->
                <xsl:variable name="nRef" select="anxs_message.header/anxe_message.reference.number"/>
                <xsl:variable name="idMes" select="anxs_message.header/anxc_message.identifier"/>
                <xsl:variable name="nVers" select="anxs_message.header/anxe_message.version.number"/>
                <xsl:variable name="nRel" select="anxs_message.header/anxe_message.release.number"/>
                <xsl:variable name="aCont" select="anxs_message.header/anxe_controlling.agency"/>
                <xsl:variable name="cAssi" select="anxs_message.header/anxe_association.assigned.code"/>
        IFT001^<xsl:value-of select="$nRef"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$idMes"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$nVers"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$nRel"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$aCont"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$cAssi"/>

                <!-- Segmento BGM-->
                <xsl:variable name="nameMesg" select="trsd_beginning.of.message/trcd_document.message.name"/>
                <xsl:variable name="refMsg" select="trsd_beginning.of.message/trcd_document.message.identification"/>
                <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>
        IFT002^<xsl:value-of select="$nameMesg"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$refMsg"/>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$funMsg"/>
                <!-- Segmento DTM-->
                <xsl:variable name="dateQal" select="trsd_date.time.period/tred_date.time.period.qualifier"/>
                <xsl:variable name="datePer" select="trsd_date.time.period/tred_date.time.period"/>
                <xsl:variable name="dateFor" select="trsd_date.time.period/tred_date.time.period.format.qualifier"/>
        IFT003^<xsl:value-of select="$dateQal"/>
                <xsl:choose>
                        <xsl:when test="$dateFor = 201">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="substring($datePer,1,10)"/>
                        </xsl:when>
                        <xsl:otherwise>
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="substring($datePer,1,6)"/>
                        </xsl:otherwise>
                </xsl:choose>
                <xsl:text>^</xsl:text>
                <xsl:value-of select="$dateFor"/>
                  <!-- Segmento TSR-->
                <xsl:variable name="contractAndCarriage" select="trsd_transport.service.requirements/trcd_contract.and.carriage.condition/tred_contract.and.carriage.condition.code"/>
                <xsl:variable name="serviceRequirement" select="trsd_transport.service.requirements/trcd_service/tred_service.requirement.code"/>
        <xsl:if test="boolean($contractAndCarriage[text()] or $serviceRequirement[text()])">
                IFT0035^<xsl:value-of select="$contractAndCarriage"/>
                        <xsl:if test="boolean($serviceRequirement[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$serviceRequirement"/>
                        </xsl:if>
                </xsl:if>
        
                <!-- Segmento FTX-->
                <xsl:for-each select="trsd_efree.text">
                        <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
                        <xsl:variable name="txtFun" select="tred_text.function.coded"/>
                        <xsl:variable name="txtFree1" select="tred_free.text1"/>
                        <xsl:variable name="txtFree2" select="tred_free.text2"/>
                        <xsl:variable name="txtFree3" select="tred_free.text3"/>
                        <xsl:variable name="txtFree4" select="tred_free.text4"/>
                        <xsl:variable name="txtFree5" select="tred_free.text5"/>
                <xsl:if test="boolean($txtFree1[text()] or $txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                IFT004^<xsl:value-of select="$txtQal"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$txtFun"/>
                        <xsl:if test="boolean($txtFree1[text()] or $txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                            <xsl:text>^</xsl:text>
                            <xsl:value-of select="$txtFree1"/>
                        </xsl:if>
                        <xsl:if test="boolean($txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$txtFree2"/>
                        </xsl:if>
                        <xsl:if test="boolean($txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$txtFree3"/>
                        </xsl:if>
                        <xsl:if test="boolean($txtFree4[text()] or $txtFree5[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$txtFree4"/>
                        </xsl:if>
                        <xsl:if test="boolean($txtFree5[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$txtFree5"/>
                        </xsl:if>
                </xsl:if>
                </xsl:for-each>
                <!-- Segmento CTA -->
                <xsl:variable name="codContact" select="trsd_contact.information/tred_contact.function.coded"/>
                <xsl:variable name="perContact" select="trsd_contact.information/tred_department.or.employee"/>
                <xsl:if test="boolean($codContact[text()] or $perContact[text()])">
                IFT005^<xsl:value-of select="$codContact"/>
                        <xsl:if test="boolean($perContact[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$perContact"/>
                        </xsl:if>
                </xsl:if>
                <!-- Segmento COM -->
                <xsl:variable name="commNumber" select="trsd_communication.contact/tred_communication.number"/>
				<xsl:variable name="commChannel" select="trsd_communication.contact/tred_communication.channel.qualifier"/>
                <xsl:if test="boolean($commNumber[text()] or $commChannel[text()])">
                IFT0055^<xsl:value-of select="$commNumber"/>
                        <xsl:if test="boolean($commChannel[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$commChannel"/>
                        </xsl:if>
                </xsl:if>
        </xsl:template>
        <xsl:template match="IFTMCS.GROUP1">
			<xsl:variable name="placeLocation" select="trsd_place.locatione.identification/tred_place.location"/>
			<xsl:variable name="relatedPlaceLocationOne" select="trsd_place.locatione.identification/tred_related.place.location.one"/>
					IFT0057^<xsl:value-of select="trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
					<xsl:text>^</xsl:text>
					<xsl:value-of select="trsd_place.locatione.identification/tred_place.locatione.identification"/><xsl:text>^</xsl:text>
					<xsl:value-of select="trsd_place.locatione.identification/tred_code.list.qualifier"/><xsl:text>^</xsl:text>
					<xsl:value-of select="trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
					<xsl:if test="boolean($placeLocation[text()])">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="$placeLocation"/>
					</xsl:if>
					<xsl:if test="boolean($relatedPlaceLocationOne[text()])"> 
						<xsl:text>^</xsl:text>
						<xsl:value-of select="$relatedPlaceLocationOne"/>
					</xsl:if>
		</xsl:template>
        <!-- GRUPO 3 -->
        <xsl:template match="IFTMCS.GROUP3">
                <xsl:for-each select="self::IFTMCS.GROUP3">
                        <!--Segmento RFF -->
                IFT006<xsl:text>^</xsl:text>
                        <xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="trcd_reference/tred_reference.number"/>
                        <!-- Segmento DTM-->
                        <xsl:for-each select="self::IFTMCS.GROUP3/trsd_date.time.period">
                                <xsl:variable name="dateQal" select="tred_date.time.period.qualifier"/>
                                <xsl:variable name="datePer" select="tred_date.time.period"/>
                                <xsl:variable name="dateFor" select="tred_date.time.period.format.qualifier"/>
                IFT007^<xsl:value-of select="$dateQal"/>
                                <xsl:choose>
                                        <xsl:when test="$dateQal = 171">
                                                <xsl:text>^</xsl:text>
                                                <xsl:if test="$dateFor=101">
                                                        <xsl:value-of select="substring($datePer,1,6)"/>
                                                </xsl:if>
                                                <xsl:if test="$dateFor=201">
                                                        <xsl:value-of select="substring($datePer,1,10)"/>
                                                </xsl:if>
                                        </xsl:when>
                                        <xsl:when test="$dateQal = 36">
                                                <xsl:text>^</xsl:text>
                                                <xsl:if test="$dateFor=101">
                                                        <xsl:value-of select="substring($datePer,1,6)"/>
                                                </xsl:if>
                                                <xsl:if test="$dateFor=201">
                                                        <xsl:value-of select="substring($datePer,1,10)"/>
                                                </xsl:if>
                                        </xsl:when>
                                </xsl:choose>
                            <!-- Anyadido por David Benito 07/01/2003 para
                                 corregir el codigo asociado a las fechas de longitud 6 -->
                                <xsl:if test="string-length($datePer) &lt;=6">
                                    <xsl:text>^</xsl:text>101
                                </xsl:if>
                                <xsl:if test="string-length($datePer) &gt; 6">
                                    <xsl:text>^</xsl:text>201
                                </xsl:if>
                            <!-- Fin correccion -->
                        </xsl:for-each>
                </xsl:for-each>
        </xsl:template>
        <!-- GRUPO 6 -->
        <xsl:template match="IFTMCS.GROUP6">
                <!-- Segmento CPI-->							
                <xsl:variable name="codPay" select="trsd_charge.payment.instructions/tred_transport.charges.method.of.payment.coded"/>
				<xsl:variable name="catCar" select="trsd_charge.payment.instructions/trcd_charge.category"/>
                <xsl:if test="boolean($codPay[text()]) ">
					<xsl:if test = "boolean($catCar[text()])">
						IFT008^<xsl:value-of select="$codPay"/><xsl:text>^</xsl:text><xsl:value-of select="$catCar"/>
					</xsl:if> 
                IFT008^<xsl:value-of select="$codPay"/>
				</xsl:if>
                <!-- Segmento LOC-->
                <xsl:variable name="califLugar" select="trsd_place.location.identification/tred_place.location.qualifier"/>
                <xsl:variable name="location" select="trsd_place.location.identification/tred_place.location"/>
                <xsl:if test="boolean($califLugar[text()] or $location[text()])">
                IFT009<xsl:text>^</xsl:text>
                        <xsl:value-of select="$califLugar"/>
                        <xsl:if test="boolean($location[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$location"/>
                        </xsl:if>
                </xsl:if>
        </xsl:template>
        <!-- GRUPO 8 -->
        <xsl:template match="IFTMCS.GROUP8">
                <!-- Segmento TDT-->
                <xsl:variable name="numIni" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
                <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
                <xsl:variable name="modeTransp" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
                <xsl:variable name="lloyds" select="trsd_details.of.transport/tred_id.of.the.means.of.transport"/>
                <xsl:variable name="codeList" select="trsd_details.of.transport/tred_code.list.qualifier"/>
                <xsl:variable name="agency" select="trsd_details.of.transport/tred_code.list.responsible.agency.coded"/>
                <xsl:variable name="nomBuque" select="trsd_details.of.transport/tred_id.of.means.of.transport.identification"/>
                <xsl:variable name="paisBuque" select="trsd_details.of.transport/tred_nationality.of.means.of.transport.coded"/>
<!-- Eliminado por David Benito 25/06/2002
                <xsl:if test="boolean($numIni[text()] or $numViaje[text()] or $modeTransp[text()] or $lloyds[text()] or $codeList[text()] or $agency[text()] or $nomBuque[text()] or $paisBuque[text()])">
                IFT010<xsl:text>^</xsl:text>
                        <xsl:value-of select="$numIni"/>1
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$numViaje"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$modeTransp"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$lloyds"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$codeList"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$agency"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$nomBuque"/>
                        <xsl:if test="boolean($paisBuque[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$paisBuque"/>
                        </xsl:if>
                </xsl:if>
-->
<!-- Aadido  por David Benito 25/06/2002 -->
                <xsl:if test="boolean($numIni[text()] or $lloyds[text()] or $nomBuque[text()] or $paisBuque[text()])">
                IFT010<xsl:text>^</xsl:text>
                        <xsl:value-of select="$numIni"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$numViaje"/>
                        <xsl:text>^1^</xsl:text>
                        <xsl:value-of select="$lloyds"/>
                        <xsl:text>^146^11</xsl:text>
                       <xsl:if test="boolean($nomBuque[text()] or $paisBuque[text()])">
                           <xsl:text>^</xsl:text>
                            <xsl:value-of select="$nomBuque"/>
                            <xsl:if test="boolean($paisBuque[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$paisBuque"/>
                            </xsl:if>
                        </xsl:if>
                </xsl:if>
<!-- Fin aadido -->
                <!-- Grupo 10: Segmento RFF -->
                <xsl:variable name="refQal" select="IFTMCS.GROUP10/trcd_reference/tred_reference.qualifier"/>
                <xsl:variable name="refNum" select="IFTMCS.GROUP10/trcd_reference/tred_reference.number"/>
                <xsl:if test="boolean($refQal[text()] or $refNum[text()])">
                IFT011<xsl:text>^</xsl:text>
                        <xsl:text>ESC</xsl:text>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$refNum"/>
                </xsl:if>
                <!-- Grupo 9: Segmento LOC -->
                <xsl:for-each select="self::IFTMCS.GROUP8/IFTMCS.GROUP9">
                        <xsl:variable name="locQual" select="trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
                        <xsl:variable name="locId" select="trsd_place.locatione.identification/tred_place.locatione.identification"/>
                        <xsl:variable name="locList" select="trsd_place.locatione.identification/tred_code.list.qualifier"/>
                        <xsl:variable name="locAgency" select="trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
                        <xsl:variable name="locPlace" select="trsd_place.locatione.identification/tred_place.location"/>
                        <xsl:variable name="locOne" select="trsd_place.locatione.identification/tred_related.place.location.one"/>
                        <xsl:if test="boolean($locQual[text()] or $locId[text()] or $locList[text()] or $locAgency[text()] or $locPlace[text()] or $locOne[text()])">
                        IFT012<xsl:text>^</xsl:text>
                                <xsl:value-of select="$locQual"/>
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$locId"/>
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$locList"/>
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$locAgency"/>
                                <xsl:if test="boolean($locPlace[text()] or $locOne[text()])">
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="$locPlace"/>
                                        <xsl:if test="boolean($locOne[text()])">
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="$locOne"/>
                                        </xsl:if>
                                </xsl:if>
                        </xsl:if>
                </xsl:for-each>
                <!-- Segmento DTM-->
                <xsl:for-each select="self::IFTMCS.GROUP8/trsd_date.time.period">
                        <xsl:variable name="dateQal" select="tred_date.time.period.qualifier"/>
                        <xsl:variable name="datePer" select="tred_date.time.period"/>
                        <xsl:variable name="dateFor" select="tred_date.time.period.format.qualifier"/>
                IFT013^<xsl:value-of select="$dateQal"/>
                        <xsl:choose>
                                <xsl:when test="$dateFor = 201">
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="substring($datePer,1,10)"/>
                                </xsl:when>
                                <xsl:otherwise>
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="substring($datePer,1,6)"/>
                                </xsl:otherwise>
                        </xsl:choose>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$dateFor"/>
                </xsl:for-each>
        </xsl:template>
        <!-- Fin del Grupo 8 -->
        <!-- GRUPOS  11 Y 12-->
        <xsl:template match="IFTMCS.GROUP11">
                <xsl:for-each select="self::IFTMCS.GROUP11">
                        <!--Segmento NAD -->
                        <xsl:variable name="partyQ" select="trsd_name.and.address/tred_name.type.coded"/>
                        <xsl:variable name="nomDir1" select="trsd_name.and.address/tred_name.and.address.line1"/>
                        <xsl:variable name="nomDir2" select="trsd_name.and.address/tred_name.and.address.line2"/>
                        <xsl:variable name="nomDir3" select="trsd_name.and.address/tred_name.and.address.line3"/>
                        <xsl:variable name="nomDir4" select="trsd_name.and.address/tred_name.and.address.line4"/>
                        <xsl:variable name="nomDir5" select="trsd_name.and.address/tred_name.and.address.line5"/>
                        <xsl:variable name="nomDir6" select="trsd_name.and.address/tred_party.name1"/>
                        <xsl:variable name="nomDir7" select="trsd_name.and.address/tred_party.name2"/>
                        <xsl:variable name="nomDir8" select="trsd_name.and.address/tred_party.name3"/>
                        <xsl:variable name="nomDir9" select="trsd_name.and.address/tred_party.name4"/>
                        <xsl:variable name="nomDir10" select="trsd_name.and.address/tred_party.name5"/>

                IFT014^<xsl:value-of select="$partyQ"/><xsl:text>^</xsl:text><xsl:value-of select="$nomDir1"/>
                        <xsl:if test="boolean($nomDir2[text()] or $nomDir3[text()] or $nomDir4[text()] or $nomDir5[text()] or $nomDir6[text()] or $nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir2"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir3[text()] or $nomDir4[text()] or $nomDir5[text()] or $nomDir6[text()] or $nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir3"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir4[text()] or $nomDir5[text()] or $nomDir6[text()] or $nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir4"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir5[text()] or $nomDir6[text()] or $nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir5"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir6[text()] or $nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir6"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir7[text()] or $nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir7"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir8[text()] or $nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir8"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir9[text()] or $nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir9"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir10[text()])">
                                <xsl:text>^</xsl:text>
                                <xsl:value-of select="$nomDir10"/>
                        </xsl:if>
                        <!-- GRUPO 12: CTA Y COM-->
                        <xsl:for-each select="self::IFTMCS.GROUP11/IFTMCS.GROUP12">
                                <xsl:variable name="codContact" select="trsd_contact.information/tred_contact.function.coded"/>
                                <xsl:variable name="perContact" select="trsd_contact.information/tred_department.or.employee"/>
                                <xsl:variable name="numCOM" select="trsd_communication.contact/tred_communication.number"/>
                                <xsl:variable name="calCOM" select="trsd_communication.contact/tred_communication.channel.qualifier"/>
                                <xsl:if test="boolean($codContact[text()] or $perContact[text()] or $numCOM[text()] or $calCOM[text()])">
                IFT015^<xsl:value-of select="$codContact"/>
                                        <xsl:if test="boolean($perContact[text()])">
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="$perContact"/>
                                        </xsl:if>
                                </xsl:if>
                                <!-- Segmento COM-->
                                <xsl:if test="boolean($numCOM[text()] or $calCOM[text()])">
                                IFT016^<xsl:value-of select="$numCOM"/>
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="$calCOM"/>
                                </xsl:if>
                        </xsl:for-each>
                </xsl:for-each>
        </xsl:template>
        <!-- Fin del Grupo 11 -->
        <!-- GRUPO 18 -->
        <xsl:template match="IFTMCS.GROUP18">
                <xsl:for-each select="self::IFTMCS.GROUP18">
                        <!-- Segmento GID -->
                        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
                        <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
                        <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
                        <xsl:choose>
                                <xsl:when test="trsd_goods.item.details/tred_goods.item.number[(. > 989 and . &lt; 1000) or (. = 0)]">
                IFT017<xsl:text>^</xsl:text>
                                        <xsl:value-of select="$numPartida"/>
                                        <!-- Segmento FTX-->
                                        <xsl:for-each select="trsd_free.text">
                                                <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
                                                <xsl:variable name="txtFree1" select="tred_free.text1"/>
                                                <xsl:variable name="txtFree2" select="tred_free.text2"/>
                                                <xsl:variable name="txtFree3" select="tred_free.text3"/>
                                                <xsl:variable name="txtFree4" select="tred_free.text4"/>
                                                <xsl:variable name="txtFree5" select="tred_free.text5"/>
                IFT019^<xsl:value-of select="$txtQal"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="$txtFree1"/>
                                                <xsl:if test="boolean($txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree2"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree3"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree4"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree5"/>
                                                </xsl:if>
                                        </xsl:for-each>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:if test="boolean($numPartida[text()] or $numBultos[text()] or $tipoEmb[text()])">
                                        IFT017<xsl:text>^</xsl:text>
                                        <xsl:value-of select="$numPartida"/>
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="$numBultos"/>
                                        <xsl:text>^</xsl:text>
                                        <xsl:value-of select="$tipoEmb"/>
                                    </xsl:if>
                                        <!-- GRUPO 23: Segmento PCI -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP23">
                                                <xsl:variable name="marca1" select="trsd_package.identification/tred_shipping.marks1"/>
                                                <xsl:variable name="marca2" select="trsd_package.identification/tred_shipping.marks2"/>
                                                <xsl:variable name="marca3" select="trsd_package.identification/tred_shipping.marks3"/>
                                                <xsl:variable name="marca4" select="trsd_package.identification/tred_shipping.marks4"/>
                                                <xsl:variable name="marca5" select="trsd_package.identification/tred_shipping.marks5"/>
                                                <xsl:variable name="marca6" select="trsd_package.identification/tred_shipping.marks6"/>
                                                <xsl:variable name="marca7" select="trsd_package.identification/tred_shipping.marks7"/>
                                                <xsl:variable name="marca8" select="trsd_package.identification/tred_shipping.marks8"/>
                                                <xsl:variable name="marca9" select="trsd_package.identification/tred_shipping.marks9"/>
                                                <xsl:variable name="marca10" select="trsd_package.identification/tred_shipping.marks10"/>
                IFT018<xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_package.identification/tred_marking.instructions.coded"/>
                                                <xsl:if test="boolean($marca1[text()] or $marca2[text()] or $marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks1"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca2[text()] or $marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks2"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks3"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks4"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks5"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks6"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks7"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca8[text()] or $marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks8"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca9[text()] or $marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks9"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($marca10[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_package.identification/tred_shipping.marks10"/>
                                                </xsl:if>
                                        </xsl:for-each>
                                        <!-- Segmento FTX-->
                                        <xsl:for-each select="trsd_free.text">
                                                <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
                                                <xsl:variable name="txtFree1" select="tred_free.text1"/>
                                                <xsl:variable name="txtFree2" select="tred_free.text2"/>
                                                <xsl:variable name="txtFree3" select="tred_free.text3"/>
                                                <xsl:variable name="txtFree4" select="tred_free.text4"/>
                                                <xsl:variable name="txtFree5" select="tred_free.text5"/>
                IFT019^<xsl:value-of select="$txtQal"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="$txtFree1"/>
                                                <xsl:if test="boolean($txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree2"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree3"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree4[text()] or $txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree4"/>
                                                </xsl:if>
                                                <xsl:if test="boolean($txtFree5[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="$txtFree5"/>
                                                </xsl:if>
                                        </xsl:for-each>
                                        <!-- GRUPO 20: Segmento MEA -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP20/trsd_measurements">
                IFT020<xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_measurement.attribute"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_measurement.dimension.coded"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_measure.unit.qualifier"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_measurement.value"/>
                                        </xsl:for-each>
                                        <!-- GRUPO 21: Segmentos DIM y EQN -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP21">
                                                <!-- Segmento DIM  -->
                IFT021<xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_dimensions/tred_dimension.qualifier"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_dimensions/tred_measure.unit.qualifier"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_dimensions/tred_length.dimension"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_dimensions/tred_width.dimension"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="trsd_dimensions/tred_height.dimension"/>
                                                <!-- Segmento EQN -->
                IFT022^<xsl:value-of select="trsd_number.of.units/trcd_number.of.unit.details"/>
                                        </xsl:for-each>
                                        <!-- GRUPO 22: Segmento RFF -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP22/trsd_reference">
                IFT023<xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_reference.qualifier"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_reference.number"/>
                                        </xsl:for-each>
                                        <!-- GRUPO 24: Segmento DOC -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP24/trsd_document.message.details">
                IFT024<xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_reference.qualifier"/>
                                                <xsl:text>^</xsl:text>
                                                <xsl:value-of select="tred_reference.number"/>
                                        </xsl:for-each>
                                        <!-- GRUPO 27: Segmento SGP -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP27/trsd_split.goods.placement">
                IFT025<xsl:text>^</xsl:text>
                                                <xsl:value-of select="trcd_equipment.identification"/>
                                                <xsl:if test="boolean(tred_number.of.packages[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="tred_number.of.packages"/>
                                                </xsl:if>
                                        </xsl:for-each>
                                        <!-- GRUPO 30: Segmentos DGS y FTX -->
                                        <xsl:for-each select="self::IFTMCS.GROUP18/IFTMCS.GROUP30">
                                                <!--Segmento DGS -->
                IFT026^<xsl:value-of select="trsd_dangerous.goods/tred_dangerous.goods.regulations.coded"/>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.identification[text()] or trsd_dangerous.goods/tred_hazard.code/tred_hazard.substance.item.page.number[text()] or trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.version.number[text()] or trsd_dangerous.goods/tred_undg.number[text()] or trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.identification"/>
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.substance.item.page.number"/>
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.version.number"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_undg.number[text()] or trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_undg.number"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_dangerous.goods.flashpoint"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_ems.number"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_mfag"/>
                                                </xsl:if>
                                                <xsl:if test="boolean(trsd_dangerous.goods/tred_trem.card.number[text()])">
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="trsd_dangerous.goods/tred_trem.card.number"/>
                                                </xsl:if>
                                                <!-- Segmento FTX-->
                                                <xsl:for-each select="self::IFTMCS.GROUP30/trsd_free.text">
                                                        <xsl:variable name="txtFree1" select="tred_free.text1"/>
                                                        <xsl:variable name="txtFree2" select="tred_free.text2"/>
                                                        <xsl:variable name="txtFree3" select="tred_free.text3"/>
                                                        <xsl:variable name="txtFree4" select="tred_free.text4"/>
                                                        <xsl:variable name="txtFree5" select="tred_free.text5"/>

                IFT027<xsl:text>^</xsl:text>
                                                        <xsl:value-of select="tred_text.subject.qualifier"/>
                                                        <xsl:text>^</xsl:text>
                                                        <xsl:value-of select="tred_free.text1"/>
                                                        <xsl:if test="boolean($txtFree2[text()] or $txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                                <xsl:text>^</xsl:text>
                                                                <xsl:value-of select="$txtFree2"/>
                                                        </xsl:if>
                                                        <xsl:if test="boolean($txtFree3[text()] or $txtFree4[text()] or $txtFree5[text()])">
                                                                <xsl:text>^</xsl:text>
                                                                <xsl:value-of select="$txtFree3"/>
                                                        </xsl:if>
                                                        <xsl:if test="boolean($txtFree4[text()] or $txtFree5[text()])">
                                                                <xsl:text>^</xsl:text>
                                                                <xsl:value-of select="$txtFree4"/>
                                                        </xsl:if>
                                                        <xsl:if test="boolean($txtFree5[text()])">
                                                                <xsl:text>^</xsl:text>
                                                                <xsl:value-of select="$txtFree5"/>
                                                        </xsl:if>
                                                </xsl:for-each>
                                        </xsl:for-each>
                                        <!-- Fin del GRUPO 30 -->
                                </xsl:otherwise>
                        </xsl:choose>
                </xsl:for-each>
        </xsl:template>
        <!-- Fin del GRUPO 18 -->
        <!-- GRUPO 35 -->
        <xsl:template match="IFTMCS.GROUP35">
                <xsl:for-each select="self::IFTMCS.GROUP35">
                        <!-- Segmento EQD -->
                        <xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
                        <xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
                        <xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
                        <xsl:variable name="equEmpty" select="trsd_equipment.details/tred_full.empty.indicator.coded"/>
                IFT028^<xsl:value-of select="$equQual"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$equId"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$equType"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="$equEmpty"/>
                        <!-- Segmento MEA -->
                IFT029<xsl:text>^</xsl:text>
                        <xsl:value-of select="trsd_measurements/tred_measurement.attribute"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="trsd_measurements/tred_measurement.dimension.coded"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="trsd_measurements/tred_measure.unit.qualifier"/>
                        <xsl:text>^</xsl:text>
                        <xsl:value-of select="trsd_measurements/tred_measurement.value"/>
                        <!-- Segmento SEL  -->
                        <xsl:for-each select="self::IFTMCS.GROUP35/trsd_seal.number">
                IFT030<xsl:text>^</xsl:text>
                                <xsl:value-of select="tred_seal.number"/>
                        </xsl:for-each>
                        <xsl:for-each select="self::IFTMCS.GROUP35/trsd_temperature">
                IFT0305<xsl:text>^</xsl:text>
								<xsl:value-of select="tred_temperature.qualifier"/>
								<xsl:text>^</xsl:text>
								<xsl:value-of select="tred_temperature.setting"/>
								<xsl:text>^</xsl:text>
								<xsl:value-of select="tred_measure.unit.qualifier"/>
						</xsl:for-each>
                </xsl:for-each>
        </xsl:template>
        <!-- Fin del GRUPO 35 -->
</xsl:stylesheet>
