<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!-- ________________ mensaje IFTMCSP _____________________________ -->
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMCSP.HEADER"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP3"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP6"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP8"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP11"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP18"/>
		<xsl:apply-templates select="//IFTMCSP.GROUP35"/>
	IFTP038
	UNZ001
	
   </xsl:template>
	<!-- CABECERA DEL ENVIO -->
	<xsl:template match="IFTMCSP.HEADER">
		<!-- Cabecera del envio-->
		<xsl:variable name="traderId" select="anxs_interchange.header/anxe_syntax.identifier"/>
		<xsl:variable name="version" select="anxs_interchange.header/anxe_syntax.version.number"/>
		<xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="reverseRout" select="anxs_interchange.header/anxe_address.for.reverse.routing"/>
		<xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="routAddr" select="anxs_interchange.header/anxe_routing.address"/>
		<xsl:variable name="date" select="anxs_interchange.header/anxe.date"/>
		<xsl:variable name="time" select="anxs_interchange.header/anxe.time"/>
		<xsl:variable name="refInt" select="anxs_interchange.header/anxe_application.reference"/>

        ENV001^<xsl:value-of select="$traderId"/>
		<xsl:text>^</xsl:text>
		<!-- <xsl:value-of select="$version"/> -->
		<xsl:text>IFTMCS^</xsl:text>
		<xsl:value-of select="$sender"/>
		<xsl:text>^</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$recipient"/>
		<xsl:text>^</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$date"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$time"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$refInt"/>
		<!-- CABECERA DEL MENSAJE-->
		<!-- Segmento UNH-->
		<xsl:variable name="nRef" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="idMes" select="anxs_message.header/anxe_message.identifier"/>
		<xsl:variable name="nVers" select="anxs_message.header/anxe_message.version.number"/>
		<xsl:variable name="nRel" select="anxs_message.header/anxe_message.release.number"/>
		<xsl:variable name="aCont" select="anxs_message.header/anxe_controlling.agency"/>
		<xsl:variable name="cAssi" select="anxs_message.header/anxe_association.assigned.code"/>
        IFTP001^<xsl:value-of select="$nRef"/>
		<!-- Anyadido por David Benito a 21/06/2002 
		<xsl:text>^IFTMCSP^S^93A^UN^BCNP01</xsl:text> -->
		<!-- Comentado por David Benito a 21/06/2002  -->
		<xsl:text>^</xsl:text>IFTMCS<xsl:text>^</xsl:text>
		<xsl:value-of select="$nVers"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$nRel"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$aCont"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$cAssi"/>
		<!-- Segmento BGM-->
		<xsl:variable name="nameMesg" select="trsd_beginning.of.message/tred_document.message.name.coded"/>
		<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>
        IFTP002^<xsl:value-of select="$nameMesg"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$refMsg"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$funMsg"/>
		<!-- Segmento DTM-->
        IFTP003^<xsl:call-template name="formatoFechas">
			<!-- pass the parameters !-->
			<xsl:with-param name="dateQal" select="trcd_date.time.period/tred_date.time.period.qualifier"/>
			<xsl:with-param name="datePer" select="trcd_date.time.period/tred_date.time.period"/>
			<xsl:with-param name="dateFor" select="trcd_date.time.period/tred_date.time.period.format.qualifier"/>
		</xsl:call-template>
		<!-- Intra trcd_transport.service.requirements -->
		<xsl:variable name="transportConditionCode" select="trcd_transport.service.requirements/tred_contract.carriage.condition.code"/>
		<xsl:variable name="trasnportServiceCode" select="trcd_transport.service.requirements/tred_service.requirement.code"/>
		<xsl:if test="boolean(string-length($transportConditionCode)>0)">
			IFTP004^<xsl:value-of select="$transportConditionCode"/>^<xsl:value-of select="$trasnportServiceCode"/>
		</xsl:if>
		<!-- Segmento FTX-->
		<xsl:for-each select="trsd_efree.text">
			<xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
			<xsl:variable name="txtFun" select="tred_text.function.coded"/>
                IFTP005^<xsl:value-of select="$txtQal"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$txtFun"/>
			<xsl:for-each select="tred_free.text">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
		</xsl:for-each>
		<!-- Segmento CTA -->
		<xsl:variable name="codContact" select="trsd_contact.information/tred_contact.function.coded"/>
		<xsl:variable name="perContact" select="trsd_contact.information/tred_department.or.employee"/>
		<xsl:if test="boolean($codContact[text()] or $perContact[text()])">
                IFTP006^<xsl:value-of select="$codContact"/>
			<xsl:if test="boolean($perContact[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$perContact"/>
			</xsl:if>
		</xsl:if>
		<!-- Segmento COM -->
		<xsl:variable name="comunicationNumber" select="trcd_communication.contact/tred_communication.number"/>
		<xsl:variable name="comunicationChanel" select="trcd_communication.contact/tred_communication.channel.qualifier"/>
		<xsl:if test="boolean($comunicationChanel[text()] or $comunicationNumber[text()])">
                IFTP007^<xsl:value-of select="$comunicationNumber"/>
			<xsl:if test="boolean($comunicationChanel[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$comunicationChanel"/>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!-- GRUPO 3 -->
	<xsl:template match="IFTMCSP.GROUP3">
		<xsl:for-each select="self::IFTMCSP.GROUP3">
			<!--Segmento RFF -->
                IFTP008<xsl:text>^</xsl:text>
			<xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trcd_reference/tred_reference.number"/>
			<!-- Segmento DTM-->
			<xsl:for-each select="self::IFTMCSP.GROUP3/trcd_date.time.period">
                IFTP009^<xsl:call-template name="formatoFechas">
					<!-- pass the parameters !-->
					<xsl:with-param name="dateQal" select="tred_date.time.period.qualifier"/>
					<xsl:with-param name="datePer" select="tred_date.time.period"/>
					<xsl:with-param name="dateFor" select="tred_date.time.period.format.qualifier"/>
				</xsl:call-template>
				<!-- Fin correccion -->
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 6 -->
	<xsl:template match="IFTMCSP.GROUP6">
		<!-- Segmento CPI-->
		<xsl:variable name="codPay" select="trsd_charge.payment.instructions/tred_transport.charges.method.of.payment.coded"/>
		<xsl:if test="boolean($codPay[text()])">
               IFTP010^<xsl:value-of select="$codPay"/>
		</xsl:if>
		<!-- Segmento LOC-->
		<xsl:variable name="califLugar" select="trcd_location.identification/tred_place.location.qualifier"/>
		<xsl:variable name="location" select="trcd_location.identification/tred_place.location"/>
		<xsl:if test="boolean($califLugar[text()] or $location[text()])">
                IFTP011<xsl:text>^</xsl:text>
			<xsl:value-of select="$califLugar"/>
			<xsl:if test="boolean($location[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$location"/>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!-- GRUPO 8 -->
	<xsl:template match="IFTMCSP.GROUP8">
		<!-- Segmento TDT-->
		<xsl:variable name="numIni" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
		<xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="modeTransp" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
		<xsl:variable name="lloyds" select="trsd_details.of.transport/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="codeList" select="trsd_details.of.transport/tred_code.list.qualifier"/>
		<xsl:variable name="agency" select="trsd_details.of.transport/tred_code.list.responsible.agency.coded"/>
		<xsl:variable name="nomBuque" select="trsd_details.of.transport/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="paisBuque" select="trsd_details.of.transport/tred_nationality.of.means.of.transport.coded"/>
		<!-- Aadido  por David Benito 25/06/2002 -->
		<xsl:if test="boolean($numIni[text()] or $lloyds[text()] or $nomBuque[text()] or $paisBuque[text()])">
                IFTP012<xsl:text>^</xsl:text>
			<xsl:value-of select="$numIni"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$numViaje"/>
			<xsl:text>^1^</xsl:text>
			<xsl:value-of select="$lloyds"/>
			<xsl:text>^146^11</xsl:text>
			<xsl:if test="boolean($nomBuque[text()] or $paisBuque[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$nomBuque"/>
				<xsl:if test="boolean($paisBuque[text()])">
					<xsl:text>^</xsl:text>
					<xsl:value-of select="$paisBuque"/>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<!-- Fin aadido -->
		<!-- Modificado fecha salida buque  para que no se confunda con otras fechas ,hay dos calificadores 133-->
		<!-- fecha salida buque , campo optativo -->
		<xsl:variable name="fechaSalidaBuqueQal" select="trcd_date.time.period/tred_date.time.period.qualifier"/>
		<xsl:variable name="fechaSalidaBuquePer" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="fechaSalidaBuqueFormat" select="trcd_date.time.period/tred_date.time.period.format.qualifier"/>
		<xsl:if test="boolean($fechaSalidaBuqueQal[text()] or $fechaSalidaBuquePer[text()] or $fechaSalidaBuqueFormat[text()])">
	              IFTP013^<xsl:call-template name="formatoFechas">
				<!-- pass the parameters !-->
				<xsl:with-param name="dateQal" select="$fechaSalidaBuqueQal"/>
				<xsl:with-param name="datePer" select="$fechaSalidaBuquePer"/>
				<xsl:with-param name="dateFor" select="$fechaSalidaBuqueFormat"/>
			</xsl:call-template>
		</xsl:if>
		<!-- Escala -->
		<!-- Grupo 10: Segmento RFF -->
		<xsl:variable name="refQal" select="IFTMCSP.GROUP10/trcd_reference/tred_reference.qualifier"/>
		<xsl:variable name="refNum" select="IFTMCSP.GROUP10/trcd_reference/tred_reference.number"/>
		<xsl:if test="boolean($refQal[text()] or $refNum[text()])">
                IFTP014<xsl:text>^</xsl:text>
			<xsl:text>ESC</xsl:text>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$refNum"/>
		</xsl:if>
		<!-- Grupo 9: Segmento LOC -->
		<xsl:for-each select="self::IFTMCSP.GROUP8/IFTMCSP.GROUP9">
			<xsl:variable name="locQual" select="trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
			<xsl:variable name="locId" select="trsd_place.locatione.identification/tred_place.locatione.identification"/>
			<xsl:variable name="locList" select="trsd_place.locatione.identification/tred_code.list.qualifier"/>
			<xsl:variable name="locAgency" select="trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
			<xsl:variable name="locPlace" select="trsd_place.locatione.identification/tred_place.location"/>
			<xsl:variable name="locOne" select="trsd_place.locatione.identification/tred_related.place.location.one"/>
			<xsl:if test="boolean($locQual[text()] or $locId[text()] or $locList[text()] or $locAgency[text()] or $locPlace[text()] or $locOne[text()])">
                        IFTP015<xsl:text>^</xsl:text>
				<xsl:value-of select="$locQual"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$locId"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$locList"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$locAgency"/>
				<xsl:if test="boolean($locPlace[text()] or $locOne[text()])">
					<xsl:text>^</xsl:text>
					<xsl:value-of select="$locPlace"/>
					<xsl:if test="boolean($locOne[text()])">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="$locOne"/>
					</xsl:if>
				</xsl:if>
			</xsl:if>
			<!-- Segmento DTM-->
			<xsl:for-each select="trcd_date.time.period">
				<xsl:variable name="dateQal" select="tred_date.time.period.qualifier"/>
				<xsl:variable name="datePer" select="tred_date.time.period"/>
				<xsl:variable name="dateFor" select="tred_date.time.period.format.qualifier"/>
				<xsl:if test="boolean($dateQal[text()] or $datePer[text()] or $dateFor[text()])">
				 IFTP016^<xsl:call-template name="formatoFechas">
						<!-- pass the parameters !-->
						<xsl:with-param name="dateQal" select="$dateQal"/>
						<xsl:with-param name="datePer" select="$datePer"/>
						<xsl:with-param name="dateFor" select="$dateFor"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!-- Fin del Grupo 8 -->
	<!-- GRUPOS  11 Y 12-->
	<xsl:template match="IFTMCSP.GROUP11">
		<xsl:for-each select="self::IFTMCSP.GROUP11">
			<!--Segmento NAD -->
			<xsl:variable name="partyQ" select="trsd_name.and.address.extend/tred_name.type.coded"/>
                IFTP017^<xsl:value-of select="$partyQ"/>
			<xsl:for-each select="trsd_name.and.address.extend/tred_name.and.address.line">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:if test="count(trsd_name.and.address.extend/tred_party.name) != 0">
				<!-- Ha de haber  5 -->
				<xsl:call-template name="camposVacios">
					<!-- pass the parameters !-->
					<xsl:with-param name="current" select="count(trsd_name.and.address.extend/tred_name.and.address.line)"/>
					<xsl:with-param name="total" select="4"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:for-each select="trsd_name.and.address.extend/tred_party.name">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<!-- GRUPO 12: CTA Y COM-->
			<xsl:for-each select="self::IFTMCSP.GROUP11/IFTMCSP.GROUP12">
				<xsl:variable name="codContact" select="trsd_contact.information/tred_contact.function.coded"/>
				<xsl:variable name="perContact" select="trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="numCOM" select="trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="calCOM" select="trcd_communication.contact/tred_communication.channel.qualifier"/>
				<xsl:if test="boolean($codContact[text()] or $perContact[text()] or $numCOM[text()] or $calCOM[text()])">
                IFTP018^<xsl:value-of select="$codContact"/>
					<xsl:if test="boolean($perContact[text()])">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="$perContact"/>
					</xsl:if>
				</xsl:if>
				<!-- Segmento COM-->
				<xsl:if test="boolean($numCOM[text()] or $calCOM[text()])">
                                IFTP019^<xsl:value-of select="$numCOM"/>
					<xsl:text>^</xsl:text>
					<xsl:value-of select="$calCOM"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<!-- Fin del Grupo 11 -->
	<!-- GRUPO 18 -->
	<xsl:template match="IFTMCSP.GROUP18">
		<xsl:for-each select="self::IFTMCSP.GROUP18">
			<!-- Segmento GID -->
			<xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:choose>
				<xsl:when test="trsd_goods.item.details/tred_goods.item.number[(. > 989 and . &lt; 1000) or (. = 0)]">
                IFTP020<xsl:text>^</xsl:text>
					<xsl:value-of select="$numPartida"/>
					<!-- Segmento FTX-->
					<xsl:for-each select="trsd_free.text">
						<xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
						<xsl:variable name="txtFree1" select="trcd_text.literal/tred_free.text"/>
                IFTP022^<xsl:value-of select="$txtQal"/>
						<xsl:text>^</xsl:text>
						<!-- division en trozos de 70 -->
						<xsl:value-of select="substring($txtFree1,1,70)"/>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 70)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,71,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 140)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,141,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 210)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,211,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 280)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,281,70)"/>
						</xsl:if>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="boolean($numPartida[text()] or $numBultos[text()] or $tipoEmb[text()])">
                                        IFTP020<xsl:text>^</xsl:text>
						<xsl:value-of select="$numPartida"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="$numBultos"/>
						<xsl:if test="boolean($tipoEmb[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="$tipoEmb"/>
						</xsl:if>
						
					</xsl:if>
					<!-- GRUPO 23: Segmento PCI -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP23">
						<xsl:variable name="marca1" select="trsd_package.identification/tred_shipping.marks1"/>
						<xsl:variable name="marca2" select="trsd_package.identification/tred_shipping.marks2"/>
						<xsl:variable name="marca3" select="trsd_package.identification/tred_shipping.marks3"/>
						<xsl:variable name="marca4" select="trsd_package.identification/tred_shipping.marks4"/>
						<xsl:variable name="marca5" select="trsd_package.identification/tred_shipping.marks5"/>
						<xsl:variable name="marca6" select="trsd_package.identification/tred_shipping.marks6"/>
						<xsl:variable name="marca7" select="trsd_package.identification/tred_shipping.marks7"/>
						<xsl:variable name="marca8" select="trsd_package.identification/tred_shipping.marks8"/>
						<xsl:variable name="marca9" select="trsd_package.identification/tred_shipping.marks9"/>
						<xsl:variable name="marca10" select="trsd_package.identification/tred_shipping.marks10"/>
                IFTP021<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_package.identification/tred_marking.instructions.coded"/>
						<xsl:if test="boolean($marca1[text()] or $marca2[text()] or $marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks1"/>
						</xsl:if>
						<xsl:if test="boolean($marca2[text()] or $marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks2"/>
						</xsl:if>
						<xsl:if test="boolean($marca3[text()] or $marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks3"/>
						</xsl:if>
						<xsl:if test="boolean($marca4[text()] or $marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks4"/>
						</xsl:if>
						<xsl:if test="boolean($marca5[text()] or $marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks5"/>
						</xsl:if>
						<xsl:if test="boolean($marca6[text()] or $marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks6"/>
						</xsl:if>
						<xsl:if test="boolean($marca7[text()] or $marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks7"/>
						</xsl:if>
						<xsl:if test="boolean($marca8[text()] or $marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks8"/>
						</xsl:if>
						<xsl:if test="boolean($marca9[text()] or $marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks9"/>
						</xsl:if>
						<xsl:if test="boolean($marca10[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_package.identification/tred_shipping.marks10"/>
						</xsl:if>
					</xsl:for-each>
					<!-- Segmento FTX-->
					<xsl:for-each select="trsd_free.text">
						<xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
						<xsl:variable name="txtFree1" select="trcd_text.literal/tred_free.text"/>
                IFTP022^<xsl:value-of select="$txtQal"/>
						<xsl:text>^</xsl:text>
						<!-- division en trozos de 70 -->
						<xsl:value-of select="substring($txtFree1,1,70)"/>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 70)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,71,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 140)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,141,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 210)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,211,70)"/>
						</xsl:if>
						<xsl:if test="boolean(string-length($txtFree1) &gt; 280)">
							<xsl:text>^</xsl:text><xsl:value-of select="substring($txtFree1,281,70)"/>
						</xsl:if>
					</xsl:for-each>
					<!-- GRUPO 20: Segmento MEA -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP20/trsd_measurements">
                IFTP023<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_measurement.attribute"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_measurement.dimension.coded"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_measure.unit.qualifier"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_measurement.value"/>
					</xsl:for-each>
					<!-- GRUPO 21: Segmentos DIM y EQN -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP21">
						<!-- Segmento DIM  -->
                IFTP024<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_dimensions/tred_dimension.qualifier"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_dimensions/tred_measure.unit.qualifier"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_dimensions/tred_length.dimension"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_dimensions/tred_width.dimension"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="trsd_dimensions/tred_height.dimension"/>
						<!-- Segmento EQN -->
                IFTP025^<xsl:value-of select="trsd_number.of.units/trcd_number.of.unit.details"/>
					</xsl:for-each>
					<!-- GRUPO 22: Segmento RFF -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP22/trsd_reference">
                IFTP026<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_reference.qualifier"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_reference.number"/>
					</xsl:for-each>
					<!-- GRUPO 24: Segmento DOC -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP24/trsd_document.message.details">
                IFTP027<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_reference.qualifier"/>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="tred_reference.number"/>
					</xsl:for-each>
					<!-- GRUPO 27: Segmento SGP -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP27/trsd_split.goods.placement">
                IFTP028<xsl:text>^</xsl:text>
						<xsl:value-of select="trcd_equipment.identification"/>
						<xsl:if test="boolean(tred_number.of.packages[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="tred_number.of.packages"/>
						</xsl:if>
					</xsl:for-each>
					<!-- GRUPO 30: Segmentos DGS y FTX -->
					<xsl:for-each select="self::IFTMCSP.GROUP18/IFTMCSP.GROUP30">
						<!--Segmento DGS -->
                IFTP029^<xsl:value-of select="trsd_dangerous.goods/tred_dangerous.goods.regulations.coded"/>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.identification[text()] or trsd_dangerous.goods/tred_hazard.code/tred_hazard.substance.item.page.number[text()] or trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.version.number[text()] or trsd_dangerous.goods/tred_undg.number[text()] or trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.identification"/>
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.substance.item.page.number"/>
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.version.number"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_undg.number[text()] or trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_undg.number"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_dangerous.goods.flashpoint[text()] or trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_dangerous.goods.flashpoint"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_packing.group.coded[text()] or trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_ems.number[text()] or trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_ems.number"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_mfag[text()] or trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_mfag"/>
						</xsl:if>
						<xsl:if test="boolean(trsd_dangerous.goods/tred_trem.card.number[text()])">
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trsd_dangerous.goods/tred_trem.card.number"/>
						</xsl:if>
						<!-- Segmento FTX-->
						<xsl:for-each select="self::IFTMCSP.GROUP30/trsd_free.text">
                				IFTP030<xsl:text>^</xsl:text>
							<xsl:value-of select="tred_text.subject.qualifier"/>
							<xsl:text>^</xsl:text>
							<xsl:value-of select="trcd_text.literal/tred_free.text"/>
						</xsl:for-each>
					</xsl:for-each>
					<!-- Fin del GRUPO 30 -->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<!-- Fin del GRUPO 18 -->
	<!-- GRUPO 35 -->
	<xsl:template match="IFTMCSP.GROUP35">
		<xsl:for-each select="self::IFTMCSP.GROUP35">
			<!-- Segmento EQD -->
			<xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="equEmpty" select="trsd_equipment.details/tred_full.empty.indicator.coded"/>
                IFTP031^<xsl:value-of select="$equQual"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="$equId"/>
			<xsl:if test="boolean($equType[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$equType"/>
			</xsl:if>
			<xsl:if test="boolean($equEmpty[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$equEmpty"/>
			</xsl:if>
			<xsl:variable name="meaValor" select="trsd_measurements/tred_measurement.value"/>
			<xsl:if test="boolean($meaValor[text()])">
			<!-- Segmento EQN -->
			<xsl:variable name="numUnit" select="trsd_number.of.units/trcd_number.of.unit.details"/>
			<xsl:if test="boolean($numUnit[text()])">
                IFTP0315^<xsl:value-of select="$numUnit"/>
		    </xsl:if>
			<!-- Segmento MEA -->
	                IFTP032<xsl:text>^</xsl:text>
				<xsl:value-of select="trsd_measurements/tred_measurement.attribute"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trsd_measurements/tred_measurement.dimension.coded"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trsd_measurements/tred_measure.unit.qualifier"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$meaValor"/>
			</xsl:if>
			<!-- Segmento SEL  -->
			<xsl:for-each select="self::IFTMCSP.GROUP35/trsd_seal.number">
                IFTP033<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_seal.number"/>
			</xsl:for-each>
			<xsl:variable name="grupo37Nad_SF" select="count(child::IFTMCSP.GROUP37/trsd_name.and.address)"/>
			<xsl:variable name="grupo37TDT_SF" select="count(child::IFTMCSP.GROUP37/trcd_date.time.period)"/>
			<xsl:if test="$grupo37Nad_SF>=1">
				 IFTP034<xsl:text>^</xsl:text>
		  				<xsl:value-of select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_party.qualifier"/><xsl:text>^</xsl:text>
						<xsl:value-of select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_party.id.identification"/><xsl:text>^</xsl:text>
						<xsl:value-of select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_name.and.address.line"/>
						<xsl:variable name="sfDirecc" select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_street.and.number.p.o.box"/>
						<xsl:variable name="sfCity" select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_city.name"/>
						<xsl:variable name="sfPais" select="child::IFTMCSP.GROUP37[position()=1]/trsd_name.and.address/tred_country.coded"/>
						<xsl:if test="boolean($sfDirecc[text()] or $sfCity[text()] or $sfPais[text])">
							<xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfDirecc"/>
						<xsl:if test="boolean($sfCity[text()] or $sfPais[text])">
							<xsl:text>^</xsl:text><xsl:text>^</xsl:text><xsl:text>^</xsl:text><xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfCity"/>
						<xsl:if test="boolean(string-length($sfPais)>0)">
							<xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfPais"/>
						
						<xsl:if test="$grupo37TDT_SF>=1">
									IFTP035<xsl:text>^</xsl:text> <xsl:call-template name="formatoFechas">
									<!-- pass the parameters !-->
									<xsl:with-param name="dateQal" select="child::IFTMCSP.GROUP37[position()=1]/trcd_date.time.period/tred_date.time.period.qualifier"/>
									<xsl:with-param name="datePer" select="child::IFTMCSP.GROUP37[position()=1]/trcd_date.time.period/tred_date.time.period"/>
									<xsl:with-param name="dateFor" select="child::IFTMCSP.GROUP37[position()=1]/trcd_date.time.period/tred_date.time.period.format.qualifier"/>
								</xsl:call-template>
						</xsl:if>
			</xsl:if>
		 <xsl:variable name="grupo34CTA_SF" select="count(child::IFTMCSP.GROUP40/trsd_contact.information)"/>
		<xsl:if test="$grupo34CTA_SF>=1">
			IFTP036<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=1]/trsd_contact.information/tred_contact.function.coded"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=1]/trsd_contact.information/tred_department.or.employee"/>
				IFTP037<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=1]/trcd_communication.contact/tred_communication.number"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=1]/trcd_communication.contact/tred_communication.channel.qualifier"/>
		</xsl:if>
		
		<xsl:if test="$grupo37Nad_SF>1">
				 IFTP034<xsl:text>^</xsl:text>
		  				<xsl:value-of select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_party.qualifier"/><xsl:text>^</xsl:text>
						<xsl:value-of select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_party.id.identification"/><xsl:text>^</xsl:text>
						<xsl:value-of select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_name.and.address.line"/>
						<xsl:variable name="sfDirecc" select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_street.and.number.p.o.box"/>
						<xsl:variable name="sfCity" select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_city.name"/>
						<xsl:variable name="sfPais" select="child::IFTMCSP.GROUP37[position()=2]/trsd_name.and.address/tred_country.coded"/>
						<xsl:if test="boolean($sfDirecc[text()] or $sfCity[text()] or $sfPais[text])">
							<xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfDirecc"/>
						<xsl:if test="boolean($sfCity[text()] or $sfPais[text])">
							<xsl:text>^</xsl:text><xsl:text>^</xsl:text><xsl:text>^</xsl:text><xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfCity"/>
						<xsl:if test="boolean(string-length($sfPais)>0)">
							<xsl:text>^</xsl:text>
						</xsl:if>
						<xsl:value-of select="$sfPais"/>
						<xsl:if test="$grupo37TDT_SF>1">
									IFTP035<xsl:text>^</xsl:text> <xsl:call-template name="formatoFechas">
									<!-- pass the parameters !-->
									<xsl:with-param name="dateQal" select="child::IFTMCSP.GROUP37[position()=2]/trcd_date.time.period/tred_date.time.period.qualifier"/>
									<xsl:with-param name="datePer" select="child::IFTMCSP.GROUP37[position()=2]/trcd_date.time.period/tred_date.time.period"/>
									<xsl:with-param name="dateFor" select="child::IFTMCSP.GROUP37[position()=2]/trcd_date.time.period/tred_date.time.period.format.qualifier"/>
								</xsl:call-template>
						</xsl:if>
			</xsl:if>
		<xsl:if test="$grupo34CTA_SF>1">
			IFTP036<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=2]/trsd_contact.information/tred_contact.function.coded"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=2]/trsd_contact.information/tred_department.or.employee"/>
				IFTP037<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=2]/trcd_communication.contact/tred_communication.number"/>
				<xsl:text>^</xsl:text>
				<xsl:value-of select="IFTMCSP.GROUP40[position()=2]/trcd_communication.contact/tred_communication.channel.qualifier"/>
		</xsl:if>

		</xsl:for-each>
	</xsl:template>
	<!-- Fin del GRUPO 35 -->
	<xsl:template name="camposVacios">
		<!-- retrieve the list of parameters !-->
		<xsl:param name="current" select="1"/>
		<xsl:param name="total" select="5"/>
		<xsl:text>^</xsl:text>
		<!-- keep recursively do this until condition is satisfied !-->
		<xsl:if test="$current &lt; $total">
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="current" select="$current + 1"/>
				<xsl:with-param name="total" select="$total"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="formatoFechas">
		<!-- retrieve the list of parameters !-->
		<xsl:param name="dateQal" select="201"/>
		<xsl:param name="datePer" select="0401010101"/>
		<xsl:param name="dateFor" select="201"/>
		<xsl:value-of select="$dateQal"/>
		<xsl:choose>
			<xsl:when test="$dateFor= 201">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="substring($datePer,1,10)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$dateFor= 102">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,8)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,12)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$dateFor"/>
	</xsl:template>
</xsl:stylesheet>
