<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCSI01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMCS.HEADER"/>
		<xsl:call-template name="IFTMCS"/>
		<xsl:apply-templates select="//IFTMCS.GROUP8"/>
		<xsl:call-template name="IFTMCS.HEADER2"/>
	</xsl:template>
	<xsl:template match="IFTMCS.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trsd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_interchange.header/anxe_application.reference"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_DOCUMENTO" select="trsd_beginning.of.message/trcd_document.message.identification"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_CONTACTO" select="trsd_contact.information/tred_department.or.employee"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL_CAMBIOS" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!--	Esto esta comentado para probar el tema de paso
		de parametros para el tema de la fechaActual
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
	-->
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">-</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_CONTACTO"/>
		<xsl:if test="boolean(string-length($CAB_CONTACTO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="IFTMCS">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="REF_BN_NUM_REF" select="//IFTMCS/IFTMCS.GROUP3[1]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_BN_FECHA" select="//IFTMCS/IFTMCS.GROUP3[1]/trsd_date.time.period[1]/tred_date.time.period"/>
		<xsl:variable name="REF_LC_NUM_REF" select="//IFTMCS/IFTMCS.GROUP3[2]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_LC_FECHA" select="//IFTMCS/IFTMCS.GROUP3[2]/trsd_date.time.period[1]/tred_date.time.period"/>
		<xsl:variable name="REF_LC_F_EXPIRACION" select="//IFTMCS/IFTMCS.GROUP3[2]/trsd_date.time.period[2]/tred_date.time.period"/>
		<xsl:variable name="FORMA_PAGO" select="/IFTMCS/IFTMCS.GROUP6/trsd_charge.payment.instructions/tred_transport.charges.method.of.payment.coded"/>
		<xsl:variable name="LUGAR_PAGO" select="/IFTMCS/IFTMCS.GROUP6/trsd_place.location.identification/tred_place.location"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$REF_BN_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_BN_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($REF_BN_FECHA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($REF_BN_FECHA) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$REF_BN_FECHA"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_LC_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_LC_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($REF_LC_FECHA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($REF_LC_FECHA) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$REF_LC_FECHA"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($REF_LC_F_EXPIRACION) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($REF_LC_F_EXPIRACION) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$REF_LC_F_EXPIRACION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$FORMA_PAGO"/>
		<xsl:if test="boolean(string-length($FORMA_PAGO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$LUGAR_PAGO"/>
		<xsl:if test="boolean(string-length($LUGAR_PAGO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template match="IFTMCS.GROUP8">
	
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="FECHA_SALIDA_BUQUE" select="trsd_date.time.period/tred_date.time.period"/>

		<!-- Primer calificador. Estudiamos mediante el calificador a cual corresponde -->
		<xsl:variable name="CALIFICADOR1" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
		<xsl:variable name="CODIGO1" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
		<xsl:variable name="AGENCIA1" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
		<xsl:variable name="NOMBRE1" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_related.place.location.one"/>
		<xsl:variable name="NOMBRE1B" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.location"/>
		<xsl:variable name="CALIFICADOR2" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
		<xsl:variable name="CODIGO2" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
		<xsl:variable name="AGENCIA2" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
		<xsl:variable name="NOMBRE2" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_related.place.location.one"/>
		<xsl:variable name="NOMBRE2B" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.location"/>
		<xsl:variable name="CALIFICADOR3" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
		<xsl:variable name="CODIGO3" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
		<xsl:variable name="AGENCIA3" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
		<xsl:variable name="NOMBRE3" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_related.place.location.one"/>
		<xsl:variable name="NOMBRE3B" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.location"/>
		<xsl:variable name="CALIFICADOR4" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.qualifier"/>
		<xsl:variable name="CODIGO4" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
		<xsl:variable name="AGENCIA4" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_code.list.responsible.agency.coded"/>
		<xsl:variable name="NOMBRE4" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_related.place.location.one"/>
		<xsl:variable name="NOMBRE4B" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.location"/>
		
		<xsl:variable name="REF_ESC_NUM_REF" select="IFTMCS.GROUP10/trcd_reference/tred_reference.number"/>
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:if test="boolean(string-length($TRANS_IMO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:if test="boolean(string-length($TRANS_NOMBRE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($FECHA_SALIDA_BUQUE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:if test="boolean(string-length($FECHA_SALIDA_BUQUE) >0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$FECHA_SALIDA_BUQUE"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!-- LUGAR DE ORIGEN 5 -->
		<xsl:choose>
			<xsl:when test="$CALIFICADOR1=5">
				<xsl:variable name="CODIGO_LUGAR_ORIGEN" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_ORIGEN"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_ORIGEN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA1=6">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA1=5">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR2=5">
				<xsl:variable name="CODIGO_LUGAR_ORIGEN" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_ORIGEN"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_ORIGEN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA2=6">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA2=5">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR3=5">
				<xsl:variable name="CODIGO_LUGAR_ORIGEN" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_ORIGEN"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_ORIGEN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA3=6">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA3=5">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR4=5">
				<xsl:variable name="CODIGO_LUGAR_ORIGEN" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_ORIGEN"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_ORIGEN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA4=6">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA4=5">
						<xsl:variable name="NOMBRE_LUGAR_ORIGEN" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- Si no se ha encontrado el calificador 5 entonces faltan dos campos -->
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:otherwise>
		</xsl:choose>

		<!-- PUERTO CARGA 9 -->
		<xsl:choose>
			<xsl:when test="$CALIFICADOR1=9">
				<xsl:variable name="CODIGO_PUERTO_CARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_CARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_CARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA1=6">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA1=5">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR2=9">
				<xsl:variable name="CODIGO_PUERTO_CARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_CARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_CARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA2=6">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA2=5">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR3=9">
				<xsl:variable name="CODIGO_PUERTO_CARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_CARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_CARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA3=6">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA3=5">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR4=9">
				<xsl:variable name="CODIGO_PUERTO_CARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_CARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_CARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA4=6">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA4=5">
						<xsl:variable name="NOMBRE_PUERTO_CARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- Si no se ha encontrado el calificador 9 entonces faltan dos campos -->
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:otherwise>
		</xsl:choose>

		<!-- PUERTO_DESCARGA 11 -->
		<xsl:choose>
			<xsl:when test="$CALIFICADOR1=11">
				<xsl:variable name="CODIGO_PUERTO_DESCARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_DESCARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_DESCARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA1=6">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA1=5">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR2=11">
				<xsl:variable name="CODIGO_PUERTO_DESCARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_DESCARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_DESCARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA2=6">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA2=5">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR3=11">
				<xsl:variable name="CODIGO_PUERTO_DESCARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_DESCARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_DESCARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA3=6">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA3=5">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR4=11">
				<xsl:variable name="CODIGO_PUERTO_DESCARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_PUERTO_DESCARGA"/>
				<xsl:if test="boolean(string-length($CODIGO_PUERTO_DESCARGA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA4=6">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA4=5">
						<xsl:variable name="NOMBRE_PUERTO_DESCARGA" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
						<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- Si no se ha encontrado el calificador 11 entonces faltan dos campos -->
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:otherwise>
		</xsl:choose>

		<!-- LUGAR_DESTINO 8 -->
		<xsl:choose>
			<xsl:when test="$CALIFICADOR1=11">
				<xsl:variable name="CODIGO_LUGAR_DESTINO" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_DESTINO"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_DESTINO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA1=6">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA1=5">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[1]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR2=8">
				<xsl:variable name="CODIGO_LUGAR_DESTINO" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_DESTINO"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_DESTINO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA2=6">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA2=5">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[2]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR3=8">
				<xsl:variable name="CODIGO_LUGAR_DESTINO" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_DESTINO"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_DESTINO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA3=6">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA3=5">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[3]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="$CALIFICADOR4=8">
				<xsl:variable name="CODIGO_LUGAR_DESTINO" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.locatione.identification"/>
				<xsl:value-of select="$CODIGO_LUGAR_DESTINO"/>
				<xsl:if test="boolean(string-length($CODIGO_LUGAR_DESTINO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$AGENCIA4=6">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_related.place.location.one"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
					<xsl:when test="$AGENCIA4=5">
						<xsl:variable name="NOMBRE_LUGAR_DESTINO" select="IFTMCS.GROUP9[4]/trsd_place.locatione.identification/tred_place.location"/>
						<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
						<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
					</xsl:when>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- Si no se ha encontrado el calificador 8 entonces faltan dos campos -->
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:otherwise>
		</xsl:choose>
			
		<!--<xsl:value-of select="$CODIGO_LUGAR_ORIGEN"/>
		<xsl:if test="boolean(string-length($CODIGO_LUGAR_ORIGEN) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOMBRE_LUGAR_ORIGEN"/>
		<xsl:if test="boolean(string-length($NOMBRE_LUGAR_ORIGEN) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		
		<xsl:value-of select="$CODIGO_PUERTO_CARGA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOMBRE_PUERTO_CARGA"/>
		<xsl:if test="boolean(string-length($NOMBRE_PUERTO_CARGA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CODIGO_PUERTO_DESCARGA"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOMBRE_PUERTO_DESCARGA"/>
		<xsl:if test="boolean(string-length($NOMBRE_PUERTO_DESCARGA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CODIGO_LUGAR_DESTINO"/>
		<xsl:if test="boolean(string-length($CODIGO_LUGAR_DESTINO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOMBRE_LUGAR_DESTINO"/>
		<xsl:if test="boolean(string-length($NOMBRE_LUGAR_DESTINO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		-->

		<xsl:value-of select="$REF_ESC_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_ESC_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		
		
		
		
	</xsl:template>
	<xsl:template name="IFTMCS.HEADER2">
		
		<xsl:variable name="CAB_NUMERO" select="IFTMCS/IFTMCS.HEADER/trsd_communication.contact/tred_communication.number"/>
		<xsl:variable name="CAB_CANAL" select="IFTMCS/IFTMCS.HEADER/trsd_communication.contact/tred_communication.channel.qualifier"/>
		<xsl:variable name="COD_CONDICIONES_CONTRACT" select="IFTMCS/IFTMCS.HEADER/trsd_transport.service.requirements/trcd_contract.and.carriage.condition/tred_contract.and.carriage.condition.code"/>
		<xsl:variable name="COD_CONDICIONES_SERVICIO" select="IFTMCS/IFTMCS.HEADER/trsd_transport.service.requirements/trcd_service/tred_service.requirement.code"/>
		<xsl:variable name="CATEGORIA_PAGO" select="IFTMCS/IFTMCS.GROUP6/trsd_charge.payment.instructions/trcd_charge.category"/>
		<xsl:variable name="CODIGO_OFIC_BL" select="IFTMCS/IFTMCS.GROUP1/trsd_place.locatione.identification/tred_place.locatione.identification"/>
		<xsl:variable name="NOMBRE_OFIC_BL" select="IFTMCS/IFTMCS.GROUP1/trsd_place.locatione.identification/tred_related.place.location.one"/>
		
		
		<xsl:value-of select="$CAB_NUMERO"/>
		<xsl:if test="boolean(string-length($CAB_NUMERO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		
		<xsl:value-of select="$CAB_CANAL"/>
		<xsl:if test="boolean(string-length($CAB_CANAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		
		<xsl:value-of select="$COD_CONDICIONES_CONTRACT"/>
		<xsl:if test="boolean(string-length($COD_CONDICIONES_CONTRACT) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		
		<xsl:value-of select="$COD_CONDICIONES_SERVICIO"/>
		<xsl:if test="boolean(string-length($COD_CONDICIONES_SERVICIO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CATEGORIA_PAGO"/>
		<xsl:if test="boolean(string-length($CATEGORIA_PAGO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CODIGO_OFIC_BL"/>
		<xsl:if test="boolean(string-length($CODIGO_OFIC_BL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$NOMBRE_OFIC_BL"/>
		<xsl:if test="boolean(string-length($NOMBRE_OFIC_BL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
