<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCSI01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMCS.HEADER"/>
	</xsl:template>
	<xsl:template match="IFTMCS.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_DOCUMENTO" select="trsd_beginning.of.message/trcd_document.message.identification"/>
		<!-- Formato de variables y orden -->
		<xsl:for-each select="trsd_efree.text">
		<xsl:variable name="clausulas_sin_codificar1" select="tred_free.text1"/>
		<xsl:variable name="clausulas_sin_codificar2" select="tred_free.text2"/>
		<xsl:variable name="clausulas_sin_codificar3" select="tred_free.text3"/>
		<xsl:variable name="clausulas_sin_codificar4" select="tred_free.text4"/>
		<xsl:variable name="clausulas_sin_codificar5" select="tred_free.text5"/>
		<xsl:if test="boolean(string-length($clausulas_sin_codificar1)>0)">
			<xsl:variable name="tipo" select="tred_text.subject.qualifier"/>
	      		<xsl:if test="contains($tipo,'BLC')">
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$clausulas_sin_codificar1"/>
				<xsl:if test="boolean(string-length($clausulas_sin_codificar1)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$clausulas_sin_codificar2"/>
				<xsl:if test="boolean(string-length($clausulas_sin_codificar2)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$clausulas_sin_codificar3"/>
				<xsl:if test="boolean(string-length($clausulas_sin_codificar3)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$clausulas_sin_codificar4"/>
				<xsl:if test="boolean(string-length($clausulas_sin_codificar4)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$clausulas_sin_codificar5"/>
				<xsl:if test="boolean(string-length($clausulas_sin_codificar5)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
