<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="GROUP18">
	<!-- Definicion de variables y Xpath -->
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="/IFTMCS/IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="/IFTMCS/IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>

		<xsl:for-each select="//IFTMCS.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<!-- Sacar el resultado por pantalla -->
			<xsl:call-template name="GRUPO21">
			  <xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			  <xsl:with-param name="EMISOR" select="$EMISOR" />
			  <xsl:with-param name="CAB_RFF_LIBRE" select="$CAB_RFF_LIBRE" />
			  <xsl:with-param name="CAB_ID_DOCUMENTO" select="$CAB_ID_DOCUMENTO"/>
			   <xsl:with-param name="posicion" select="position()"/>
			</xsl:call-template>
		</xsl:for-each>
 	</xsl:template>
	<xsl:template name="GRUPO21">
	     <xsl:param name="posicion"/>
	     <xsl:param name="PAR_NUM_PARTIDA"/>
	     <xsl:param name="EMISOR"/>
	     <xsl:param name="CAB_RFF_LIBRE"/>
	     <xsl:param name="CAB_ID_DOCUMENTO"/>
	     <xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP21">
	     
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="LONGITUD"	select="trsd_dimensions/tred_length.dimension"/>
			<xsl:variable name="ALTURA"	select="trsd_dimensions/tred_width.dimension"/>
			<xsl:variable name="ANCHURA"	select="trsd_dimensions/tred_height.dimension"/>
			<xsl:variable name="TIPO_MEDIDA" select="trsd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="TIPO_DIMENSION" select="trsd_dimensions/tred_dimension.qualifier"/>
			<xsl:variable name="UNIDADES" select="trsd_number.of.units/trcd_number.of.unit.details"/>
			
			<!-- Sacar el resultado por pantalla -->
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_RFF_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$LONGITUD"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$ALTURA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$ANCHURA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$TIPO_MEDIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$TIPO_DIMENSION"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$UNIDADES"/>
			<xsl:if test="boolean(string-length($UNIDADES)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
	     </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
