<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP35"/>
	</xsl:template>
	<xsl:template name="GROUP35">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="/IFTMCS/IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_DOCUMENTO" select="/IFTMCS/IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>
		<xsl:for-each select="//IFTMCS.GROUP35">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_full.empty.indicator.coded"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_ESTADO" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_PESO_CALIFICADOR" select="trsd_measurements/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="CAL_TMP_1" select="trsd_temperature[1]/tred_temperature.qualifier"/>
			<xsl:variable name="CAL_TMP_2" select="trsd_temperature[2]/tred_temperature.qualifier"/>
			<!--
			<xsl:choose>
				<xsl:when test="//IFTMCS.GROUP35/trsd_temperature/tred_temperature.qualifier = '2'">
					<xsl:variable name="TEMPERATURA_MINIMA" select="trsd_temperature/tred_temperature.setting"/>
					<xsl:variable name="CALIFICADOR_TMP_MINIMA" select="trsd_temperature/tred_measure.unit.qualifier"/>	
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="TEMPERATURA_MINIMA" select="$nullCharacter"/>
					<xsl:variable name="CALIFICADOR_TMP_MINIMA" select="$nullCharacter"/>	
				</xsl:otherwise>
				<xsl:when test="//IFTMCS.GROUP35/trsd_temperature/tred_temperature.qualifier = '5'">
					<xsl:variable name="TEMPERATURA_MAXIMA" select="trsd_temperature/tred_temperature.setting"/>
					<xsl:variable name="CALIFICADOR_TMP_MAXIMA" select="trsd_temperature/tred_measure.unit.qualifier"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="TEMPERATURA_MAXIMA" select="trsd_temperature/tred_temperature.setting"/>
					<xsl:variable name="CALIFICADOR_TMP_MAXIMA" select="trsd_temperature/tred_measure.unit.qualifier"/>
				</xsl:otherwise>
			</xsl:choose>
			-->
			<!-- Salida a pantalla -->
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_RFF_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_MATRICULA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_ESTADO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_TIPO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_PESO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_PESO_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$EQUI_PRECINTO"/>
			<xsl:if test="boolean(string-length($EQUI_PRECINTO)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$CAL_TMP_1=2">
					<xsl:variable name="TEMPERATURA_MINIMA" select="trsd_temperature[1]/tred_temperature.setting"/>
					<xsl:value-of select="$TEMPERATURA_MINIMA"/>
					<xsl:if test="boolean(string-length($TEMPERATURA_MINIMA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:variable name="CALIFICADOR_TMP_MINIMA" select="trsd_temperature[1]/tred_measure.unit.qualifier"/>
					<xsl:value-of select="$CALIFICADOR_TMP_MINIMA"/>
					<xsl:if test="boolean(string-length($CALIFICADOR_TMP_MINIMA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:choose>
						<xsl:when test="$CAL_TMP_2=5">
							<xsl:variable name="TEMPERATURA_MAXIMA" select="trsd_temperature[2]/tred_temperature.setting"/>
							<xsl:value-of select="$TEMPERATURA_MAXIMA"/>
							<xsl:if test="boolean(string-length($TEMPERATURA_MAXIMA) =0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
							<xsl:value-of select="$separadorColum"/>
							<xsl:variable name="CALIFICADOR_TMP_MAXIMA" select="trsd_temperature[2]/tred_measure.unit.qualifier"/>
							<xsl:value-of select="$CALIFICADOR_TMP_MAXIMA"/>
							<xsl:if test="boolean(string-length($CALIFICADOR_TMP_MAXIMA) =0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$nullCharacter"/>
							<xsl:value-of select="$separadorColum"/>
							<xsl:value-of select="$nullCharacter"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$CAL_TMP_1=5">
					<xsl:choose>
						<xsl:when test="$CAL_TMP_2=2">
							<xsl:variable name="TEMPERATURA_MINIMA" select="trsd_temperature[2]/tred_temperature.setting"/>
							<xsl:value-of select="$TEMPERATURA_MINIMA"/>
							<xsl:if test="boolean(string-length($TEMPERATURA_MINIMA) =0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
							<xsl:value-of select="$separadorColum"/>
							<xsl:variable name="CALIFICADOR_TMP_MINIMA" select="trsd_temperature[2]/tred_measure.unit.qualifier"/>
							<xsl:value-of select="$CALIFICADOR_TMP_MINIMA"/>
							<xsl:if test="boolean(string-length($CALIFICADOR_TMP_MINIMA) =0)">
								<xsl:value-of select="$nullCharacter"/>
							</xsl:if>
							<xsl:value-of select="$separadorColum"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$nullCharacter"/>
							<xsl:value-of select="$separadorColum"/>
							<xsl:value-of select="$nullCharacter"/>
							<xsl:value-of select="$separadorColum"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:variable name="TEMPERATURA_MAXIMA" select="trsd_temperature[1]/tred_temperature.setting"/>
					<xsl:value-of select="$TEMPERATURA_MAXIMA"/>
					<xsl:if test="boolean(string-length($TEMPERATURA_MAXIMA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:variable name="CALIFICADOR_TMP_MAXIMA" select="trsd_temperature[1]/tred_measure.unit.qualifier"/>
					<xsl:value-of select="$CALIFICADOR_TMP_MAXIMA"/>
					<xsl:if test="boolean(string-length($CALIFICADOR_TMP_MAXIMA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
