<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="GROUP18">
	<!-- Definicion de variables y Xpath -->
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="/IFTMCS/IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="/IFTMCS/IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>

		<xsl:for-each select="//IFTMCS.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<!-- Sacar el resultado por pantalla -->
			<xsl:call-template name="GRUPO23">
			  <xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			  <xsl:with-param name="EMISOR" select="$EMISOR" />
			  <xsl:with-param name="CAB_RFF_LIBRE" select="$CAB_RFF_LIBRE" />
			  <xsl:with-param name="CAB_ID_DOCUMENTO" select="$CAB_ID_DOCUMENTO"/>
			   <xsl:with-param name="posicion" select="position()"/>
			</xsl:call-template>
		</xsl:for-each>
 	</xsl:template>
 	
	<xsl:template name="GRUPO23">
	     <xsl:param name="posicion"/>
	     <xsl:param name="PAR_NUM_PARTIDA"/>
	     <xsl:param name="EMISOR"/>
	     <xsl:param name="CAB_RFF_LIBRE"/>
	     <xsl:param name="CAB_ID_DOCUMENTO"/>
	     <xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23">
	     
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="MARCA1"	select="trsd_package.identification/tred_shipping.marks1"/>
			<xsl:variable name="MARCA2"	select="trsd_package.identification/tred_shipping.marks2"/>
			<xsl:variable name="MARCA3"	select="trsd_package.identification/tred_shipping.marks3"/>
			<xsl:variable name="MARCA4"	select="trsd_package.identification/tred_shipping.marks4"/>
			<xsl:variable name="MARCA5"	select="trsd_package.identification/tred_shipping.marks5"/>
			<xsl:variable name="MARCA6"	select="trsd_package.identification/tred_shipping.marks6"/>
			<xsl:variable name="MARCA7"	select="trsd_package.identification/tred_shipping.marks7"/>
			<xsl:variable name="MARCA8"	select="trsd_package.identification/tred_shipping.marks8"/>
			<xsl:variable name="MARCA9"	select="trsd_package.identification/tred_shipping.marks9"/>
			<xsl:variable name="MARCA10"	select="trsd_package.identification/tred_shipping.marks10"/>

			<!-- Tan solo escribimos informacin de partidas reales. Ni la 0 ni la 990-999 -->			
			<xsl:if test="boolean($PAR_NUM_PARTIDA &lt; 990) and boolean($PAR_NUM_PARTIDA &gt; 0)">
				<!-- Sacar el resultado por pantalla -->
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA1"/>
				<xsl:if test="boolean(string-length($MARCA1)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA2"/>
				<xsl:if test="boolean(string-length($MARCA2)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA3"/>
				<xsl:if test="boolean(string-length($MARCA3)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA4"/>
				<xsl:if test="boolean(string-length($MARCA4)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA5"/>
				<xsl:if test="boolean(string-length($MARCA5)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA6"/>
				<xsl:if test="boolean(string-length($MARCA6)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA7"/>
				<xsl:if test="boolean(string-length($MARCA7)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA8"/>
				<xsl:if test="boolean(string-length($MARCA8)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA9"/>
				<xsl:if test="boolean(string-length($MARCA9)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MARCA10"/>
				<xsl:if test="boolean(string-length($MARCA10)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
	     </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
