<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCSI01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="//IFTMCS/IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="//IFTMCS/IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>
	<xsl:template match="/">
		<xsl:call-template name="GRUPO11"/>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<xsl:for-each select="//IFTMCS/IFTMCS.GROUP11">
			<xsl:variable name="NAD_CALIFICADOR" select="trsd_name.and.address/tred_name.type.coded"/>
			<xsl:variable name="NAD_NOMBRE" select="trsd_name.and.address/tred_name.and.address.line1"/>
			<xsl:variable name="NAD_DIRECCION1" select="trsd_name.and.address/tred_name.and.address.line2"/>
			<xsl:variable name="NAD_DIRECCION2" select="trsd_name.and.address/tred_name.and.address.line3"/>
			<xsl:variable name="NAD_DIRECCION3" select="trsd_name.and.address/tred_name.and.address.line4"/>
			<xsl:variable name="NAD_DIRECCION4" select="trsd_name.and.address/tred_name.and.address.line5"/>
			<xsl:variable name="NAD_ADICIONAL1" select="trsd_name.and.address/tred_party.name1"/>
			<xsl:variable name="NAD_ADICIONAL2" select="trsd_name.and.address/tred_party.name2"/>
			<xsl:variable name="NAD_ADICIONAL3" select="trsd_name.and.address/tred_party.name3"/>
			<xsl:variable name="NAD_ADICIONAL4" select="trsd_name.and.address/tred_party.name4"/>
			<xsl:variable name="NAD_ADICIONAL5" select="trsd_name.and.address/tred_party.name5"/>
			<xsl:variable name="CONTACTO" select="IFTMCS.GROUP12/trsd_contact.information/tred_department.or.employee"/>
			<xsl:variable name="NUMERO" select="IFTMCS.GROUP12/trsd_communication.contact/tred_communication.number"/>
			<xsl:variable name="CANAL" select="IFTMCS.GROUP12/trsd_communication.contact/tred_communication.channel.qualifier"/>
			<!-- Formato de variables y orden -->
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_RFF_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_NOMBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_DIRECCION1"/>
			<xsl:if test="boolean(string-length($NAD_DIRECCION1)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_DIRECCION2"/>
			<xsl:if test="boolean(string-length($NAD_DIRECCION2)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_DIRECCION3"/>
			<xsl:if test="boolean(string-length($NAD_DIRECCION3)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_DIRECCION4"/>
			<xsl:if test="boolean(string-length($NAD_DIRECCION4)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_ADICIONAL1"/>
			<xsl:if test="boolean(string-length($NAD_ADICIONAL1)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_ADICIONAL2"/>
			<xsl:if test="boolean(string-length($NAD_ADICIONAL2)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_ADICIONAL3"/>
			<xsl:if test="boolean(string-length($NAD_ADICIONAL3)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_ADICIONAL4"/>
			<xsl:if test="boolean(string-length($NAD_ADICIONAL4)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NAD_ADICIONAL5"/>
			<xsl:if test="boolean(string-length($NAD_ADICIONAL5)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CONTACTO"/>
			<xsl:if test="boolean(string-length($CONTACTO)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$NUMERO"/>
			<xsl:if test="boolean(string-length($NUMERO)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CANAL"/>
			<xsl:if test="boolean(string-length($CANAL)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
