<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="/IFTMCS/IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="/IFTMCS/IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="GROUP18">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//IFTMCS.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_DESC_MERCANCIA" select="trsd_free.text[1]/tred_free.text1[1]"/>
			<xsl:variable name="PAR_INDIC_CONOCIMIENTO" select="trsd_free.text[2]/tred_free.text1[1]"/>
			<xsl:variable name="REF_ABD_NUM_REF" select="IFTMCS.GROUP22/trsd_reference/tred_reference.number"/>
			<xsl:variable name="PAR_MARCAS" select="IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks1"/>
			<xsl:variable name="MMPP_NUM_ONU" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_undg.number"/>
			<xsl:variable name="MMPP_CLASE" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.identification"/>
			<xsl:variable name="MMPP_NUM_PAG" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_hazard.code/tred_hazard.substance.item.page.number"/>
			<xsl:variable name="MMPP_VERSION" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_hazard.code/tred_hazard.code.version.number"/>
			<xsl:variable name="MMPP_NUM_TARJETA_TREM" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_trem.card.number"/>
			<xsl:variable name="MMPP_MFAG" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_mfag"/>
			<xsl:variable name="MMPP_NUM_EMS" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_ems.number"/>
			<xsl:variable name="MMPP_PUNTO_INFLAMACION" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_dangerous.goods.flashpoint"/>
			<xsl:variable name="MMPP_GR_ENVASADO" select="IFTMCS.GROUP30/trsd_dangerous.goods/tred_packing.group.coded"/>
			<xsl:variable name="MMPP_AAD_DESC_TECNICA" select="IFTMCS.GROUP30/trsd_free.text[1]/tred_free.text1[1]"/>
			<xsl:variable name="MMPP_AAC_INFO_ADICIONAL" select="IFTMCS.GROUP30/trsd_free.text[2]/tred_free.text1[1]"/>
			<xsl:variable name="posicion" select="position()"/>
			<!-- Sacar el resultado por pantalla -->
			<xsl:if test="boolean($PAR_NUM_PARTIDA &lt; 989) and boolean($PAR_NUM_PARTIDA &gt; 0)">
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_NUM_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_NUM_BULTOS"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="desc_mercancia">
					<xsl:with-param name="posicion" select="$posicion"/>
				</xsl:call-template>
				<xsl:call-template name="GRUPO20">
					<xsl:with-param name="posicion" select="$posicion"/>
				</xsl:call-template>
				<xsl:value-of select="$REF_ABD_NUM_REF"/>
				<xsl:if test="boolean(string-length($REF_ABD_NUM_REF)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="marcas">
					<xsl:with-param name="posicion" select="$posicion"/>
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="10"/>
				</xsl:call-template>
				<xsl:value-of select="$MMPP_NUM_ONU"/>
				<xsl:if test="boolean(string-length($MMPP_NUM_ONU)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_CLASE"/>
				<xsl:if test="boolean(string-length($MMPP_CLASE)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_NUM_PAG"/>
				<xsl:if test="boolean(string-length($MMPP_NUM_PAG)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_VERSION"/>
				<xsl:if test="boolean(string-length($MMPP_VERSION)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_NUM_TARJETA_TREM"/>
				<xsl:if test="boolean(string-length($MMPP_NUM_TARJETA_TREM)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_MFAG"/>
				<xsl:if test="boolean(string-length($MMPP_MFAG)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_NUM_EMS"/>
				<xsl:if test="boolean(string-length($MMPP_NUM_EMS)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_PUNTO_INFLAMACION"/>
				<xsl:if test="boolean(string-length($MMPP_PUNTO_INFLAMACION)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_GR_ENVASADO"/>
				<xsl:if test="boolean(string-length($MMPP_GR_ENVASADO)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$MMPP_AAD_DESC_TECNICA"/>
				<xsl:if test="boolean(string-length($MMPP_AAD_DESC_TECNICA)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="4"/>
				</xsl:call-template>
				<xsl:value-of select="$MMPP_AAC_INFO_ADICIONAL"/>
				<xsl:if test="boolean(string-length($MMPP_AAC_INFO_ADICIONAL)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios2">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="4"/>
				</xsl:call-template>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="desc_mercancia">
		<xsl:param name="posicion"/>
		
		<!-- Primero almacenaremos todos los FTX y luego volcaremos la informacin ordenadamente -->
		<xsl:variable name="CAL_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_text.subject.qualifier"/>
		<xsl:variable name="FTX_1_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_free.text1"/>
		<xsl:variable name="FTX_1_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_free.text2"/>
		<xsl:variable name="FTX_1_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_free.text3"/>
		<xsl:variable name="FTX_1_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_free.text4"/>
		<xsl:variable name="FTX_1_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[1]/tred_free.text5"/>

		<xsl:variable name="CAL_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_text.subject.qualifier"/>
		<xsl:variable name="FTX_2_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_free.text1"/>
		<xsl:variable name="FTX_2_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_free.text2"/>
		<xsl:variable name="FTX_2_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_free.text3"/>
		<xsl:variable name="FTX_2_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_free.text4"/>
		<xsl:variable name="FTX_2_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[2]/tred_free.text5"/>

		<xsl:variable name="CAL_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_text.subject.qualifier"/>
		<xsl:variable name="FTX_3_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_free.text1"/>
		<xsl:variable name="FTX_3_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_free.text2"/>
		<xsl:variable name="FTX_3_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_free.text3"/>
		<xsl:variable name="FTX_3_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_free.text4"/>
		<xsl:variable name="FTX_3_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[3]/tred_free.text5"/>

		<xsl:variable name="CAL_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_text.subject.qualifier"/>
		<xsl:variable name="FTX_4_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_free.text1"/>
		<xsl:variable name="FTX_4_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_free.text2"/>
		<xsl:variable name="FTX_4_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_free.text3"/>
		<xsl:variable name="FTX_4_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_free.text4"/>
		<xsl:variable name="FTX_4_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[4]/tred_free.text5"/>

		<xsl:variable name="CAL_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_text.subject.qualifier"/>
		<xsl:variable name="FTX_5_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_free.text1"/>
		<xsl:variable name="FTX_5_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_free.text2"/>
		<xsl:variable name="FTX_5_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_free.text3"/>
		<xsl:variable name="FTX_5_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_free.text4"/>
		<xsl:variable name="FTX_5_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text[5]/tred_free.text5"/>
		
		<xsl:choose>
			<xsl:when test="contains($CAL_1,'BLR')">
				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_5_1"/>	<xsl:if test="boolean(string-length($FTX_5_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_2"/>	<xsl:if test="boolean(string-length($FTX_5_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_3"/>	<xsl:if test="boolean(string-length($FTX_5_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_4"/>	<xsl:if test="boolean(string-length($FTX_5_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_5"/>	<xsl:if test="boolean(string-length($FTX_5_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="contains($CAL_2,'BLR')">
				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_5_1"/>	<xsl:if test="boolean(string-length($FTX_5_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_2"/>	<xsl:if test="boolean(string-length($FTX_5_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_3"/>	<xsl:if test="boolean(string-length($FTX_5_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_4"/>	<xsl:if test="boolean(string-length($FTX_5_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_5"/>	<xsl:if test="boolean(string-length($FTX_5_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="contains($CAL_3,'BLR')">
				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_5_1"/>	<xsl:if test="boolean(string-length($FTX_5_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_2"/>	<xsl:if test="boolean(string-length($FTX_5_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_3"/>	<xsl:if test="boolean(string-length($FTX_5_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_4"/>	<xsl:if test="boolean(string-length($FTX_5_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_5"/>	<xsl:if test="boolean(string-length($FTX_5_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="contains($CAL_4,'BLR')">
				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_5_1"/>	<xsl:if test="boolean(string-length($FTX_5_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_2"/>	<xsl:if test="boolean(string-length($FTX_5_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_3"/>	<xsl:if test="boolean(string-length($FTX_5_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_4"/>	<xsl:if test="boolean(string-length($FTX_5_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_5"/>	<xsl:if test="boolean(string-length($FTX_5_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:when test="contains($CAL_5,'BLR')">
				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_5_1"/>	<xsl:if test="boolean(string-length($FTX_5_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_2"/>	<xsl:if test="boolean(string-length($FTX_5_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_3"/>	<xsl:if test="boolean(string-length($FTX_5_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_4"/>	<xsl:if test="boolean(string-length($FTX_5_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_5_5"/>	<xsl:if test="boolean(string-length($FTX_5_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$FTX_1_1"/>	<xsl:if test="boolean(string-length($FTX_1_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_2"/>	<xsl:if test="boolean(string-length($FTX_1_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_3"/>	<xsl:if test="boolean(string-length($FTX_1_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_4"/>	<xsl:if test="boolean(string-length($FTX_1_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_1_5"/>	<xsl:if test="boolean(string-length($FTX_1_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_2_1"/>	<xsl:if test="boolean(string-length($FTX_2_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_2"/>	<xsl:if test="boolean(string-length($FTX_2_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_3"/>	<xsl:if test="boolean(string-length($FTX_2_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_4"/>	<xsl:if test="boolean(string-length($FTX_2_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_2_5"/>	<xsl:if test="boolean(string-length($FTX_2_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_3_1"/>	<xsl:if test="boolean(string-length($FTX_3_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_2"/>	<xsl:if test="boolean(string-length($FTX_3_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_3"/>	<xsl:if test="boolean(string-length($FTX_3_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_4"/>	<xsl:if test="boolean(string-length($FTX_3_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_3_5"/>	<xsl:if test="boolean(string-length($FTX_3_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<xsl:value-of select="$FTX_4_1"/>	<xsl:if test="boolean(string-length($FTX_4_1) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_2"/>	<xsl:if test="boolean(string-length($FTX_4_2) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_3"/>	<xsl:if test="boolean(string-length($FTX_4_3) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_4"/>	<xsl:if test="boolean(string-length($FTX_4_4) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$FTX_4_5"/>	<xsl:if test="boolean(string-length($FTX_4_5) =0)"> <xsl:value-of select="$nullCharacter"/> </xsl:if> <xsl:value-of select="$separadorColum"/>

				<!-- No hay datos para el conocimiento -->
				<xsl:value-of select="$nullCharacter"/> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/> <xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/> <xsl:value-of select="$separadorColum"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="desc_mercancia2">
		<xsl:param name="posicion"/>
		<xsl:param name="contador" select="count(/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text)"/>
		<!-- <xsl:if test="boolean($contador &gt; 1)"> -->
			<xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text">
				<xsl:choose>
					<xsl:when test="contains(tred_text.subject.qualifier,'AAA')">
						<xsl:value-of select="tred_free.text1"/>
						<xsl:if test="boolean(string-length(tred_free.text1)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text2"/>
						<xsl:if test="boolean(string-length(tred_free.text2)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text3"/>
						<xsl:if test="boolean(string-length(tred_free.text3)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text4"/>
						<xsl:if test="boolean(string-length(tred_free.text4)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text5"/>
						<xsl:if test="boolean(string-length(tred_free.text5)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<xsl:variable name="aux" select="number($contador)"/>
			<xsl:variable name="aux2" select="number(4-$aux)"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="number($aux2*5)"/>
			</xsl:call-template>
			<xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/trsd_free.text">
				<xsl:variable name="last" select="last()"/>
				<xsl:choose>
					<xsl:when test="contains(tred_text.subject.qualifier,'BLR') and boolean(position() = $last)">
						<!-- Habremos contado uno de menos a la hora de poner grupos de 5 nulls. Hay que ponerlos ahora -->
						<xsl:call-template name="camposVacios">
							<xsl:with-param name="i" select="1"/>
							<xsl:with-param name="count" select="5"/>
						</xsl:call-template>
						<!-- Aqui empieza el conocimento (BLR) -->
						<xsl:value-of select="tred_free.text1"/>
						<xsl:if test="boolean(string-length(tred_free.text1)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text2"/>
						<xsl:if test="boolean(string-length(tred_free.text2)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text3"/>
						<xsl:if test="boolean(string-length(tred_free.text3)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text4"/>
						<xsl:if test="boolean(string-length(tred_free.text4)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
						<xsl:value-of select="tred_free.text5"/>
						<xsl:if test="boolean(string-length(tred_free.text5)=0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:if>
						<xsl:value-of select="$separadorColum"/>
					</xsl:when>
					<xsl:when test="not(contains(tred_text.subject.qualifier,'BLR')) and boolean(position() = $last)">
						<xsl:call-template name="camposVacios">
							<xsl:with-param name="i" select="1"/>
							<xsl:with-param name="count" select="5"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
	</xsl:template>
	<xsl:template name="marcas">
		<xsl:param name="posicion"/>
		<xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23[1]/trsd_package.identification">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="MARCA_1" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks1"/>
			<xsl:variable name="MARCA_2" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks2"/>
			<xsl:variable name="MARCA_3" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks3"/>
			<xsl:variable name="MARCA_4" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks4"/>
			<xsl:variable name="MARCA_5" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks5"/>
			<xsl:variable name="MARCA_6" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks6"/>
			<xsl:variable name="MARCA_7" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks7"/>
			<xsl:variable name="MARCA_8" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks8"/>
			<xsl:variable name="MARCA_9" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks9"/>
			<xsl:variable name="MARCA_10" select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/tred_shipping.marks10"/>

			<xsl:value-of select="$MARCA_1"/>
			<xsl:if test="boolean(string-length($MARCA_1) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_2"/>
			<xsl:if test="boolean(string-length($MARCA_2) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_3"/>
			<xsl:if test="boolean(string-length($MARCA_3) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_4"/>
			<xsl:if test="boolean(string-length($MARCA_4) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_5"/>
			<xsl:if test="boolean(string-length($MARCA_5) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_6"/>
			<xsl:if test="boolean(string-length($MARCA_6) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_7"/>
			<xsl:if test="boolean(string-length($MARCA_7) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_8"/>
			<xsl:if test="boolean(string-length($MARCA_8) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_9"/>
			<xsl:if test="boolean(string-length($MARCA_9) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARCA_10"/>
			<xsl:if test="boolean(string-length($MARCA_10) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="marcas2">
		<xsl:param name="posicion"/>
		<xsl:param name="contador" select="count(/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/descendant::*)"/>
		<xsl:variable name="i" select="1"/>
		<xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP23/trsd_package.identification/descendant::*">
			<xsl:variable name="aux" select="."/>
			<xsl:if test="boolean(string-length($aux)>2)">
				<xsl:value-of select="."/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:variable name="aux">
			<xsl:value-of select="number($contador)-1"/>
		</xsl:variable>
		<xsl:call-template name="loop.marcas">
			<xsl:with-param name="i" select="$i"/>
			<xsl:with-param name="count">
				<xsl:value-of select="number(10-$aux)"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="loop.marcas">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="loop.marcas">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="GRUPO20">
		<xsl:param name="posicion"/>
		<xsl:variable name="contador" select="count(/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP20/trsd_measurements)"/>
		<xsl:for-each select="/IFTMCS/IFTMCS.GROUP18[$posicion]/IFTMCS.GROUP20">
			<xsl:variable name="ATRIBUTO_MEDIDA" select="trsd_measurements/tred_measurement.attribute"/>
			<xsl:variable name="PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="CALIFICADOR" select="trsd_measurements/tred_measure.unit.qualifier"/>
			<xsl:variable name="TIPO" select="trsd_measurements/tred_measurement.dimension.coded"/>
			<xsl:choose>
				<xsl:when test="((contains($CALIFICADOR,'KGM') or contains($CALIFICADOR,'TON'))and contains($TIPO,'AAD'))">
					<xsl:value-of select="$PESO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CALIFICADOR"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="contains($ATRIBUTO_MEDIDA,'VOL')  and (contains($CALIFICADOR,'DQM') or contains($CALIFICADOR,'MTQ') or contains($CALIFICADOR,'TON'))">
					<xsl:value-of select="$PESO"/>
					<xsl:if test="boolean(string-length($PESO)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CALIFICADOR"/>
					<xsl:if test="boolean(string-length($CALIFICADOR)=0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<!-- Esto no hace falta?
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$nullCharacter"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:otherwise>
				-->
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="boolean($contador=1)">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
