<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCS __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="//IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="//IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>
	<xsl:template match="/">
		<xsl:call-template name="RESUMEN"/>
	</xsl:template>
	<xsl:template name="RESUMEN">
		<xsl:variable name="elementos" select="count(//IFTMCS/IFTMCS.GROUP18)"/>
		<xsl:for-each select="//IFTMCS/IFTMCS.GROUP18">
		      <xsl:variable name="NUMBER" select="trsd_goods.item.details/tred_goods.item.number"/>
		      
			<xsl:variable name="posicion" select="position()"/>
			<xsl:if test="boolean(trsd_goods.item.details/tred_goods.item.number = 989)">
				<xsl:variable name="TOT_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
				<xsl:variable name="TOT_PESO_ATR_MEDIDA" select="IFTMCS.GROUP20[1]/trsd_measurements/tred_measurement.attribute"/>
				<xsl:variable name="TOT_PESO_COD_DIM" select="IFTMCS.GROUP20[1]/trsd_measurements/tred_measurement.dimension.coded"/>
				<xsl:variable name="TOT_PESO" select="IFTMCS.GROUP20[1]/trsd_measurements/tred_measurement.value"/>
				<xsl:variable name="TOT_PESO_CALIFICADOR" select="IFTMCS.GROUP20[1]/trsd_measurements/tred_measure.unit.qualifier"/>
				<xsl:variable name="TOT_VOLUMEN_ATR_MEDIDA" select="IFTMCS.GROUP20[2]/trsd_measurements/tred_measurement.attribute"/>
				<xsl:variable name="TOT_VOLUMEN" select="IFTMCS.GROUP20[2]/trsd_measurements/tred_measurement.value"/>
				<xsl:variable name="TOT_VOLUMEN_CALIFICADOR" select="IFTMCS.GROUP20[2]/trsd_measurements/tred_measure.unit.qualifier"/>
				  <xsl:value-of select="$EMISOR"/>
				  <xsl:value-of select="$separadorColum"/>
			      <xsl:value-of select="$CAB_RFF_LIBRE"/>
			      <xsl:value-of select="$separadorColum"/>
			      <xsl:value-of select="$CAB_ID_DOCUMENTO"/>
		      		<xsl:value-of select="$separadorColum"/>
		      		
				<xsl:value-of select="$TOT_BULTOS"/>
				<xsl:if test="boolean(string-length($TOT_BULTOS)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				
				<xsl:value-of select="$TOT_PESO"/>
				<xsl:if test="boolean(string-length($TOT_PESO)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				
				<xsl:value-of select="$TOT_PESO_CALIFICADOR"/>
				<xsl:if test="boolean(string-length($TOT_PESO_CALIFICADOR)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				
				<xsl:value-of select="$TOT_VOLUMEN"/>
				<xsl:if test="boolean(string-length($TOT_VOLUMEN)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				
				<xsl:value-of select="$TOT_VOLUMEN_CALIFICADOR"/>
				<xsl:if test="boolean(string-length($TOT_VOLUMEN_CALIFICADOR)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
