<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMCSI01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="nullColum" select="concat($separadorColum,$separadorColum)"/>
	<xsl:variable name="EMISOR" select="/IFTMCS/IFTMCS.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_RFF_LIBRE" select="//IFTMCS.HEADER/anxs_message.header/anxe_message.reference.number"/>
	<xsl:variable name="CAB_ID_DOCUMENTO" select="//IFTMCS.HEADER/trsd_beginning.of.message/trcd_document.message.identification"/>
	<xsl:template match="/">
		<xsl:call-template name="TEXTO_LIBRE"/>
	</xsl:template>
	<xsl:template name="TEXTO_LIBRE">
		<xsl:variable name="elementos" select="count(//IFTMCS/IFTMCS.GROUP18)"/>
		<xsl:for-each select="//IFTMCS/IFTMCS.GROUP18">
		      <xsl:variable name="NUMBER" select="trsd_goods.item.details/tred_goods.item.number"/>
		      
			<xsl:variable name="posicion" select="position()"/>
			<xsl:if test="boolean(trsd_goods.item.details/tred_goods.item.number = 0) and position()=1">
				<xsl:variable name="TEXTO_CABECERA_PARTIDA" select="trsd_free.text[1]/tred_free.text1[1]"/>
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NUMBER"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$TEXTO_CABECERA_PARTIDA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
			<xsl:if test="boolean(trsd_goods.item.details/tred_goods.item.number != 0) and position()=1">
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NUMBER"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
			<xsl:if test="boolean(trsd_goods.item.details/tred_goods.item.number > 889) and boolean(trsd_goods.item.details/tred_goods.item.number &lt; 1000)">
				<xsl:variable name="TEXTO_PIE_PARTIDA_0" select="trsd_free.text[1]/tred_free.text1[1]"/>
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_RFF_LIBRE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$NUMBER"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$TEXTO_PIE_PARTIDA_0"/>
				<xsl:if test="boolean(string-length($TEXTO_PIE_PARTIDA_0)=0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$nullCharacter"/>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
			<!-- ESTO QUEDA COMENTADO EN PREVISION DE QUE SE UTILICE EN UN 
			FUTURO PARAR PONER LOS CAMPOS IDENTIFICADOS DEL 990 A 999 Y QUE NO TENGAN VALOR,
			DE MOMENTO SOLO SACA AQUELLOS EN LOS QUE CONTENGA ALGUNA DESCRIPCION DE LOS TEXTOS
			TANTO DE CABECERA COMO PIE
			<xsl:if test="boolean($elementos=$posicion)">
				<xsl:choose>
					<xsl:when test="boolean(trsd_goods.item.details/tred_goods.item.number &gt; 889) and boolean(trsd_goods.item.details/tred_goods.item.number &lt; 1000)">
					<xsl:variable name="i" select="substring(trsd_goods.item.details/tred_goods.item.number,3,1)"/>
						<xsl:call-template name="TextosPiesVacios">
						   <xsl:with-param name="NUMBER">
						     <xsl:value-of select="$NUMBER+1"/>
						   </xsl:with-param> 
							<xsl:with-param name="i" select="$i"/>
							<xsl:with-param name="count"><xsl:value-of select="number(10-$i)"/></xsl:with-param> 
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="TextosPiesVacios">
						   <xsl:with-param name="NUMBER" select="NO"/>
							<xsl:with-param name="i">1</xsl:with-param>
							<xsl:with-param name="count">10</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>-->
		</xsl:for-each>
	</xsl:template>
<!--			<xsl:template name="TextosPiesVacios">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:param name="NUMBER"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_RFF_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_DOCUMENTO"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
					<xsl:when test="contains($NUMBER,'NO')">
					<xsl:text>99</xsl:text><xsl:value-of select="$i"/>
					</xsl:when>
					<xsl:otherwise>
					<xsl:value-of select="$NUMBER"/>
					</xsl:otherwise>
			</xsl:choose>
	      <xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
	      <xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
	      <xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
	      <xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
	      <xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$nullCharacter"/>
			<xsl:if test="$i != count">
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
			<xsl:call-template name="TextosPiesVacios">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="NUMBER">
					<xsl:value-of select="$NUMBER +1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>		
-->
</xsl:stylesheet>
