<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_IFTMIN1I01 __________________________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  

	<xsl:apply-templates select="//IFTMIN1I01.HEADER"/>
	<xsl:apply-templates select="//IFTMIN1I01.GROUP3"/>
	<xsl:apply-templates select="//IFTMIN1I01.GROUP8"/>				
	<xsl:apply-templates select="//IFTMIN1I01.GROUP11"/>
	<xsl:apply-templates select="//IFTMIN1I01.GROUP18"/>
	<xsl:apply-templates select="//IFTMIN1I01.GROUP37"/>

	<!-- FIN DEL MENSAJE-->
	IFTI01017

   </xsl:template>    
   
   <!-- CABECERA DEL MENSAJE-->
   <xsl:template match="IFTMIN1I01.HEADER">
   
        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>   
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
        
	ENV001^<xsl:value-of select="$sender"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>    
   	
   	<!-- Segmento UNH-->
   	<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>   
   	        
	IFTI01000^<xsl:value-of select="$Nref"/>
   	   	
   	<!-- Segmento BGM-->
   	<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>   
	<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>   

	IFTI01001^<xsl:value-of select="$refMsg"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>
	
	<!-- Segmento DTM-->
	<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>   

	IFTI01002^<xsl:value-of select="$dataDoc"/>
	
	<!-- Segmento FTX-->
	<xsl:variable name="txtQal" select="trsd_free.text/tred_text.subject.qualifier"/>   
	<xsl:variable name="txtLibre" select="trsd_free.text/trcd_text.literal/tred_free.text"/>   

	<xsl:if test="trsd_free.text">
		IFTI01003^<xsl:value-of select="$txtQal"/>
		<xsl:if test="boolean($txtLibre[text()])">	
	  	  <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
		</xsl:if>
	</xsl:if>   
   	
   </xsl:template>
   
   <!-- GRUPO3-->
   <xsl:template match="IFTMIN1I01.GROUP3">
        
 	<!--Segmento RFF -->
	<xsl:variable name="refQual" select="trcd_reference/tred_reference.qualifier"/>   
	<xsl:variable name="refNum" select="trcd_reference/tred_reference.number"/>   

	IFTI01004<xsl:text>^</xsl:text>
	<xsl:value-of select="$refQual"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$refNum"/>
    </xsl:template>
  
  <!-- GRUPOS 8 y 9-->
  <xsl:template match="IFTMIN1I01.GROUP8">
       
 	<!-- Segmento TDT --> 
 	<xsl:variable name="trnsQual" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
	<xsl:variable name="trnsTerr" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
	<xsl:variable name="meansID" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
	<xsl:variable name="mtID" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
	<xsl:variable name="natTrans" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
	
	IFTI01005
	<xsl:text>^</xsl:text><xsl:value-of select="$trnsQual"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$trnsTerr"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$meansID"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$mtID"/> 
	<xsl:text>^</xsl:text><xsl:value-of select="$natTrans"/> 
	
	
	<!-- Segmento DTM-->
	<xsl:for-each select="self::IFTMIN1I01.GROUP8/trcd_date.time.period"> 
		IFTI01006^<xsl:value-of select="tred_date.time.period.qualifier"/>
		<xsl:text>^</xsl:text><xsl:value-of select="tred_date.time.period"/>
	</xsl:for-each>
	
	<!-- GRUPO9--> 
	<!-- Segmento LOC-->
	<xsl:variable name="locQual" select="IFTMIN1I01.GROUP9/trcd_location.identification/tred_place.location.qualifier"/>
	<xsl:variable name="locId" select="IFTMIN1I01.GROUP9/trcd_location.identification/tred_place.location.identification"/>
	<xsl:variable name="location" select="IFTMIN1I01.GROUP9/trcd_location.identification/tred_place.location"/>

	<xsl:if test="IFTMIN1I01.GROUP9/trcd_location.identification">
		IFTI01007^<xsl:value-of select="$locQual"/>
		<xsl:if test="boolean($locId[text()] or $location[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="$locId"/>
		</xsl:if>	
		<xsl:if test="boolean($location[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="$location"/>
		</xsl:if>	
	</xsl:if>   
   
   </xsl:template>
    <!-- GRUPOS 11 y 12 -->
   <xsl:template match="IFTMIN1I01.GROUP11">
   
	<!-- Segmento NAD-->
	IFTI01008<xsl:text>^</xsl:text>
	<xsl:value-of select="trsd_name.and.address/tred_party.qualifier"/>
	<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_party.id.identification"/>
	<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_name.and.address.line"/>
	<xsl:if test="boolean(trsd_name.and.address/tred_street.and.number.p.o.box[text()] or trsd_name.and.address/tred_city.name[text()] or trsd_name.and.address/tred_country.coded[text()])">
			<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
	</xsl:if>
	<xsl:if test="boolean(trsd_name.and.address/tred_city.name[text()] or trsd_name.and.address/tred_country.coded[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_city.name"/>
	</xsl:if>
	<xsl:if test="boolean(trsd_name.and.address/tred_country.coded[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="trsd_name.and.address/tred_country.coded"/>
	</xsl:if>       
	   
   	<!-- GRUPO12-->
		<!-- Segmento CTA-->
		<xsl:variable name="funCod" select="IFTMIN1I01.GROUP12/trsd_contact.information/tred_contact.function.coded"/>   	
		<xsl:variable name="idDep" select="IFTMIN1I01.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>   	
		<xsl:variable name="depEmp" select="IFTMIN1I01.GROUP12/trsd_contact.information/tred_department.or.employee"/>   	
		
		<xsl:if test="IFTMIN1I01.GROUP12/trsd_contact.information">	
			IFTI01009<xsl:text>^</xsl:text><xsl:value-of select="$funCod"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$idDep"/>
			<xsl:text>^</xsl:text><xsl:value-of select="$depEmp"/>
		</xsl:if> 
					
		<!-- Segmento COM-->
		<xsl:if test="IFTMIN1I01.GROUP12/trcd_communication.contact">
			IFTI01010<xsl:text>^</xsl:text>
			<xsl:value-of select="IFTMIN1I01.GROUP12/trcd_communication.contact/tred_communication.number"/>
			<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
		</xsl:if>
   	</xsl:template> 
   	
   	<!-- GRUPO18 -->
   	<xsl:template match="IFTMIN1I01.GROUP18">     
      	
   		<!-- Segmento GID -->
   		<xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>   	
   		<xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>   	
   		<xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>   	
	
   		IFTI01011<xsl:text>^</xsl:text><xsl:value-of select="$numPartida"/>
   		<xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
   		<xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>
	
		<!--Segmento MEA -->	
		IFTI01012<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01.GROUP20/trsd_measurements/tred_measurement.dimension.coded"/>
		<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01.GROUP20/trsd_measurements/tred_measurement.value"/>
	
		<!-- GROUP29 -->
		<!-- Segmento SGP -->	
		<xsl:for-each select="self::IFTMIN1I01.GROUP18/IFTMIN1I01.GROUP29/trsd_split.goods.placement"> 
		
			IFTI01013<xsl:text>^</xsl:text><xsl:value-of select="tred_equipment.identification.number"/>
			<xsl:if test="boolean(tred_number.of.packages[text()])">
				<xsl:text>^</xsl:text><xsl:value-of select="tred_number.of.packages"/>
			</xsl:if>			
		
 		</xsl:for-each> 	
   
   </xsl:template>			
   <!--TANCO 18 I EL FOR-EACH-->
   
    <!-- GRUPO37 -->
   <xsl:template match="IFTMIN1I01.GROUP37">     
   	
   	<!-- Segmento EQD -->
	<xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>   
	<xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>   
	<xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>   
	  
	IFTI01014<xsl:text>^</xsl:text>
	<xsl:value-of select="$equQual"/>
	<xsl:text>^</xsl:text>
	<xsl:value-of select="$equId"/>
	<xsl:if test="boolean($equType[text()])">
		<xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
	</xsl:if>
	
	<!-- Segmento FTX-->
	<xsl:variable name="txtQal" select="trsd_free.text/tred_text.subject.qualifier"/>   
	<xsl:variable name="txtLibre" select="trsd_free.text/trcd_text.literal/tred_free.text"/>   

	IFTI01015^<xsl:value-of select="$txtQal"/>
	<xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
	   
   		
 	<!--Segmento MEA -->	
	<xsl:if test="trsd_measurements/tred_measurement.value">   		
	IFTI01016<xsl:text>^</xsl:text><xsl:value-of select="trsd_measurements/tred_measurement.dimension.coded"/>
	<xsl:text>^</xsl:text><xsl:value-of select="trsd_measurements/tred_measurement.value"/>
	</xsl:if>	
        	
    </xsl:template>
   <!-- /GRUPO37 -->       
   
 
      
</xsl:stylesheet>   