<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- _________________ mensaje_IFTMIN1I01P ______________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  
        <xsl:apply-templates select="//IFTMIN1I01P.HEADER"/>
        <xsl:apply-templates select="//IFTMIN1I01P.GROUP3"/>
        <xsl:apply-templates select="//IFTMIN1I01P.GROUP8"/>
        <xsl:apply-templates select="//IFTMIN1I01P.GROUP11"/>
        <xsl:apply-templates select="//IFTMIN1I01P.GROUP18"/>
        <xsl:apply-templates select="//IFTMIN1I01P.GROUP37"/>
        IFT01P030

   </xsl:template>    

   <!-- CABECERA DEL ENVIO-->
   <xsl:template match="IFTMIN1I01P.HEADER">
   
        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>


   <!-- CABECERA DEL MENSAJE-->
        <!-- Segmento UNH-->
        <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        IFT01P000^<xsl:value-of select="$Nref"/>

        <!-- Segmento BGM-->
        <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
        <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        IFT01P001^<xsl:value-of select="$refMsg"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

        <!-- Segmento DTM-->
        <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        IFT01P002^<xsl:value-of select="$dataDoc"/>

        <!-- Segmento FTX-->
        <xsl:for-each select="trsd_free.text">
                <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
                <xsl:variable name="txtLibre" select="trcd_text.literal/tred_free.text"/>

                IFT01P003^<xsl:value-of select="$txtQal"/>
                        <xsl:if test="boolean($txtLibre[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                        </xsl:if>
        
        </xsl:for-each>

   </xsl:template>

   <!-- GRUPO3-->
     <xsl:template match="IFTMIN1I01P.GROUP3">

        <!--Segmento RFF -->
        IFT01P004<xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.number"/>

        <!-- Segmento DTM-->
        <xsl:if test="trcd_date.time.period">
                IFT01P005<xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period.qualifier"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>
        </xsl:if>

    </xsl:template>

   <!-- GRUPO8 -->
   <xsl:template match="IFTMIN1I01P.GROUP8">

        <!-- Segmento TDT-->
        <xsl:variable name="numIni" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
        <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
        <xsl:variable name="codLinea" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
        <xsl:variable name="carIde" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
        <xsl:variable name="carName" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
        <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
        <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
        <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

        IFT01P006<xsl:text>^</xsl:text><xsl:value-of select="$numIni"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$numViaje"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                 <xsl:if test="boolean($carIde[text()] or $carName[text()] or $callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$carIde"/>
                 </xsl:if>
                 <xsl:if test="boolean($carName[text()] or $callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$carName"/>
                 </xsl:if>
                 <xsl:if test="boolean($callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                 </xsl:if>
                 <xsl:if test="boolean($nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                 </xsl:if>
                 <xsl:if test="boolean($paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>
                 </xsl:if>

        <!-- Segmento DTM-->
        <xsl:for-each select="self::IFTMIN1I01P.GROUP8/trcd_date.time.period">
                IFT01P007^<xsl:value-of select="tred_date.time.period.qualifier"/>
                <xsl:if test="boolean(tred_date.time.period[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="tred_date.time.period"/>
                </xsl:if>

        </xsl:for-each>

        <!-- Segmento LOC-->
        <xsl:if test="IFTMIN1I01P.GROUP9/ trcd_location.identification">
                IFT01P008<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location.qualifier"/>
                        <xsl:if test="boolean(IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location[text()] or IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location.identification[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location.identification"/>
                        </xsl:if>
                        <xsl:if test="boolean(IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP9/ trcd_location.identification/tred_place.location"/>
                        </xsl:if>

        </xsl:if>

      </xsl:template>
   <!-- /GROUP8/GROUP9-->
   <!-- GROUP11/GROUP12-->
     <xsl:template match="IFTMIN1I01P.GROUP11">

                <!--Segmento NAD -->
                <xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
                <xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
                <xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
                <xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
                <xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
                <xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>

                IFT01P009<xsl:text>^</xsl:text>
                <xsl:value-of select="$partyQ"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                <xsl:if test="boolean($ciudad[text()] or $pais[text()] or $calleAp[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                </xsl:if>
                <xsl:if test="boolean($ciudad[text()] or $pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                </xsl:if>
                <xsl:if test="boolean($pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                </xsl:if>

        <!-- GROUP12--> 
        <xsl:if test="IFTMIN1I01P.GROUP12">
                <!-- Segmento CTA-->
                        <xsl:variable name="codContact" select="IFTMIN1I01P.GROUP12/trsd_contact.information/tred_contact.function.coded"/>
                        <xsl:variable name="trnsContact" select="IFTMIN1I01P.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
                        <xsl:variable name="perContact" select="IFTMIN1I01P.GROUP12/trsd_contact.information/tred_department.or.employee"/>

                        IFT01P010<xsl:text>^</xsl:text><xsl:value-of select="$codContact"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="$trnsContact"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>

                <!-- Segmento COM-->
                <xsl:if test="IFTMIN1I01P.GROUP12/trcd_communication.contact">
                        IFT01P011<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP12/trcd_communication.contact/tred_communication.number"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
                </xsl:if>

        </xsl:if>
        <!--TANCO EL IF DEL GROUP12-->

   </xsl:template>
   <!-- /GRUP11 -->
   
   <!-- GRUPO18 -->
   <xsl:template match="IFTMIN1I01P.GROUP18">

        <!-- Segmento GID -->
        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
        <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
        <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>

        IFT01P012<xsl:text>^</xsl:text><xsl:value-of select="$numPartida"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>

        <!--Segmento FTX -->
        <xsl:variable name="txtQual" select="trsd_free.text/tred_text.subject.qualifier"/>
        <xsl:variable name="txtFree" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

        IFT01P013^<xsl:value-of select="$txtQual"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$txtFree"/>

        <!-- GROUP20//Segmento MEA -->
        <xsl:if test="IFTMIN1I01P.GROUP20/trsd_measurements">

                IFT01P014<xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP20/trsd_measurements/tred_measurement.dimension.coded"/>
                          <xsl:text>^</xsl:text><xsl:value-of select="IFTMIN1I01P.GROUP20/trsd_measurements/tred_measurement.value"/>

        </xsl:if>

        <!-- Segmento HAN -->

        <xsl:if test="trcd_handling.instructions">
                IFT01P015<xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions.coded[text()] or trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions.coded"/>
                         </xsl:if>
                         <xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions"/>
                         </xsl:if>
        </xsl:if>

        <!-- Segmento RANGE -->
        <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="calTemp" select="trcd_range/tred_measure.unit.qualifier "/>

        <xsl:if test="trcd_range">
                IFT01P016<xsl:text>^</xsl:text><xsl:value-of select="$tempMin"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$calTemp"/>

        </xsl:if>

        <!-- Segmento TMD -->
        <xsl:variable name="movTypCo" select="trcd_movement.type/tred_movement.type.coded"/>
        <xsl:variable name="movTyp" select="trcd_movement.type/tred_movement.type"/>

        <xsl:if test="trcd_movement.type">
                IFT01P017<xsl:if test="boolean($movTypCo[text()] or $movTyp[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="$movTypCo"/>
                        </xsl:if>
                        <xsl:if test="boolean($movTyp[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="$movTyp"/>
                        </xsl:if>
        </xsl:if>

        <!-- GROUP23//Segmento PCI -->
        <xsl:for-each select="self::IFTMIN1I01P.GROUP18/IFTMIN1I01P.GROUP23/trsd_package.identification">

                IFT01P018<xsl:text>^</xsl:text><xsl:value-of select="tred_marking.instructions.coded"/>
                          <xsl:text>^</xsl:text><xsl:value-of select="tred_shipping.marks"/>

        </xsl:for-each>

        <!-- GROUP29//Segmento SGP -->
        <xsl:for-each select="self::IFTMIN1I01P.GROUP18/IFTMIN1I01P.GROUP29/trsd_split.goods.placement">

                IFT01P019<xsl:text>^</xsl:text><xsl:value-of select="tred_equipment.identification.number"/>
                         <xsl:if test="boolean(tred_number.of.packages[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="tred_number.of.packages"/>
                         </xsl:if>

        </xsl:for-each>

        <!-- GRUPO32-->
        <xsl:for-each select="self::IFTMIN1I01P.GROUP18/IFTMIN1I01P.GROUP32">

                <!--Segmento DGS -->
                <xsl:if test="trsd_dangerous.goods">
                        IFT01P020<xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_undg.number"/>
                                 <xsl:if test="boolean(trsd_dangerous.goods/tred_packing.group.coded or trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
                                 </xsl:if>
                                 <xsl:if test="boolean(trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_ems.number"/>
                                 </xsl:if>
                                 <xsl:if test="boolean(trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_mfag"/>
                                 </xsl:if>
                                 <xsl:if test="boolean(trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>
                                 </xsl:if>
                </xsl:if>

                <!-- Segmento FTX-->
                <xsl:for-each select="self::IFTMIN1I01P.GROUP32/trsd_free.text">

                    IFT01P021<xsl:text>^</xsl:text><xsl:value-of select="tred_text.subject.qualifier"/>
                             <xsl:if test="boolean(trcd_text.literal/tred_free.text[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trcd_text.literal/tred_free.text"/>
                             </xsl:if>
                </xsl:for-each>

        </xsl:for-each>
        <!--TANCO 32 I EL FOR-EACH-->

   <!--TANCO 18 -->
   </xsl:template>

    <!-- GRUPO37 -->
   <xsl:template match="IFTMIN1I01P.GROUP37">

        <!-- Segmento EQD -->
        <xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
        <xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
        <xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

        IFT01P022<xsl:text>^</xsl:text>
                  <xsl:value-of select="$equQual"/>
                  <xsl:text>^</xsl:text>
                  <xsl:value-of select="$equId"/>
                  <xsl:if test="boolean($equType[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
                  </xsl:if>
        
        <!-- Segmento RFF-->
        <xsl:variable name="equQual" select="trcd_reference/tred_reference.qualifier"/>
        <xsl:variable name="equNum" select="trcd_reference/tred_reference.number"/>
        <xsl:if test="trcd_reference">
            IFT01P023<xsl:text>^</xsl:text><xsl:value-of select="$equQual"/>
                     <xsl:text>^</xsl:text><xsl:value-of select="$equNum"/>
        </xsl:if>

        <!-- Segmento TMD -->
        <xsl:variable name="movTyCd" select="trcd_movement.type/tred_movement.type.coded"/>
        <xsl:variable name="movTy" select="trcd_movement.type/tred_movement.type"/>

        <xsl:if test="trcd_movement.type">
                IFT01P024<xsl:if test="boolean($movTyCd[text()] or $movTy[text()] )">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTyCd"/>
                          </xsl:if>
                          <xsl:if test="boolean($movTy[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTy"/>
                          </xsl:if>
        </xsl:if>

        <!--Segmento MEA -->
        <xsl:if test="trsd_measurements">
                IFT01P025<xsl:text>^</xsl:text><xsl:value-of select="trsd_measurements/tred_measurement.dimension.coded"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_measurements/tred_measurement.value"/>
        </xsl:if>

        <!-- Segmento DIM  -->
        <xsl:variable name="meaQual" select="trcd_dimensions/tred_measure.unit.qualifier"/>
        <xsl:variable name="meaL" select="trcd_dimensions/tred_length.dimension"/>
        <xsl:variable name="meaW" select="trcd_dimensions/tred_width.dimension"/>
        <xsl:variable name="meaH" select="trcd_dimensions/tred_height.dimension"/>

        <xsl:if test="trcd_dimensions">
                IFT01P026<xsl:text>^</xsl:text><xsl:value-of select="$meaQual"/>
                          <xsl:if test="boolean($meaL[text()] or $meaW[text()] or $meaH[text()] )">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaL"/>
                          </xsl:if>
                          <xsl:if test="boolean($meaW[text()] or $meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaW"/>
                          </xsl:if>
                          <xsl:if test="boolean($meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaH"/>
                          </xsl:if>
        </xsl:if>

        <!-- Segmento SEL  -->
        <xsl:variable name="sealN" select="trsd_seal.number/tred_seal.number"/>

        <xsl:if test="trsd_seal.number">
                IFT01P027<xsl:text>^</xsl:text><xsl:value-of select="$sealN"/>
        </xsl:if>

        <!-- Segmento RNG -->
        <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="calTemp" select="trcd_range/tred_measure.unit.qualifier "/>

        <xsl:if test="trcd_range">
                IFT01P028<xsl:text>^</xsl:text><xsl:value-of select="$tempMin"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$calTemp"/>
        </xsl:if>

        <!-- Segmento FTX-->
        <xsl:for-each select="self::IFTMIN1I01P.GROUP37/trsd_free.text">

                IFT01P029<xsl:text>^</xsl:text><xsl:value-of select="tred_text.subject.qualifier"/>
                          <xsl:if test="boolean(trcd_text.literal/tred_free.text[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_text.literal/tred_free.text"/>
                          </xsl:if>
        </xsl:for-each>

   </xsl:template>
<!--TANCO 37 -->

</xsl:stylesheet>