<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<!-- CABECERA -->
		<xsl:apply-templates select="//IFTMIN1I01P.HEADER"/>
		<xsl:call-template name="IFTMIN1I01P.GROUP3"/>
		<xsl:call-template name="IFTMIN1I01P.GROUP8"/>
		<xsl:call-template name="GROUP11"/>
	</xsl:template>
	<xsl:template match="IFTMIN1I01P.HEADER">
		<xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_interchange.header/anxe_application.reference"/>
		<xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="txtLibre1" select="child::*[tred_text.subject.qualifier='CHG']/descendant::*/tred_free.text"/>
		<xsl:variable name="txtLibre2" select="child::*[tred_text.subject.qualifier='DIN']/descendant::*/tred_free.text"/>
		<xsl:value-of select="$sender"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$recipient"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$dataDoc"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="boolean(string-length($fechaActual) &gt; 0)">
			<xsl:value-of select="$fechaActual"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">-</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$Nref"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$refMsg"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$funMsg"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$dataDoc"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($txtLibre1[text()]))">
				<xsl:value-of select="$txtLibre1"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nullCharacter"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
		<xsl:choose>
			<xsl:when test="boolean(string-length($txtLibre2[text()]))">
				<xsl:value-of select="$txtLibre2"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nullCharacter"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<!-- GRUPO3-->
	<xsl:template name="IFTMIN1I01P.GROUP3">
		<xsl:call-template name="for.loop.IFTMIN1I01P.GROUP3">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">5</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="for.loop.IFTMIN1I01P.GROUP3">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:variable name="nodo" select="//IFTMIN1I01P.GROUP3[position()=$i] "/>
			<xsl:variable name="refNum" select="$nodo/descendant::tred_reference.number"/>
			<xsl:variable name="refQual" select="$nodo/descendant::tred_reference.qualifier"/>
			<xsl:choose>
				<xsl:when test="$refNum[text()]">
					<xsl:value-of select="$refNum"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:if test="boolean(normalize-space($refQual)='AIO' or normalize-space($refQual)='AHZ')">
				<xsl:variable name="time" select="$nodo/trcd_date.time.period/tred_date.time.period"/>
				<xsl:value-of select="$refQual"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="boolean(string-length($time[text()]))">
						<xsl:call-template name="formateo">
							<xsl:with-param name="fecha" select="$time"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$i &lt;= $count">
			<xsl:call-template name="for.loop.IFTMIN1I01P.GROUP3">
				<xsl:with-param name="i">
					<!-- Increment index-->
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="IFTMIN1I01P.GROUP8">
		<!-- Segmento TDT -->
		<!-- trans_num_viaje-->
		<xsl:variable name="numViaje" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/tred_conveyance.reference.number"/>
		<!-- trans_cod_linea-->
		<xsl:variable name="codLinea" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<!-- trans_nom_linea-->
		<xsl:variable name="nomLinea" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<!-- TRANS_IMO -->
		<xsl:variable name="meansID" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<!-- TRANS_NOMBRE -->
		<xsl:variable name="mtID" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<!-- TRANS_BANDERA -->
		<xsl:variable name="natTrans" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<!-- Segmento DTM-->
		<xsl:value-of select="$numViaje"/>
		<xsl:if test="boolean(string-length($numViaje) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$codLinea"/>
		<xsl:if test="boolean(string-length($codLinea) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$nomLinea"/>
		<xsl:if test="boolean(string-length($nomLinea) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$meansID"/>
		<xsl:if test="boolean(string-length($meansID) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$mtID"/>
		<xsl:if test="boolean(string-length($mtID) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$natTrans"/>
		<xsl:if test="boolean(string-length($natTrans) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!-- TRANS_FECHA_ENTREGA_INF // TRANS_FECHA_ENTREGA_SUP -->
		<xsl:variable name="fecha" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trcd_date.time.period[position()=1]/tred_date.time.period"/>
		<xsl:variable name="horaInf" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trcd_date.time.period[position()=2]/tred_date.time.period"/>
		<xsl:variable name="horaSup" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/trcd_date.time.period[position()=3]/tred_date.time.period"/>
		<xsl:choose>
			<xsl:when test="$fecha[text()] and $horaInf[text()] ">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="concat($fecha,$horaInf)"/>
				</xsl:call-template>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$horaSup[text()]">
						<xsl:call-template name="formateo">
							<xsl:with-param name="fecha" select="concat($fecha,$horaSup)"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="camposVacios">
					<xsl:with-param name="i">1</xsl:with-param>
					<xsl:with-param name="count">2</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:variable name="locId" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/IFTMIN1I01P.GROUP9/trcd_location.identification/tred_place.location.identification"/>
		<xsl:variable name="location" select="/IFTMIN1I01P/IFTMIN1I01P.GROUP8/IFTMIN1I01P.GROUP9/trcd_location.identification/tred_place.location"/>
		<xsl:choose>
			<xsl:when test="$locId[text()]">
				<xsl:value-of select="$locId"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nullCharacter"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="$location[text()]">
				<xsl:value-of select="$location"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$nullCharacter"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- xsl:value-of select="$separadorColum"/ -->
	</xsl:template>
	<xsl:template name="GROUP11">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP11">
			<xsl:variable name="nif" select="trsd_name.and.address/tred_party.id.identification"/>
			<xsl:variable name="nombre" select="trsd_name.and.address/tred_name.and.address.line"/>
			<xsl:variable name="calle" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
			<xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
			<xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>
			<xsl:variable name="identificador" select="trsd_name.and.address/tred_party.qualifier"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$nif[text()]">
					<xsl:value-of select="$nif"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$nombre[text()]">
					<xsl:value-of select="$nombre"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$calle[text()]">
					<xsl:value-of select="$calle"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$ciudad[text()]">
					<xsl:value-of select="$ciudad"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$separadorColum"/>
			<xsl:choose>
				<xsl:when test="$pais[text()]">
					<xsl:value-of select="$pais"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$nullCharacter"/>
				</xsl:otherwise>
			</xsl:choose>
			<!-- xsl:value-of select="$separadorColum"/ -->
			<xsl:if test="boolean(normalize-space($identificador)='ST')">
				<xsl:variable name="nifContacto" select="IFTMIN1I01P.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
				<xsl:variable name="nombreContacto" select="IFTMIN1I01P.GROUP12/trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="numeroContacto" select="IFTMIN1I01P.GROUP12/trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="canalContacto" select="IFTMIN1I01P.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$nifContacto[text()]">
						<xsl:value-of select="$nifContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$nombreContacto[text()]">
						<xsl:value-of select="$nombreContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$numeroContacto[text()]">
						<xsl:value-of select="$numeroContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$separadorColum"/>
				<xsl:choose>
					<xsl:when test="$canalContacto[text()]">
						<xsl:value-of select="$canalContacto"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$nullCharacter"/>
					</xsl:otherwise>
				</xsl:choose>
				<!--xsl:value-of select="$separadorColum"/-->
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
