<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
<!-- ____________________________________________ mensaje_IFTMIN1I01P __________________________________________ -->
<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>
   <xsl:variable name="EMISOR" select="//IFTMIN1I01P.HEADER/anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="CAB_ID_DOCUMENTO" select="//IFTMIN1I01P.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
    
    
   <xsl:template match="/">  
		<!-- EQUIPAMIENTOS -->
	<xsl:call-template name="GROUP37"/>
</xsl:template>
<xsl:template name="refAakNumRef">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP3/trcd_reference">
		    <xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AGI')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
</xsl:template>
	<!-- EQUIPAMINETOS -->
<xsl:template name="GROUP37">
   <xsl:for-each select="//IFTMIN1I01P.GROUP37">
      <xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
		<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
		<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
		<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
		<xsl:variable name="EQUI_MOV_COD" select="trcd_movement.type/tred_movement.type.coded"/>
		<xsl:variable name="EQUI_COD" select="trcd_movement.type/tred_movement.type"/>
		<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
		<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
		<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
		<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
		<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
		<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
		<xsl:variable name="PAR_TMP_MIN" select="trcd_range/tred_range.minimum"/>
		<xsl:variable name="PAR_TMP_MIN_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
		<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
		<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
		<xsl:variable name="EQUI_DESCRIPCION" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
 		
		<xsl:value-of select="concat($EMISOR,$separadorColum)"/>
		<xsl:value-of select="concat($CAB_ID_DOCUMENTO,$separadorColum)"/>
		<xsl:call-template name="refAakNumRef"/>
		<xsl:value-of select="concat($EQUI_MATRICULA,$separadorColum)"/>
		<xsl:value-of select="concat($EQUI_CALIFICADOR,$separadorColum)"/>
		<xsl:value-of select="$EQUI_TIPO"/>
		<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="concat($EQUI_REFERENCIA,$separadorColum)"/>
		<xsl:value-of select="$EQUI_MOV_COD"/>
		<xsl:if test="boolean(string-length($EQUI_MOV_COD) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_COD"/>
		<xsl:if test="boolean(string-length($EQUI_COD) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_PESO"/>
		<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
		<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_DIM_LONGITUD "/>
		<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_DIM_ANCHURA "/>
		<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_DIM_ALTURA "/>
		<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_PRECINTO "/>
		<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$PAR_TMP_MIN "/>
		<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$PAR_TMP_MIN_CAL "/>
		<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$PAR_TMP_MAX "/>
		<xsl:if test="boolean(string-length($PAR_TMP_MAX) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$PAR_TMP_MAX_CAL "/>
		<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$EQUI_DESCRIPCION"/>
		<xsl:if test="boolean(string-length($EQUI_DESCRIPCION) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios2">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
		<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
