<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//IFTMIN1I01P.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="refMsg" select="//IFTMIN1I01P.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:param name="nullColum" select="concat('null',$separadorColum)"/>
	<xsl:template match="/">
		<xsl:call-template name="grupo18"/>
	</xsl:template>
	<xsl:template name="refAakNumRef">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP3/trcd_reference">
			<xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AGI')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO18 -->
	<xsl:template name="grupo18">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP18">
			<xsl:variable name="posicion" select="position()"/>
			<xsl:variable name="partidaID" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:variable name="clase" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
			<xsl:variable name="numONU" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/tred_undg.number"/>
			<xsl:variable name="numPag" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
			<xsl:variable name="version" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
			<xsl:variable name="numGrEnvasado" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/tred_packing.group.coded"/>
			<xsl:variable name="ems" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/tred_ems.number"/>
			<xsl:variable name="mfag" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/tred_mfag"/>
			<xsl:variable name="catMTrans" select="IFTMIN1I01P.GROUP32/trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>
			<xsl:variable name="texto_AAD" select="IFTMIN1I01P.GROUP32/trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="texto_AAC" select="IFTMIN1I01P.GROUP32/trsd_free.text[2]/trcd_text.literal/tred_free.text"/>


			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$refMsg"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAakNumRef"/>
			<xsl:value-of select="$partidaID"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$clase"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$numPag"/>
			<xsl:if test="boolean(string-length($numPag) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$version"/>
			<xsl:if test="boolean(string-length($version) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$numONU"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$numGrEnvasado"/>
			<xsl:if test="boolean(string-length($numGrEnvasado) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$ems"/>
			<xsl:if test="boolean(string-length($ems) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$mfag"/>
			<xsl:if test="boolean(string-length($mfag) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$catMTrans"/>
			<xsl:if test="boolean(string-length($catMTrans) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$texto_AAD"/>
			<xsl:if test="boolean(string-length($texto_AAD) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$texto_AAC"/>
			<xsl:if test="boolean(string-length($texto_AAC) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
