<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//IFTMIN1I01P.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="refMsg" select="//IFTMIN1I01P.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMIN1I01P.GROUP18"/>
	</xsl:template>
	<xsl:template name="refAakNumRef">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP3/trcd_reference">
			<xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AGI')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!-- PARTIDAS -->
	<xsl:template match="IFTMIN1I01P.GROUP18">
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$refMsg"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="refAakNumRef"/>
		<!-- obligatorios -->
		<xsl:value-of select="trsd_goods.item.details/tred_goods.item.number"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trsd_goods.item.details/tred_number.of.packages"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trsd_goods.item.details/tred_type.of.packages.identification"/>
		<xsl:value-of select="$separadorColum"/>
		<!-- desciption de la mercancia -->
		<xsl:variable name="freeText" select="descendant::*/child::tred_free.text[1]"/>
		<!--SEGMENTOT HAN -->
		<xsl:value-of select="trcd_handling.instructions/tred_handling.instructions.coded"/>
		<xsl:if test="boolean(string-length(trcd_handling.instructions/tred_handling.instructions.coded) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trcd_handling.instructions/tred_handling.instructions"/>
		<xsl:if test="boolean(string-length(trcd_handling.instructions/tred_handling.instructions) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!-- SEGMENTO TMP -->
		<xsl:value-of select="trcd_range/tred_range.minimum"/>
		<xsl:if test="boolean(string-length(trcd_range/tred_range.minimum) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trcd_range/tred_measure.unit.qualifier"/>
		<xsl:if test="boolean(string-length(trcd_range/tred_measure.unit.qualifier) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trcd_range/tred_range.maximum"/>
		<xsl:if test="boolean(string-length(trcd_range/tred_range.maximum) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trcd_range/tred_measure.unit.qualifier"/>
		<xsl:if test="boolean(string-length(trcd_range/tred_measure.unit.qualifier) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!-- SEGMENTO TMD -->
		<xsl:value-of select="trcd_movement.type/tred_movement.type.coded"/>
		<xsl:if test="boolean(string-length(trcd_movement.type/tred_movement.type.coded) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="trcd_movement.type/tred_movement.type"/>
		<xsl:if test="boolean(string-length(trcd_movement.type/tred_movement.type) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<!-- TEXTO LIBRE INFORMACION SOBRE LA MERCANCIA FTX -->
		<xsl:value-of select="$freeText"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="4"/>
		</xsl:call-template>
		<!-- GROUP20  Peso bruto de la mercancia OBLIGATORIO -->
		<xsl:value-of select="descendant::*/child::tred_measurement.value"/>
		<xsl:value-of select="$saltoLinea"/>
		<!-- salto de linea -->
	</xsl:template>
</xsl:stylesheet>
