<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_IFTMIN1I01P __________________________________________ -->
<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:variable name="EMISOR" select="//IFTMIN1I01P.HEADER/anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="refMsg" select="//IFTMIN1I01P.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
    
   <xsl:param name="nullColum" select="concat('&#x09;',$separadorColum)"/>

   <xsl:template match="/">  
		<xsl:apply-templates select="//IFTMIN1I01P.GROUP18"/>
	</xsl:template>
<xsl:template name="refAakNumRef">
		<xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP3/trcd_reference">
		    <xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AGI')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
</xsl:template>
	

	<!-- PARTIDAS -->
	<xsl:template match="IFTMIN1I01P.GROUP18">
		<!-- Segmento GID -->
		<xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
		<xsl:variable name="posicion" select="position()"/>
		
		<!-- EQUIPAMIENTOS -->
		<xsl:for-each select="IFTMIN1I01P.GROUP29" >
	  		<xsl:variable name="REF" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
		   <xsl:variable name="numBultos" select="trsd_split.goods.placement/tred_number.of.packages"/>

			<xsl:call-template name="grupo37">
			   <xsl:with-param name="EMISOR"  select="$EMISOR"/>
			   <xsl:with-param name="refMsg"  select="$refMsg"/>
			   <xsl:with-param name="numPartida" select="$numPartida"/>
			   <xsl:with-param name="numBultos" select="$numBultos"/>
			   <xsl:with-param name="REF" select="$REF"/>
			   <xsl:with-param name="posicion" select="$posicion"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="grupo37">
	  <xsl:param name="EMISOR"/>
	  <xsl:param name="refMsg"/>
	  <xsl:param name="numPartida"/>
	  <xsl:param name="numBultos"/>
	  <xsl:param name="REF"/>
  	  <xsl:param name="posicion"/>
     <xsl:for-each select="/IFTMIN1I01P/IFTMIN1I01P.GROUP37">
	   <xsl:variable name="REFERENCIA" select="trsd_equipment.details/tred_equipment.identification.number"/>
	   <xsl:if test="boolean($REF=$REFERENCIA)">
			<xsl:value-of select="concat($EMISOR,$separadorColum)"/>
			<xsl:value-of select="concat($refMsg,$separadorColum)"/>
			<xsl:call-template name="refAakNumRef"/>
			<xsl:value-of select="concat($numPartida,$separadorColum)"/>
			<xsl:value-of select="concat($REF,$separadorColum)"/>
			<xsl:value-of select="$numBultos"/>
			<xsl:if test="boolean(string-length($numBultos) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
		   <xsl:value-of select="$saltoLinea"/> <!-- salto de linea -->
		</xsl:if>
 	 </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
