<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_IFTMIN1I01 __________________________________________ -->
<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>


   <xsl:variable name="sender" select="//IFTMIN1I01.HEADER/anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="refMsg" select="//IFTMIN1I01.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
    
    
   <xsl:template match="/">  
		<!-- EQUIPAMIENTOS -->
		<xsl:apply-templates select="//IFTMIN1I01.GROUP37"/>
</xsl:template>
<xsl:template name="refAgiNumRef">
		<xsl:for-each select="/IFTMIN1I01/IFTMIN1I01.GROUP3/trcd_reference">
		   <xsl:if test="contains(tred_reference.qualifier,'AGI')">
		      <xsl:value-of  select="tred_reference.number" />
     			<xsl:value-of select="$separadorColum"/>
		   </xsl:if>
		</xsl:for-each>
</xsl:template>

	<!-- EQUIPAMINETOS -->
<xsl:template match="IFTMIN1I01.GROUP37">
		<xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
		<xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
		<xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
		<xsl:variable name="descripcion" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
		<xsl:variable name="peso" select="trsd_measurements/tred_measurement.value"/>
		
		<xsl:variable name="countPartidas" select="count(/descendant::*/trsd_split.goods.placement[child::tred_equipment.identification.number=$equId])"/>
		<xsl:choose>
			<xsl:when test="boolean($countPartidas != 0)">
				<xsl:variable name="nodo" select="/descendant::*[IFTMIN1I01.GROUP29/*[child::tred_equipment.identification.number=$equId] ]"/>
				<xsl:for-each select="$nodo">
					<xsl:value-of select="concat($sender,$separadorColum)"/>
					<xsl:value-of select="concat($refMsg,$separadorColum)"/>
					<xsl:call-template name="refAgiNumRef"/>
					<xsl:value-of select="concat($equId,$separadorColum)"/>
					<xsl:value-of select="concat($equQual,$separadorColum)"/>
					<xsl:value-of select="concat($equType,$separadorColum)"/>
					<xsl:value-of select="concat($descripcion,$separadorColum)"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
					<xsl:value-of select="$peso"/>
					<xsl:if test="boolean(string-length($peso) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
			
					<xsl:value-of select="$saltoLinea"/>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat($sender,$separadorColum)"/>
				<xsl:value-of select="concat($refMsg,$separadorColum)"/>
				<xsl:call-template name="refAgiNumRef"/>				
				<xsl:value-of select="concat($equQual,$separadorColum)"/>
				<xsl:value-of select="concat($equId,$separadorColum)"/>
				<xsl:value-of select="concat($equType,$separadorColum)"/>
				<xsl:value-of select="concat($descripcion,$separadorColum)"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i" select="1"/>
						<xsl:with-param name="count" select="4"/>
					</xsl:call-template>
				<xsl:value-of select="$peso"/>
				<xsl:if test="boolean(string-length($peso) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:template>
</xsl:stylesheet>
