<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_IFTMIN1I01 __________________________________________ -->
<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:variable name="sender" select="//IFTMIN1I01.HEADER/anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="refMsg" select="//IFTMIN1I01.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
   <xsl:variable name="REF_AGI_NUM_REF" select="/IFTMIN1I01/IFTMIN1I01.GROUP3/trcd_reference[1]/tred_reference.number"/>
    
   <xsl:param name="nullColum" select="concat('&#x09;',$separadorColum)"/>

   <xsl:template match="/">  
		<xsl:apply-templates select="//IFTMIN1I01.GROUP18"/>
	</xsl:template>

	<!-- PARTIDAS -->
	<xsl:template match="IFTMIN1I01.GROUP18">
		<!-- Segmento GID -->
		<xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
		<xsl:variable name="posicion" select="position()"/>
		
		<!-- EQUIPAMIENTOS -->
		<xsl:for-each select="IFTMIN1I01.GROUP29" >
	  		<xsl:variable name="REF" select="trsd_split.goods.placement/tred_equipment.identification.number"/>
		   <xsl:variable name="numBultos" select="trsd_split.goods.placement/tred_number.of.packages"/>

			<xsl:call-template name="grupo37">
			   <xsl:with-param name="sender"  select="$sender"/>
			   <xsl:with-param name="refMsg"  select="$refMsg"/>
			   <xsl:with-param name="numPartida" select="$numPartida"/>
			   <xsl:with-param name="numBultos" select="$numBultos"/>
			   <xsl:with-param name="REF" select="$REF"/>
			   <xsl:with-param name="posicion" select="$posicion"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="grupo37">
	  <xsl:param name="sender"/>
	  <xsl:param name="refMsg"/>
	  <xsl:param name="numPartida"/>
	  <xsl:param name="numBultos"/>
	  <xsl:param name="REF"/>
  	  <xsl:param name="posicion"/>
     <xsl:for-each select="/IFTMIN1I01/IFTMIN1I01.GROUP37">
	   <xsl:variable name="REFERENCIA" select="trsd_equipment.details/tred_equipment.identification.number"/>
	   <xsl:if test="boolean($REF=$REFERENCIA)">
			<xsl:value-of select="concat($sender,$separadorColum)"/>
			<xsl:value-of select="concat($refMsg,$separadorColum)"/>
			<xsl:value-of select="concat($REF_AGI_NUM_REF,$separadorColum)"/>
			<xsl:value-of select="concat($numPartida,$separadorColum)"/>
			<xsl:value-of select="concat($REF,$separadorColum)"/>
			<xsl:value-of select="$numBultos"/>
			<xsl:if test="boolean(string-length($numBultos) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:if>
 	 </xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
