<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ____________________________________________ mensaje_IFTMIN1I01 __________________________________________ -->

<xsl:import href="include.xsl"/>
<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:variable name="sender" select="//IFTMIN1I01.HEADER/anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="refMsg" select="//IFTMIN1I01.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
    
   <xsl:param name="nullColum" select="concat('&#x09;',$separadorColum)"/>

   <xsl:template match="/">  
		<xsl:apply-templates select="//IFTMIN1I01.GROUP18"/>
	</xsl:template>
	<xsl:template name="refAgiNumRef">
			<xsl:for-each select="/IFTMIN1I01/IFTMIN1I01.GROUP3/trcd_reference">
			   <xsl:if test="contains(tred_reference.qualifier,'AGI')">
			      <xsl:value-of  select="tred_reference.number" />
	     			<xsl:value-of select="$separadorColum"/>
			   </xsl:if>
			</xsl:for-each>
	</xsl:template>
	
	<!-- PARTIDAS -->
	<xsl:template match="IFTMIN1I01.GROUP18">
		<!-- Segmento GID -->
		<xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
		<xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
		<xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
		<xsl:variable name="peso" select="IFTMIN1I01.GROUP20/trsd_measurements/tred_measurement.value"/>
		<xsl:value-of select="concat($sender,$separadorColum)"/>
		<xsl:value-of select="concat($refMsg,$separadorColum)"/>
		<xsl:call-template name="refAgiNumRef"/>		
		<xsl:value-of select="concat($numPartida,$separadorColum)"/>
		<xsl:value-of select="concat($numBultos,$separadorColum)"/>
		<xsl:value-of select="concat($tipoEmb,$separadorColum)"/>
		<xsl:value-of select="$peso"/>
		<xsl:value-of select="$saltoLinea"/>
	</xsl:template>
</xsl:stylesheet>
