<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMIN2I05I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMIN2I05.HEADER"/>
		<xsl:call-template name="IFTMIN2I05"/>
		<xsl:apply-templates select="//IFTMIN2I05.GROUP8"/>
		<xsl:call-template name="GRUPO9"/>
		<xsl:call-template name="GRUPO11"/>
	</xsl:template>
	<xsl:template match="IFTMIN2I05.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="texto_opcional_IFTMIN2I05"/>
	</xsl:template>
	<xsl:template name="texto_opcional_IFTMIN2I05">
		<xsl:variable name="TXT_CUANTOS" select="count(/IFTMIN2I05/IFTMIN2I05.HEADER/trsd_free.text)"/>
		<xsl:for-each select="/IFTMIN2I05/IFTMIN2I05.HEADER/trsd_free.text">
			<xsl:variable name="TEXTO" select="trcd_text.literal/tred_free.text"/>
			<xsl:value-of select="$TEXTO"/>
			<xsl:if test="boolean(string-length($TEXTO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
		</xsl:for-each>
		<xsl:variable name="aux" select="3-$TXT_CUANTOS"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="$aux*5"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="IFTMIN2I05">
		<xsl:variable name="cuantos" select="count(//IFTMIN2I05/IFTMIN2I05.GROUP3)"/>
		<xsl:for-each select="//IFTMIN2I05/IFTMIN2I05.GROUP3">
			<xsl:choose>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AAS')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AAJ')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
					<xsl:choose>
						<xsl:when test="boolean(string-length(trcd_date.time.period/tred_date.time.period) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:when>
						<xsl:when test="boolean(string-length(trcd_date.time.period/tred_date.time.period) >0)">
							<xsl:call-template name="formateo">
								<xsl:with-param name="fecha" select="trcd_date.time.period/tred_date.time.period"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AAE')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'AIO') or contains(trcd_reference[position()]/tred_reference.qualifier,'AHZ')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
					<xsl:choose>
						<xsl:when test="boolean(string-length(trcd_date.time.period/tred_date.time.period) =0)">
							<xsl:value-of select="$nullCharacter"/>
						</xsl:when>
						<xsl:when test="boolean(string-length(trcd_date.time.period/tred_date.time.period) >0)">
							<xsl:call-template name="formateo">
								<xsl:with-param name="fecha" select="trcd_date.time.period/tred_date.time.period"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'ACA')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
				<xsl:when test="contains(trcd_reference[position()]/tred_reference.qualifier,'ACW')">
					<xsl:value-of select="concat(trcd_reference[position()]/tred_reference.number,$separadorColum)"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="6-$cuantos"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="IFTMIN2I05.GROUP8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_CODIGO" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="FECHA_PREVISTA" select="trcd_date.time.period[1]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_PREVISTA_INF" select="trcd_date.time.period[2]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_PREVISTA_SUP" select="trcd_date.time.period[3]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_ESTIMADA" select="trcd_date.time.period[4]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_RECOGIDA" select="trcd_date.time.period[5]/tred_date.time.period"/>
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_NOM_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="concat($FECHA_PREVISTA,$TRANS_FECHA_PREVISTA_INF)"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="concat($FECHA_PREVISTA,$TRANS_FECHA_PREVISTA_SUP)"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_FECHA_ESTIMADA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($TRANS_FECHA_ESTIMADA) >0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$TRANS_FECHA_ESTIMADA"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_FECHA_RECOGIDA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($TRANS_FECHA_RECOGIDA) >0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$TRANS_FECHA_RECOGIDA"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GRUPO9">
		<!-- Definicion de variables -->
		<xsl:variable name="cuantos" select="count(//IFTMIN2I05.GROUP8/IFTMIN2I05.GROUP9/trcd_location.identification)"/>
		<xsl:for-each select="//IFTMIN2I05.GROUP8/IFTMIN2I05.GROUP9/trcd_location.identification">
			<xsl:variable name="CODIGO" select="tred_place.location.qualifier[position()]"/>
			<xsl:choose>
				<xsl:when test="boolean($CODIGO=14)">
					<xsl:variable name="TRANS_CODIGO_MUELLE" select="tred_place.location.identification[position()]"/>
					<xsl:variable name="TRANS_DESC_MUELLE" select="tred_place.location[position()]"/>
					<xsl:value-of select="$TRANS_CODIGO_MUELLE"/>
					<xsl:if test="boolean(string-length($TRANS_CODIGO_MUELLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TRANS_DESC_MUELLE"/>
					<xsl:if test="boolean(string-length($TRANS_DESC_MUELLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean($CODIGO=5)">
					<xsl:variable name="TRANS_CODIGO_PUERTO" select="tred_place.location.identification[position()]"/>
					<xsl:variable name="TRANS_NOMBRE_PUERTO" select="tred_place.location[position()]"/>
					<xsl:value-of select="$TRANS_CODIGO_PUERTO"/>
					<xsl:if test="boolean(string-length($TRANS_CODIGO_PUERTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TRANS_NOMBRE_PUERTO"/>
					<xsl:if test="boolean(string-length($TRANS_NOMBRE_PUERTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i" select="1"/>
			<xsl:with-param name="count" select="number(4)- number($cuantos*2)"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:for-each select="//IFTMIN2I05/IFTMIN2I05.GROUP11">
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="codigo" select="//IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.qualifier[1]"/>
			<xsl:choose>
				<xsl:when test="boolean(contains($codigo,'CN'))">
					<xsl:variable name="CN_NIF" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="CN_NOMBRE_DIRECCION" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="CN_CALLE" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="CN_CIUDAD" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="CN_PAIS" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:value-of select="$CN_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_CALLE"/>
					<xsl:if test="boolean(string-length($CN_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_CIUDAD"/>
					<xsl:if test="boolean(string-length($CN_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_PAIS"/>
					<xsl:if test="boolean(string-length($CN_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GA')) or boolean(contains($codigo,'GT'))">
					<xsl:variable name="RC_NIF" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="RC_NOMBRE_DIRECCION" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="RC_CALLE" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="RC_CIUDAD" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="RC_PAIS" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:variable name="RC_NIF_CONTACTO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
					<xsl:variable name="RC_PERSONA" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee"/>
					<xsl:variable name="RC_NUMERO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.number"/>
					<xsl:variable name="RC_CANAL" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
					<xsl:value-of select="$RC_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$codigo"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CALLE"/>
					<xsl:if test="boolean(string-length($RC_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CIUDAD"/>
					<xsl:if test="boolean(string-length($RC_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PAIS"/>
					<xsl:if test="boolean(string-length($RC_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NIF_CONTACTO"/>
					<xsl:if test="boolean(string-length($RC_NIF_CONTACTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PERSONA"/>
					<xsl:if test="boolean(string-length($RC_PERSONA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NUMERO"/>
					<xsl:if test="boolean(string-length($RC_NUMERO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CANAL"/>
					<xsl:if test="boolean(string-length($RC_CANAL) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'TR'))">
					<xsl:variable name="TR_NIF" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="TR_NOMBRE_DIRECCION" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="TR_CALLE" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="TR_CIUDAD" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="TR_PAIS" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:variable name="TR_NIF_CONTACTO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
					<xsl:variable name="TR_PERSONA" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee"/>
					<xsl:variable name="TR_NUMERO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.number"/>
					<xsl:variable name="TR_CANAL" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
					<xsl:value-of select="$TR_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CALLE"/>
					<xsl:if test="boolean(string-length($TR_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CIUDAD"/>
					<xsl:if test="boolean(string-length($TR_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_PAIS"/>
					<xsl:if test="boolean(string-length($TR_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NIF_CONTACTO"/>
					<xsl:if test="boolean(string-length($TR_NIF_CONTACTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_PERSONA"/>
					<xsl:if test="boolean(string-length($TR_PERSONA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NUMERO"/>
					<xsl:if test="boolean(string-length($TR_NUMERO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CANAL"/>
					<xsl:if test="boolean(string-length($TR_CANAL) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CR'))">
					<xsl:variable name="CR_NIF" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="CR_NOMBRE_DIRECCION" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="CR_CALLE" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="CR_CIUDAD" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="CR_PAIS" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:value-of select="$CR_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_CALLE"/>
					<xsl:if test="boolean(string-length($CR_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_CIUDAD"/>
					<xsl:if test="boolean(string-length($CR_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_PAIS"/>
					<xsl:if test="boolean(string-length($CR_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$saltoLinea"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
