<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//IFTMIN2I05/IFTMIN2I05.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMIN2I05/IFTMIN2I05.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="refAasNumRef">
		<xsl:for-each select="/IFTMIN2I05/IFTMIN2I05.GROUP3/trcd_reference">
			<xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AAS')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP18">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//IFTMIN2I05.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:call-template name="GRUPO23">
				<xsl:with-param name="position" select="$position"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			</xsl:call-template>
			<!-- Sacar el resultado por pantalla -->
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO23">
		<xsl:param name="position"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:for-each select="//IFTMIN2I05.GROUP18[$position]/IFTMIN2I05.GROUP23">
			<xsl:variable name="MARC_CALIFICADOR" select="trsd_package.identification/tred_marking.instructions.coded"/>
			<xsl:variable name="MARC_MARCA" select="trsd_package.identification/tred_shipping.marks"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAasNumRef"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_CALIFICADOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MARC_MARCA"/>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
