<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//IFTMIN2I05/IFTMIN2I05.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMIN2I05/IFTMIN2I05.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="GRUPO11"/>
	</xsl:template>
	<xsl:template name="refAasNumRef">
		<xsl:for-each select="/IFTMIN2I05/IFTMIN2I05.GROUP3/trcd_reference">
			<xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AAS')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:for-each select="//IFTMIN2I05/IFTMIN2I05.GROUP11">
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="codigo" select="//IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.qualifier[1]"/>
			<xsl:if test="boolean(contains($codigo,'ST'))">
				<xsl:variable name="ST_NIF" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
				<xsl:variable name="ST_NOMBRE_DIRECCION" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
				<xsl:variable name="ST_CALLE" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
				<xsl:variable name="ST_CIUDAD" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
				<xsl:variable name="ST_PAIS" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
				<xsl:variable name="ST_NIF_CONTACTO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
				<xsl:variable name="ST_PERSONA" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="ST_NUMERO" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="ST_CANAL" select="/IFTMIN2I05/IFTMIN2I05.GROUP11[$position]/IFTMIN2I05.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="refAasNumRef"/>
				<xsl:value-of select="$ST_NIF"/>
				<xsl:if test="boolean(string-length($ST_NIF) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_NOMBRE_DIRECCION"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_CALLE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_CIUDAD"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_PAIS"/>
				<xsl:if test="boolean(string-length($ST_PAIS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_NIF_CONTACTO"/>
				<xsl:if test="boolean(string-length($ST_NIF_CONTACTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_PERSONA"/>
				<xsl:if test="boolean(string-length($ST_PERSONA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_NUMERO"/>
				<xsl:if test="boolean(string-length($ST_NUMERO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$ST_CANAL"/>
				<xsl:if test="boolean(string-length($ST_CANAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
