<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:variable name="EMISOR" select="//IFTMIN2I05/IFTMIN2I05.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMIN2I05/IFTMIN2I05.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="refAasNumRef">
		<xsl:for-each select="/IFTMIN2I05/IFTMIN2I05.GROUP3/trcd_reference">
			<xsl:if test="boolean(normalize-space(tred_reference.qualifier)='AAK' or normalize-space(tred_reference.qualifier)='AAS')">
				<xsl:value-of select="tred_reference.number"/>
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GROUP18">
		<!-- Definicion de variables y Xpath -->
		<xsl:for-each select="//IFTMIN2I05.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number"/>
			<xsl:call-template name="GRUPO32">
				<xsl:with-param name="position" select="$position"/>
				<xsl:with-param name="PAR_NUM_PARTIDA" select="$PAR_NUM_PARTIDA"/>
			</xsl:call-template>
			<!-- Sacar el resultado por pantalla -->
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO32">
		<xsl:param name="position"/>
		<xsl:param name="PAR_NUM_PARTIDA"/>
		<xsl:for-each select="//IFTMIN2I05.GROUP18[$position]/IFTMIN2I05.GROUP32">
			<xsl:variable name="MMPP_CLASE" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
			<xsl:variable name="MMPP_NUM_PAG" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
			<xsl:variable name="MMPP_VERSION" select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
			<xsl:variable name="MMPP_NUM_ONU" select="trsd_dangerous.goods/tred_undg.number"/>
			<xsl:variable name="MMPP_GR_ENVASADO" select="trsd_dangerous.goods/tred_packing.group.coded"/>
			<xsl:variable name="MMPP_NUM_EMS" select="trsd_dangerous.goods/tred_ems.number"/>
			<xsl:variable name="MMPP_MFAG" select="trsd_dangerous.goods/tred_mfag"/>
			<xsl:variable name="MMPP_CATEGORIA_MTRANS" select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>
			<xsl:variable name="MMPP_AAD_DESC_TECNICA" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="MMPP_AAC_INFO_ADICIONAL" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="refAasNumRef"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_CLASE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_PAG"/>
			<xsl:if test="boolean(string-length($MMPP_NUM_PAG) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_VERSION"/>
			<xsl:if test="boolean(string-length($MMPP_VERSION) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_ONU"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_GR_ENVASADO"/>
			<xsl:if test="boolean(string-length($MMPP_GR_ENVASADO) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_NUM_EMS"/>
			<xsl:if test="boolean(string-length($MMPP_NUM_EMS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_MFAG"/>
			<xsl:if test="boolean(string-length($MMPP_MFAG) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_CATEGORIA_MTRANS"/>
			<xsl:if test="boolean(string-length($MMPP_CATEGORIA_MTRANS) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$MMPP_AAD_DESC_TECNICA"/>
			<xsl:if test="boolean(string-length($MMPP_AAD_DESC_TECNICA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$MMPP_AAC_INFO_ADICIONAL"/>
			<xsl:if test="boolean(string-length($MMPP_AAC_INFO_ADICIONAL) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i" select="1"/>
				<xsl:with-param name="count" select="4"/>
			</xsl:call-template>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
