<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- __________________ mensaje_IFTMINCSI _______________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">  
        <xsl:apply-templates select="//IFTMINCSI.HEADER"/>
        <xsl:apply-templates select="//IFTMINCSI.GROUP3"/>
        <xsl:apply-templates select="//IFTMINCSI.GROUP8"/>
        <xsl:apply-templates select="//IFTMINCSI.GROUP11"/>
        <xsl:apply-templates select="//IFTMINCSI.GROUP18"/>
        <xsl:apply-templates select="//IFTMINCSI.GROUP37"/>
        IFTI05030

   </xsl:template>

   <!-- CABECERA DEL ENVIO-->
   <xsl:template match="IFTMINCSI.HEADER">

        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
        <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>

   <!-- CABECERA DEL MENSAJE-->
        <!-- Segmento UNH-->
        <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        IFTI05000^<xsl:value-of select="$Nref"/>

        <!-- Segmento BGM-->
        <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
        <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        IFTI05001^<xsl:value-of select="$refMsg"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

        <!-- Segmento DTM-->
        <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        IFTI05002^<xsl:value-of select="$dataDoc"/>

        <!-- Segmento FTX-->
        <xsl:for-each select="trsd_free.text">
                <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>
                <xsl:variable name="txtLibre" select="trcd_text.literal/tred_free.text"/>

                        <xsl:if test="boolean($txtLibre[text()])">
                IFTI05003^<xsl:value-of select="$txtQal"/>
                          <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                        </xsl:if>

        </xsl:for-each>

   </xsl:template>

   <!-- GRUPO3-->
     <xsl:template match="IFTMINCSI.GROUP3">

        <!--Segmento RFF -->
        IFTI05004<xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.number"/>

        <!-- Segmento DTM-->
        <xsl:if test="trcd_date.time.period">
                IFTI05005<xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period.qualifier"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>
        </xsl:if>

    </xsl:template>

   <!-- GRUPO8 -->
   <xsl:template match="IFTMINCSI.GROUP8">

        <!-- Segmento TDT-->
        <xsl:variable name="numIni" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
        <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
        <xsl:variable name="codLinea" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
        <xsl:variable name="carIde" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
        <xsl:variable name="carName" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
        <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
        <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
        <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

        IFTI05006<xsl:text>^</xsl:text><xsl:value-of select="$numIni"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$numViaje"/>
                 <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                 <xsl:if test="boolean($carIde[text()] or $carName[text()] or $callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$carIde"/>
                 </xsl:if>
                 <xsl:if test="boolean($carName[text()] or $callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$carName"/>
                 </xsl:if>
                 <xsl:if test="boolean($callSign[text()] or $nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                 </xsl:if>
                 <xsl:if test="boolean($nomBuque[text()] or $paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                 </xsl:if>
                 <xsl:if test="boolean($paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>
                 </xsl:if>
        <!-- Segmento DTM-->
	 IFTI05007<xsl:text>^</xsl:text>76<xsl:text>^</xsl:text>

	<xsl:for-each select="self::IFTMINCSI.GROUP8/trcd_date.time.period">
		<xsl:variable name="codigo" select="tred_date.time.period.qualifier"/>
             <xsl:variable name="valor" select="tred_date.time.period"/>
             <xsl:variable name="longitud" select="string-length($valor)"/>

		<xsl:if test="boolean($codigo = 76)">
			<xsl:if test="boolean($longitud = 8)">
				<xsl:for-each select="../../IFTMINCSI.GROUP8/trcd_date.time.period">
					<xsl:variable name="codigo2" select="tred_date.time.period.qualifier"/>
             				<xsl:variable name="valor2" select="tred_date.time.period"/>
					<xsl:variable name="longitud2" select="string-length($valor2)"/>
					
					<xsl:if test="boolean($codigo = 76)">
						<xsl:if test="boolean($longitud2 = 4)">
							<xsl:value-of select="$valor"/><xsl:value-of select="$valor2"/>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
				<xsl:if test="boolean(count(../../IFTMINCSI.GROUP8/trcd_date.time.period[./tred_date.time.period.qualifier= '76']) = 2)">
					<xsl:value-of select="$valor"/>0000
				</xsl:if>
				<xsl:if test="boolean(count(../../IFTMINCSI.GROUP8/trcd_date.time.period[./tred_date.time.period.qualifier= '76']) = 1)">
					<xsl:value-of select="$valor"/>0000<xsl:value-of select="$valor"/>0000
				</xsl:if>
			</xsl:if>
		</xsl:if>

		<xsl:if test="boolean($codigo != 76)">
                IFTI05007^<xsl:value-of select="$codigo"/>
                	<xsl:if test="boolean($valor[text()])">
                    	    <xsl:text>^</xsl:text><xsl:value-of select="$valor"/>
                	</xsl:if>
		</xsl:if>
        </xsl:for-each>

        <!-- Segmento LOC-->
        <xsl:for-each select="self::IFTMINCSI.GROUP8/IFTMINCSI.GROUP9/trcd_location.identification">

                IFTI05008<xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.qualifier"/>
                        <xsl:if test="boolean(tred_place.location[text()] or tred_place.location.identification[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.identification"/>
                        </xsl:if>
                        <xsl:if test="boolean(tred_place.location[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location"/>
                        </xsl:if>

        </xsl:for-each>

      </xsl:template>
   <!-- /GROUP8/GROUP9-->
   <!-- GROUP11/GROUP12-->
     <xsl:template match="IFTMINCSI.GROUP11">

                <!--Segmento NAD -->
                <xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
                <xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
                <xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
                <xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
                <xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
                <xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>

                <xsl:choose>
                    <xsl:when test="trsd_name.and.address/tred_party.qualifier[.='ST']">
                    <!-- 
                     En este caso el Nombre y direccion del lugar de entrega 
                     de la mercancia es obligatorio.
                    -->
                        IFTI05009<xsl:text>^</xsl:text>
                        <xsl:value-of select="$partyQ"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                        <xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                        </xsl:if>
                        <xsl:if test="boolean($ciudad[text()] or $pais[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                        </xsl:if>
                        <xsl:if test="boolean($pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                        </xsl:if>
                     </xsl:when>
                     <xsl:otherwise>
                        IFTI05009<xsl:text>^</xsl:text>
                        <xsl:value-of select="$partyQ"/>
                        <xsl:if test="boolean($partyId[text()] or $nomDir[text()] or $calleAp[text()] or $ciudad[text()] or $pais[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                        </xsl:if>
                        <xsl:if test="boolean($nomDir[text()] or $calleAp[text()] or $ciudad[text()] or $pais[text()])">
                            <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                        </xsl:if>
                        <xsl:if test="boolean($calleAp[text()] or $ciudad[text()] or $pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                        </xsl:if>
                        <xsl:if test="boolean($ciudad[text()] or $pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                        </xsl:if>
                        <xsl:if test="boolean($pais[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                        </xsl:if>
                      </xsl:otherwise>
                   </xsl:choose>

        <!-- GROUP12-->
                <!-- Segmento CTA-->
                <xsl:if test="IFTMINCSI.GROUP12/trsd_contact.information">
                        <xsl:variable name="codContact" select="IFTMINCSI.GROUP12/trsd_contact.information/tred_contact.function.coded"/>
                        <xsl:variable name="trnsContact" select="IFTMINCSI.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
                        <xsl:variable name="perContact" select="IFTMINCSI.GROUP12/trsd_contact.information/tred_department.or.employee"/>

                        IFTI05010<xsl:text>^</xsl:text><xsl:value-of select="$codContact"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="$trnsContact"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>

                </xsl:if>
                <!-- Segmento COM-->
                <xsl:if test="IFTMINCSI.GROUP12/trcd_communication.contact">
                        IFTI05011<xsl:text>^</xsl:text><xsl:value-of select="IFTMINCSI.GROUP12/trcd_communication.contact/tred_communication.number"/>
                                 <xsl:text>^</xsl:text><xsl:value-of select="IFTMINCSI.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
                </xsl:if>

        <!--TANCO EL IF DEL GROUP12-->

   </xsl:template>
   <!-- /GRUP11 -->

   <!-- GRUPO18 -->
   <xsl:template match="IFTMINCSI.GROUP18">     

        <!-- Segmento GID -->
        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
        <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
        <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>

        IFTI05012<xsl:text>^</xsl:text><xsl:value-of select="$numPartida"/>
                  <xsl:if test="boolean($numBultos[text()] or $tipoEmb[text()] )">
                          <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
                  </xsl:if>
                  <xsl:if test="boolean($tipoEmb[text()])">
                          <xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>
                  </xsl:if>

        <!--Segmento FTX -->
        <xsl:variable name="txtFree" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
        IFTI05013^<xsl:value-of select="$txtFree"/>

        <!-- Segmento HAN -->

        <xsl:if test="trcd_handling.instructions">
                IFTI05014<xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions.coded[text()] or trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions.coded"/>
                         </xsl:if>
                         <xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions"/>
                         </xsl:if>
        </xsl:if>

        <!-- Segmento RANGE -->
        <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="calTemp" select="trcd_range/tred_measure.unit.qualifier "/>

        <xsl:if test="trcd_range">
                IFTI05015<xsl:text>^</xsl:text><xsl:value-of select="$tempMin"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$calTemp"/>
        </xsl:if>

        <!-- Segmento TMD -->
        <xsl:variable name="movTypCo" select="trcd_movement.type/tred_movement.type.coded"/>
        <xsl:variable name="movTyp" select="trcd_movement.type/tred_movement.type"/>

        <xsl:if test="trcd_movement.type">
                IFTI05016<xsl:if test="boolean($movTypCo[text()] or $movTyp[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="$movTypCo"/>
                        </xsl:if>
                        <xsl:if test="boolean($movTyp[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="$movTyp"/>
                        </xsl:if>
        </xsl:if>

        <!-- GROUP20//Segmento MEA -->
        <xsl:for-each select="self::IFTMINCSI.GROUP18/IFTMINCSI.GROUP20/trsd_measurements">

                IFTI05017<xsl:text>^</xsl:text><xsl:value-of select="tred_measurement.dimension.coded"/>
                          <xsl:text>^</xsl:text><xsl:value-of select="tred_measurement.value"/>

        </xsl:for-each>

        <!-- GROUP23//Segmento PCI -->
        <xsl:for-each select="self::IFTMINCSI.GROUP18/IFTMINCSI.GROUP23/trsd_package.identification">

                IFTI05018<xsl:text>^</xsl:text><xsl:value-of select="tred_marking.instructions.coded"/>
                          <xsl:text>^</xsl:text><xsl:value-of select="tred_shipping.marks"/>

        </xsl:for-each>

        <!-- GROUP29//Segmento SGP -->
        <xsl:for-each select="self::IFTMINCSI.GROUP18/IFTMINCSI.GROUP29/trsd_split.goods.placement">

                IFTI05019<xsl:text>^</xsl:text><xsl:value-of select="tred_equipment.identification.number"/>
                         <xsl:if test="boolean(tred_number.of.packages[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="tred_number.of.packages"/>
                         </xsl:if>

        </xsl:for-each>

        <!-- GRUPO32-->
        <xsl:for-each select="self::IFTMINCSI.GROUP18/IFTMINCSI.GROUP32">

                <!--Segmento DGS -->
                IFTI05020<xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_undg.number"/>
                         <xsl:if test="boolean(trsd_dangerous.goods/tred_packing.group.coded or trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
                         </xsl:if>
                         <xsl:if test="boolean(trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_ems.number"/>
                         </xsl:if>
                         <xsl:if test="boolean(trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_mfag"/>
                         </xsl:if>
                         <xsl:if test="boolean(trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>
                         </xsl:if>

                <!-- Segmento FTX-->
                <xsl:for-each select="self::IFTMINCSI.GROUP32/trsd_free.text">

                    IFTI05021<xsl:text>^</xsl:text><xsl:value-of select="tred_text.subject.qualifier"/>
                             <xsl:if test="boolean(trcd_text.literal/tred_free.text[text()])">
                                 <xsl:text>^</xsl:text><xsl:value-of select="trcd_text.literal/tred_free.text"/>
                             </xsl:if>
                </xsl:for-each>

        </xsl:for-each>
        <!--TANCO 32 I EL FOR-EACH-->

   <!--TANCO 18 -->
   </xsl:template>

    <!-- GRUPO37 -->
   <xsl:template match="IFTMINCSI.GROUP37">

        <!-- Segmento EQD -->
        <xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
        <xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
        <xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

        IFTI05022<xsl:text>^</xsl:text>
                  <xsl:value-of select="$equQual"/>
                  <xsl:text>^</xsl:text>
                  <xsl:value-of select="$equId"/>
                  <xsl:if test="boolean($equType[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
                  </xsl:if>

        <!-- Segmento RFF-->
        <xsl:variable name="equQual2" select="trcd_reference/tred_reference.number"/>
        <xsl:if test="trcd_reference">
                IFTI05023<xsl:text>^</xsl:text><xsl:value-of select="$equQual2"/>
        </xsl:if>

        <!-- Segmento TMD -->
        <xsl:variable name="movTyCd" select="trcd_movement.type/tred_movement.type.coded"/>
        <xsl:variable name="movTy" select="trcd_movement.type/tred_movement.type"/>

        <xsl:if test="trcd_movement.type">
                IFTI05024<xsl:if test="boolean($movTyCd[text()] or $movTy[text()] )">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTyCd"/>
                          </xsl:if>
                          <xsl:if test="boolean($movTy[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTy"/>
                          </xsl:if>
        </xsl:if>

        <!--Segmento MEA -->
        <xsl:if test="trsd_measurements">
                IFTI05025<xsl:text>^</xsl:text><xsl:value-of select="trsd_measurements/tred_measurement.value"/>
        </xsl:if>

        <!-- Segmento DIM  -->
        <xsl:variable name="meaQual" select="trcd_dimensions/tred_measure.unit.qualifier"/>
        <xsl:variable name="meaL" select="trcd_dimensions/tred_length.dimension"/>
        <xsl:variable name="meaW" select="trcd_dimensions/tred_width.dimension"/>
        <xsl:variable name="meaH" select="trcd_dimensions/tred_height.dimension"/>

        <xsl:if test="trcd_dimensions">
                IFTI05026<xsl:text>^</xsl:text><xsl:value-of select="$meaQual"/>
                          <xsl:if test="boolean($meaL[text()] or $meaW[text()] or $meaH[text()] )">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaL"/>
                          </xsl:if>
                          <xsl:if test="boolean($meaW[text()] or $meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaW"/>
                          </xsl:if>
                          <xsl:if test="boolean($meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaH"/>
                          </xsl:if>
        </xsl:if>

        <!-- Segmento SEL  -->
        <xsl:variable name="sealN" select="trsd_seal.number/tred_seal.number"/>

        <xsl:if test="trsd_seal.number">
                IFTI05027<xsl:text>^</xsl:text><xsl:value-of select="$sealN"/>
        </xsl:if>

        <!-- Segmento RNG -->
        <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
        <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
        <xsl:variable name="calTemp" select="trcd_range/tred_measure.unit.qualifier "/>

        <xsl:if test="trcd_range">
                IFTI05028<xsl:text>^</xsl:text><xsl:value-of select="$tempMin"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                         <xsl:text>^</xsl:text><xsl:value-of select="$calTemp"/>
        </xsl:if>

        <!-- Segmento FTX-->
        <xsl:for-each select="self::IFTMINCSI.GROUP37/trsd_free.text">

                IFTI05029<xsl:text>^</xsl:text><xsl:value-of select="tred_text.subject.qualifier"/>
                          <xsl:if test="boolean(trcd_text.literal/tred_free.text[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_text.literal/tred_free.text"/>
                          </xsl:if>
        </xsl:for-each>

   </xsl:template>
<!--TANCO 37 -->

</xsl:stylesheet>