<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns="http://www.w3.org/TR/xhtml1/strict">

<!-- ________________ Mensaje IFTMINE03 ______________________________ -->

<xsl:output  method="text" encoding="ISO-8859-1"/>

   <xsl:template match="/">
        <xsl:apply-templates select="//IFTMINE03.HEADER"/>
        <xsl:apply-templates select="//IFTMINE03.GROUP3"/>
        <xsl:apply-templates select="//IFTMINE03.GROUP8"/>
        <xsl:apply-templates select="//IFTMINE03.GROUP11"/>
        <xsl:apply-templates select="//IFTMINE03.GROUP18"/>
        <xsl:apply-templates select="//IFTMINE03.GROUP37"/>
        IFTE03031

   </xsl:template>

   <!-- CABECERA DEL ENVIO-->
   <xsl:template match="IFTMINE03.HEADER">

        <!-- Cabecera del envio-->
        <xsl:variable name="sender" select="anxs_interchange.header/anxe_sender.identification"/>
   <xsl:variable name="recipient" select="anxs_interchange.header/anxe_recipient.identification"/>

        ENV001^<xsl:value-of select="$sender"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$recipient"/>

   <!-- CABECERA DEL MENSAJE-->
   <!-- Segmento UNH-->
   <xsl:variable name="Nref" select="anxs_message.header/anxe_message.reference.number"/>

        IFTE03000^<xsl:value-of select="$Nref"/>

   <!-- Segmento BGM-->
        <xsl:variable name="refMsg" select="trsd_beginning.of.message/tred_document.message.number"/>
        <xsl:variable name="funMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>

        IFTE03001^<xsl:value-of select="$refMsg"/>
        <xsl:text>^</xsl:text><xsl:value-of select="$funMsg"/>

        <!-- Segmento DTM-->
        <xsl:variable name="dataDoc" select="trcd_date.time.period/tred_date.time.period"/>

        IFTE03002^<xsl:value-of select="$dataDoc"/>

        <!-- Segmento FTX-->
        <xsl:for-each select="trsd_free.text">
        <xsl:variable name="txtQal" select="tred_text.subject.qualifier"/>        
		<xsl:variable name="txtCod" select="tred_text.coded"/>	        
        <xsl:variable name="txtLibre" select="trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($txtLibre[text()] or $txtQal[text()])">
                <xsl:if test="boolean($txtLibre[text()])">
                IFTE03003^<xsl:value-of select="$txtQal"/>												
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                        <xsl:if test="boolean($txtCod[text()])">
							<xsl:text>^</xsl:text><xsl:value-of select="$txtCod"/>
						</xsl:if>							
                </xsl:if>
        </xsl:if>

        </xsl:for-each>
   </xsl:template>

   <!-- GRUPO3-->
        <xsl:template match="IFTMINE03.GROUP3">
        <xsl:for-each select="self::IFTMINE03.GROUP3">

                <!--Segmento RFF -->
                <xsl:if test="boolean(trcd_reference/tred_reference.qualifier[text()] or trcd_reference/tred_reference.number[text()])">
                        IFTE03004<xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.qualifier"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="trcd_reference/tred_reference.number"/>
                </xsl:if>

                <!-- Segmento DTM-->
                <xsl:if test="boolean(trcd_date.time.period/tred_date.time.period.qualifier[text()] or trcd_date.time.period/tred_date.time.period[text()])">
                        IFTE03005<xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period.qualifier"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="trcd_date.time.period/tred_date.time.period"/>
                </xsl:if>

        </xsl:for-each>
        </xsl:template>


   <!-- GRUPO8 -->
   <xsl:template match="IFTMINE03.GROUP8">
        <xsl:for-each select="self::IFTMINE03.GROUP8">

           <!-- Segmento TDT-->
                <xsl:variable name="numIni" select="trsd_details.of.transport/tred_transport.stage.qualifier"/>
                <xsl:variable name="numViaje" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
                <xsl:variable name="codLinea" select="trsd_details.of.transport/tred_mode.of.transport.coded"/>
                <xsl:variable name="carIde" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
                <xsl:variable name="carName" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
                <xsl:variable name="callSign" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
                <xsl:variable name="nomBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
                <xsl:variable name="paisBuque" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>

                <!-- Segmento TDT-->
                IFTE03006^<xsl:value-of select="$numIni"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$numViaje"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$codLinea"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$carIde"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$carName"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$callSign"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$nomBuque"/>
                <xsl:if test="boolean($paisBuque[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$paisBuque"/>
                </xsl:if>

                <!-- Segmento DTM-->
	<xsl:for-each select="self::IFTMINE03.GROUP8/trcd_date.time.period">
		<xsl:variable name="codigo" select="tred_date.time.period.qualifier"/>
             <xsl:variable name="valor" select="tred_date.time.period"/>
             <xsl:variable name="longitud" select="string-length($valor)"/>

		<xsl:if test="boolean($codigo = 200)">
			<xsl:if test="boolean($longitud = 8)">
			     IFTE03007<xsl:text>^</xsl:text> <xsl:value-of select="$codigo"/> <xsl:text>^</xsl:text>
				<xsl:for-each select="../../IFTMINE03.GROUP8/trcd_date.time.period">
					<xsl:variable name="codigo2" select="tred_date.time.period.qualifier"/>
             				<xsl:variable name="valor2" select="tred_date.time.period"/>
					<xsl:variable name="longitud2" select="string-length($valor2)"/>

					<xsl:if test="boolean($codigo = 200)">
						<xsl:if test="boolean($longitud2 = 4)">
							<xsl:value-of select="$valor"/><xsl:value-of select="$valor2"/>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
				<xsl:if test="boolean(count(../../IFTMINE03.GROUP8/trcd_date.time.period[./tred_date.time.period.qualifier= '200']) = 2)">
					<xsl:value-of select="$valor"/>0000
				</xsl:if>
				<xsl:if test="boolean(count(../../IFTMINE03.GROUP8/trcd_date.time.period[./tred_date.time.period.qualifier= '200']) = 1)">
					<xsl:value-of select="$valor"/>0000<xsl:value-of select="$valor"/>0000
				</xsl:if>
			</xsl:if>
		</xsl:if>

		<xsl:if test="boolean($codigo != 200)">
                IFTE03007<xsl:text>^</xsl:text><xsl:value-of select="$codigo"/>
                	<xsl:if test="boolean($valor[text()])">
                    	    <xsl:text>^</xsl:text><xsl:value-of select="$valor"/>
                	</xsl:if>
		</xsl:if>
       </xsl:for-each>

           <!-- Segmento LOC-->
                <xsl:for-each select="self::IFTMINE03.GROUP8/IFTMINE03.GROUP9/trcd_location.identification">
                        IFTE03008^<xsl:value-of select="tred_place.location.qualifier"/>
                   <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location.identification"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="tred_place.location"/>
                </xsl:for-each>

        </xsl:for-each>
        </xsl:template>
   <!-- /GROUP8/GROUP9-->


   <!-- GROUP11/GROUP12-->
        <xsl:template match="IFTMINE03.GROUP11">
        <xsl:for-each select="self::IFTMINE03.GROUP11">

                <!--Segmento NAD -->
                <xsl:variable name="partyQ" select="trsd_name.and.address/tred_party.qualifier"/>
                <xsl:variable name="partyId" select="trsd_name.and.address/tred_party.id.identification"/>
                <xsl:variable name="nomDir" select="trsd_name.and.address/tred_name.and.address.line"/>
                <xsl:variable name="calleAp" select="trsd_name.and.address/tred_street.and.number.p.o.box"/>
                <xsl:variable name="ciudad" select="trsd_name.and.address/tred_city.name"/>
                <xsl:variable name="codPostal" select="trsd_name.and.address/tred_post.code"/>
                <xsl:variable name="pais" select="trsd_name.and.address/tred_country.coded"/>

                IFTE03009^<xsl:value-of select="$partyQ"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$partyId"/>
                <xsl:if test="boolean($nomDir[text()] or ($partyQ[text()] = 'SF'))">
                    <xsl:text>^</xsl:text><xsl:value-of select="$nomDir"/>
                </xsl:if>
                <xsl:if test="boolean($partyQ[text()] = 'SF')">
                        <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                </xsl:if>
                <xsl:if test="boolean(($partyQ[text()] != 'SF') and ($ciudad[text()] or $pais[text()] or $calleAp[text()]))">
                        <xsl:text>^</xsl:text><xsl:value-of select="$calleAp"/>
                </xsl:if>
                <xsl:if test="boolean(($partyQ[text()] != 'SF') and ($ciudad[text()] or $pais[text()]))">
                        <xsl:text>^</xsl:text><xsl:value-of select="$ciudad"/>
                </xsl:if>
                <xsl:if test="boolean($pais[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$pais"/>
                </xsl:if>
				<xsl:if test="boolean($codPostal[text()] and ($partyQ[text()] = 'SF'))">
					<xsl:text>^</xsl:text><xsl:value-of select="$codPostal"/>
                </xsl:if>
                
                <!-- Segmento FTX-->
                <xsl:variable name="txtQal" select="trsd_free.text/tred_text.subject.qualifier"/>
                <xsl:variable name="txtLibre" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

        <xsl:if test="boolean($txtLibre[text()] or $txtQal[text()])">
                IFTE03012^<xsl:value-of select="$txtQal"/>
                <xsl:if test="boolean($txtLibre[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$txtLibre"/>
                </xsl:if>
        </xsl:if>

        <!-- GROUP12-->
        <xsl:if test="boolean(IFTMINE03.GROUP12/trsd_contact.information/tred_contact.function.coded[text()] or IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee[text()] or IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.number[text()] or IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier[text()] )">

                <!-- Segmento CTA-->
                <xsl:variable name="codContact" select="IFTMINE03.GROUP12/trsd_contact.information/tred_contact.function.coded"/>
                <xsl:variable name="trnsContact" select="IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
                <xsl:variable name="perContact" select="IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee"/>

                IFTE03010<xsl:text>^</xsl:text><xsl:value-of select="$codContact"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$trnsContact"/>
                <xsl:text>^</xsl:text><xsl:value-of select="$perContact"/>

                <!-- Segmento COM-->
                <xsl:for-each select="self::IFTMINE03.GROUP11/IFTMINE03.GROUP12/trcd_communication.contact">
                        <xsl:if test="boolean(tred_communication.number[text()] or tred_communication.channel.qualifier[text()] )">
                                IFTE03011<xsl:text>^</xsl:text><xsl:value-of select="tred_communication.number"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_communication.channel.qualifier"/>
                        </xsl:if>
                </xsl:for-each>

        </xsl:if>
        <!--TANCO EL IF DEL GROUP12-->

        </xsl:for-each>
        <!--TANCO EL FOR-EACH DEL GROUP11-->

   </xsl:template>
   <!-- /GRUP11 -->


   <!-- GRUPO18: Partidas -->
   <xsl:template match="IFTMINE03.GROUP18">
   <xsl:for-each select="self::IFTMINE03.GROUP18">

                <!-- Segmento GID -->
        <xsl:variable name="numPartida" select="trsd_goods.item.details/tred_goods.item.number"/>
                <xsl:variable name="numBultos" select="trsd_goods.item.details/tred_number.of.packages"/>
                <xsl:variable name="tipoEmb" select="trsd_goods.item.details/tred_type.of.packages.identification"/>

                IFTE03013^<xsl:value-of select="$numPartida"/>
                <xsl:if test="boolean($numBultos[text()] or $tipoEmb[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$numBultos"/>
                </xsl:if>
                <xsl:if test="boolean($tipoEmb[text()])">
                        <xsl:text>^</xsl:text><xsl:value-of select="$tipoEmb"/>
                </xsl:if>

        <!--Segmento FTX -->
        <xsl:variable name="txtFree" select="trsd_free.text/trcd_text.literal/tred_free.text"/>

                IFTE03014<xsl:text>^</xsl:text><xsl:value-of select="$txtFree"/>

                <!-- Segmento HAN -->
                <xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions.coded[text()] or trcd_handling.instructions/tred_handling.instructions[text()])">
                        IFTE03015<xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions.coded"/>
                        <xsl:if test="boolean(trcd_handling.instructions/tred_handling.instructions[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_handling.instructions/tred_handling.instructions"/>
                        </xsl:if>
                </xsl:if>

                <!-- Segmento TMP -->
                <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
                <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
                <xsl:variable name="tempQual" select="trcd_range/tred_measure.unit.qualifier"/>

                <xsl:if test="boolean($tempMin[text()] or $tempMax[text()] or $tempQual[text()])">
                        IFTE03016^<xsl:value-of select="$tempMin"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$tempQual"/>
                </xsl:if>

                <!-- Segmento TMD -->
                <xsl:variable name="movTypCo" select="trcd_movement.type/tred_movement.type.coded"/>
                <xsl:variable name="movTyp" select="trcd_movement.type/tred_movement.type"/>

                <xsl:if test="boolean($movTypCo[text()] or $movTyp[text()])">
                        IFTE03017^<xsl:value-of select="$movTypCo"/>
                        <xsl:if test="boolean($movTyp[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTyp"/>
                        </xsl:if>
                </xsl:if>

                <!-- GROUP20: Segmento MEA -->
                <xsl:variable name="peso" select="IFTMINE03.GROUP20/trsd_measurements/tred_measurement.value"/>

                <xsl:if test="boolean($peso[text()])">
                        IFTE03018^<xsl:value-of select="$peso"/>
                </xsl:if>
                
                <!-- GROUP23: Segmento PCI -->
                <xsl:for-each select="self::IFTMINE03.GROUP18/IFTMINE03.GROUP23/trsd_package.identification">
                        IFTE03019^<xsl:value-of select="tred_marking.instructions.coded"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="tred_shipping.marks"/>
                </xsl:for-each>

                <!-- GROUP29: Segmento SGP -->
                <xsl:for-each select="self::IFTMINE03.GROUP18/IFTMINE03.GROUP29/trsd_split.goods.placement">
                        IFTE03020^<xsl:value-of select="tred_equipment.identification.number"/>
                        <xsl:if test="boolean(tred_number.of.packages[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="tred_number.of.packages"/>
                        </xsl:if>
                </xsl:for-each>

                <!-- GRUPO32: DGS y FTX -->
                <xsl:for-each select="self::IFTMINE03.GROUP18/IFTMINE03.GROUP32">

                        <!-- Segmento DGS -->
                        IFTE03021^<xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.identification"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.substance.item.page.number"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/trcd_hazard.code/tred_hazard.code.version.number"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_undg.number"/>
                        <xsl:if test="boolean(trsd_dangerous.goods/tred_packing.group.coded or trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_packing.group.coded"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_dangerous.goods/tred_ems.number or trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_ems.number"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_dangerous.goods/tred_mfag or trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_mfag"/>
                        </xsl:if>
                        <xsl:if test="boolean(trsd_dangerous.goods/tred_category.of.means.of.transport.coded)">
                                <xsl:text>^</xsl:text><xsl:value-of select="trsd_dangerous.goods/tred_category.of.means.of.transport.coded"/>
                        </xsl:if>

                        <!-- Segmento FTX-->
                        <xsl:for-each select="self::IFTMINE03.GROUP32/trsd_free.text">
                                IFTE03022<xsl:text>^</xsl:text><xsl:value-of select="tred_text.subject.qualifier"/>
                                <xsl:text>^</xsl:text><xsl:value-of select="trcd_text.literal/tred_free.text"/>
                        </xsl:for-each>

                </xsl:for-each>
                <!--TANCO 32 I EL FOR-EACH-->

   </xsl:for-each>
   </xsl:template>
   <!--TANCO 18 I EL FOR-EACH-->


   <!-- GRUPO37: Equipamientos -->
   <xsl:template match="IFTMINE03.GROUP37">
   <xsl:for-each select="self::IFTMINE03.GROUP37">

                <!-- Segmento EQD -->
                <xsl:variable name="equQual" select="trsd_equipment.details/tred_equipment.qualifier"/>
                <xsl:variable name="equId" select="trsd_equipment.details/tred_equipment.identification.number"/>
        <xsl:variable name="equType" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>

                <xsl:if test="boolean($equQual[text()] or $equId[text()] or $equType[text()])">
                        <xsl:choose>
                                <xsl:when test="$equQual[.='CN']">
                                        IFTE03023^<xsl:value-of select="$equQual"/>
                                        <xsl:text>^</xsl:text><xsl:value-of select="$equId"/>
                                        <xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
                                </xsl:when>
                                <xsl:otherwise>
                                        IFTE03023^<xsl:value-of select="$equQual"/>
                                        <xsl:if test="boolean($equId[text()] or $equType[text()])">
                                                <xsl:text>^</xsl:text><xsl:value-of select="$equId"/>
                                        </xsl:if>
                                        <xsl:if test="boolean($equType[text()])">
                                                <xsl:text>^</xsl:text><xsl:value-of select="$equType"/>
                                        </xsl:if>
                        </xsl:otherwise>
                </xsl:choose>
                </xsl:if>

                <!-- Segmento RFF -->
                <xsl:variable name="equQual2" select="trcd_reference/tred_reference.number"/>
                <xsl:if test="trcd_reference">
                        IFTE03024<xsl:text>^</xsl:text><xsl:value-of select="$equQual2"/>
                </xsl:if>

                <!-- Segmento TMD -->
                <xsl:variable name="movTyCd" select="trcd_movement.type/tred_movement.type.coded"/>
                <xsl:variable name="movTy" select="trcd_movement.type/tred_movement.type"/>

                <xsl:if test="boolean($movTyCd[text()] or $movTy[text()])">
                        IFTE03025^<xsl:value-of select="$movTyCd"/>
                        <xsl:if test="boolean($movTy[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$movTy"/>
                        </xsl:if>
                </xsl:if>

                <!-- Segmento MEA -->
                <xsl:if test="boolean(trsd_measurements/tred_measurement.value[text()])">
                        IFTE03026^<xsl:value-of select="trsd_measurements/tred_measurement.value"/>
                </xsl:if>

                <!-- Segmento DIM  -->
                <xsl:variable name="meaQual" select="trcd_dimensions/tred_measure.unit.qualifier"/>
                <xsl:variable name="meaL" select="trcd_dimensions/tred_length.dimension"/>
                <xsl:variable name="meaW" select="trcd_dimensions/tred_width.dimension"/>
                <xsl:variable name="meaH" select="trcd_dimensions/tred_height.dimension"/>

                <xsl:if test="boolean($meaQual[text()] or $meaL[text()] or $meaW[text()] or $meaH[text()])">
                        IFTE03027<xsl:text>^</xsl:text><xsl:value-of select="$meaQual"/>
                        <xsl:if test="boolean($meaL[text()] or $meaW[text()] or $meaH[text()] )">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaL"/>
                        </xsl:if>
                        <xsl:if test="boolean($meaW[text()] or $meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaW"/>
                        </xsl:if>
                        <xsl:if test="boolean($meaH[text()])">
                                <xsl:text>^</xsl:text><xsl:value-of select="$meaH"/>
                        </xsl:if>
                </xsl:if>

                <!-- Segmento SEL  -->
                <xsl:variable name="sealN" select="trsd_seal.number/tred_seal.number"/>

                <xsl:if test="boolean($sealN[text()])">
                        IFTE03028<xsl:text>^</xsl:text><xsl:value-of select="$sealN"/>
                </xsl:if>

                <!-- Segmento TMP -->
                <xsl:variable name="tempMin" select="trcd_range/tred_range.minimum"/>
                <xsl:variable name="tempMax" select="trcd_range/tred_range.maximum"/>
                <xsl:variable name="tempQual" select="trcd_range/tred_measure.unit.qualifier"/>

                <xsl:if test="boolean($tempMin[text()] or $tempMax[text()] or $tempQual[text()])">
                        IFTE03029^<xsl:value-of select="$tempMin"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$tempMax"/>
                        <xsl:text>^</xsl:text><xsl:value-of select="$tempQual"/>
                </xsl:if>

                <!-- Segmento FTX-->
                <xsl:if test="boolean(trsd_free.text/tred_text.subject.qualifier[text()] or trsd_free.text/trcd_text.literal/tred_free.text[text()])">
                        IFTE03030<xsl:text>^</xsl:text><xsl:value-of select="trsd_free.text/trcd_text.literal/tred_free.text"/>
                </xsl:if>

        </xsl:for-each>
        </xsl:template>
        <!--TANCO 37 I EL FOR-EACH-->

</xsl:stylesheet>