<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  stylesheet: http://xsltsl.sourceforge.net/xsl/stdlib.xsl -->
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_IFTMINE03I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:template match="/">
		<xsl:apply-templates select="//IFTMINE03.HEADER"/>
		<xsl:call-template name="IFTMINE03"/>
		<xsl:apply-templates select="//IFTMINE03.GROUP8"/>
		<xsl:call-template name="GRUPO9"/>
		<xsl:call-template name="GRUPO11"/>
	</xsl:template>
	<xsl:template match="IFTMINE03.HEADER">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="EMISOR" select="anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="RECEPTOR" select="anxs_interchange.header/anxe_recipient.identification"/>
		<xsl:variable name="CAB_FECHA_EMISION" select="trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_INTERCAMBIO" select="anxs_message.header/anxe_association.assigned.code"/>
		<xsl:variable name="CAB_RFF_LIBRE" select="anxs_message.header/anxe_message.reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:variable name="CAB_FUNCION" select="trsd_beginning.of.message/tred_message.function.coded"/>
		<xsl:variable name="CAB_TXT_INTR_CARGA" select="trsd_free.text[1]/trcd_text.literal/tred_free.text"/>
		<xsl:variable name="CAB_TXT_INFO_ADICIONAL_CAMBIOS" select="trsd_free.text[2]/trcd_text.literal/tred_free.text"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$EMISOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$RECEPTOR"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$fechaActual"/>
		<xsl:if test="boolean(string-length($fechaActual) =0)">
			<xsl:call-template name="formateo">
				<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_INTERCAMBIO"/>
		<xsl:if test="boolean(string-length($REF_INTERCAMBIO) =0)">
			<xsl:value-of select="'-'"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_RFF_LIBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_ID_MENSAJE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_FUNCION"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$CAB_FECHA_EMISION"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$CAB_TXT_INTR_CARGA"/>
		<xsl:if test="boolean(string-length($CAB_TXT_INTR_CARGA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
		<xsl:value-of select="$CAB_TXT_INFO_ADICIONAL_CAMBIOS"/>
		<xsl:if test="boolean(string-length($CAB_TXT_INFO_ADICIONAL_CAMBIOS) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="camposVacios">
			<xsl:with-param name="i">1</xsl:with-param>
			<xsl:with-param name="count">4</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="IFTMINE03">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="REF_AAS_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[1]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_BN_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[2]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_ACA_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[3]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_SI_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[4]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_ACW_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[5]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_AAJ_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[6]/trcd_reference/tred_reference.number"/>
		<xsl:variable name="REF_AAJ_FECHA_EXPIR" select="//IFTMINE03/IFTMINE03.GROUP3[6]//trcd_date.time.period/tred_date.time.period"/>
		<xsl:variable name="REF_VON_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3[7]/trcd_reference/tred_reference.number"/>
		<!-- Formato de variables y orden -->
		<xsl:value-of select="$REF_AAS_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_BN_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_ACA_NUM_REF"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_SI_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_SI_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_ACW_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_ACW_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_AAJ_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_AAJ_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($REF_AAJ_FECHA_EXPIR) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($REF_AAJ_FECHA_EXPIR) >0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$REF_AAJ_FECHA_EXPIR"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$REF_VON_NUM_REF"/>
		<xsl:if test="boolean(string-length($REF_VON_NUM_REF) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template match="IFTMINE03.GROUP8">
		<!-- Definicion de variables y Xpath -->
		<xsl:variable name="TRANS_NUM_VIAJE" select="trsd_details.of.transport/tred_conveyance.reference.number"/>
		<xsl:variable name="TRANS_COD_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
		<xsl:variable name="TRANS_NOM_LINEA" select="trsd_details.of.transport/trcd_carrier/tred_carrier.name"/>
		<xsl:variable name="TRANS_IMO" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
		<xsl:variable name="TRANS_NOMBRE" select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
		<xsl:variable name="TRANS_BANDERA" select="trsd_details.of.transport/trcd_transport.identification/tred_nationality.of.means.of.transport.coded"/>
		<xsl:variable name="TRANS_FECHA_SALIDA" select="trcd_date.time.period[1]/tred_date.time.period"/>
		<xsl:variable name="FECHA_CARGA" select="trcd_date.time.period[2]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_CARGA_INF" select="trcd_date.time.period[3]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_CARGA_SUP" select="trcd_date.time.period[4]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_ENTREGA" select="trcd_date.time.period[5]/tred_date.time.period"/>
		<xsl:variable name="TRANS_FECHA_RECOGIDA" select="trcd_date.time.period[6]/tred_date.time.period"/>
		<xsl:value-of select="$TRANS_NUM_VIAJE"/>
		<xsl:if test="boolean(string-length($TRANS_NUM_VIAJE) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_COD_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_COD_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOM_LINEA"/>
		<xsl:if test="boolean(string-length($TRANS_NOM_LINEA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_IMO"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_NOMBRE"/>
		<xsl:value-of select="$separadorColum"/>
		<xsl:value-of select="$TRANS_BANDERA"/>
		<xsl:if test="boolean(string-length($TRANS_BANDERA) =0)">
			<xsl:value-of select="$nullCharacter"/>
		</xsl:if>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="$TRANS_FECHA_SALIDA"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="concat($FECHA_CARGA,$TRANS_FECHA_CARGA_INF)"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="formateo">
			<xsl:with-param name="fecha" select="concat($FECHA_CARGA,$TRANS_FECHA_CARGA_SUP)"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_FECHA_ENTREGA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($TRANS_FECHA_ENTREGA) >0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$TRANS_FECHA_ENTREGA"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($TRANS_FECHA_RECOGIDA) =0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:when>
			<xsl:when test="boolean(string-length($TRANS_FECHA_RECOGIDA) >0)">
				<xsl:call-template name="formateo">
					<xsl:with-param name="fecha" select="$TRANS_FECHA_RECOGIDA"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="$separadorColum"/>
	</xsl:template>
	<xsl:template name="GRUPO9">
		<!-- Definicion de variables -->
		<xsl:for-each select="//IFTMINE03.GROUP8/IFTMINE03.GROUP9/trcd_location.identification">
			<xsl:variable name="CODIGO" select="tred_place.location.qualifier[position()]"/>
			<xsl:choose>
				<xsl:when test="boolean($CODIGO=14)">
					<xsl:variable name="TRANS_CODIGO_MUELLE" select="tred_place.location.identification[position()]"/>
					<xsl:variable name="TRANS_DESC_MUELLE" select="tred_place.location[position()]"/>
					<xsl:value-of select="$TRANS_CODIGO_MUELLE"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TRANS_DESC_MUELLE"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean($CODIGO=8)">
					<xsl:variable name="TRANS_CODIGO_PUERTO" select="tred_place.location.identification[position()]"/>
					<xsl:variable name="TRANS_NOMBRE_PUERTO" select="tred_place.location[position()]"/>
					<xsl:value-of select="$TRANS_CODIGO_PUERTO"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TRANS_NOMBRE_PUERTO"/>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:for-each select="//IFTMINE03/IFTMINE03.GROUP11">
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="codigo" select="//IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.qualifier[1]"/>
			<xsl:choose>
				<xsl:when test="boolean(contains($codigo,'CN'))">
					<xsl:variable name="CN_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="CN_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="CN_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="CN_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="CN_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:value-of select="$CN_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_CALLE"/>
					<xsl:if test="boolean(string-length($CN_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_CIUDAD"/>
					<xsl:if test="boolean(string-length($CN_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CN_PAIS"/>
					<xsl:if test="boolean(string-length($CN_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GT'))">
					<xsl:variable name="RC_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="RC_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="RC_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="RC_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="RC_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:variable name="RC_NIF_CONTACTO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
					<xsl:variable name="RC_PERSONA" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee"/>
					<xsl:variable name="RC_NUMERO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.number"/>
					<xsl:variable name="RC_CANAL" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
					<xsl:value-of select="$RC_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$codigo"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CALLE"/>
					<xsl:if test="boolean(string-length($RC_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CIUDAD"/>
					<xsl:if test="boolean(string-length($RC_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PAIS"/>
					<xsl:if test="boolean(string-length($RC_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NIF_CONTACTO"/>
					<xsl:if test="boolean(string-length($RC_NIF_CONTACTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PERSONA"/>
					<xsl:if test="boolean(string-length($RC_PERSONA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NUMERO"/>
					<xsl:if test="boolean(string-length($RC_NUMERO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CANAL"/>
					<xsl:if test="boolean(string-length($RC_CANAL) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'GA'))">
					<xsl:variable name="RC_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="RC_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="RC_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="RC_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="RC_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:variable name="RC_NIF_CONTACTO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
					<xsl:variable name="RC_PERSONA" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee"/>
					<xsl:variable name="RC_NUMERO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.number"/>
					<xsl:variable name="RC_CANAL" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
					<xsl:value-of select="$RC_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$codigo"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CALLE"/>
					<xsl:if test="boolean(string-length($RC_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CIUDAD"/>
					<xsl:if test="boolean(string-length($RC_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PAIS"/>
					<xsl:if test="boolean(string-length($RC_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NIF_CONTACTO"/>
					<xsl:if test="boolean(string-length($RC_NIF_CONTACTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_PERSONA"/>
					<xsl:if test="boolean(string-length($RC_PERSONA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_NUMERO"/>
					<xsl:if test="boolean(string-length($RC_NUMERO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$RC_CANAL"/>
					<xsl:if test="boolean(string-length($RC_CANAL) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'TR'))">
					<xsl:variable name="TR_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="TR_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="TR_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="TR_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="TR_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:variable name="TR_NIF_CONTACTO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
					<xsl:variable name="TR_PERSONA" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee"/>
					<xsl:variable name="TR_NUMERO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.number"/>
					<xsl:variable name="TR_CANAL" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
					<xsl:variable name="FTX_TXT_OBSERVACIONES" select="/IFTMINE03/IFTMINE03.GROUP11/trsd_free.text/trcd_text.literal/tred_free.text"/>
					<xsl:value-of select="$TR_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CALLE"/>
					<xsl:if test="boolean(string-length($TR_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CIUDAD"/>
					<xsl:if test="boolean(string-length($TR_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_PAIS"/>
					<xsl:if test="boolean(string-length($TR_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NIF_CONTACTO"/>
					<xsl:if test="boolean(string-length($TR_NIF_CONTACTO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_PERSONA"/>
					<xsl:if test="boolean(string-length($TR_PERSONA) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_NUMERO"/>
					<xsl:if test="boolean(string-length($TR_NUMERO) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$TR_CANAL"/>
					<xsl:if test="boolean(string-length($TR_CANAL) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$FTX_TXT_OBSERVACIONES"/>
					<xsl:if test="boolean(string-length($FTX_TXT_OBSERVACIONES) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:call-template name="camposVacios">
						<xsl:with-param name="i">1</xsl:with-param>
						<xsl:with-param name="count">4</xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="boolean(contains($codigo,'CR'))">
					<xsl:variable name="CR_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
					<xsl:variable name="CR_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
					<xsl:variable name="CR_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
					<xsl:variable name="CR_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
					<xsl:variable name="CR_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
					<xsl:value-of select="$CR_NIF"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_NOMBRE_DIRECCION"/>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_CALLE"/>
					<xsl:if test="boolean(string-length($CR_CALLE) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_CIUDAD"/>
					<xsl:if test="boolean(string-length($CR_CIUDAD) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$separadorColum"/>
					<xsl:value-of select="$CR_PAIS"/>
					<xsl:if test="boolean(string-length($CR_PAIS) =0)">
						<xsl:value-of select="$nullCharacter"/>
					</xsl:if>
					<xsl:value-of select="$saltoLinea"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
