<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<!--  http://www.w3.org/1999/XSL/Transform ____________________________________________ mensaje_COPARNE01I01 __________________________________________ -->
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	<xsl:template match="/">
		<xsl:call-template name="GRIUPO37"/>
	</xsl:template>
	<xsl:template name="GRIUPO37">
		<!-- Definicion de variables y Xpath -->

		<xsl:variable name="EMISOR" select="//IFTMINE03/IFTMINE03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="REF_AAS_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3/trcd_reference/tred_reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMINE03/IFTMINE03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="/IFTMINE03/IFTMINE03.GROUP37">
			<xsl:variable name="EQUI_MATRICULA" select="trsd_equipment.details/tred_equipment.identification.number"/>
			<xsl:variable name="EQUI_CALIFICADOR" select="trsd_equipment.details/tred_equipment.qualifier"/>
			<xsl:variable name="EQUI_TIPO" select="trsd_equipment.details/tred_equipment.size.and.type.identification"/>
			<xsl:variable name="EQUI_REFERENCIA" select="trcd_reference/tred_reference.number"/>
			<xsl:variable name="EQUI_MOV_COD" select="trcd_movement.type/tred_movement.type.coded"/>
			<xsl:variable name="EQUI_MOV" select="trcd_movement.type/tred_movement.type"/>
			<xsl:variable name="EQUI_PESO" select="trsd_measurements/tred_measurement.value"/>
			<xsl:variable name="EQUI_DIM_UNIDAD" select="trcd_dimensions/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_DIM_LONGITUD" select="trcd_dimensions/tred_length.dimension"/>
			<xsl:variable name="EQUI_DIM_ANCHURA" select="trcd_dimensions/tred_width.dimension"/>
			<xsl:variable name="EQUI_DIM_ALTURA" select="trcd_dimensions/tred_height.dimension"/>
			<xsl:variable name="EQUI_PRECINTO" select="trsd_seal.number/tred_seal.number"/>
			<xsl:variable name="PAR_TMP_MIN" select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="EQUI_OBSERVACIONES" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_AAS_NUM_REF"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MATRICULA"/>
				<xsl:if test="boolean(string-length($EQUI_MATRICULA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_CALIFICADOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_TIPO"/>
				<xsl:if test="boolean(string-length($EQUI_TIPO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_REFERENCIA"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MOV_COD"/>
				<xsl:if test="boolean(string-length($EQUI_MOV_COD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_MOV"/>
				<xsl:if test="boolean(string-length($EQUI_MOV) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PESO"/>
				<xsl:if test="boolean(string-length($EQUI_PESO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_UNIDAD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_UNIDAD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_LONGITUD"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_LONGITUD) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ANCHURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ANCHURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_DIM_ALTURA"/>
				<xsl:if test="boolean(string-length($EQUI_DIM_ALTURA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_PRECINTO"/>
				<xsl:if test="boolean(string-length($EQUI_PRECINTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$PAR_TMP_MAX_CAL"/>
				<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$EQUI_OBSERVACIONES"/>
				<xsl:if test="boolean(string-length($EQUI_OBSERVACIONES) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:call-template name="camposVacios2">
					<xsl:with-param name="i" select="1"/>
					<xsl:with-param name="count" select="4"/>
				</xsl:call-template>
			
				<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
