<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	<xsl:template match="/">
		<xsl:call-template name="GRUPO11"/>
	</xsl:template>
	<xsl:template name="GRUPO11">
		<!-- Salida por pantalla  y Definicion de Variables-->
		<xsl:variable name="EMISOR" select="//IFTMINE03/IFTMINE03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
		<xsl:variable name="REF_AAS_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3/trcd_reference/tred_reference.number"/>
		<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMINE03/IFTMINE03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="//IFTMINE03/IFTMINE03.GROUP11">
			<xsl:variable name="position" select="position()"/>
			<xsl:variable name="codigo" select="//IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.qualifier[1]"/>
			<xsl:if test="boolean(contains($codigo,'SF'))">
				<xsl:variable name="SF_NIF" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_party.id.identification[1]"/>
				<xsl:variable name="SF_NOMBRE_DIRECCION" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_name.and.address.line[1]"/>
				<xsl:variable name="SF_CALLE" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_street.and.number.p.o.box[1]"/>
				<xsl:variable name="SF_CIUDAD" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_city.name[1]"/>
				<xsl:variable name="SF_PAIS" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/trsd_name.and.address[1]/tred_country.coded[1]"/>
				<xsl:variable name="SF_NIF_CONTACTO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee.identification"/>
				<xsl:variable name="SF_PERSONA" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trsd_contact.information/tred_department.or.employee"/>
				<xsl:variable name="SF_NUMERO" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.number"/>
				<xsl:variable name="SF_CANAL" select="/IFTMINE03/IFTMINE03.GROUP11[$position]/IFTMINE03.GROUP12/trcd_communication.contact/tred_communication.channel.qualifier"/>
				
				<xsl:value-of select="$EMISOR"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$CAB_ID_MENSAJE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$REF_AAS_NUM_REF"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_NIF"/>
				<xsl:if test="boolean(string-length($SF_NIF) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_NOMBRE_DIRECCION"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_CALLE"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_CIUDAD"/>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_PAIS"/>
				<xsl:if test="boolean(string-length($SF_PAIS) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_NIF_CONTACTO"/>
				<xsl:if test="boolean(string-length($SF_NIF_CONTACTO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_PERSONA"/>
				<xsl:if test="boolean(string-length($SF_PERSONA) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_NUMERO"/>
				<xsl:if test="boolean(string-length($SF_NUMERO) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$separadorColum"/>
				<xsl:value-of select="$SF_CANAL"/>
				<xsl:if test="boolean(string-length($SF_CANAL) =0)">
					<xsl:value-of select="$nullCharacter"/>
				</xsl:if>
				<xsl:value-of select="$saltoLinea"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
