<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"     xmlns="http://www.w3.org/TR/xhtml1/strict"  >
	<xsl:import href="include.xsl"/>
	<xsl:output method="text" encoding="ISO-8859-1"/>
	 
	 
	<xsl:template match="/">
		<xsl:call-template name="GROUP18"/>
	</xsl:template>
	<xsl:template name="GROUP18">
	<!-- Definicion de variables y Xpath -->
	<xsl:variable name="EMISOR" select="//IFTMINE03/IFTMINE03.HEADER/anxs_interchange.header/anxe_sender.identification"/>
	<xsl:variable name="REF_AAS_NUM_REF" select="//IFTMINE03/IFTMINE03.GROUP3/trcd_reference/tred_reference.number"/>
	<xsl:variable name="CAB_ID_MENSAJE" select="//IFTMINE03/IFTMINE03.HEADER/trsd_beginning.of.message/tred_document.message.number"/>
		<xsl:for-each select="//IFTMINE03.GROUP18">
			<!-- Definicion de variables y Xpath -->
			<xsl:variable name="PAR_NUM_PARTIDA" select="trsd_goods.item.details/tred_goods.item.number" />
			<xsl:variable name="PAR_NUM_BULTOS" select="trsd_goods.item.details/tred_number.of.packages"/>
			<xsl:variable name="PAR_TIPO_EMBALAJE" select="trsd_goods.item.details/tred_type.of.packages.identification"/>
			<xsl:variable name="PAR_INSTR_MANIP_COD" select="trcd_handling.instructions/tred_handling.instructions.coded"/>
			<xsl:variable name="PAR_INSTR_MANIP"	select="trcd_handling.instructions/tred_handling.instructions"/>
			<xsl:variable name="PAR_TMP_MIN"	select="trcd_range/tred_range.minimum"/>
			<xsl:variable name="PAR_TMP_MIN_CAL"	select="trcd_range/tred_measure.unit.qualifier"/>
			<xsl:variable name="PAR_TMP_MAX" select="trcd_range/tred_range.maximum"/>
			<xsl:variable name="PAR_TMP_MAX_CAL" select="trcd_range/tred_measure.unit.qualifier" />
			<xsl:variable name="PAR_MOV_COD" select="trcd_movement.type/tred_movement.type.coded"/>
			<xsl:variable name="PAR_MOV" select="trcd_movement.type/tred_movement.type"/>
			<xsl:variable name="PAR_TEXTO_LIBRE" select="trsd_free.text/trcd_text.literal/tred_free.text"/>
			<xsl:variable name="PAR_PESO"	select="IFTMINE03.GROUP20/trsd_measurements/tred_measurement.value"/>

			<!-- Sacar el resultado por pantalla -->
			<xsl:value-of select="$EMISOR"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$CAB_ID_MENSAJE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$REF_AAS_NUM_REF"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_PARTIDA"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_NUM_BULTOS"/>
			<xsl:if test="boolean(string-length($PAR_NUM_BULTOS)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TIPO_EMBALAJE"/>
			<xsl:if test="boolean(string-length($PAR_TIPO_EMBALAJE)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP_COD"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP_COD)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_INSTR_MANIP"/>
			<xsl:if test="boolean(string-length($PAR_INSTR_MANIP)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MIN"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MIN)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MIN_CAL"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MIN_CAL)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MAX"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MAX)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TMP_MAX_CAL"/>
			<xsl:if test="boolean(string-length($PAR_TMP_MAX_CAL)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_MOV_COD"/>
			<xsl:if test="boolean(string-length($PAR_MOV_COD)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_MOV"/>
			<xsl:if test="boolean(string-length($PAR_MOV)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$separadorColum"/>
			<xsl:value-of select="$PAR_TEXTO_LIBRE"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">1</xsl:with-param>
				<xsl:with-param name="count">4</xsl:with-param>
			</xsl:call-template>
			<xsl:value-of select="$PAR_PESO"/>
			<xsl:if test="boolean(string-length($PAR_PESO)=0)">
				<xsl:value-of select="$nullCharacter"/>
			</xsl:if>
			<xsl:value-of select="$saltoLinea"/>
		</xsl:for-each>
 	</xsl:template>
</xsl:stylesheet>
