<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
<!-- ________________ mensaje IFTMCSP _____________________________ -->
<xsl:output method="text" encoding="ISO-8859-1"/>
<xsl:template match="/">
<xsl:apply-templates select="//IFTSTA"/>
<xsl:apply-templates select="//IFTSTA.GROUP1"/>
<xsl:apply-templates select="//IFTSTA.GROUP3"/>
<xsl:apply-templates select="//IFTSTA.GROUP4"/>
IFTSTA016
UNZ001
</xsl:template>
<!-- CABECERA DEL ENVIO -->
<xsl:template match="IFTSTA">
<!-- Cabecera del envio-->
<xsl:variable name="traderId" select="anxs_interchange.header/anxc_syntax.identifier/anxe_syntax.identifier"/>
<xsl:variable name="sender" select="anxs_interchange.header/anxc_interchange.sender/anxe_sender.identification"/>
<xsl:variable name="recipient" select="anxs_interchange.header/anxc_interchange.recipient/anxe_recipient.identification"/>
<xsl:variable name="date" select="anxs_interchange.header/anxc_date.time.of.preparation/anxe_date"/>
<xsl:variable name="time" select="anxs_interchange.header/anxc_date.time.of.preparation/anxe_time"/>
<xsl:variable name="refInt" select="anxs_interchange.header/anxe_interchange.control.reference"/>ENV001^<xsl:value-of select="$traderId"/>
<xsl:text>^</xsl:text>
<!-- <xsl:value-of select="$version"/> -->
<xsl:text>IFTSTA^</xsl:text>
<xsl:value-of select="$sender"/>
<xsl:text>^</xsl:text>
<xsl:text>^</xsl:text>
<xsl:value-of select="$recipient"/>
<xsl:text>^</xsl:text>
<xsl:text>^</xsl:text>
<xsl:value-of select="$date"/>
<xsl:text>^</xsl:text>
<xsl:value-of select="$time"/>
<xsl:text>^</xsl:text>
<xsl:value-of select="$refInt"/>
		<!-- CABECERA DEL MENSAJE-->
		<!-- Segmento UNH-->
		<xsl:variable name="nRef" select="anxs_message.header/anxe_message.reference.number"/>
IFTSTA001<xsl:text>^</xsl:text>
		<xsl:value-of select="$nRef"/>
		<xsl:text>^</xsl:text>
		<xsl:text>IFTSTA</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>D</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>99B</xsl:text>
		<xsl:text>^</xsl:text>
		<xsl:text>UN</xsl:text>
		<!-- Segmento BGM-->
		<xsl:variable name="numDoc" select="trsd_beginning.of.message/trcd_document.message.identification/tred_document.message.number"/>
		<xsl:variable name="codMsg" select="trsd_beginning.of.message/tred_message.function.coded"/>
IFTSTA002^23^<xsl:value-of select="$numDoc"/>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$codMsg"/>
IFTSTA003^<xsl:call-template name="formatoFechas">
			<!-- pass the parameters !-->
			<xsl:with-param name="dateQal" select="trsd_date.time.period/tred_date.time.period.qualifier"/>
			<xsl:with-param name="datePer" select="trsd_date.time.period/tred_date.time.period"/>
			<xsl:with-param name="dateFor" select="trsd_date.time.period/tred_date.time.period.format.qualifier"/>
		</xsl:call-template>
	</xsl:template>
	<!-- GRUPO 1 -->
	<xsl:template match="IFTSTA.GROUP1">
		<xsl:for-each select="self::IFTSTA.GROUP1">
IFTSTA004^CA<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_name.and.address/trcd_party.identification.details/tred_party.id.identification"/>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 3 -->
	<xsl:template match="IFTSTA.GROUP3">
		<xsl:for-each select="self::IFTSTA.GROUP3">
IFTSTA005<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_reference/tred_reference.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_reference/tred_reference.number"/>
		</xsl:for-each>
	</xsl:template>
	<!-- GRUPO 4 -->
	<xsl:template match="IFTSTA.GROUP4">
IFTSTA006<xsl:text>^</xsl:text>
		<xsl:value-of select="trsd_consignment.information/tred_consolidation.item.number"/>
	<!-- GRUPO 5 -->
		<xsl:for-each select="IFTSTA.GROUP5">
IFTSTA007<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_status/trcd_status.type/tred_status.type.coded"/>
			<xsl:for-each select="trsd_reference">
IFTSTA008<xsl:text>^</xsl:text>
				<xsl:value-of select="tred_reference.qualifier"/>
				<xsl:variable name="refNumber" select="tred_reference.number"/>
				<xsl:if test="boolean($refNumber[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$refNumber"/>
				</xsl:if>
			</xsl:for-each>
			<xsl:for-each select="trsd_date.time.period">
IFTSTA009<xsl:text>^</xsl:text>
				<xsl:call-template name="formatoFechas">
					<!-- pass the parameters !-->
					<xsl:with-param name="dateQal" select="tred_date.time.period.qualifier"/>
					<xsl:with-param name="datePer" select="tred_date.time.period"/>
					<xsl:with-param name="dateFor" select="tred_date.time.period.format.qualifier"/>
				</xsl:call-template>
			</xsl:for-each>
			<xsl:for-each select="trsd_free.text">
IFTSTA010^AAI<xsl:variable name="aux" select="trcd_text.literal/tred_free.text"/>
				<xsl:for-each select="trcd_text.literal/tred_free.text">	
					<xsl:if test="boolean($aux[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="$aux"/>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:for-each select="trsd_place.location.identification">
IFTSTA011^175<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_location.identification/tred_place.location.identification"/>
				<xsl:text>^139^</xsl:text>
				<xsl:value-of select="trcd_location.identification/tred_code.list.responsible.agency.coded"/>
				<xsl:variable name="placeLocation" select="trcd_location.identification/tred_place.location"/>
				<xsl:if test="boolean($placeLocation[text()])">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="trcd_location.identification/tred_place.location"/>
				</xsl:if>
			</xsl:for-each>
	<!-- GRUPO 6 -->
		<xsl:for-each select="IFTSTA.GROUP6">
IFTSTA012^20<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/tred_conveyance.reference.number"/>
			<xsl:text>^1^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_carrier/tred_carrier.identification"/>
			<xsl:text>^172^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.means.of.transport.identification"/>
			<xsl:text>^146^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_transport.identification/tred_code.list.responsible.agency.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_details.of.transport/trcd_transport.identification/tred_id.of.the.means.of.transport"/>
	<!-- GRUPO 7 -->
		<xsl:for-each select="IFTSTA.GROUP7">
IFTSTA013<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/tred_place.location.qualifier"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_place.location.identification"/>
			<xsl:text>^139^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_code.list.responsible.agency.coded"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_place.location.identification/trcd_location.identification/tred_place.location"/>
			<xsl:for-each select="self::IFTSTA.GROUP7/trsd_date.time.period">
				<xsl:variable name="dateQal" select="tred_date.time.period.qualifier"/>
				<xsl:variable name="datePer" select="tred_date.time.period"/>
				<xsl:variable name="dateFor" select="tred_date.time.period.format.qualifier"/>
IFTSTA014^<xsl:call-template name="formatoFechas">
					<!-- pass the parameters !-->
					<xsl:with-param name="dateQal" select="$dateQal"/>
					<xsl:with-param name="datePer" select="$datePer"/>
					<xsl:with-param name="dateFor" select="$dateFor"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		</xsl:for-each>
	<!-- GRUPO 8 -->	
		<xsl:for-each select="IFTSTA.GROUP8">
IFTSTA015^CN<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_equipment.details/trcd_equipment.identification/tred_equipment.identification.number"/>
			<xsl:text>^</xsl:text>
			<xsl:value-of select="trsd_equipment.details/trcd_equipment.size.and.type/tred_equipment.size.and.type.identification"/>
			<xsl:text>^102^5^</xsl:text>
			<xsl:value-of select="trsd_equipment.details/tred_full.empty.indicator.coded"/>
		</xsl:for-each>
	</xsl:for-each>
	</xsl:template>
	<xsl:template name="formatoFechas">
		<!-- retrieve the list of parameters !-->
		<xsl:param name="dateQal" select="201"/>
		<xsl:param name="datePer" select="0401010101"/>
		<xsl:param name="dateFor" select="201"/>
		<xsl:value-of select="$dateQal"/>
		<xsl:choose>
			<xsl:when test="$dateFor= 201">
				<xsl:text>^</xsl:text>
				<xsl:value-of select="substring($datePer,1,10)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$dateFor= 102">
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,8)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>^</xsl:text>
						<xsl:value-of select="substring($datePer,1,12)"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>^</xsl:text>
		<xsl:value-of select="$dateFor"/>
	</xsl:template>
</xsl:stylesheet>
