<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">
	<xsl:output method="text" encoding="ISO-8859-1"/>
	<xsl:param name="nullCharacter" select="'null'"/>
	<xsl:param name="separadorColum" select="'&#x09;'"/>
	<xsl:param name="fechaActual"/>
	<xsl:param name="saltoLinea"><xsl:text>&#xA;</xsl:text></xsl:param>
	<!-- <xsl:text>&#xA;</xsl:text>  -->
	<xsl:template name="formateo">
		<xsl:param name="fecha"/>
		<xsl:param name="fechaDivisa"/>
		<xsl:choose>
			<xsl:when test="boolean(string-length($fecha) =12)">
				<xsl:call-template name="fechaLarga">
					<xsl:with-param name="fecha" select="$fecha"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(string-length($fecha) =10)">
				<xsl:call-template name="fechaExtraLarga">
					<xsl:with-param name="fecha" select="$fecha"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(string-length($fecha) =8)">
				<xsl:call-template name="fechaCorta">
					<xsl:with-param name="fecha" select="$fecha"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(string-length($fecha) =6)">
				<xsl:call-template name="fechaExtraCorta">
					<xsl:with-param name="fecha" select="$fecha"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="boolean(string-length($fechaDivisa) >0)">
				<xsl:call-template name="fechaDivisas">
					<xsl:with-param name="fechaDivisaInf" select="substring($fechaDivisa,1,8)"/>
					<xsl:with-param name="fechaDivisaSup" select="substring($fechaDivisa,10,string-length($fechaDivisa))"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="fechaLarga">
		<xsl:param name="fecha"/>
		<xsl:param name="ano" select="substring($fecha,1,4)"/>
		<xsl:param name="mes" select="substring($fecha,5,2)"/>
		<xsl:param name="dia" select="substring($fecha,7,2)"/>
		<xsl:param name="hora" select="substring($fecha,9,2)"/>
		<xsl:param name="minutos" select="substring($fecha,11,2)"/>
		<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$ano"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="$hora"/>:<xsl:value-of select="$minutos"/>
	</xsl:template>
	<xsl:template name="fechaExtraLarga">
		<xsl:param name="fecha"/>
		<xsl:param name="ano" select="substring($fecha,1,2)"/>
		<xsl:param name="mes" select="substring($fecha,3,2)"/>
		<xsl:param name="dia" select="substring($fecha,5,2)"/>
		<xsl:param name="hora" select="substring($fecha,7,2)"/>
		<xsl:param name="minutos" select="substring($fecha,9,2)"/>
		<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/20<xsl:value-of select="$ano"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="$hora"/>:<xsl:value-of select="$minutos"/>
	</xsl:template>
	<xsl:template name="fechaCorta">
		<xsl:param name="fecha"/>
		<xsl:param name="ano" select="substring($fecha,1,4)"/>
		<xsl:param name="mes" select="substring($fecha,5,2)"/>
		<xsl:param name="dia" select="substring($fecha,7,2)"/>
		<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$ano"/>
		<xsl:text> 00:00</xsl:text>
	</xsl:template>
	<xsl:template name="fechaExtraCorta">
		<xsl:param name="fecha"/>
		<xsl:param name="ano" select="substring($fecha,1,2)"/>
		<xsl:param name="mes" select="substring($fecha,3,2)"/>
		<xsl:param name="dia" select="substring($fecha,5,2)"/>
		<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/20<xsl:value-of select="$ano"/>
		<xsl:text> 00:00</xsl:text>
	</xsl:template>
	<xsl:template name="fechaDivisas">
		<xsl:param name="fechaDivisaInf"/>
		<xsl:param name="fechaDivisaSup"/>
		<xsl:call-template name="fechaCorta">
			<xsl:with-param name="fecha" select="$fechaDivisaInf"/>
		</xsl:call-template>
		<xsl:value-of select="$separadorColum"/>
		<xsl:call-template name="fechaCorta">
			<xsl:with-param name="fecha" select="$fechaDivisaSup"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="camposVacios">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:value-of select="$separadorColum"/>
			<xsl:call-template name="camposVacios">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="camposVacios2">
		<xsl:param name="i"/>
		<xsl:param name="count"/>
		<xsl:if test="$i &lt;= $count">
			<xsl:value-of select="$nullCharacter"/>
			<xsl:if test="$i != $count">
				<xsl:value-of select="$separadorColum"/>
			</xsl:if>
			<xsl:call-template name="camposVacios2">
				<xsl:with-param name="i">
					<xsl:value-of select="$i + 1"/>
				</xsl:with-param>
				<xsl:with-param name="count">
					<xsl:value-of select="$count"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>		
</xsl:stylesheet>
